(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   3000282,      84176]
NotebookOptionsPosition[   2962556,      83636]
NotebookOutlinePosition[   2965550,      83704]
CellTagsIndexPosition[   2965507,      83701]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "     ",
 StyleBox["xPand       ",
  FontSize->36],
 "   ",
 StyleBox["application for perturbations around a Friedmann-Lema\[IHat]tre \
space-time",
  FontSize->24]
}], "Title",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQrSwSlbt+zkvHd/ZX8kC03Jy2lSC6y3r3KhB9wHee
9WYgHbZqmjOI7ilPDwDRUirGgSD6hBJfJIhedPFQLIhesoT/OJ/aK0eu0HQw
bbDzYeS9rleOKolPwXTMrbYs9u5XjjcPyueB6IaFdemmQJpJQDoDRE96p3fQ
HEgL7LcF06+6HtxQ6nnleMb08F0QvW3CLe5bQFrObD0PiF4Rt2EaiJ63XXgW
iL4sPP80iG56/g5M92QECX8F0rfviIiAaBa7KTNAdOs0gZkgOijwPwNP7ytH
idmLGEF0/ZRdAiB61t7DYLriVUfcBiAtd7AzHkQDAO0qn7M=
  "],
 FontSize->48,ExpressionUUID->"5355a3a5-d787-4045-b4ca-d9b1d2102d3f"],

Cell[CellGroupData[{

Cell["Set up", "Section",
 CellChangeTimes->{{3.562968231729784*^9, 
  3.562968240325952*^9}},ExpressionUUID->"537b8f23-05f9-44ad-a891-\
41bee9fee56b"],

Cell[CellGroupData[{

Cell["Loading the package", "Subsubsection",
 CellChangeTimes->{{3.562968193374914*^9, 3.56296819962612*^9}, {
  3.562968336173491*^9, 3.5629683397556887`*^9}, {3.5634449777056837`*^9, 
  3.563444978424021*^9}},ExpressionUUID->"692d04a3-07fe-4bc3-9360-\
54df9c283955"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<xAct`xPand`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.5626506507569027`*^9, 3.562650676540516*^9}, {
  3.564480205630846*^9, 3.564480210097541*^9}, {3.56448063194571*^9, 
  3.564480632082753*^9}, {3.5668890508067493`*^9, 3.56688905987661*^9}, {
  3.566896526547962*^9, 3.566896526853157*^9}, {3.568315665034416*^9, 
  3.568315666130081*^9}, {3.593077393926453*^9, 3.593077394559039*^9}, {
  3.5930774937268467`*^9, 3.5930774949927197`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"fad46e70-c7d1-461b-9812-02085571b1d4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"cccdba46-2149-43c2-b426-2f2a15281106"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2015", ",", "8", ",", "23"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.3", ", ", {2015, 8, 23}],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"091f0356-6d42-4e40-a93e-e1b53f4f4890"],

Cell[BoxData["\<\"CopyRight (C) 2003-2020, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"9f79c450-d266-4233-af3a-69f868d213e7"],

Cell[BoxData["\<\"Connecting to external mac executable...\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"17d7bd24-4a22-468f-9721-04e1d06cfa34"],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"c4779728-553a-4c4c-9180-eadde68daa9b"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"276541d0-a098-4e3d-8347-4c37c1916f9a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTensor`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "10", ",", "17"}], "}"}]}],
  SequenceForm[
  "Package xAct`xTensor`  version ", "1.2.0", ", ", {2021, 10, 17}],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"359d95ad-22b3-499b-ab37-8ac77df75fdf"],

Cell[BoxData["\<\"CopyRight (C) 2002-2021, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"d3910aad-80ef-49bd-8fa7-ab11600897db"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"2bfc61a6-82d9-43c2-9d17-788daffbcfff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPert`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2018", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xPert`  version ", "1.0.6", ", ", {2018, 2, 28}],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"369e6b4a-12fd-4f3f-bcd2-faeaa9fc889f"],

Cell[BoxData["\<\"CopyRight (C) 2005-2020, David Brizuela, Jose M. \
Martin-Garcia and Guillermo A. Mena Marugan, under the General Public \
License.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"9cf2566a-211f-4aca-8587-40f2f8461058"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$PrePrint", 
   "\[InvisibleSpace]", "\<\" assigned value \"\>", "\[InvisibleSpace]", 
   "ScreenDollarIndices"}],
  SequenceForm[
  "** Variable ", $PrePrint, " assigned value ", 
   xAct`xTensor`ScreenDollarIndices],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"2a2caac5-13d4-4d5d-ae23-1d0f9b0a3be1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>", "\[InvisibleSpace]", "\<\" to \"\>",
    "\[InvisibleSpace]", "\<\"Postfix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Prefix", 
   " to ", "Postfix"],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"6ff7b8fe-1751-4db7-87c5-ea42dacb46c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "AllowUpperDerivatives", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "ContractMetric",
    "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`AllowUpperDerivatives, " of ", 
   xAct`xTensor`ContractMetric, " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"b06362fe-82d7-4d9d-b1be-1b2ce26f66fa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "MetricOn", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "None",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "All"}],
  SequenceForm[
  "** Option ", xAct`xTensor`MetricOn, " of ", xAct`xTensor`MakeRule, 
   " changed from ", None, " to ", All],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"53ca0744-663f-4824-aaa1-fbf0fe136826"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "ContractMetrics", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`ContractMetrics, " of ", xAct`xTensor`MakeRule, 
   " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"157f8dca-aa69-4f6d-8b60-3b888213fa39"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"9751811c-ef0c-41c7-a99d-ef0037ca723e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPand`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.4.4\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2025", ",", "4", ",", "1"}], "}"}]}],
  SequenceForm["Package xAct`xPand`  version ", "0.4.4", ", ", {2025, 4, 1}],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"0cebf403-8630-4dae-a8d5-a78464b15103"],

Cell[BoxData["\<\"CopyRight (C) 2012-2025, Cyril Pitrou, Xavier Roy and \
Obinna Umeh under the General Public License.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"1dfd2e56-327f-42d5-afe3-267f8ac1edbb"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"ef9248e0-afa8-4cc4-8c04-5d56a142e3b6"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"a994d228-795e-4a88-a1a9-ea83554257ea"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[1]:=",ExpressionUUID->"571f7517-ebf7-4191-8ddc-ebf5a24b2e8f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Useful tools to reshape the results", "Subsubsection",
 CellChangeTimes->{{3.5625603109856243`*^9, 3.562560317714089*^9}, {
  3.562968341971388*^9, 3.562968343018749*^9}, {3.562968847415276*^9, 
  3.562968847567225*^9}, {3.56344497423396*^9, 3.563444975151697*^9}, {
  3.563507818916985*^9, 
  3.563507821442074*^9}},ExpressionUUID->"3543f40a-76c0-4444-b668-\
aee792aa4589"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"org", "[", "expr_", "]"}], ":=", 
  RowBox[{"NoScalar", "@", 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{"ContractMetric", "[", "expr", "]"}], ",", 
     "$PerturbationParameter", ",", "ToCanonical"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"collect", "[", "expr_", "]"}], ":=", 
  RowBox[{"NoScalar", "@", 
   RowBox[{"Collect", "[", 
    RowBox[{"expr", ",", "$PerturbationParameter", ",", "Identity"}], 
    "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.562560340159576*^9, 3.562560342820777*^9}, {
   3.5626463925861807`*^9, 3.562646393096272*^9}, 3.5629342546142282`*^9, {
   3.56293507178364*^9, 3.562935078308028*^9}, {3.5629585230431547`*^9, 
   3.562958534544807*^9}, {3.5632823096626177`*^9, 3.5632823149058523`*^9}, {
   3.568442431132193*^9, 3.56844243223039*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"f78d3a93-c430-4beb-983f-eb6dc2c80c54"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Background Slicing of the manifold", "Subsection",
 CellChangeTimes->{{3.562554002539104*^9, 3.562554016149865*^9}, 
   3.562929128028707*^9, {3.562934034709051*^9, 3.562934039603999*^9}, 
   3.562968208123316*^9, {3.5629683318369007`*^9, 3.562968331949312*^9}, {
   3.563444970321803*^9, 3.563444970857811*^9}, 3.563508897352796*^9, {
   3.563509032489378*^9, 
   3.5635090350238733`*^9}},ExpressionUUID->"f962b436-dfd0-4472-8d7c-\
39e4f4c9901c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "We", " ", "must", " ", "first", " ", "define", " ", "a", " ", "manifold", 
   " ", 
   RowBox[{"(", 
    RowBox[{"with", " ", "its", " ", "indices"}], ")"}], " ", "and", " ", "a",
    " ", 
   RowBox[{"metric", ".", " ", "Incidently"}], " ", "we", " ", "choose", " ", 
   "the", " ", "dimension", " ", "of", " ", "space"}], "-", 
  RowBox[{"time", "."}]}]], "Text",
 CellChangeTimes->{{3.562932826784823*^9, 3.562932843706855*^9}, {
  3.562933062088291*^9, 3.5629330701523123`*^9}, {3.5629340396066113`*^9, 
  3.56293403960902*^9}, {3.563564075137095*^9, 
  3.563564081996867*^9}},ExpressionUUID->"cde826d6-be6f-4ff5-a267-\
8effacfecf59"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefManifold", "[", 
  RowBox[{"M", ",", "4", ",", 
   RowBox[{"{", 
    RowBox[{
    "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "\[Mu]", ",", "\[Nu]", 
     ",", "\[Lambda]", ",", "\[Sigma]"}], "}"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"DefMetric", "[", 
   RowBox[{
    RowBox[{"-", "1"}], ",", 
    RowBox[{"g", "[", 
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], ",", 
      RowBox[{"-", "\[Beta]"}]}], "]"}], ",", "CD", ",", 
    RowBox[{"{", 
     RowBox[{
     "\"\<;\>\"", ",", "\"\<\!\(\*OverscriptBox[\(\[Del]\), \(_\)]\)\>\""}], 
     "}"}], ",", 
    RowBox[{
    "PrintAs", "\[Rule]", "\"\<\!\(\*OverscriptBox[\(g\), \(_\)]\)\>\""}]}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.562932792496872*^9, 3.5629328192338257`*^9}, {
   3.56293306021469*^9, 3.562933089640922*^9}, {3.5629340347252207`*^9, 
   3.562934039610672*^9}, {3.563015496272236*^9, 3.563015501052223*^9}, {
   3.5630751346055117`*^9, 3.563075167869729*^9}, {3.563163748011129*^9, 
   3.563163780560587*^9}, {3.563172444684952*^9, 3.563172449161874*^9}, 
   3.5631726142417107`*^9, {3.563282148460867*^9, 3.5632821507642393`*^9}, {
   3.563284077344687*^9, 3.563284077917499*^9}, 3.5638718449147873`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"f389bf85-0609-4820-9bc4-e2c9c5f334c9"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefManifold", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"manifold \"\>", "\[InvisibleSpace]", "M", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefManifold, ": Defining ", "manifold ", $CellContext`M,
    ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"b9352cad-170b-48b3-b244-621b6b62e29b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefVBundle", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vbundle \"\>", "\[InvisibleSpace]", "TangentM", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefVBundle, ": Defining ", 
   "vbundle ", $CellContext`TangentM, ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"657b7f2d-81a8-48e2-8eba-3b2d12220c69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"g", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"4193355c-8699-4c86-9f6b-a3cf19487d78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilong", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilong[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"ae386d13-74ae-4fa8-9835-03e485a61cba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetrag", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetrag[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"a867f6ae-338a-4261-b981-a252c0ca0c7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetrag\[Dagger]", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetrag\[Dagger][-$CellContext`\[Alpha], \
-$CellContext`\[Beta], -$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"2fd9f71c-462f-489f-b2b4-5284f47cd3a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CD", "[", 
    RowBox[{"-", "\[Alpha]"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CD[-$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"2eac6b3f-91b3-46a2-9622-33e22d7f2700"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionCD", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionCD[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"48f10d71-dfa1-4335-8732-720caecf9082"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCD", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelCD[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"266b9c08-cae2-4de3-9ae2-755ae557700a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"RiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`RiemannCD[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"d2a7ea5e-d9e2-4156-87c8-7526680f9e87"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciCD", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`RicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]], ". ", 
   ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"69409dc2-83fe-41c5-bdcf-9592e4730ce0"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"ab151ffc-d89d-4b64-8142-f73cd131d558"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarCD[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"9ae3cd04-55ce-4df6-9c80-77f0d9d97a11"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"e2a3ec9f-a220-4633-a965-75b912511de8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCD", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`EinsteinCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"7f1b73b6-5424-48c9-971b-e452b9b4f38e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"WeylCD", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "Weyl tensor ", 
   $CellContext`WeylCD[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"999debf3-e683-4e97-b217-9571580e87a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRicciCD", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"74b01789-2ef0-41d9-8cf6-9b4efa975f0c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"KretschmannCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`KretschmannCD[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"42efac4a-2a4b-4aeb-94f4-0ac5becffca2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", 4],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"16445cde-a5d9-4a59-be13-15fa6a17fe5b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToTFRicci for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RicciToTFRicci for dim ", 4],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"38330288-2b2b-4080-acd3-4c0967c3eb60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", 4],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"a8b86e8c-f9aa-4b82-bce6-733f793c71f7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"Detg", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`Detg[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[4]:=",ExpressionUUID->"677ed593-62a9-47a9-9dfb-73ea6076dda5"]
}, Open  ]]
}, Open  ]],

Cell["\<\
We have a general function ' SetSlicing' which defines many properties for \
the splitting.From ambient metric g, then the vector normal to hyper surfaces \
u, and the induced metric h are defined.
Then many relations that are to be deduced from this 1 + (n - 1) splitting \
are implemented.\
\>", "Text",
 CellChangeTimes->{{3.562932764716297*^9, 3.562932774329483*^9}, 
   3.562932823046397*^9, {3.5629328571189947`*^9, 3.562932889624875*^9}, {
   3.562933523460239*^9, 3.5629335402950363`*^9}, {3.562934039619356*^9, 
   3.5629340396211567`*^9}, {3.5630762372293043`*^9, 3.563076280085512*^9}, 
   3.563094075758313*^9, {3.5631728312038803`*^9, 3.563172839215329*^9}, {
   3.563507850737952*^9, 3.563507854319343*^9}, {3.563509174610175*^9, 
   3.56350930320498*^9}, {3.568316152125463*^9, 3.568316178029413*^9}, 
   3.569132453686277*^9},ExpressionUUID->"b87ffcca-7720-4b8a-afdd-\
f71d4c1731be"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "$ListOfSpaceTypes"}]], "Input",
 CellChangeTimes->{3.5648277086201982`*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"f7d297be-8cc7-43e0-a5fa-3f9bb6256a87"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Possible space types are: Anisotropic, BianchiB, \
BianchiA, BianchiI, FLCurved, FLFlat and Minkowski.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"xAct`xPand`$ListOfSpaceTypes\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->{{6, 6}, {6, 3}}], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Possible space types are: Anisotropic, BianchiB, \
BianchiA, BianchiI, FLCurved, FLFlat and Minkowski.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}], True->
              
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}]}, 
              Dynamic[System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[<|
   "ObjectType" -> "Symbol", "Usage" -> 
    "Possible space types are: Anisotropic, BianchiB, BianchiA, BianchiI, \
FLCurved, FLFlat and Minkowski.", "Documentation" -> None, "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "xAct`xPand`$ListOfSpaceTypes"|>, False]]], "Output",
 CellLabel->"Out[6]=",ExpressionUUID->"88c199c0-e296-4f3c-9d90-67aaa05d2dfa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetSlicing", "[", 
  RowBox[{"g", ",", "n", ",", "h", ",", "cd", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<|\>\"", ",", "\"\<\!\(\*OverscriptBox[\(D\), \(_\)]\)\>\""}],
     "}"}], ",", "\"\<FLCurved\>\""}], "]"}]], "Input",
 CellLabel->"In[7]:=",ExpressionUUID->"bd27d421-3a21-4f72-a19d-a13de39e4848"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"n", "[", "\[Sigma]$4407", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`n[$CellContext`\[Sigma]$4407], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"8ce2472b-8e08-4807-b1ea-68f3d8a22bd1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"h", "[", 
    RowBox[{
     RowBox[{"-", "\[Sigma]$4407"}], ",", 
     RowBox[{"-", "\[Sigma]$4408"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`h[-$CellContext`\[Sigma]$4407, -$CellContext`\[Sigma]$4408], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"85dc9c04-b213-4ae9-88bc-b53852cd7b7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilonh", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilonh[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"1c3b5f97-bfd8-4a7f-a756-f84b43cf73b1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetrah", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetrah[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"8c9625a9-4500-4a0c-b799-23a1c72626cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetrah\[Dagger]", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetrah\[Dagger][-$CellContext`\[Alpha], \
-$CellContext`\[Beta], -$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"2541cfc5-bab8-4662-8b99-2948f762a26a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"cd", "[", 
    RowBox[{"-", "\[Sigma]$4407"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`cd[-$CellContext`\[Sigma]$4407], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"66950d78-c2d8-4326-86e9-fd2abd1ae5d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Torsioncd", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`Torsioncd[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"0ab8880f-b6e5-49a4-b880-ef7aa9eee7c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Christoffelcd", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`Christoffelcd[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"b0bf025a-bca3-4400-95ba-03903ca942a3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Riemanncd", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`Riemanncd[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"daa9ac72-f71a-4dcb-9628-b07726207ec7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Riccicd", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`Riccicd[-$CellContext`\[Alpha], -$CellContext`\[Beta]], ". ", 
   ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"8bf30c2f-d8a5-4256-9b95-d53ce1c934c9"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"e242f123-1aa5-46c1-9a5f-09e7b7b2945a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarcd", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarcd[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"16deb67a-6306-405f-baec-fb52088db95b"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"5439d828-4432-4165-9c80-7d9e337f2f78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Einsteincd", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`Einsteincd[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"2d5f6057-d820-4fc2-b978-755fb65af053"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Weylcd", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Weyl tensor ", 
   $CellContext`Weylcd[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"4ec01060-d02f-4ea8-8ca7-62c91d9647bb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRiccicd", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRiccicd[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"4513e06d-c470-412b-9957-71f70ac76d46"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"Kretschmanncd", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`Kretschmanncd[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"2d33228a-5802-4789-b9bb-0f5726d56830"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", 3],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"ad7141bc-647b-481d-aa85-4026085390bf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToTFRicci for dim \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["** DefCovD:  Computing RicciToTFRicci for dim ", 3],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"664e5a8e-6141-4c25-aa58-1ffb477e0f10"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "3"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", 3],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"6b1667bf-6954-4861-b0c8-d0309b75895e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"Deth", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`Deth[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"92adf09b-10ea-4454-af27-0bfe6006f721"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"extrinsic curvature tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ExtrinsicKh", "[", 
    RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Associated to vector n\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "extrinsic curvature tensor ", 
   $CellContext`ExtrinsicKh[$CellContext`\[Alpha], $CellContext`\[Beta]], 
   ". ", "Associated to vector n"],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"d012faf4-b423-4ab1-a830-4f72cdf84415"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"acceleration vector \"\>", "\[InvisibleSpace]", 
   RowBox[{"Accelerationn", "[", "\[Alpha]", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Associated to vector n\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "acceleration vector ", 
   $CellContext`Accelerationn[$CellContext`\[Alpha]], ". ", 
   "Associated to vector n"],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"9b3af6e5-bc4a-4949-80e6-b07b13d47f47"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefInertHead", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"projector inert-head \"\>", "\[InvisibleSpace]", 
   "Projectorh", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefInertHead, ": Defining ", 
   "projector inert-head ", $CellContext`Projectorh, ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"70babfc9-951b-48bd-b506-cd7399dccc35"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
     "8"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "h", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4, 5, 6, 7, 8}], 
   " have been declared as UpValues for ", $CellContext`h, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"dd1ab411-4461-40c2-abfd-6bde093c926e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
     "8"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "h", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4, 5, 6, 7, 8}], 
   " have been declared as UpValues for ", $CellContext`h, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"632e3a56-6a78-42fa-bcf4-86663c0aef99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "n", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2}], " have been declared as UpValues for ", $CellContext`n, 
   "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"0d1e3dca-30c9-423f-a2c8-3f0f852215d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "n", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4}], 
   " have been declared as UpValues for ", $CellContext`n, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"24850898-0407-4d26-8dee-c149b9faf803"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
     "8"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "n", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4, 5, 6, 7, 8}], 
   " have been declared as UpValues for ", $CellContext`n, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"fb533fd7-4095-41c5-ba20-13e4c1fb4e79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalN]0h", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$5469", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$5469", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalN]0h[
    xAct`xTensor`LI[xAct`xPand`Private`p$5469], 
    xAct`xTensor`LI[xAct`xPand`Private`q$5469]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"07f42b4f-8182-49c9-a8c0-3644bd6d167f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalN]ih", "[", "\[Alpha]", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalN]ih[$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"39e06689-b06d-4bb6-8cce-a15c84ffbee4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalN]h", "[", 
    RowBox[{"-", "\[Alpha]"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalN]h[-$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"70a887e4-91b2-4c20-8ad3-af58ad69ab24"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"d\[ScriptCapitalN]h", "[", 
    RowBox[{
     RowBox[{"LI", "[", "\<\"order\"\>", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`d\[ScriptCapitalN]h[
    xAct`xTensor`LI["order"], -$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"aa6e7e20-6d06-4726-bc53-3347a2be21fd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"ah", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$5488", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$5488", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`ah[
    xAct`xTensor`LI[xAct`xPand`Private`p$5488], 
    xAct`xTensor`LI[xAct`xPand`Private`q$5488]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"e28133e0-00ec-45ee-b07e-3b48e63864ac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Hh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$5494", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$5494", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Hh[
    xAct`xTensor`LI[xAct`xPand`Private`p$5494], 
    xAct`xTensor`LI[xAct`xPand`Private`q$5494]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"44dd9032-84e8-4211-ae3c-eb4502d1decd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"gah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Sigma]$5501"}], ",", 
     RowBox[{"-", "\[Sigma]$5502"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`gah2[-$CellContext`\[Sigma]$5501, \
-$CellContext`\[Sigma]$5502], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"da743c83-7f27-45e1-b54b-25e30837dbfd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"inverse metric tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Invgah2", "[", 
    RowBox[{"\[Sigma]$5501", ",", "\[Sigma]$5502"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Metric is frozen!\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "inverse metric tensor ", 
   $CellContext`Invgah2[$CellContext`\[Sigma]$5501, \
$CellContext`\[Sigma]$5502], ". ", "Metric is frozen!"],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"6ff0c84d-e911-44c2-8b77-6bfe3a590d54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilongah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilongah2[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"9a5a933f-3ecf-461f-97d4-bd3f2e30cce9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetragah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetragah2[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"9d2f3b25-0d02-4ca9-b38e-4789caa290b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tetrametric \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tetragah2\[Dagger]", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tetrametric ", 
   $CellContext`Tetragah2\[Dagger][-$CellContext`\[Alpha], -$CellContext`\
\[Beta], -$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"ce9a3092-c2f6-4882-92ab-c8c3bb2c6df5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CDah2", "[", 
    RowBox[{"-", "\[Sigma]$5501"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CDah2[-$CellContext`\[Sigma]$5501], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"5d04e4a3-500b-4269-99b0-4a44d536d4b8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionCDah2", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionCDah2[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"42490e99-fbbf-48c7-a059-f20f4cb144be"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCDah2", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelCDah2[$CellContext`\[Alpha], \
-$CellContext`\[Beta], -$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"d6490830-5781-44ee-aa7d-0f4ed300b400"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"RiemannDownCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`RiemannDownCDah2[-$CellContext`\[Alpha], \
-$CellContext`\[Beta], -$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"03f8a3c2-5709-4827-ac59-cbfca1a5bf6e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"RiemannCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", "\[Lambda]"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Antisymmetric only in the first pair.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`RiemannCDah2[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], $CellContext`\[Lambda]], ". ", 
   "Antisymmetric only in the first pair."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"77538770-00d6-4757-95cc-79490b0f5067"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`RicciCDah2[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"a37f8cf0-57ac-4a59-b9fe-3310d1b57e70"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"5e4aaacc-2552-4f56-a67e-6b4186e4f5b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarCDah2", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarCDah2[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"90defa04-2dd2-4502-b4af-55aa429e22a4"],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"6d03b8dd-5754-41d6-8b94-52bb718b5962"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`EinsteinCDah2[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"63746001-5538-4330-aa68-fdef2c74dbe1"],

Cell[BoxData["\<\"** MakeRule: Potential problems moving indices on the \
LHS.\"\>"], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"fedcbcce-c7b3-4e69-8a49-a328703e4b3f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"WeylCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}], ",", 
     RowBox[{"-", "\[Lambda]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "Weyl tensor ", 
   $CellContext`WeylCDah2[-$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Gamma], -$CellContext`\[Lambda]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"be75a736-1b8d-402b-b7ff-58d0a4456caf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRicciCDah2", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRicciCDah2[-$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"e7cf554a-3f15-4821-a7c4-db2df1454d3c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"KretschmannCDah2", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`KretschmannCDah2[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"f6197f43-b926-4b37-8bab-1c2600b3bec8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", 4],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"df1d9e88-eb9d-45f1-aab7-d5916551eaba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "4"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", 4],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"80d3a1a7-2079-44dd-8023-d7a110f1ea1f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"Detgah2", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`Detgah2[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"b28c3a7e-eaf4-4e4b-8968-124135900fa2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
     "8"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "g", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4, 5, 6, 7, 8}], 
   " have been declared as UpValues for ", $CellContext`g, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"68b93be3-fe50-4a46-aef3-d913ba4ff9c5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", "1", "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "g", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1}], " have been declared as UpValues for ", $CellContext`g, "."],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"f2535221-72c6-4056-b7ce-4082d279ddbc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Connectionh", "[", 
    RowBox[{
     RowBox[{"-", "\[Sigma]$4407"}], ",", 
     RowBox[{"-", "\[Sigma]$4408"}], ",", 
     RowBox[{"-", "\[Sigma]$4409"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Connectionh[-$CellContext`\[Sigma]$4407, -$CellContext`\
\[Sigma]$4408, -$CellContext`\[Sigma]$4409], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"734ce0d8-7aa5-4899-97a1-e13a05cd08d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"CSh", "[", 
    RowBox[{
     RowBox[{"-", "\[Sigma]$4407"}], ",", 
     RowBox[{"-", "\[Sigma]$4408"}], ",", 
     RowBox[{"-", "\[Sigma]$4409"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`CSh[-$CellContext`\[Sigma]$4407, -$CellContext`\[Sigma]$4408, \
-$CellContext`\[Sigma]$4409], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"b9fdb734-6a71-4df1-8f73-86965973afee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"nth", "[", 
    RowBox[{"\[Sigma]$4407", ",", "\[Sigma]$4408"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`nth[$CellContext`\[Sigma]$4407, $CellContext`\[Sigma]$4408], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"2748a43f-b0f3-4c50-b068-9798660625b7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"avh", "[", 
    RowBox[{"-", "\[Sigma]$4407"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`avh[-$CellContext`\[Sigma]$4407], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"8eabc4a9-2ca5-4ee8-bd8f-51a638ac2e99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Rules \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], 
   "\[InvisibleSpace]", "\<\" have been declared as UpValues for \"\>", 
   "\[InvisibleSpace]", "avh", "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm["   Rules ", 
   Shallow[{1, 2, 3, 4}], 
   " have been declared as UpValues for ", $CellContext`avh, "."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"f4d527db-cec4-45f7-8816-c23461f3a57d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptK]h", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptK]h[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"64d2379b-e4f8-49e5-8855-105735afce86"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Kh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6204", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6204", "]"}], ",", 
     RowBox[{"-", "\[Sigma]$4407"}], ",", 
     RowBox[{"-", "\[Sigma]$4408"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Kh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6204], 
    xAct`xTensor`LI[
    xAct`xPand`Private`q$6204], -$CellContext`\[Sigma]$4407, -$CellContext`\
\[Sigma]$4408], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[7]:=",ExpressionUUID->"68bd092a-13b6-4dde-b985-47e556d8affb"]
}, Open  ]]
}, Open  ]],

Cell["\<\
We define the metric and velocity perturbations (plus many fields which are \
going to be used in the splitting of these perturbations)\
\>", "Text",
 CellChangeTimes->{{3.563563012681082*^9, 
  3.563563035516906*^9}},ExpressionUUID->"102e73af-6638-4168-a5b1-\
95608ac24cbe"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefMetricFields", "[", 
  RowBox[{"g", ",", "dg", ",", "h"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefMatterFields", "[", 
  RowBox[{"u", ",", "du", ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5626506507569027`*^9, 3.562650676540516*^9}, {
  3.563593598344204*^9, 3.563593760989996*^9}, {3.563593831386814*^9, 
  3.563593843403411*^9}, {3.5635938839906883`*^9, 3.563593889421606*^9}, {
  3.563606534600699*^9, 3.563606568329323*^9}, {3.563606606213978*^9, 
  3.563606610204694*^9}, {3.563606647224956*^9, 3.563606648143643*^9}, {
  3.563609777035445*^9, 3.5636097787922153`*^9}, {3.563870576310814*^9, 
  3.563870589186982*^9}, {3.563871864667067*^9, 3.563871865937463*^9}, {
  3.564824658941679*^9, 3.56482466482544*^9}, {3.564825406923849*^9, 
  3.564825407001835*^9}, {3.565093553155402*^9, 3.565093556775597*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"cf1efc0f-63d4-4602-a249-06a6338af751"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefParameter", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"parameter \"\>", "\[InvisibleSpace]", 
   "\[Epsilon]", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefParameter, ": Defining ", "parameter ", 
   xAct`xPand`\[Epsilon], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"9919cfdd-59d1-486b-b08e-530ce7d59043"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"dg", "[", 
    RowBox[{
     RowBox[{"LI", "[", "\<\"order\"\>", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`dg[
    xAct`xTensor`LI["order"], -$CellContext`\[Alpha], -$CellContext`\[Beta]], 
   ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"7fd274ec-25f2-4c04-a201-4a4113f8cf5d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Phi]h", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6695", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6695", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Phi]h[
    xAct`xTensor`LI[xAct`xPand`Private`p$6695], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6695]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"51a67099-96ef-4234-822a-416655d1783b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Bsh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6701", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6701", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Bsh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6701], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6701]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"dab7f878-9381-4ba4-846b-32446fa076c2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Bvh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6707", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6707", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Bvh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6707], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6707], -$CellContext`\[Alpha]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"3adaddf8-760d-4f50-9a0a-c2b34c4be923"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Psi]h", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6714", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6714", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Psi]h[
    xAct`xTensor`LI[xAct`xPand`Private`p$6714], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6714]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"93d429bc-e6d1-44b9-9509-8ff73947cbc9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Esh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6720", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6720", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Esh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6720], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6720]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"f2a66156-9315-4c55-a709-8e25b9af8eb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Evh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6726", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6726", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Evh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6726], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6726], -$CellContext`\[Alpha]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"ddb78f4f-28ae-4145-aef0-017657b2da31"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Eth", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6733", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6733", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Eth[
    xAct`xTensor`LI[xAct`xPand`Private`p$6733], 
    xAct`xTensor`LI[
    xAct`xPand`Private`q$6733], -$CellContext`\[Alpha], \
-$CellContext`\[Beta]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"5aca8fe5-d9c6-4ed6-bb06-210ddc88bd4d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Th", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6743", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6743", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Th[
    xAct`xTensor`LI[xAct`xPand`Private`p$6743], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6743]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"b4d39806-f278-45a1-8909-b62f94a8b2e3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Lsh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6749", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6749", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Lsh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6749], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6749]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"645ec215-e58a-4af2-b913-c9a3dbc8f8fc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Lvh", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6755", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6755", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Lvh[
    xAct`xTensor`LI[xAct`xPand`Private`p$6755], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6755], -$CellContext`\[Alpha]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"a54c1bf1-0e78-4ecf-bf98-b4ee645885a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[CurlyPhi]", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6765", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6765", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   xAct`xPand`\[CurlyPhi][
    xAct`xTensor`LI[xAct`xPand`Private`p$6765], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6765]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"0aeca1b8-9423-42ca-ba85-40db4c0b8185"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Rho]u", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6771", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6771", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Rho]u[
    xAct`xTensor`LI[xAct`xPand`Private`p$6771], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6771]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"65418554-8ca6-4ceb-81eb-3786ab601d4d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Pu", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6777", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6777", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Pu[
    xAct`xTensor`LI[xAct`xPand`Private`p$6777], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6777]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"79e30461-4bc2-45ac-82e2-45211f93dac2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Vspathu", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6783", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6783", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Vspathu[
    xAct`xTensor`LI[xAct`xPand`Private`p$6783], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6783], -$CellContext`\[Alpha]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"957a2e64-73bb-4d2e-ac6a-1347954786c5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"V0hu", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6790", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6790", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`V0hu[
    xAct`xTensor`LI[xAct`xPand`Private`p$6790], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6790]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"0fd3892a-633f-4d6e-96e6-8ae8ab205b21"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Vshu", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6796", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6796", "]"}]}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Vshu[
    xAct`xTensor`LI[xAct`xPand`Private`p$6796], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6796]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"745cc5fd-9699-4d56-afae-2d9142eec233"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Vvhu", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`p$6802", "]"}], ",", 
     RowBox[{"LI", "[", "xAct`xPand`Private`q$6802", "]"}], ",", 
     RowBox[{"-", "\[Alpha]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Vvhu[
    xAct`xTensor`LI[xAct`xPand`Private`p$6802], 
    xAct`xTensor`LI[xAct`xPand`Private`q$6802], -$CellContext`\[Alpha]], ". ",
    ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"732dacfc-5700-405a-bd0b-b31919946f71"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"u", "[", "\[Alpha]", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`u[$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"65a40f0a-02c2-419f-bff8-6bf1a7e81958"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"du", "[", 
    RowBox[{
     RowBox[{"LI", "[", "\<\"order\"\>", "]"}], ",", "\[Alpha]"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`du[
    xAct`xTensor`LI["order"], $CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[8]:=",ExpressionUUID->"56154450-3a08-42e8-bf33-da29c0c97b18"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Conformal transformation", "Subsection",
 CellChangeTimes->{{3.562934128517933*^9, 3.56293413427456*^9}, {
   3.5629683454503393`*^9, 3.5629683467064953`*^9}, {3.563512218607822*^9, 
   3.563512219133836*^9}, 
   3.563877291409362*^9},ExpressionUUID->"81139839-408c-42c3-a7c8-\
854097a731e1"],

Cell["\<\
When evaluating SetSlicing, a conformal metric has been defined by calling \
the function DefConformalMetric[g,Sh].  We can check indeed it is in the list \
of metrics\
\>", "Text",
 CellChangeTimes->{{3.562934136384865*^9, 3.562934151665057*^9}, {
   3.5637102641702137`*^9, 3.5637103093333683`*^9}, {3.563710388875613*^9, 
   3.563710396038104*^9}, 3.563877291409915*^9, 
   3.569132456084688*^9},ExpressionUUID->"daca2ba1-74d6-48cf-b09a-\
4193d6c8ba94"],

Cell[CellGroupData[{

Cell[BoxData["$Metrics"], "Input",
 CellChangeTimes->{{3.563710290770364*^9, 3.5637102925193863`*^9}, 
   3.56387729141026*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"66b7752e-d3ac-47ff-b518-4257ee30a8a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"g", ",", "h", ",", "gah2"}], "}"}]], "Output",
 CellLabel->"Out[10]=",ExpressionUUID->"88b19ce8-e465-467e-ba78-f9c4620c98f9"]
}, Open  ]],

Cell["That is there is a new metric gah2 whith relations", "Text",
 CellChangeTimes->{{3.562934184705369*^9, 3.562934201090186*^9}, 
   3.563877291413095*^9, {3.5647497241944227`*^9, 
   3.564749724421996*^9}},ExpressionUUID->"aafd1289-74d1-4a3c-bff1-\
5dbc707e7040"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ConformalRules", "[", 
  RowBox[{
   RowBox[{"First", "@", "$Metrics"}], ",", "gah2"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", 
  RowBox[{"g", "[", 
   RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", 
  RowBox[{"g", "[", 
   RowBox[{
    RowBox[{"-", "\[Mu]"}], ",", 
    RowBox[{"-", "\[Nu]"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.562768411670093*^9, 3.562768447609537*^9}, {
   3.562780820321291*^9, 3.562780821657073*^9}, 3.562929128106678*^9, {
   3.562934180078665*^9, 3.562934183589327*^9}, 3.563074165401021*^9, 
   3.5630999171383343`*^9, {3.563563046251712*^9, 3.56356304833958*^9}, {
   3.5638718703937798`*^9, 3.563871873799725*^9}, 3.563877291413478*^9, {
   3.5638777709583817`*^9, 3.563877776086941*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"f7f446f0-4f22-4050-8483-983b7c0f4301"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {
             UnderscriptBox[
              UnderscriptBox["\[Alpha]", "_"], "_"], 
             UnderscriptBox[
              UnderscriptBox["\[Beta]", "_"], "_"]},
            {" ", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[
      PatternTest[
       Pattern[$CellContext`\[Alpha], 
        Blank[]], xAct`xTensor`DownIndexQ], 
      PatternTest[
       Pattern[$CellContext`\[Beta], 
        Blank[]], xAct`xTensor`DownIndexQ]],
     Editable->False], "\[Rule]", 
    FractionBox[
     InterpretationBox[
      StyleBox[GridBox[{
         {
          RowBox[{"[", 
           RowBox[{
            OverscriptBox["g", "_"], 
            SuperscriptBox["a", "2"]}], "]"}], 
          StyleBox[GridBox[{
             {"\[Alpha]", "\[Beta]"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`gah2[$CellContext`\[Alpha], $CellContext`\[Beta]],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]]}], ",", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {
             UnderscriptBox[
              UnderscriptBox["\[Alpha]", "_"], "_"], 
             UnderscriptBox[
              UnderscriptBox["\[Beta]", "_"], "_"]},
            {" ", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[
      PatternTest[
       Pattern[$CellContext`\[Alpha], 
        Blank[]], xAct`xTensor`UpIndexQ], 
      PatternTest[
       Pattern[$CellContext`\[Beta], 
        Blank[]], xAct`xTensor`UpIndexQ]],
     Editable->False], "\[Rule]", 
    RowBox[{
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          RowBox[{"i", "[", 
           RowBox[{
            OverscriptBox["g", "_"], 
            SuperscriptBox["a", "2"]}], "]"}], 
          StyleBox[GridBox[{
             {"\[Alpha]", "\[Beta]"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Invgah2[$CellContext`\[Alpha], $CellContext`\[Beta]],
      Editable->False]}]}], ",", 
   RowBox[{
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       OverscriptBox["g", "_"], 
       OverscriptBox[
        StyleBox["~",
         FontColor->RGBColor[0, 0, 0]], 
        StyleBox["~",
         FontColor->RGBColor[0, 0, 0]]]],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Detg[],
     Editable->False], "\[Rule]", 
    FractionBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        RowBox[{"[", 
         RowBox[{
          OverscriptBox["g", "_"], 
          SuperscriptBox["a", "2"]}], "]"}], 
        OverscriptBox[
         StyleBox["~",
          FontColor->RGBColor[0, 0, 0]], 
         StyleBox["~",
          FontColor->RGBColor[0, 0, 0]]]],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Detgah2[],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "8"]]}]}], "}"}]], "Output",
 CellLabel->"Out[11]=",ExpressionUUID->"687d83f7-3742-455e-a5f9-fd2fc5949dcb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCDCDah2", "[", 
    RowBox[{"\[Alpha]", ",", 
     RowBox[{"-", "\[Beta]"}], ",", 
     RowBox[{"-", "\[Gamma]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`ChristoffelCDCDah2[$CellContext`\[Alpha], -$CellContext`\
\[Beta], -$CellContext`\[Gamma]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[11]:=",ExpressionUUID->"d1967e47-3926-4408-b23a-b168db41ed7e"],

Cell[BoxData[
 FractionBox[
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["g", "_"], 
       StyleBox[GridBox[{
          {"\[Mu]", "\[Nu]"},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`g[$CellContext`\[Mu], $CellContext`\[Nu]],
   Editable->False], 
  SuperscriptBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], 
      StyleBox[")",
       FontColor->RGBColor[1, 0, 0]]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`Scalar[
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]],
    Editable->False], "2"]]], "Output",
 CellLabel->"Out[12]=",ExpressionUUID->"3742f8f2-1cb3-45f5-82ba-90962d7e4917"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["g", "_"], 
       StyleBox[GridBox[{
          {" ", " "},
          {"\[Mu]", "\[Nu]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
   Editable->False], " ", 
  SuperscriptBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], 
      StyleBox[")",
       FontColor->RGBColor[1, 0, 0]]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`Scalar[
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]],
    Editable->False], "2"]}]], "Output",
 CellLabel->"Out[13]=",ExpressionUUID->"8cbc11b7-395f-4af3-8a44-522b14bae24b"]
}, Open  ]],

Cell["\<\
We have then a function Conformal which enables to perform conformal \
transformations, and to express the result in terms of the original metric\
\>", "Text",
 CellChangeTimes->{{3.562934203470429*^9, 3.562934233801244*^9}, 
   3.5638772914261007`*^9},ExpressionUUID->"7bb25719-2816-4eba-b607-\
f2d0c7055fd8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"Te", "[", 
    RowBox[{"-", "\[Alpha]"}], "]"}], ",", 
   RowBox[{"{", "M", "}"}], ",", 
   RowBox[{"PrintAs", "\[Rule]", "\"\<T\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.562766425512738*^9, 3.5627664317962627`*^9}, {
   3.5627689637534*^9, 3.5627689805302677`*^9}, 3.562929128104525*^9, {
   3.5629325081246433`*^9, 3.562932513430986*^9}, 3.563877291426346*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"02b92636-8fd2-413f-9530-b676f946ac8b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Te", "[", 
    RowBox[{"-", "\[Alpha]"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Te[-$CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[14]:=",ExpressionUUID->"a98883b9-4cc4-4bf6-8c7a-a8a0b2ab7278"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", 
  RowBox[{
   RowBox[{"CD", "[", 
    RowBox[{"-", "\[Nu]"}], "]"}], "[", 
   RowBox[{"Te", "[", 
    RowBox[{"-", "\[Mu]"}], "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", 
  RowBox[{"ChristoffelCD", "[", 
   RowBox[{"\[Alpha]", ",", 
    RowBox[{"-", "\[Nu]"}], ",", 
    RowBox[{"-", "\[Beta]"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.562765816151791*^9, 3.5627658351165943`*^9}, {
   3.5627664243994637`*^9, 3.5627664360832*^9}, {3.562767580442765*^9, 
   3.562767580730151*^9}, {3.5627677645976143`*^9, 3.562767783784576*^9}, 
   3.562767947835243*^9, {3.562768036981443*^9, 3.562768040915002*^9}, {
   3.562768118176156*^9, 3.562768154697383*^9}, {3.5627689475013103`*^9, 
   3.5627689838102703`*^9}, {3.5627690277352257`*^9, 3.56276903839153*^9}, {
   3.5627695781829*^9, 3.562769624660634*^9}, {3.562769669069332*^9, 
   3.5627696796313868`*^9}, {3.562780239025478*^9, 3.5627802440327387`*^9}, {
   3.562781043385713*^9, 3.562781060430093*^9}, 3.56292912810921*^9, {
   3.562932518419365*^9, 3.5629325238952627`*^9}, {3.562934161547531*^9, 
   3.56293417860718*^9}, {3.563563050410925*^9, 3.563563050978919*^9}, {
   3.563871877818809*^9, 3.563871880864637*^9}, {3.563872081763115*^9, 
   3.5638720839778852`*^9}, 3.5638725972518673`*^9, 3.563872737518547*^9, {
   3.563876120147348*^9, 3.563876120821805*^9}, 3.563877291438953*^9, {
   3.563877580913485*^9, 3.5638775848382893`*^9}, {3.563877649338241*^9, 
   3.563877654568143*^9}, {3.56387779553517*^9, 3.563877799178447*^9}, {
   3.563877851858986*^9, 3.5638778564509163`*^9}, {3.563877942721211*^9, 
   3.563877950427094*^9}, {3.5638783562530327`*^9, 3.563878426678177*^9}, {
   3.563878715854361*^9, 3.563878717406581*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"94078076-827f-4624-b5a0-994f43fb491f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["g", "_"], 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Mu]", "\[Nu]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"T", 
        StyleBox[GridBox[{
           {"\[Alpha]"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Te[$CellContext`\[Alpha]],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`\[Alpha]][
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], ")"}]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"T", 
        StyleBox[GridBox[{
           {" "},
           {"\[Nu]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Te[-$CellContext`\[Nu]],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["\[Del]", "_"], "\[Mu]"], 
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`\[Mu]][
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], ")"}]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["\[Del]", "_"], "\[Nu]"], GridBox[{
         {"T", 
          StyleBox[GridBox[{
             {" "},
             {"\[Mu]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`\[Nu]][
      $CellContext`Te[-$CellContext`\[Mu]]],
     Editable->False], ")"}]}]}]], "Output",
 CellLabel->"Out[15]=",ExpressionUUID->"c3a919b7-6b0a-4021-885a-ccfe7bc2400e"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"\[CapitalGamma]", "[", 
        OverscriptBox["\[Del]", "_"], "]"}], 
       StyleBox[GridBox[{
          {"\[Alpha]", " ", " "},
          {" ", "\[Beta]", "\[Nu]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`ChristoffelCD[$CellContext`\[Alpha], -$CellContext`\[Beta], \
-$CellContext`\[Nu]],
   Editable->False], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Beta]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Beta], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[$CellContext`\[Alpha]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], 
      StyleBox[")",
       FontColor->RGBColor[1, 0, 0]]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`Scalar[
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]],
    Editable->False]], "+", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {"\[Alpha]", " "},
            {" ", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`delta[$CellContext`\[Alpha], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Beta]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Beta]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], 
      StyleBox[")",
       FontColor->RGBColor[1, 0, 0]]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`Scalar[
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]],
    Editable->False]], "+", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {"\[Alpha]", " "},
            {" ", "\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`delta[$CellContext`\[Alpha], -$CellContext`\[Beta]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Nu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Nu]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     RowBox[{
      StyleBox["(",
       FontColor->RGBColor[1, 0, 0]], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], 
      StyleBox[")",
       FontColor->RGBColor[1, 0, 0]]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`Scalar[
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]],
    Editable->False]]}]], "Output",
 CellLabel->"Out[16]=",ExpressionUUID->"25f08599-2912-43f8-b46e-e0338ffaee63"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", 
  RowBox[{"RicciScalarCD", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"AA", "=", 
  RowBox[{
   RowBox[{"ExpandPerturbation", "@", 
    RowBox[{"Perturbed", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Conformal", "[", 
        RowBox[{"g", ",", "gah2"}], "]"}], "[", 
       RowBox[{"RicciCD", "[", 
        RowBox[{
         RowBox[{"-", "\[Mu]"}], ",", 
         RowBox[{"-", "\[Nu]"}]}], "]"}], "]"}], ",", "1"}], "]"}]}], "//", 
   "org"}]}], "\[IndentingNewLine]", 
 RowBox[{"BB", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Conformal", "[", 
     RowBox[{"g", ",", "gah2"}], "]"}], "[", 
    RowBox[{"ExpandPerturbation", "@", 
     RowBox[{"Perturbed", "[", 
      RowBox[{
       RowBox[{"RicciCD", "[", 
        RowBox[{
         RowBox[{"-", "\[Mu]"}], ",", 
         RowBox[{"-", "\[Nu]"}]}], "]"}], ",", "1"}], "]"}]}], "]"}], "//", 
   "org"}]}]}], "Input",
 CellChangeTimes->{{3.562765816151791*^9, 3.5627658351165943`*^9}, {
   3.5627664243994637`*^9, 3.5627664360832*^9}, {3.562767580442765*^9, 
   3.562767580730151*^9}, {3.5627677645976143`*^9, 3.562767783784576*^9}, 
   3.562767947835243*^9, {3.562768036981443*^9, 3.562768040915002*^9}, {
   3.562768118176156*^9, 3.562768154697383*^9}, {3.5627689475013103`*^9, 
   3.5627689838102703`*^9}, {3.5627690277352257`*^9, 3.56276903839153*^9}, {
   3.5627695781829*^9, 3.562769624660634*^9}, {3.562769669069332*^9, 
   3.5627696796313868`*^9}, {3.562780239025478*^9, 3.5627802440327387`*^9}, {
   3.562781043385713*^9, 3.562781060430093*^9}, 3.56292912810921*^9, {
   3.562932518419365*^9, 3.5629325238952627`*^9}, {3.562934161547531*^9, 
   3.562934170797639*^9}, {3.562959969895514*^9, 3.5629599718377867`*^9}, {
   3.5630999180294113`*^9, 3.56309991901175*^9}, {3.563136952008884*^9, 
   3.5631369545999603`*^9}, 3.563137007446294*^9, {3.563195802494383*^9, 
   3.563195803909257*^9}, {3.5635630526352673`*^9, 3.563563054667239*^9}, {
   3.5638718836443033`*^9, 3.563871886663107*^9}, {3.563872087827065*^9, 
   3.563872092485284*^9}, 3.563877291454117*^9, {3.564205503879607*^9, 
   3.5642055483244047`*^9}, {3.564205582245668*^9, 3.564205622152637*^9}, {
   3.564205724829054*^9, 3.5642057261163607`*^9}, {3.564205776783876*^9, 
   3.564205777287071*^9}, {3.56420600570263*^9, 3.5642060103870983`*^9}, {
   3.564244742847465*^9, 3.5642447429244623`*^9}, {3.564282215896468*^9, 
   3.5642822163053827`*^9}, {3.564554778469214*^9, 3.5645547867154207`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"d1416d3f-e2d8-4414-b39f-38fc4311f519"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{"R", "[", 
      OverscriptBox["\[Del]", "_"], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`RicciScalarCD[],
    Editable->False], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"6", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], "3"]]}]], "Output",
 CellLabel->"Out[17]=",ExpressionUUID->"bcd847d8-a50f-4a8c-98e8-c0070171beb5"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", 
        OverscriptBox["\[Del]", "_"], "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"\[Mu]", "\[Nu]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[-$CellContext`\[Mu], -$CellContext`\[Nu]],
   Editable->False], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[$CellContext`\[Alpha]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Mu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Mu]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Nu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Nu]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Nu]"], 
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Mu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Nu]][
       $CellContext`CD[-$CellContext`\[Mu]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", " "},
                {" ", "\[Mu]", "\[Nu]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`dg[
          xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`CD[$CellContext`\[Alpha]][
            $CellContext`ah[
             xAct`xTensor`LI[0], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SuperscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", " "},
                {" ", "\[Mu]", "\[Nu]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", "\[Alpha]"},
                {" ", "\[Nu]", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Nu], $CellContext`\[Alpha]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Nu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", "\[Alpha]"},
                {" ", "\[Mu]", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[-$CellContext`\[Nu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], $CellContext`\[Alpha]]]],
        Editable->False], ")"}]}], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", " "},
               {" ", "\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Beta]", " "},
                 {" ", " ", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Beta], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Mu]", "\[Nu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Beta]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
         
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", " "},
               {" ", "\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Beta]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Nu]", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Nu], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Nu]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Mu]", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Nu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Nu]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", "\[Alpha]", " "},
                {" ", " ", "\[Alpha]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Nu]][
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[
           1], $CellContext`\[Alpha], -$CellContext`\[Alpha]]]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[18]=",ExpressionUUID->"dcdf9a2d-08f2-4ff2-be04-d78fdc52eda2"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", 
        OverscriptBox["\[Del]", "_"], "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"\[Mu]", "\[Nu]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[-$CellContext`\[Mu], -$CellContext`\[Nu]],
   Editable->False], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[$CellContext`\[Alpha]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Mu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Mu]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Nu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Nu]][
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Nu]"], 
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Mu]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Nu]][
       $CellContext`CD[-$CellContext`\[Mu]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", " "},
                {" ", "\[Mu]", "\[Nu]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`dg[
          xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`CD[$CellContext`\[Alpha]][
            $CellContext`ah[
             xAct`xTensor`LI[0], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SuperscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", " "},
                {" ", "\[Mu]", "\[Nu]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", "\[Alpha]"},
                {" ", "\[Nu]", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Nu], $CellContext`\[Alpha]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Nu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", " ", "\[Alpha]"},
                {" ", "\[Mu]", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`CD[-$CellContext`\[Nu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], $CellContext`\[Alpha]]]],
        Editable->False], ")"}]}], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", " "},
               {" ", "\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Beta]", " "},
                 {" ", " ", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Beta], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Mu]", "\[Nu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Beta]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
         
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", " "},
               {" ", "\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["g", "_"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Beta]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Nu]", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Nu], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Nu]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Mu]", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Nu]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Nu]"], 
          SubscriptBox[
           OverscriptBox["\[Del]", "_"], "\[Mu]"], GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", "\[Alpha]", " "},
                {" ", " ", "\[Alpha]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`CD[-$CellContext`\[Nu]][
         $CellContext`CD[-$CellContext`\[Mu]][
          $CellContext`dg[
           xAct`xTensor`LI[
           1], $CellContext`\[Alpha], -$CellContext`\[Alpha]]]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[19]=",ExpressionUUID->"169b31ef-0121-441b-97e3-e898ff082a9d"]
}, Open  ]],

Cell["\<\
Perturbation or Conformal transformation can be performed in whatever order.\
\>", "Text",
 CellChangeTimes->{{3.5647246875245323`*^9, 
  3.564724706422494*^9}},ExpressionUUID->"5281cb0d-04b3-4339-a33f-\
d6dc7cc38754"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AA", "-", "BB"}], "//", "org"}]], "Input",
 CellChangeTimes->{{3.56472467789257*^9, 3.564724679209621*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"6eafdb04-3cab-404e-b71c-77ebb3ba9738"],

Cell[BoxData["0"], "Output",
 CellLabel->"Out[20]=",ExpressionUUID->"a5071180-672b-4699-8a79-c155f1879060"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Projected tensors", "Subsection",
 CellChangeTimes->{{3.5629682807069607`*^9, 3.562968306859556*^9}, {
  3.562968356224935*^9, 3.562968369292192*^9}, {3.563444982783309*^9, 
  3.563444983214929*^9}, {3.563508900958765*^9, 3.56350891184549*^9}, {
  3.563563075951659*^9, 
  3.563563077500062*^9}},ExpressionUUID->"a20180f5-66c9-47bf-ab2c-\
0b427575e9eb"],

Cell["DefMetricPerturbations has defined many tensors", "Text",
 CellChangeTimes->{{3.563563227804222*^9, 
  3.563563241281427*^9}},ExpressionUUID->"91191b2a-2e44-4eb3-b817-\
3bec3bb597b2"],

Cell[CellGroupData[{

Cell[BoxData["$Tensors"], "Input",
 CellChangeTimes->{{3.563563236233553*^9, 3.563563237177134*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"a560cdcf-97fb-423c-9aa2-184a08824e97"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "g", ",", "epsilong", ",", "Tetrag", ",", "Tetrag\[Dagger]", ",", 
   "TorsionCD", ",", "ChristoffelCD", ",", "RiemannCD", ",", "RicciCD", ",", 
   "RicciScalarCD", ",", "EinsteinCD", ",", "WeylCD", ",", "TFRicciCD", ",", 
   "KretschmannCD", ",", "Detg", ",", "n", ",", "h", ",", "epsilonh", ",", 
   "Tetrah", ",", "Tetrah\[Dagger]", ",", "Torsioncd", ",", "Christoffelcd", 
   ",", "Riemanncd", ",", "Riccicd", ",", "RicciScalarcd", ",", "Einsteincd", 
   ",", "Weylcd", ",", "TFRiccicd", ",", "Kretschmanncd", ",", "Deth", ",", 
   "ExtrinsicKh", ",", "Accelerationn", ",", "\[ScriptCapitalN]0h", ",", 
   "\[ScriptCapitalN]ih", ",", "\[ScriptCapitalN]h", ",", 
   "d\[ScriptCapitalN]h", ",", "ah", ",", "Hh", ",", "gah2", ",", "Invgah2", 
   ",", "epsilongah2", ",", "Tetragah2", ",", "Tetragah2\[Dagger]", ",", 
   "TorsionCDah2", ",", "ChristoffelCDah2", ",", "RiemannDownCDah2", ",", 
   "RiemannCDah2", ",", "RicciCDah2", ",", "RicciScalarCDah2", ",", 
   "EinsteinCDah2", ",", "WeylCDah2", ",", "TFRicciCDah2", ",", 
   "KretschmannCDah2", ",", "Detgah2", ",", "Connectionh", ",", "CSh", ",", 
   "nth", ",", "avh", ",", "\[ScriptK]h", ",", "Kh", ",", "dg", ",", 
   "\[Phi]h", ",", "Bsh", ",", "Bvh", ",", "\[Psi]h", ",", "Esh", ",", "Evh", 
   ",", "Eth", ",", "Th", ",", "Lsh", ",", "Lvh", ",", "\[CurlyPhi]", ",", 
   "\[Rho]u", ",", "Pu", ",", "Vspathu", ",", "V0hu", ",", "Vshu", ",", 
   "Vvhu", ",", "u", ",", "du", ",", "ChristoffelCDCDah2", ",", "Te"}], 
  "}"}]], "Output",
 CellLabel->"Out[21]=",ExpressionUUID->"da3177fe-828d-49ca-b50c-d6a32c2056eb"]
}, Open  ]],

Cell["\<\
We can see that the first label index in these tensors is the order of \
perturbations, and the second one is the number of \"time derivative\"\
\>", "Text",
 CellChangeTimes->{{3.563563246642077*^9, 
  3.563563284206313*^9}},ExpressionUUID->"03800891-9270-43f7-aaa1-\
24effb9f8605"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Eth", "[", 
  RowBox[{
   RowBox[{"LI", "[", "1", "]"}], ",", 
   RowBox[{"LI", "[", "1", "]"}], ",", 
   RowBox[{"-", "\[Mu]"}], ",", "\[Nu]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LieD", "[", 
   RowBox[{"n", "[", "\[Alpha]", "]"}], "]"}], "@", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{"ContractMetric", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.5635101482606297`*^9, 3.563510209448275*^9}, 
   3.5635630839491377`*^9, {3.563611650994144*^9, 3.563611656217318*^9}, {
   3.5648207587028027`*^9, 3.56482075898812*^9}, 3.568551210287366*^9, {
   3.568551404265674*^9, 3.568551406706756*^9}, {3.568551832316559*^9, 
   3.568551859211594*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"072e693d-d0c5-4457-9efa-f02dcc334f9d"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   RowBox[{
    OverscriptBox["\[Null]", 
     StyleBox[
      RowBox[{"(", "1", ")"}],
      FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
    OverscriptBox[
     InterpretationBox[
      StyleBox[GridBox[{
         {"E", 
          StyleBox[GridBox[{
             {" ", "\[Nu]"},
             {"\[Mu]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Eth[-$CellContext`\[Mu], $CellContext`\[Nu]],
      Editable->False], "\[Prime]"]}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`Eth[
   xAct`xTensor`LI[1], 
   xAct`xTensor`LI[1], -$CellContext`\[Mu], $CellContext`\[Nu]],
  Editable->False]], "Output",
 CellLabel->"Out[22]=",ExpressionUUID->"8036fac2-6d37-4b0f-9425-1bfe971ac9d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      OverscriptBox["\[Null]", 
       StyleBox[
        RowBox[{"(", "1", ")"}],
        FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
      OverscriptBox[
       InterpretationBox[
        StyleBox[GridBox[{
           {"E", 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Alpha]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Alpha]],
        Editable->False], "\[Prime]\[Prime]"]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Eth[
     xAct`xTensor`LI[1], 
     xAct`xTensor`LI[2], -$CellContext`\[Mu], -$CellContext`\[Alpha]],
    Editable->False], ")"}], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       OverscriptBox["h", "-"], 
       StyleBox[GridBox[{
          {"\[Nu]", "\[Alpha]"},
          {" ", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`h[$CellContext`\[Nu], $CellContext`\[Alpha]],
   Editable->False]}]], "Output",
 CellLabel->"Out[23]=",ExpressionUUID->"7de3a878-0dba-4d86-b934-c4fb011ba68a"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   RowBox[{
    OverscriptBox["\[Null]", 
     StyleBox[
      RowBox[{"(", "1", ")"}],
      FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
    OverscriptBox[
     InterpretationBox[
      StyleBox[GridBox[{
         {"E", 
          StyleBox[GridBox[{
             {" ", "\[Nu]"},
             {"\[Mu]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Eth[-$CellContext`\[Mu], $CellContext`\[Nu]],
      Editable->False], "\[Prime]\[Prime]"]}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`Eth[
   xAct`xTensor`LI[1], 
   xAct`xTensor`LI[2], -$CellContext`\[Mu], $CellContext`\[Nu]],
  Editable->False]], "Output",
 CellLabel->"Out[24]=",ExpressionUUID->"f527d65f-ab45-4611-aa02-d2551107e6b0"]
}, Open  ]],

Cell[TextData[{
 "For any tensor, the prime notation, means: ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    SubscriptBox["T", "\[Mu]\[Nu]"], "'"], TraditionalForm]],
  FontSize->14,
  FontColor->RGBColor[1, 0, 1],ExpressionUUID->
  "e3ddcfc0-7321-4f0d-bc6f-1a4bd130800a"],
 StyleBox[" = ",
  FontSize->14,
  FontColor->RGBColor[1, 0, 1]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[ScriptCapitalL]", "n"], 
    SubscriptBox["T", "\[Mu]\[Nu]"]}], TraditionalForm]],
  FontSize->14,
  FontColor->RGBColor[1, 0, 1],ExpressionUUID->
  "bbcb9695-2b4c-432f-8d2e-8c7818010198"],
 ",  which implies for the contravariant indices: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["T", "\[Mu]\[Nu]"], "'"}], "=", 
    RowBox[{
     SuperscriptBox["g", "\[Alpha]\[Mu]"], 
     SuperscriptBox["g", "\[Beta]\[Nu]"], " ", 
     SubscriptBox["\[ScriptCapitalL]", "n"], " ", 
     RowBox[{
      SubscriptBox["T", "\[Alpha]\[Beta]"], " ", "."}]}]}], TraditionalForm]],
  ExpressionUUID->"6ff77d79-fa8b-40c8-bd10-2c930171123c"],
 "\nIn the Friedmann-Lemaitre case, this detail does not matter since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "n"], 
     SubscriptBox["g", "\[Mu]\[Nu]"]}], " ", "=", " ", "0", " "}], 
   TraditionalForm]],ExpressionUUID->"95e4fe85-ce4a-4e44-9a1e-8b305cc159fe"],
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[ScriptCapitalL]", "n"], 
    SuperscriptBox["g", "\[Mu]\[Nu]"]}], TraditionalForm]],ExpressionUUID->
  "8337dd87-29cc-4ca3-95dc-a45abe749628"],
 " = 0 .\nBut in the Bianchi case (see other example notebooks), this becomes \
crucial since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "n"], 
     SuperscriptBox["g", "\[Mu]\[Nu]"]}], "=", 
    RowBox[{"2", 
     SubscriptBox["\[Sigma]", "\[Mu]\[Nu]"]}]}], TraditionalForm]],
  ExpressionUUID->"809e31c3-3193-4a5c-9d5e-a71c030db9d5"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "n"], 
     SuperscriptBox["g", "\[Mu]\[Nu]"]}], "=", 
    RowBox[{
     RowBox[{"-", "2"}], 
     SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"]}]}], TraditionalForm]],
  ExpressionUUID->"733f676d-b186-446b-b342-75c92aeb7493"],
 ".\n"
}], "Text",
 CellChangeTimes->{{3.563509577072174*^9, 3.563509790307374*^9}, 
   3.56351010203469*^9, {3.5635103644715033`*^9, 3.563510390487609*^9}, {
   3.563609810866907*^9, 3.563609857810376*^9}, {3.5636101439355793`*^9, 
   3.563610144277051*^9}, {3.5638719061637793`*^9, 3.5638719064017076`*^9}, {
   3.564821590427013*^9, 3.564821604571533*^9}, {3.5683161996678057`*^9, 
   3.568316210015688*^9}, {3.5691407842935266`*^9, 3.5691408923339357`*^9}},
 FontSize->16,ExpressionUUID->"e9c4c610-749a-4367-80a9-484121e49e85"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["General splitting of perturbations", "Section",
 CellChangeTimes->{{3.562934967253928*^9, 
  3.5629349777439013`*^9}},ExpressionUUID->"2ddbeaaa-e13c-4c29-84ee-\
a23f52ac1af5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"order", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$FirstOrderVectorPerturbations", "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$FirstOrderTensorPerturbations", "=", "True"}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQvaT75ROhnleOp5ZIPAXRBuHvDssD6WVH+I6AaKHu
zC2OQFrjcA6YXnN43nEnIP3600Iw7RtVnekMpGcxrwfTJ6b/WQeiNYXZ14Po
ZwtffAbRQZwCX0D0ReGTN6OB9L01F8G0Ulj44SQgvWNKFJiWfRrqmQKkO26F
g+lPXF37QbTdix4wLVYtU5UOpG1OKYDpDJbNa/l6Xzl++XEATLse703nB9L8
wdUZILpIX60ZRKuLBoHptT+U7GKA9Ew+TTBt2ul1tRtIi0TfBdMRix4n5vcD
3a+UnwSiv6ZrVDQDaSnXmWAaAAVpmwI=
  "],
 CellLabel->"In[25]:=",ExpressionUUID->"31235cbf-9bc3-4491-84f4-f322cb663bc7"],

Cell[CellGroupData[{

Cell["Curvature fields", "Subsection",
 CellChangeTimes->{{3.562968383513329*^9, 
  3.562968387754298*^9}},ExpressionUUID->"2912bcf2-4d84-4264-9183-\
3ad117aa000f"],

Cell["\<\
We will first review all the steps which are necessary in order to compute \
cosmological perturbations.
  We will then see that some functions are predefined to perform all these \
steps at once\
\>", "Text",
 CellChangeTimes->{{3.5635638191921873`*^9, 
  3.563563870024558*^9}},ExpressionUUID->"d6314c14-a10d-48bc-99f4-\
ed22a968278d"],

Cell["\<\
First the perturbations in general are obtained by first performing a \
conformal transformation, and then perturbing the result with the tools of \
xPert (Perturbed[..., order])
For instance the Ricci scalar can be conformally transformed, and then \
perturbed. We decompose these steps to see clearly what happens.\
\>", "Text",
 CellChangeTimes->{{3.562934981169223*^9, 3.562935026662223*^9}, {
  3.5630148478153954`*^9, 3.563014859893496*^9}, {3.5635638805192757`*^9, 
  3.563563890331514*^9}},ExpressionUUID->"f11e4b0e-3c3a-4608-a148-\
a6dc78f1376b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"RicciScalarCD", "[", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Conformal", "[", 
   RowBox[{"g", ",", "gah2"}], "]"}], "[", "%", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"MyR", "=", 
  RowBox[{
   RowBox[{"ExpandPerturbation", "@", 
    RowBox[{"Perturbed", "[", 
     RowBox[{"%", ",", "2"}], "]"}]}], "//", "org"}]}]}], "Input",
 CellChangeTimes->{{3.5629350296004677`*^9, 3.562935086699976*^9}, {
   3.562936548713893*^9, 3.562936554066497*^9}, {3.562959981651668*^9, 
   3.562959986281702*^9}, {3.563069889440538*^9, 3.5630698956643744`*^9}, {
   3.563099921203315*^9, 3.563099950080656*^9}, {3.563164961718547*^9, 
   3.563164968740596*^9}, 3.56352873171521*^9, {3.563530264473942*^9, 
   3.5635302654500837`*^9}, {3.563871930854237*^9, 3.563871932685861*^9}, {
   3.564410594083981*^9, 3.564410595283451*^9}, {3.564412209764666*^9, 
   3.564412210716075*^9}, {3.564423507070922*^9, 3.564423507214489*^9}, {
   3.564438806901039*^9, 3.564438807091879*^9}, {3.564480729744288*^9, 
   3.5644807298787937`*^9}, {3.564554285855288*^9, 3.564554286054474*^9}, {
   3.564627866053461*^9, 3.564627866251418*^9}, {3.5646346922552958`*^9, 
   3.5646346923515873`*^9}, {3.564723369112342*^9, 3.5647233692124233`*^9}, {
   3.564723701863689*^9, 3.5647237053733797`*^9}, 3.564723933874172*^9, 
   3.5647240377676353`*^9, {3.564724110386161*^9, 3.564724115144045*^9}, {
   3.564724488167255*^9, 3.564724590417239*^9}, {3.564724728110729*^9, 
   3.564724728501688*^9}, {3.56472629117034*^9, 3.5647262913019657`*^9}, {
   3.5647268063832903`*^9, 3.564726806495494*^9}, {3.564732128897284*^9, 
   3.564732129097125*^9}, {3.564738307358492*^9, 3.564738307572348*^9}, {
   3.564743007423057*^9, 3.5647430074856377`*^9}, {3.564747326360591*^9, 
   3.5647473276537657`*^9}, {3.564747802693861*^9, 3.564747802873898*^9}, {
   3.564816368558123*^9, 3.5648163691724367`*^9}, {3.564862218857226*^9, 
   3.564862219067494*^9}, {3.5648990834189577`*^9, 3.564899083794652*^9}, {
   3.564900709701606*^9, 3.564900710053583*^9}, {3.564903295749937*^9, 
   3.564903295839135*^9}, {3.564903386531948*^9, 3.564903386691209*^9}, {
   3.564903429998761*^9, 3.564903430215693*^9}, {3.564904122743722*^9, 
   3.5649041229513273`*^9}, {3.5649105583256817`*^9, 3.564910558553135*^9}, {
   3.565063493278466*^9, 3.565063494180809*^9}, {3.5650652177914143`*^9, 
   3.565065217934002*^9}, {3.5650659405079737`*^9, 3.5650659408112097`*^9}, {
   3.565070462514841*^9, 3.565070462595196*^9}, {3.5650720725448723`*^9, 
   3.565072072783772*^9}, {3.566889103829708*^9, 3.566889103903179*^9}, {
   3.5668947321129923`*^9, 3.566894732224062*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"0daa712e-4b39-4bcc-82cc-714d4a196a00"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   RowBox[{"R", "[", 
    OverscriptBox["\[Del]", "_"], "]"}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`RicciScalarCD[],
  Editable->False]], "Output",
 CellLabel->"Out[28]=",ExpressionUUID->"3d097255-d7ef-4d33-923e-1304eff92384"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{"R", "[", 
      OverscriptBox["\[Del]", "_"], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`RicciScalarCD[],
    Editable->False], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"6", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False], "3"]]}]], "Output",
 CellLabel->"Out[29]=",ExpressionUUID->"e9d2bae7-0aa0-4ed5-a882-2bdca9bf2568"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{"R", "[", 
      OverscriptBox["\[Del]", "_"], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`RicciScalarCD[],
    Editable->False], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"6", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "3"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"1", "\[Alpha]", "\[Beta]"},
                {" ", " ", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`dg[
          xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], " ", 
        InterpretationBox[
         StyleBox[GridBox[{
            {
             RowBox[{"R", "[", 
              OverscriptBox["\[Del]", "_"], "]"}], 
             StyleBox[GridBox[{
                {" ", " "},
                {"\[Alpha]", "\[Beta]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`RicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Beta]", " "},
                 {" ", " ", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Beta], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Beta]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
         
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Beta]][
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`dg[
          xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], 
         SuperscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", " "},
               {" ", " ", "\[Alpha]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Beta]][
        $CellContext`CD[$CellContext`\[Beta]][
         $CellContext`dg[
          xAct`xTensor`LI[1], $CellContext`\[Alpha], -$CellContext`\[Alpha]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {"\[Delta]g", 
             StyleBox[GridBox[{
                {"2", "\[Alpha]", "\[Beta]"},
                {" ", " ", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`dg[
          xAct`xTensor`LI[2], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], " ", 
        InterpretationBox[
         StyleBox[GridBox[{
            {
             RowBox[{"R", "[", 
              OverscriptBox["\[Del]", "_"], "]"}], 
             StyleBox[GridBox[{
                {" ", " "},
                {"\[Alpha]", "\[Beta]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`RicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"]}]]}], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", "\[Gamma]"},
               {" ", "\[Alpha]", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Gamma]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            RowBox[{"R", "[", 
             OverscriptBox["\[Del]", "_"], "]"}], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Beta]", "\[Gamma]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`RicciCD[-$CellContext`\[Beta], -$CellContext`\[Gamma]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Beta]", "\[Gamma]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Beta], $CellContext`\[Gamma]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Beta]", "\[Gamma]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Beta], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"2", "\[Beta]", " "},
                 {" ", " ", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[2], $CellContext`\[Beta], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "3"]}]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", "\[Beta]"},
               {" ", "\[Alpha]", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Gamma]", " "},
                 {" ", " ", "\[Gamma]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Gamma], -$CellContext`\[Gamma]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"2", " ", "\[Beta]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[2], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
         
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"2", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[2], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Gamma]", " "},
                 {" ", " ", "\[Gamma]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`dg[
            xAct`xTensor`LI[
            1], $CellContext`\[Gamma], -$CellContext`\[Gamma]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"2", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Beta]][
        $CellContext`CD[-$CellContext`\[Alpha]][
         $CellContext`dg[
          xAct`xTensor`LI[2], $CellContext`\[Alpha], $CellContext`\[Beta]]]],
       Editable->False], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], 
         SuperscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"2", "\[Alpha]", " "},
               {" ", " ", "\[Alpha]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Beta]][
        $CellContext`CD[$CellContext`\[Beta]][
         $CellContext`dg[
          xAct`xTensor`LI[2], $CellContext`\[Alpha], -$CellContext`\[Alpha]]]],
       Editable->False], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Gamma]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Gamma]][
           $CellContext`dg[
            xAct`xTensor`LI[
            1], -$CellContext`\[Alpha], $CellContext`\[Gamma]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Gamma]", " "},
                 {" ", " ", "\[Gamma]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Gamma], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Alpha]", " "},
                 {" ", " ", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Alpha], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Beta]", "\[Gamma]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Beta], $CellContext`\[Gamma]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Alpha]", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Alpha]", "\[Beta]"},
                 {" ", " ", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Alpha]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Gamma]"},
                 {" ", "\[Beta]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
         
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", "\[Beta]"},
               {" ", "\[Alpha]", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Gamma]"},
                 {" ", "\[Beta]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
         
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Alpha]", " "},
                 {" ", " ", "\[Alpha]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Alpha], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Gamma]"},
                 {" ", "\[Beta]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
         
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", " ", "\[Gamma]"},
               {" ", "\[Alpha]", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], -$CellContext`\[Alpha], $CellContext`\[Gamma]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", "\[Gamma]"},
                 {" ", "\[Alpha]", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`dg[
            xAct`xTensor`LI[
            1], -$CellContext`\[Alpha], $CellContext`\[Gamma]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]g", 
            StyleBox[GridBox[{
               {"1", "\[Alpha]", "\[Beta]"},
               {" ", " ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`dg[
         xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Alpha]", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`CD[$CellContext`\[Gamma]][
           $CellContext`dg[
            xAct`xTensor`LI[
            1], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Alpha]", "\[Gamma]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`dg[
           xAct`xTensor`LI[
           1], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Alpha]", "\[Beta]"},
                 {" ", " ", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", " ", " "},
                 {" ", "\[Alpha]", "\[Beta]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
             {"\[Delta]g", 
              StyleBox[GridBox[{
                 {"1", "\[Alpha]", "\[Beta]"},
                 {" ", " ", " "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Gamma]][
          $CellContext`dg[
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[30]=",ExpressionUUID->"cf2bad90-c458-4a6f-abe8-10789dc67eb7"]
}, Open  ]],

Cell["\<\
We need some rules to replace the metric perturbations, and to parameterize \
its background 3+1 splitting.\
\>", "Text",
 CellChangeTimes->{{3.563282393631048*^9, 3.563282415844109*^9}, {
   3.563563416057912*^9, 3.563563456384159*^9}, {3.564724039295166*^9, 
   3.564724040767069*^9}, 3.569132934128211*^9, {3.569738883003574*^9, 
   3.569738890915001*^9}},ExpressionUUID->"f31e270b-0ea0-4359-86da-\
dff7573bb17f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RuleMetric", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "ord_", "]"}], ",", "\[Mu]_", ",", "\[Nu]_"}], "]"}],
     ":>", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"n", "[", "\[Mu]", "]"}], 
      RowBox[{"n", "[", "\[Nu]", "]"}], 
      RowBox[{"\[Phi]h", "[", 
       RowBox[{"LI", "[", "ord", "]"}], "]"}]}], "-", 
     RowBox[{"2", 
      RowBox[{"\[Psi]h", "[", 
       RowBox[{"LI", "[", "ord", "]"}], "]"}], 
      RowBox[{"h", "[", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}]}], "+", " ", 
     RowBox[{"2", "*", 
      RowBox[{"Eth", "[", 
       RowBox[{
        RowBox[{"LI", "[", "ord", "]"}], ",", "\[Mu]", ",", "\[Nu]"}], 
       "]"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.564995590859437*^9, 3.5649956062143307`*^9}, {
  3.5649956505991488`*^9, 3.5649956977453823`*^9}, {3.5649960032049513`*^9, 
  3.5649960038443117`*^9}, {3.569738310900898*^9, 3.569738317828519*^9}, {
  3.569738449086383*^9, 3.569738449199717*^9}, {3.579857920393222*^9, 
  3.579857920806821*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"e03eb89e-93dc-4f66-b514-b913c40722ff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Delta]g", 
        StyleBox[GridBox[{
           {"ord_", 
            UnderscriptBox["\[Mu]", "_"], 
            UnderscriptBox["\[Nu]", "_"]},
           {" ", " ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`dg[
     xAct`xTensor`LI[
      Pattern[$CellContext`ord, 
       Blank[]]], 
     Pattern[$CellContext`\[Mu], 
      Blank[]], 
     Pattern[$CellContext`\[Nu], 
      Blank[]]],
    Editable->False], "\[RuleDelayed]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["n", "-"], 
          StyleBox[GridBox[{
             {"\[Mu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`n[$CellContext`\[Mu]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["n", "-"], 
          StyleBox[GridBox[{
             {"\[Nu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`n[$CellContext`\[Nu]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Phi]", 
          StyleBox[GridBox[{
             {"ord"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Phi]h[
       xAct`xTensor`LI[$CellContext`ord]],
      Editable->False]}], "-", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Psi]", 
          StyleBox[GridBox[{
             {"ord"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Psi]h[
       xAct`xTensor`LI[$CellContext`ord]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {"\[Mu]", "\[Nu]"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[$CellContext`\[Mu], $CellContext`\[Nu]],
      Editable->False]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"E", 
          StyleBox[GridBox[{
             {"ord", "\[Mu]", "\[Nu]"},
             {" ", " ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Eth[
       xAct`xTensor`LI[$CellContext`ord], $CellContext`\[Mu], $CellContext`\
\[Nu]],
      Editable->False]}]}]}], "}"}]], "Output",
 CellLabel->"Out[31]=",ExpressionUUID->"be4f8892-e57a-4d3a-a0c6-238863856d66"]
}, Open  ]],

Cell["\<\
Then we use the function SplitPerturbations which takes as arguments a \
perturbed expression, a list of delayed rules, and the induced metric.
We can for instance build a rule for the metric perturbation:\
\>", "Text",
 CellChangeTimes->{{3.562935168276112*^9, 3.5629352564812307`*^9}, {
   3.563282438164418*^9, 3.5632824630430517`*^9}, {3.56356332578718*^9, 
   3.563563404369869*^9}, {3.563563441933023*^9, 3.563563487148242*^9}, {
   3.5635639130279493`*^9, 3.563563917745522*^9}, 3.569132936010049*^9, {
   3.5697382580882597`*^9, 3.569738259189294*^9}, {3.5697385020448093`*^9, 
   3.5697385340339937`*^9}},ExpressionUUID->"7d87e9af-427b-431b-a439-\
c953e49149f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SplitPerturbations", "[", 
  RowBox[{"MyR", ",", "RuleMetric", ",", "h"}], "]"}]], "Input",
 CellChangeTimes->{3.569738297943969*^9},
 CellLabel->"In[32]:=",ExpressionUUID->"0d1665e1-0399-44d7-98de-7bb019f06e43"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "2.213604`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]^(-2) $CellContext`RicciScalarCD[], 
   " +... was performed in ", 2.213604, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[32]:=",ExpressionUUID->"57a49ed8-3a63-43ef-ad3d-f25979f33de6"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"6", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"12", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"18", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
          
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"9", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "2", ")"}],
           FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Eth[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[
            0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
             
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[
           0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[32]=",ExpressionUUID->"b04e8ac8-9f19-438c-ae8f-117f8e15c6d8"]
}, Open  ]],

Cell["\<\
Note also that the fonction SplitPerturbations can be used with an empty \
liste of rules, if the expression which needs to be split is expressed only \
with projected tensors which were defined with DefProjectedTensor and have \
all the necessary properties.
Actually, if the list of rules is empty, it can even be omitted in the \
argument of the function.
However, this is not optimized to do so and should take longer. 
\
\>", "Text",
 CellChangeTimes->{{3.564723434657311*^9, 3.5647234727861958`*^9}, {
   3.564723546060994*^9, 3.564723611142082*^9}, 3.5647247938880033`*^9, {
   3.564726712387681*^9, 3.5647267750873623`*^9}, {3.5647378302730293`*^9, 
   3.5647378434109163`*^9}, {3.56973856849549*^9, 3.569738620703485*^9}, {
   3.569738675767931*^9, 
   3.569738681198319*^9}},ExpressionUUID->"b9320aca-e93b-4647-9165-\
5901976b8b51"],

Cell["\<\
For instance in our example, if we use the rule RuleMetric directly on our \
perturbed expression MyR directly we get\
\>", "Text",
 CellChangeTimes->{{3.564723434657311*^9, 3.5647234727861958`*^9}, {
   3.564723546060994*^9, 3.564723611142082*^9}, 3.5647247938880033`*^9, {
   3.564726712387681*^9, 3.5647267750873623`*^9}, {3.5647378302730293`*^9, 
   3.5647378434109163`*^9}, {3.56973856849549*^9, 3.569738620703485*^9}, {
   3.569738675767931*^9, 3.569738679938073*^9}, {3.56973896441359*^9, 
   3.569738965448045*^9}},ExpressionUUID->"ad27ec5c-0237-4160-9dc3-\
c273253717f7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MyR", "/.", "RuleMetric"}]], "Input",
 CellChangeTimes->{{3.569738596557623*^9, 3.569738603382349*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"0b6f7090-e87e-46a4-a0d2-62ff0e62e7d1"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{"R", "[", 
      OverscriptBox["\[Del]", "_"], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`RicciScalarCD[],
    Editable->False], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"6", " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`CD[$CellContext`\[Alpha]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]]],
      Editable->False], ")"}]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "3"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {
             RowBox[{"R", "[", 
              OverscriptBox["\[Del]", "_"], "]"}], 
             StyleBox[GridBox[{
                {" ", " "},
                {"\[Alpha]", "\[Beta]"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`RicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            InterpretationBox[
             StyleBox[
              RowBox[{
               OverscriptBox["\[Null]", 
                StyleBox[
                 RowBox[{"(", "1", ")"}],
                 FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
               OverscriptBox[
                InterpretationBox[
                 StyleBox[GridBox[{
                    {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                 Editable->False], ""]}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ")"}]}], "-", 
          RowBox[{"2", " ", 
           InterpretationBox[
            StyleBox[GridBox[{
               {
                OverscriptBox["n", "-"], 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`n[$CellContext`\[Alpha]],
            Editable->False], " ", 
           InterpretationBox[
            StyleBox[GridBox[{
               {
                OverscriptBox["n", "-"], 
                StyleBox[GridBox[{
                   {"\[Beta]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`n[$CellContext`\[Beta]],
            Editable->False], " ", 
           RowBox[{"(", 
            InterpretationBox[
             StyleBox[
              RowBox[{
               OverscriptBox["\[Null]", 
                StyleBox[
                 RowBox[{"(", "1", ")"}],
                 FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
               OverscriptBox[
                InterpretationBox[
                 StyleBox["\[Phi]",
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[],
                 Editable->False], ""]}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]],
             Editable->False], ")"}]}], "-", 
          RowBox[{"2", " ", 
           InterpretationBox[
            StyleBox[GridBox[{
               {
                OverscriptBox["h", "-"], 
                StyleBox[GridBox[{
                   {"\[Alpha]", "\[Beta]"},
                   {" ", " "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
            Editable->False], " ", 
           RowBox[{"(", 
            InterpretationBox[
             StyleBox[
              RowBox[{
               OverscriptBox["\[Null]", 
                StyleBox[
                 RowBox[{"(", "1", ")"}],
                 FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
               OverscriptBox[
                InterpretationBox[
                 StyleBox["\[Psi]",
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Psi]h[],
                 Editable->False], ""]}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]],
             Editable->False], ")"}]}]}], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], $CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]]],
               
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SubscriptBox[
              OverscriptBox["\[Del]", "_"], "\[Beta]"], 
             SubscriptBox[
              OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"E", 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`CD[-$CellContext`\[Beta]][
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], $CellContext`\[Alpha], $CellContext`\[Beta]]]],
           Editable->False], ")"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Beta]],
                Editable->False], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}]}], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`n[$CellContext`\[Alpha]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "1", ")"}],
                  FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Phi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`n[$CellContext`\[Alpha]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`n[$CellContext`\[Beta]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["n", "-"], 
                 StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`n[$CellContext`\[Beta]],
             Editable->False], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Alpha]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[$CellContext`\[Alpha]]]],
                 Editable->False], ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["n", "-"], 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`n[$CellContext`\[Alpha]],
             Editable->False], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[$CellContext`\[Beta]]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Beta]],
                Editable->False], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]],
                 Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "1", ")"}],
                  FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "1", ")"}],
                  FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "1", ")"}],
                  FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]]],
              
              Editable->False], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["h", "-"], 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "1", ")"}],
                  FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]]],
              Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`CD[$CellContext`\[Beta]][
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}], "-", 
       RowBox[{"6", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`CD[$CellContext`\[Beta]][
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            RowBox[{"R", "[", 
             OverscriptBox["\[Del]", "_"], "]"}], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Beta]", "\[Gamma]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`RicciCD[-$CellContext`\[Beta], -$CellContext`\[Gamma]],
        Editable->False], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[
             0], -$CellContext`\[Alpha], $CellContext`\[Gamma]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[-$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Gamma]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", "\[Gamma]"},
                  {"\[Alpha]", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            RowBox[{"R", "[", 
             OverscriptBox["\[Del]", "_"], "]"}], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`RicciCD[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Beta]", "\[Gamma]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Beta], $CellContext`\[Gamma]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Beta], $CellContext`\[Gamma]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Gamma]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]", "\[Gamma]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Beta], $CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Beta]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Beta], \
-$CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Beta], -$CellContext`\[Gamma]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`n[-$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[-$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Beta]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`h[-$CellContext`\[Beta], -$CellContext`\[Gamma]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Beta]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Beta], -$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[2], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[2], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "3"]}]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], $CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], -$CellContext`\[Alpha], $CellContext`\[Beta]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[-$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", "\[Beta]"},
                  {"\[Alpha]", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], $CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`Eth[
              xAct`xTensor`LI[2], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Alpha], $CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "2", ")"}],
                   FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[2], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                    
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[2], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                    
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[2], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "2", ")"}],
                   FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[2], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]]],
               
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "2", ")"}],
                   FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[2], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "2", ")"}],
                FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Beta]][
          $CellContext`CD[-$CellContext`\[Alpha]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`CD[-$CellContext`\[Alpha]][
              $CellContext`\[Phi]h[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`CD[-$CellContext`\[Alpha]][
              $CellContext`\[Psi]h[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]]]],
            Editable->False], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SubscriptBox[
              OverscriptBox["\[Del]", "_"], "\[Beta]"], 
             SubscriptBox[
              OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "2", ")"}],
               FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"E", 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`CD[-$CellContext`\[Beta]][
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`Eth[
              xAct`xTensor`LI[2], 
              xAct`xTensor`LI[
              0], $CellContext`\[Alpha], $CellContext`\[Beta]]]],
           Editable->False], ")"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[2], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Beta]],
                Editable->False], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[2], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}]}], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`n[$CellContext`\[Alpha]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "2", ")"}],
                  FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Phi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[
               xAct`xTensor`LI[2], 
               xAct`xTensor`LI[0]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`n[$CellContext`\[Alpha]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["n", "-"], 
                   StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`n[$CellContext`\[Beta]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["n", "-"], 
                 StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`n[$CellContext`\[Beta]],
             Editable->False], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Alpha]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[2], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[2], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[$CellContext`\[Alpha]]]],
                 Editable->False], ")"}]}]}], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["n", "-"], 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`n[$CellContext`\[Alpha]],
             Editable->False], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[2], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Alpha]][
                  $CellContext`n[$CellContext`\[Beta]]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[2], 
                   xAct`xTensor`LI[0]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`\[Phi]h[
                  xAct`xTensor`LI[2], 
                  xAct`xTensor`LI[0]],
                 Editable->False], ")"}], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[$CellContext`\[Beta]]]],
                 Editable->False], ")"}]}], "+", 
              RowBox[{
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Beta]],
                Editable->False], " ", 
               RowBox[{"(", 
                InterpretationBox[
                 StyleBox[
                  RowBox[{
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                   SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                   OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "2", ")"}],
                    FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                   
                   OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`CD[-$CellContext`\[Beta]][
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[2], 
                    xAct`xTensor`LI[0]]]],
                 Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "2", ")"}],
                  FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[2], 
                xAct`xTensor`LI[0]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Alpha]][
               $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "2", ")"}],
                  FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[2], 
                xAct`xTensor`LI[0]]],
              Editable->False], ")"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "2", ")"}],
                  FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[
               xAct`xTensor`LI[2], 
               xAct`xTensor`LI[0]],
              Editable->False], ")"}], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                  {
                   OverscriptBox["h", "-"], 
                   StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]]],
              
              Editable->False], ")"}]}], "+", 
           RowBox[{
            InterpretationBox[
             StyleBox[GridBox[{
                {
                 OverscriptBox["h", "-"], 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], " ", 
            RowBox[{"(", 
             InterpretationBox[
              StyleBox[
               RowBox[{
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                SubscriptBox[
                 OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                OverscriptBox["\[Null]", 
                 StyleBox[
                  RowBox[{"(", "2", ")"}],
                  FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
                OverscriptBox[
                 InterpretationBox[
                  StyleBox["\[Psi]",
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Psi]h[],
                  Editable->False], ""]}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`CD[-$CellContext`\[Beta]][
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[2], 
                 xAct`xTensor`LI[0]]]],
              Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "2", ")"}],
              FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`CD[$CellContext`\[Beta]][
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}], "-", 
       RowBox[{"6", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            SuperscriptBox[
             OverscriptBox["\[Del]", "_"], "\[Beta]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "2", ")"}],
              FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`CD[$CellContext`\[Beta]][
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[2], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Beta]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Beta]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Beta]", "\[Gamma]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Beta], $CellContext`\[Gamma]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Beta], $CellContext`\[Gamma]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Gamma]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]", "\[Gamma]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Beta], $CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
-$CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Alpha]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`n[$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`n[$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Alpha]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Alpha]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Beta], $CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]]],
               
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Beta]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], $CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], -$CellContext`\[Alpha], $CellContext`\[Beta]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[-$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", "\[Beta]"},
                  {"\[Alpha]", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Alpha]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[$CellContext`\[Alpha]][
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Beta], $CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]]],
               
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Beta]][
             $CellContext`\[Phi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Beta]][
             $CellContext`\[Psi]h[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[0]]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Beta], $CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Beta], $CellContext`\[Gamma]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]]],
               
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Beta]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Beta], $CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`CD[-$CellContext`\[Gamma]][
              $CellContext`Eth[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[
               0], -$CellContext`\[Alpha], $CellContext`\[Gamma]]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[$CellContext`\[Gamma]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`CD[-$CellContext`\[Gamma]][
                    $CellContext`n[-$CellContext`\[Alpha]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Alpha]]],
                  Editable->False], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`CD[-$CellContext`\[Gamma]][
                    $CellContext`n[$CellContext`\[Gamma]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`CD[-$CellContext`\[Gamma]][
                    $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`CD[-$CellContext`\[Gamma]][
                 $CellContext`h[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`CD[-$CellContext`\[Gamma]][
                 $CellContext`\[Psi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[
             0], -$CellContext`\[Alpha], $CellContext`\[Gamma]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[-$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Gamma]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", "\[Gamma]"},
                  {"\[Alpha]", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["\[Del]", "_"], "\[Beta]"], 
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`CD[-$CellContext`\[Gamma]][
          $CellContext`CD[-$CellContext`\[Beta]][
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "3"]], "-", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`CD[-$CellContext`\[Beta]][
              $CellContext`Eth[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[
               0], -$CellContext`\[Alpha], $CellContext`\[Gamma]]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[$CellContext`\[Gamma]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[-$CellContext`\[Alpha]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[-$CellContext`\[Beta]][
                    $CellContext`n[-$CellContext`\[Alpha]]]],
                  Editable->False], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[$CellContext`\[Gamma]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[-$CellContext`\[Beta]][
                    $CellContext`n[$CellContext`\[Gamma]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Gamma]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[-$CellContext`\[Beta]][
                    $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`CD[-$CellContext`\[Beta]][
                 $CellContext`h[-$CellContext`\[Alpha], \
$CellContext`\[Gamma]]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", "\[Gamma]"},
                    {"\[Alpha]", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], $CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`CD[-$CellContext`\[Beta]][
                 $CellContext`\[Psi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}], "-", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Beta]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\
\[Gamma]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Beta]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`n[-$CellContext`\[Gamma]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Gamma]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Beta]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`h[-$CellContext`\[Alpha], \
-$CellContext`\[Gamma]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Beta]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Beta]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`n[$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"4", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"]}]], 
      RowBox[{"3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
-$CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[$CellContext`\[Gamma]][
             $CellContext`Eth[
              xAct`xTensor`LI[1], 
              xAct`xTensor`LI[
              0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`n[$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`n[$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}], "+", 
     RowBox[{
      FractionBox["1", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
                
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
            
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Alpha]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["n", "-"], 
               StyleBox[GridBox[{
                  {"\[Beta]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`n[$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {"\[Alpha]", "\[Beta]"},
                  {" ", " "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              SuperscriptBox[
               OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
-$CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`CD[-$CellContext`\[Gamma]][
             $CellContext`CD[$CellContext`\[Gamma]][
              $CellContext`Eth[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[
               0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Phi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Beta]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[$CellContext`\[Gamma]][
                    $CellContext`n[-$CellContext`\[Alpha]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Alpha]]],
                  Editable->False], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`n[-$CellContext`\[Alpha]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["n", "-"], 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`n[-$CellContext`\[Alpha]],
              Editable->False], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`\[Phi]h[
                   xAct`xTensor`LI[1], 
                   xAct`xTensor`LI[0]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[$CellContext`\[Gamma]][
                    $CellContext`n[-$CellContext`\[Beta]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                InterpretationBox[
                 StyleBox[GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                   },
                   
                   GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                  ShowAutoStyles->False,
                  AutoSpacing->False],
                 $CellContext`n[-$CellContext`\[Beta]],
                 Editable->False], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`CD[$CellContext`\[Gamma]][
                    $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Beta]]],
                  Editable->False], ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SubscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                    {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                    },
                    
                    GridBoxAlignment->{
                    "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[-$CellContext`\[Gamma]][
                   $CellContext`n[-$CellContext`\[Beta]]],
                  Editable->False], ")"}], " ", 
                RowBox[{"(", 
                 InterpretationBox[
                  StyleBox[
                   RowBox[{
                    SuperscriptBox[
                    OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                    OverscriptBox["\[Null]", 
                    StyleBox[
                    RowBox[{"(", "1", ")"}],
                    FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                    OverscriptBox[
                    InterpretationBox[
                    StyleBox["\[Phi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                    $CellContext`\[Phi]h[],
                    Editable->False], ""]}],
                   ShowAutoStyles->False,
                   AutoSpacing->False],
                  $CellContext`CD[$CellContext`\[Gamma]][
                   $CellContext`\[Phi]h[
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]],
                  Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Psi]h[
                xAct`xTensor`LI[1], 
                xAct`xTensor`LI[0]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`CD[$CellContext`\[Gamma]][
                 $CellContext`h[-$CellContext`\[Alpha], \
-$CellContext`\[Beta]]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             InterpretationBox[
              StyleBox[GridBox[{
                 {
                  OverscriptBox["h", "-"], 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              Editable->False], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`CD[$CellContext`\[Gamma]][
                 $CellContext`\[Psi]h[
                  xAct`xTensor`LI[1], 
                  xAct`xTensor`LI[0]]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
               Editable->False], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SubscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], GridBox[{
                   {
                    OverscriptBox["h", "-"], 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[-$CellContext`\[Gamma]][
                $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
               Editable->False], ")"}], " ", 
             RowBox[{"(", 
              InterpretationBox[
               StyleBox[
                RowBox[{
                 SuperscriptBox[
                  OverscriptBox["\[Del]", "_"], "\[Gamma]"], 
                 OverscriptBox["\[Null]", 
                  StyleBox[
                   RowBox[{"(", "1", ")"}],
                   FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
                 
                 OverscriptBox[
                  InterpretationBox[
                   StyleBox["\[Psi]",
                    ShowAutoStyles->False,
                    AutoSpacing->False],
                   $CellContext`\[Psi]h[],
                   Editable->False], ""]}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`CD[$CellContext`\[Gamma]][
                $CellContext`\[Psi]h[
                 xAct`xTensor`LI[1], 
                 xAct`xTensor`LI[0]]],
               Editable->False], ")"}]}]}], ")"}]}]}], ")"}]}]}]}], 
    ")"}]}]}]], "Output",
 CellLabel->"Out[33]=",ExpressionUUID->"e879dd47-2fbf-4ced-b321-a3d654310442"]
}, Open  ]],

Cell["\<\
and then SplitPerturbations essentially splits the covariant derivatives of \
the previous expression and applies the Gauss-Codazzi relations.\
\>", "Text",
 CellChangeTimes->{{3.569738625627129*^9, 3.569738643843196*^9}, {
  3.5697387023904877`*^9, 3.569738705652443*^9}, {3.56973897666271*^9, 
  3.569738983580689*^9}},ExpressionUUID->"e4efc43c-dd09-45a3-b9a4-\
dad509ec3c27"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SplitPerturbations", "[", 
  RowBox[{"%", ",", "h"}], "]"}]], "Input",
 CellChangeTimes->{{3.564723553838695*^9, 3.564723558107624*^9}, {
   3.56472416011517*^9, 3.564724162927161*^9}, {3.56472677837505*^9, 
   3.564726778655294*^9}, {3.5648622081927443`*^9, 3.564862209596768*^9}, {
   3.565070417470854*^9, 3.565070419297146*^9}, 3.569132937526802*^9, {
   3.569738399536965*^9, 3.5697384034546757`*^9}, {3.56973861267537*^9, 
   3.569738613125033*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"c25c8d41-2197-40ec-bb4f-f82ceee127c8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "2.681732`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]^(-2) $CellContext`RicciScalarCD[], 
   " +... was performed in ", 2.681732, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[34]:=",ExpressionUUID->"2ac2c9e2-bcf2-4662-86a6-ebbf6956a130"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"6", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"12", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"18", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
          
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"9", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "2", ")"}],
           FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Eth[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[
            0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
             
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[
           0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[34]=",ExpressionUUID->"f5888ede-a2ff-46f8-9a84-f2f904651831"]
}, Open  ]],

Cell["\<\
But we shall never use this slow method and in general we will let \
SplitPerturbations perform the replacement of the rules for the \
parameterization of the perturbed tensor, by giving the rule as an argument.\
\>", "Text",
 CellChangeTimes->{{3.569738710977057*^9, 
  3.5697387637518253`*^9}},ExpressionUUID->"ef3e1cdf-bd9a-4ee3-bde2-\
4f277576fdd1"],

Cell["\<\

Furthermore, the delayed rules can be built through the function SplitMetric \
for which a standard gauge can be chosen\
\>", "Text",
 CellChangeTimes->{{3.562935168276112*^9, 3.5629352564812307`*^9}, {
   3.563282438164418*^9, 3.5632824630430517`*^9}, {3.56356332578718*^9, 
   3.563563404369869*^9}, {3.563563441933023*^9, 3.563563487148242*^9}, {
   3.5635639130279493`*^9, 3.563563917745522*^9}, 3.569132936010049*^9, {
   3.5697382580882597`*^9, 3.5697382716737833`*^9}, 3.569738431057181*^9, {
   3.569738770072494*^9, 3.569738786787787*^9}, 3.5697389156196623`*^9, {
   3.569738999181939*^9, 
   3.569739025616246*^9}},ExpressionUUID->"c8619673-c714-45aa-ae32-\
c52e521cc09b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "SplitMetric"}]], "Input",
 CellChangeTimes->{{3.569739045434457*^9, 3.569739050476129*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"50e3a8f7-6a13-4f7f-a6fe-dd94126bb106"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"SplitMetric[g,gpert,h,gauge] builds the rules to \
split the perturbed metric 'gpert' in a given gauge and according to the \
background slicing associated with the induced metric 'h'.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[
           TagBox[GridBox[{
              {
               StyleBox[
                TagBox[
                 TooltipBox[
                  StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                   StripOnInput->False],
                  "\"Definitions\"",
                  TooltipStyle->"TextStyling"],
                 Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                StripOnInput->False]},
              {
               TemplateBox[{"\"\[ThinSpace]\"", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{"SplitMetric", "[", "]"}], ":=", 
                    RowBox[{"Message", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"SplitMetric", "::", "argrx"}], "MessageName"], 
                    ",", "SplitMetric", ",", "0", ",", "4"}], "]"}]}]}, {
                   " "}, {
                    RowBox[{
                    RowBox[{"SplitMetric", "[", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`g_", "?", "MetricQ"}], ",", 
                    "xAct`xPand`Private`dg_", ",", 
                    
                    RowBox[{
                    "xAct`xPand`Private`h_", "?", 
                    "xAct`xPand`Private`InducedMetricQ"}], ",", 
                    
                    RowBox[{
                    "xAct`xPand`Private`gauge_", "?", 
                    "xAct`xPand`Private`GaugeQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"xAct`xPand`Private`n", ",", 
                    "xAct`xPand`Private`ind1", ",", 
                    "xAct`xPand`Private`ind2"}], "}"}], ",", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`u", "=", 
                    RowBox[{"Last", "[", 
                    RowBox[{"InducedFrom", "[", "xAct`xPand`Private`h", "]"}],
                     "]"}]}], ",", 
                    RowBox[{"xAct`xPand`Private`M", "=", 
                    RowBox[{"ManifoldOfCovD", "[", 
                    
                    RowBox[{"CovDOfMetric", "[", "xAct`xPand`Private`g", 
                    "]"}], "]"}]}], ",", 
                    RowBox[{"xAct`xPand`Private`cd", "=", 
                    
                    RowBox[{"CovDOfMetric", "[", "xAct`xPand`Private`h", 
                    "]"}]}], ",", 
                    RowBox[{"xAct`xPand`Private`ShBool", "=", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"xAct`xPand`Private`BianchiBool", "[", 
                    RowBox[{"SpaceType", "[", "xAct`xPand`Private`h", "]"}], 
                    "]"}], "]"}]}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"xAct`xPand`Private`ind1", ",", 
                    "xAct`xPand`Private`ind2"}], "}"}], "=", 
                    RowBox[{"GetIndicesOfVBundle", "[", 
                    RowBox[{
                    RowBox[{"Tangent", "[", "xAct`xPand`Private`M", "]"}], 
                    ",", "2"}], "]"}]}], ";", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`i1", "=", 
                    "xAct`xPand`Private`ind1"}], ",", 
                    
                    RowBox[{"xAct`xPand`Private`i2", "=", 
                    "xAct`xPand`Private`ind2"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"xAct`xPand`Private`DefTensorQ", "[", 
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "]"}]}],
                     "||", 
                    RowBox[{"!", 
                    
                    RowBox[{"xAct`xPand`Private`DefTensorQ", "[", 
                    "xAct`xPand`Private`dg", "]"}]}]}], ",", 
                    RowBox[{
                    
                    RowBox[{"Print", "[", 
                    "\"** Warning: The perturbed metric, or the fields \
required to parameterize its splitting were not previously defined **\"", 
                    "]"}], ";", 
                    
                    RowBox[{"Print", "[", 
                    "\"** DefMetricFields is called to build the perturbation \
of the metric and the fields needed for future splitting **\"", "]"}], ";", 
                    RowBox[{"DefMetricFields", "[", 
                    
                    RowBox[{"xAct`xPand`Private`g", ",", 
                    "xAct`xPand`Private`dg", ",", "xAct`xPand`Private`h"}], 
                    "]"}]}]}], "]"}], ";", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Rule", "@@", 
                    RowBox[{"Switch", "[", 
                    
                    RowBox[{"xAct`xPand`Private`gauge", ",", 
                    "\"NewtonGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}]}]}], "}"}], 
                    ",", "\"NewtonGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}]}]}], "}"}], 
                    ",", "\"FluidComovingGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"FluidComovingGauge\"", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"ScalarFieldComovingGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"ScalarFieldComovingGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"SynchronousGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "]"}]}], "}"}], ",", "\"SynchronousGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], ")"}]}]}], 
                    "]"}]}], "}"}], ",", "\"FlatGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"AnyGaugeBianchi\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], ")"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"AnyGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], ")"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"IsoDensityGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"IsoDensityGauge\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    "xAct`xPand`Private`i1_", ",", "xAct`xPand`Private`i2_"}],
                     "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"xAct`xPand`Private`BT1", " ", "2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"xAct`xPand`Private`BV1", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Rule", "@@", 
                    RowBox[{"Switch", "[", 
                    
                    RowBox[{"xAct`xPand`Private`gauge", ",", 
                    "\"NewtonGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "]"}]}], 
                    "}"}], ",", "\"NewtonGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}]}], "]"}]}], 
                    "}"}], ",", "\"FluidComovingGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"FluidComovingGauge\"", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"ScalarFieldComovingGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"ScalarFieldComovingGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"SynchronousGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], "]"}]}], "}"}],
                     ",", "\"SynchronousGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}]}], "]"}]}], "}"}],
                     ",", "\"FlatGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"AnyGaugeBianchi\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], "]"}]
                    }], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"AnyGauge\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Es", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "]"}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ev", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}], "]"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", 
                    "\"IsoDensityGaugeBianchi\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"xAct`xPand`Private`ShBool", ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"K", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]], ",", "0"}], 
                    "]"}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\"IsoDensityGauge\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xAct`xPand`Private`dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"xAct`xPand`Private`n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "xAct`xPand`Private`i1_", ",", 
                    "xAct`xPand`Private`i2_"}], "]"}], ",", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}]}], " ", 
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", "2", " ", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", 
                    RowBox[{"xAct`xPand`Private`h", "[", 
                    
                    RowBox[{"xAct`xPand`Private`i1", ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{
                    RowBox[{"Et", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1", ",", "xAct`xPand`Private`i2"}], 
                    "]"}]}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i2"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    RowBox[{"Bv", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    "xAct`xPand`Private`i1"}], "]"}]}]}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i1", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`u", "[", 
                    "xAct`xPand`Private`i2", "]"}], " ", 
                    RowBox[{
                    
                    RowBox[{"xAct`xPand`Private`cd", "[", 
                    "xAct`xPand`Private`i1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Bs", "[", "xAct`xPand`Private`h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "xAct`xPand`Private`n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}]}], "]"}]}], "}"}]}], "]"}]}]}], 
                    "]"}]}]}], "]"}]}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"SplitMetric", "[", "_", "]"}], ":=", 
                    RowBox[{"Message", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"SplitMetric", "::", "argr"}], "MessageName"], 
                    ",", "SplitMetric", ",", "4"}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"SplitMetric", "[", 
                    RowBox[{"_", ",", "_"}], "]"}], ":=", 
                    RowBox[{"Message", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"SplitMetric", "::", "argrx"}], "MessageName"], 
                    ",", "SplitMetric", ",", "2", ",", "4"}], "]"}]}]}, {
                   " "}, {
                    RowBox[{
                    RowBox[{"SplitMetric", "[", 
                    RowBox[{"_", ",", "_", ",", "_"}], "]"}], ":=", 
                    RowBox[{"Message", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"SplitMetric", "::", "argrx"}], "MessageName"], 
                    ",", "SplitMetric", ",", "3", ",", "4"}], "]"}]}]}, {
                   " "}, {
                    RowBox[{
                    RowBox[{"SplitMetric", "[", 
                    
                    RowBox[{
                    "_", ",", "_", ",", "_", ",", "_", ",", 
                    "xAct`xCore`Private`x__"}], "]"}], ":=", 
                    RowBox[{"Message", "[", 
                    RowBox[{
                    StyleBox[
                    RowBox[{"SplitMetric", "::", "argrx"}], "MessageName"], 
                    ",", "SplitMetric", ",", 
                    RowBox[{"4", "+", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "xAct`xCore`Private`x", "}"}], "]"}]}], ",", 
                    "4"}], "]"}]}]}, {" "}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                "RowDefault"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            "Column"],
           FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                   RowBox[{"{", "Protected", "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"xAct`xPand`SplitMetric\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->{{6, 6}, {6, 3}}], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"SplitMetric[g,gpert,h,gauge] builds the rules to \
split the perturbed metric 'gpert' in a given gauge and according to the \
background slicing associated with the induced metric 'h'.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}], True->
              
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}]}, 
              Dynamic[System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[<|
   "ObjectType" -> "Symbol", "Usage" -> 
    "SplitMetric[g,gpert,h,gauge] builds the rules to split the perturbed \
metric 'gpert' in a given gauge and according to the background slicing \
associated with the induced metric 'h'.", "Documentation" -> None, 
    "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, xAct`xPand`SplitMetric, {
      xAct`xPand`SplitMetric[] :> Message[
         MessageName[xAct`xPand`SplitMetric, "argrx"], xAct`xPand`SplitMetric,
          0, 4], xAct`xPand`SplitMetric[
         PatternTest[
          Pattern[xAct`xPand`Private`g, 
           Blank[]], xAct`xTensor`MetricQ], 
         Pattern[xAct`xPand`Private`dg, 
          Blank[]], 
         PatternTest[
          Pattern[xAct`xPand`Private`h, 
           Blank[]], xAct`xPand`Private`InducedMetricQ], 
         PatternTest[
          Pattern[xAct`xPand`Private`gauge, 
           Blank[]], xAct`xPand`Private`GaugeQ]] :> 
       Module[{xAct`xPand`Private`n, xAct`xPand`Private`ind1, 
          xAct`xPand`Private`ind2}, 
         With[{xAct`xPand`Private`u = Last[
             xAct`xTensor`InducedFrom[xAct`xPand`Private`h]], 
           xAct`xPand`Private`M = xAct`xTensor`ManifoldOfCovD[
             xAct`xTensor`CovDOfMetric[xAct`xPand`Private`g]], 
           xAct`xPand`Private`cd = 
           xAct`xTensor`CovDOfMetric[xAct`xPand`Private`h], 
           xAct`xPand`Private`ShBool = Evaluate[
             xAct`xPand`Private`BianchiBool[
              xAct`xPand`SpaceType[xAct`xPand`Private`h]]]}, {
            xAct`xPand`Private`ind1, xAct`xPand`Private`ind2} = 
           xAct`xTensor`GetIndicesOfVBundle[
             xAct`xTensor`Tangent[xAct`xPand`Private`M], 2]; 
          With[{xAct`xPand`Private`i1 = xAct`xPand`Private`ind1, 
             xAct`xPand`Private`i2 = xAct`xPand`Private`ind2}, If[
              Or[
               Not[
                xAct`xPand`Private`DefTensorQ[
                 xAct`xPand`Et[xAct`xPand`Private`h]]], 
               Not[
                xAct`xPand`Private`DefTensorQ[xAct`xPand`Private`dg]]], 
              Print["** Warning: The perturbed metric, or the fields required \
to parameterize its splitting were not previously defined **"]; 
              Print["** DefMetricFields is called to build the perturbation \
of the metric and the fields needed for future splitting **"]; 
              xAct`xPand`DefMetricFields[
               xAct`xPand`Private`g, xAct`xPand`Private`dg, 
                xAct`xPand`Private`h]]; Join[{
               Apply[Rule, 
                Switch[xAct`xPand`Private`gauge, "NewtonGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], (-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                   xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                  xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                  xAct`xPand`Private`BT1 2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                  xAct`xPand`Private`BV1 (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1])}, 
                 "NewtonGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], (-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                   xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                  xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                  xAct`xPand`Private`h[
                   xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                  xAct`xPand`Private`BT1 2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                  xAct`xPand`Private`BV1 (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1])}, 
                 "FluidComovingGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "FluidComovingGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, 
                 "ScalarFieldComovingGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "ScalarFieldComovingGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "SynchronousGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  Identity[(-2) xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]])]}, 
                 "SynchronousGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  Identity[(-2) xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]])]}, 
                 "FlatGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "AnyGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]]) - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "AnyGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]]) - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "IsoDensityGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}, "IsoDensityGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[1], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`BT1 2 
                    xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - 
                   xAct`xPand`Private`BV1 (
                    xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[1], 
                    xAct`xTensor`LI[0]]])]}]]}, {
               Apply[Rule, 
                Switch[xAct`xPand`Private`gauge, "NewtonGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1])]}, 
                 "NewtonGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1])]}, 
                 "FluidComovingGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "FluidComovingGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, 
                 "ScalarFieldComovingGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "ScalarFieldComovingGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "SynchronousGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  Identity[(-2) xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]]]}, 
                 "SynchronousGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  Identity[(-2) xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]]]}, 
                 "FlatGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "AnyGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "AnyGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Es[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2]] + 
                   xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Ev[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "IsoDensityGaugeBianchi", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] (
                    xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                    If[xAct`xPand`Private`ShBool, K[xAct`xPand`Private`h][
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2]/xAct`xPand`H[xAct`xPand`Private`h][
                    
                    xAct`xTensor`LI[0], 
                    xAct`xTensor`LI[0]], 0]) + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}, "IsoDensityGauge", {
                  xAct`xPand`Private`dg[
                   xAct`xTensor`LI[
                    PatternTest[
                    Pattern[xAct`xPand`Private`n, 
                    Blank[]], # >= 2& ]], 
                   Pattern[xAct`xPand`Private`i1, 
                    Blank[]], 
                   Pattern[xAct`xPand`Private`i2, 
                    Blank[]]], 
                  
                  Identity[(-xAct`xPand`Private`u[xAct`xPand`Private`i1]) 
                    xAct`xPand`Private`u[xAct`xPand`Private`i2] 2 
                    xAct`xPand`\[Phi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] - 2 
                   xAct`xPand`\[Psi][xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]] 
                   xAct`xPand`Private`h[
                    xAct`xPand`Private`i1, xAct`xPand`Private`i2] + 
                   2 xAct`xPand`Et[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1, 
                    xAct`xPand`Private`i2] - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i2] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Bv[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0], xAct`xPand`Private`i1]) - (
                   xAct`xPand`Private`u[xAct`xPand`Private`i1] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i2][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]] + 
                   xAct`xPand`Private`u[xAct`xPand`Private`i2] 
                    xAct`xPand`Private`cd[xAct`xPand`Private`i1][
                    xAct`xPand`Bs[xAct`xPand`Private`h][
                    xAct`xTensor`LI[xAct`xPand`Private`n], 
                    xAct`xTensor`LI[0]]])]}]]}]]]], xAct`xPand`SplitMetric[
         Blank[]] :> Message[
         MessageName[xAct`xPand`SplitMetric, "argr"], xAct`xPand`SplitMetric, 
         4], xAct`xPand`SplitMetric[
         Blank[], 
         Blank[]] :> Message[
         MessageName[xAct`xPand`SplitMetric, "argrx"], xAct`xPand`SplitMetric,
          2, 4], xAct`xPand`SplitMetric[
         Blank[], 
         Blank[], 
         Blank[]] :> Message[
         MessageName[xAct`xPand`SplitMetric, "argrx"], xAct`xPand`SplitMetric,
          3, 4], xAct`xPand`SplitMetric[
         Blank[], 
         Blank[], 
         Blank[], 
         Blank[], 
         Pattern[xAct`xCore`Private`x, 
          BlankSequence[]]] :> Message[
         MessageName[xAct`xPand`SplitMetric, "argrx"], xAct`xPand`SplitMetric,
          4 + Length[{xAct`xCore`Private`x}], 4]}], "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {Protected}, "FullName" -> 
    "xAct`xPand`SplitMetric"|>, False]]], "Output",
 CellLabel->"Out[35]=",ExpressionUUID->"f8a8d7e7-c95c-48c9-b65e-8f75a9de2f01"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"VisualizeTensor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "1", "]"}], ",", 
      RowBox[{"-", "\[Mu]"}], ",", 
      RowBox[{"-", "\[Nu]"}]}], "]"}], "/.", 
    RowBox[{"SplitMetric", "[", 
     RowBox[{"g", ",", "dg", ",", "h", ",", "\"\<NewtonGauge\>\""}], "]"}]}], 
   ",", "h"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"VisualizeTensor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "2", "]"}], ",", 
      RowBox[{"-", "\[Mu]"}], ",", 
      RowBox[{"-", "\[Nu]"}]}], "]"}], "/.", 
    RowBox[{"SplitMetric", "[", 
     RowBox[{"g", ",", "dg", ",", "h", ",", "\"\<NewtonGauge\>\""}], "]"}]}], 
   ",", "h"}], "]"}]}], "Input",
 CellChangeTimes->{{3.563530772601214*^9, 3.56353078018437*^9}, {
  3.563530828304266*^9, 3.563530874894608*^9}, {3.563559903087655*^9, 
  3.563559909238287*^9}, {3.563564091077721*^9, 3.563564092747841*^9}, {
  3.5635643304880342`*^9, 3.563564332366275*^9}, {3.563609725004631*^9, 
  3.563609725462998*^9}, {3.563617273576056*^9, 3.563617276138047*^9}, {
  3.563870527456386*^9, 3.563870541932371*^9}, {3.564723375253331*^9, 
  3.564723377086597*^9}, {3.569132934847213*^9, 3.569132935248714*^9}, {
  3.569330479630979*^9, 3.569330485840239*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"ba536f74-27b1-4370-98d4-2243397cbf20"],

Cell[BoxData[
 TagBox[GridBox[{
    {"", "n", "h"},
    {"n", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], 
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"B", 
              StyleBox[GridBox[{
                 {" "},
                 {"\[Nu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[-$CellContext`\[Nu]],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bvh[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[0], -$CellContext`\[Nu]],
      Editable->False]},
    {"h", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"B", 
              StyleBox[GridBox[{
                 {" "},
                 {"\[Mu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[-$CellContext`\[Mu]],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bvh[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[0], -$CellContext`\[Mu]],
      Editable->False], 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Mu]", "\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], ")"}]}], "-", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[36]=",ExpressionUUID->"2334b561-19d6-4042-af95-109c241b67a9"],

Cell[BoxData[
 TagBox[GridBox[{
    {"", "n", "h"},
    {"n", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "2", ")"}],
            FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[2], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], 
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "2", ")"}],
          FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"B", 
              StyleBox[GridBox[{
                 {" "},
                 {"\[Nu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[-$CellContext`\[Nu]],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bvh[
       xAct`xTensor`LI[2], 
       xAct`xTensor`LI[0], -$CellContext`\[Nu]],
      Editable->False]},
    {"h", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "2", ")"}],
          FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"B", 
              StyleBox[GridBox[{
                 {" "},
                 {"\[Mu]"}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[-$CellContext`\[Mu]],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bvh[
       xAct`xTensor`LI[2], 
       xAct`xTensor`LI[0], -$CellContext`\[Mu]],
      Editable->False], 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Mu]", "\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], ")"}]}], "-", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Mu]", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[-$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[37]=",ExpressionUUID->"87047408-a3b8-42ff-a473-b08b6e8046bc"]
}, Open  ]],

Cell["Possible gauges are", "Text",
 CellChangeTimes->{{3.562935168276112*^9, 3.5629352564812307`*^9}, {
   3.563282438164418*^9, 3.5632824630430517`*^9}, {3.56356332578718*^9, 
   3.563563404369869*^9}, {3.563563441933023*^9, 3.563563487148242*^9}, {
   3.5635639130279493`*^9, 3.563563917745522*^9}, 3.569132936010049*^9, {
   3.5697382580882597`*^9, 3.5697382716737833`*^9}, 3.569738431057181*^9, {
   3.569738770072494*^9, 3.569738786787787*^9}, {3.5697389156196623`*^9, 
   3.5697389188341217`*^9}},ExpressionUUID->"10cfa3aa-969d-485b-987e-\
c5614e0a1ff0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "$ListOfGauges"}]], "Input",
 CellChangeTimes->{{3.5648276978640413`*^9, 3.5648277032598867`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"ffb7f012-6706-440f-87ad-a011be3dc580"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Possible gauges are: AnyGauge, FluidComovingGauge, \
ScalarFieldComovingGauge FlatGauge, IsoDensityGauge, NewtonGauge and \
SynchronousGauge and their Bianchi counterparts.\"\>", "InformationUsageText",
             
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"xAct`xPand`$ListOfGauges\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->{{6, 6}, {6, 3}}], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox[
             TagBox[
              TooltipBox[
               StyleBox["\<\" Symbol\"\>", "InformationRowLabel",
                StripOnInput->False],
               "\"Symbol\"",
               TooltipStyle->"TextStyling"],
              Annotation[#, "Symbol", "Tooltip"]& ], "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Possible gauges are: AnyGauge, FluidComovingGauge, \
ScalarFieldComovingGauge FlatGauge, IsoDensityGauge, NewtonGauge and \
SynchronousGauge and their Bianchi counterparts.\"\>", "InformationUsageText",
             
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}], True->
              
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {1.143798828125, 8.856201171875}}]}, 
              Dynamic[System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[<|
   "ObjectType" -> "Symbol", "Usage" -> 
    "Possible gauges are: AnyGauge, FluidComovingGauge, \
ScalarFieldComovingGauge FlatGauge, IsoDensityGauge, NewtonGauge and \
SynchronousGauge and their Bianchi counterparts.", "Documentation" -> None, 
    "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
    "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
    "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "xAct`xPand`$ListOfGauges"|>, False]]], "Output",
 CellLabel->"Out[38]=",ExpressionUUID->"4d60a5dd-9f9b-48c4-b11e-881306bab3de"]
}, Open  ]],

Cell["so that the standard way to use SplitPerturbations is:", "Text",
 CellChangeTimes->{{3.569738816647726*^9, 3.5697388351338243`*^9}, {
  3.569739066382036*^9, 
  3.569739077936363*^9}},ExpressionUUID->"81f48e65-9841-46fc-91b0-\
423d717f89ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SplitPerturbations", "[", 
  RowBox[{"MyR", ",", 
   RowBox[{"SplitMetric", "[", 
    RowBox[{"g", ",", "dg", ",", "h", ",", "\"\<AnyGauge\>\""}], "]"}], ",", 
   "h"}], "]"}]], "Input",
 CellChangeTimes->{{3.564406784935177*^9, 3.564406788830349*^9}, {
   3.564410406000577*^9, 3.564410407710436*^9}, {3.564410653643454*^9, 
   3.564410655337682*^9}, {3.5644138193971643`*^9, 3.564413820012621*^9}, {
   3.564416146469236*^9, 3.5644161482594547`*^9}, 3.564417664873516*^9, {
   3.56442231242855*^9, 3.564422335785613*^9}, {3.564423119986033*^9, 
   3.564423122369794*^9}, {3.564441867892151*^9, 3.564441869492626*^9}, 
   3.564480662101997*^9, {3.564554193438422*^9, 3.564554195120295*^9}, {
   3.564631124644156*^9, 3.564631125123844*^9}, 3.569132936773466*^9, {
   3.569330500901375*^9, 3.569330502263254*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"36b286b9-6498-4c63-9f23-4b40e63fb66b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "8.851044`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]^(-2) $CellContext`RicciScalarCD[], 
   " +... was performed in ", 8.851044, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[39]:=",ExpressionUUID->"6c47030d-6c65-404f-b1a6-d466049259ed"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"6", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"12", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"18", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
              
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
          
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptK]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[ScriptK]h[],
         Editable->False], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], "2"]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"36", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"9", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptK]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[ScriptK]h[],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "2", ")"}],
           FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["B",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bsh[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[1]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "2", ")"}],
           FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Esh[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[2]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "2", ")"}],
           FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "2", ")"}],
             FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"24", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptK]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[ScriptK]h[],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[-$CellContext`\[Gamma]][
           $CellContext`cd[$CellContext`\[Gamma]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[2], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[2], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], -$CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[2], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[2], $CellContext`\[Alpha]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Gamma]][
           $CellContext`cd[$CellContext`\[Gamma]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`cd[$CellContext`\[Alpha]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Eth[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[
            0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Eth[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[
            0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Eth[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[
            0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Evh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Gamma]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Evh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
             
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[
           0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[-$CellContext`\[Alpha]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]", "\[Beta]"},
                    {" ", " "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
             
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]],
         
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Evh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Beta]][
            $CellContext`Evh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0], $CellContext`\[Alpha]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Beta]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Beta], -$CellContext`\[Gamma]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Gamma]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Gamma]],
             
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[
           0], -$CellContext`\[Alpha], -$CellContext`\[Gamma]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[-$CellContext`\[Alpha]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Alpha]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Gamma]][
          $CellContext`cd[-$CellContext`\[Beta]][
           $CellContext`cd[-$CellContext`\[Alpha]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Gamma]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Gamma]][
          $CellContext`cd[$CellContext`\[Beta]][
           $CellContext`cd[$CellContext`\[Alpha]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[39]=",ExpressionUUID->"09ff2ee0-1fb3-4ad6-90f8-5b0808cb6293"]
}, Open  ]],

Cell["\<\

We can perform all these steps in one piece. The main three steps are:

1) Conformal transformation with Conformal, 
2) Perturbation with Expandperturbation@Perturbed, 
3) The creation of a rule for the metric perturbation and the matter \
perturbations for a given gauge choice. This is done through SplitMetric and \
SplitMatter
4) The splitting of the result by SplitPerturbations 

The function ToxPand is designed to perform these three steps at once (that\
\[CloseCurlyQuote]s the function for users who do not want to build by \
themselves the rules to split the perturbations.)
We use it to create a function which does everything for our choice of gauge \
and our splitting (referred to by its induced metric h), given the \
perturbationof the metric dg, the velocity field u (and its perturbation du):\
\
\>", "Text",
 CellChangeTimes->{{3.562935383464539*^9, 3.562935470844163*^9}, {
   3.563195971105769*^9, 3.56319598455694*^9}, {3.5635172810881033`*^9, 
   3.5635172950244427`*^9}, {3.5635634990188293`*^9, 3.56356352988379*^9}, {
   3.5635635719641733`*^9, 3.563563586056901*^9}, {3.563563931337693*^9, 
   3.563563931689106*^9}, {3.563564114065338*^9, 3.5635641164718933`*^9}, {
   3.563609466541712*^9, 3.563609541424699*^9}, {3.563610024785157*^9, 
   3.563610036949608*^9}, {3.5636100836808167`*^9, 3.563610091621657*^9}, 
   3.5641349188265953`*^9, {3.564635031013268*^9, 3.5646350464092913`*^9}, 
   3.568316437855023*^9, 3.569132619106963*^9, 3.569132938595858*^9, {
   3.57094702157434*^9, 3.570947021748089*^9}, 
   3.570947140156454*^9},ExpressionUUID->"39a218cf-9f7f-4044-85b3-\
8b6785c1b94b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{"expr_", ",", "gauge_", ",", "order_"}], "]"}], ":=", 
  RowBox[{"ToxPand", "[", 
   RowBox[{
   "expr", ",", "dg", ",", "u", ",", "du", ",", "h", ",", " ", "gauge", ",", 
    "order"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.563608307810924*^9, 3.563608347825007*^9}, {
   3.563871953519833*^9, 3.563871962505807*^9}, {3.563878675879013*^9, 
   3.5638786770239553`*^9}, 3.5641329613494368`*^9, {3.56413300385739*^9, 
   3.5641330119939137`*^9}, {3.564133143508325*^9, 3.56413314676939*^9}, 
   3.564134919730595*^9, 3.5641350281396437`*^9, 3.564732122918729*^9},
 CellLabel->"In[40]:=",ExpressionUUID->"39cbff63-7926-4669-98e9-e23be970c178"],

Cell["The Ricci Scalar R", "Text",
 CellChangeTimes->{{3.563069925154224*^9, 
  3.563069927378621*^9}},ExpressionUUID->"113b2e9e-66b2-496b-893d-\
bd7aa6adae36"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"RicciScalarCD", "[", "]"}], ",", "\"\<AnyGauge\>\"", ",", 
    "order"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.562912677181449*^9, 3.5629126835369864`*^9}, {
   3.562912730376685*^9, 3.562912737406267*^9}, {3.562917944811255*^9, 
   3.5629179459428473`*^9}, {3.562924840596941*^9, 3.562924859706684*^9}, {
   3.562925181011331*^9, 3.562925187006792*^9}, {3.562925315126773*^9, 
   3.5629253160946817`*^9}, 3.562926738522501*^9, 3.56292912824104*^9, {
   3.562929433577882*^9, 3.562929433724208*^9}, 3.562929537777473*^9, {
   3.562935483703185*^9, 3.562935491024225*^9}, 3.5630129167403097`*^9, {
   3.563099957459571*^9, 3.5630999575748243`*^9}, 3.563101345988729*^9, {
   3.563183977507813*^9, 3.5631839873045883`*^9}, {3.563187513968986*^9, 
   3.563187516151053*^9}, {3.563188521566722*^9, 3.563188575536334*^9}, {
   3.5631886454917173`*^9, 3.563188652126635*^9}, {3.5631888392367573`*^9, 
   3.563188845321409*^9}, {3.5631893703557787`*^9, 3.563189395014654*^9}, {
   3.5631997964074087`*^9, 3.563199797844895*^9}, 3.5631999686702957`*^9, {
   3.56327193730302*^9, 3.563271937899328*^9}, {3.563272443002677*^9, 
   3.563272445240308*^9}, 3.563527573031455*^9, {3.563530326001556*^9, 
   3.563530329555151*^9}, {3.5635308937948427`*^9, 3.563530921226901*^9}, {
   3.563559974360949*^9, 3.563559974888706*^9}, 3.563563543487638*^9, {
   3.563563960522923*^9, 3.5635639622798357`*^9}, 3.5635643150849857`*^9, 
   3.563609561867942*^9, {3.563620282012401*^9, 3.563620283653458*^9}, 
   3.5641329617626553`*^9, {3.564171982707572*^9, 3.5641719835616617`*^9}, {
   3.564410619608427*^9, 3.564410620599478*^9}, {3.569330521278264*^9, 
   3.569330522766115*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"a6aaa727-d434-4775-8d9a-6cb27c6ce1f3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.427623`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm[
  "The Splitting of ", $CellContext`RicciScalarCD[] xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^(-2), " +... was performed in ", 0.427623, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[41]:=",ExpressionUUID->"dde4a135-a5a5-4298-b124-a0538143cb70"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"6", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"12", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"18", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[2]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[41]=",ExpressionUUID->"eade2f4f-365e-498d-a2b1-2d670ece81d4"]
}, Open  ]],

Cell["Or we can restrict to the Newton gauge", "Text",
 CellChangeTimes->{{3.5632719483282833`*^9, 
  3.563271957685175*^9}},ExpressionUUID->"39e51741-a7f7-4d67-9ae7-\
18d6ce704d42"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"RicciScalarCD", "[", "]"}], ",", "\"\<NewtonGauge\>\"", ",", 
    "order"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.562912677181449*^9, 3.5629126835369864`*^9}, {
   3.562912730376685*^9, 3.562912737406267*^9}, {3.562917944811255*^9, 
   3.5629179459428473`*^9}, {3.562924840596941*^9, 3.562924859706684*^9}, {
   3.562925181011331*^9, 3.562925187006792*^9}, {3.562925315126773*^9, 
   3.5629253160946817`*^9}, 3.562926738522501*^9, 3.56292912824104*^9, {
   3.562929433577882*^9, 3.562929433724208*^9}, 3.562929537777473*^9, {
   3.562935483703185*^9, 3.562935491024225*^9}, 3.5630129167403097`*^9, {
   3.563099957459571*^9, 3.5630999575748243`*^9}, 3.563101345988729*^9, {
   3.563183977507813*^9, 3.5631839873045883`*^9}, {3.563187513968986*^9, 
   3.563187516151053*^9}, {3.563188521566722*^9, 3.563188575536334*^9}, {
   3.5631886454917173`*^9, 3.563188652126635*^9}, {3.5631888392367573`*^9, 
   3.563188845321409*^9}, {3.5631893703557787`*^9, 3.563189395014654*^9}, {
   3.5631997964074087`*^9, 3.563199797844895*^9}, 3.5631999686702957`*^9, {
   3.56327193730302*^9, 3.563271962351486*^9}, {3.563272447141554*^9, 
   3.563272449278206*^9}, 3.563527580420982*^9, 3.563530908699855*^9, {
   3.563559982557798*^9, 3.5635599829894867`*^9}, 3.563563559104134*^9, 
   3.5635639681549063`*^9, 3.563564315668832*^9, 3.563609565818025*^9, 
   3.564132962315094*^9, {3.569330531990726*^9, 3.5693305332844257`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"e189364c-bfb8-4ab6-9209-f931a8944f4a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.26216`", "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm[
  "The Splitting of ", $CellContext`RicciScalarCD[] xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^(-2), " +... was performed in ", 0.26216, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[42]:=",ExpressionUUID->"c566b5d8-a4f5-42d5-87c0-a2cc116d0323"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"6", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"6", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"12", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"12", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"18", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[42]=",ExpressionUUID->"cd541efd-fab7-41c6-bd02-857820b9be7b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[LineSeparator]", 
  RowBox[{"The", " ", "Ricci", " ", "tensor", " ", 
   SubscriptBox["R", "\[Mu]\[Nu]"], " ", "can", " ", "also", " ", "be", " ", 
   "obtained", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
     "we", " ", "restrict", " ", "here", " ", "to", " ", "the", " ", "Newton",
       " ", "gauge", " ", "to", " ", "avoid", " ", "too", " ", "large", " ", 
      "expressions"}], ")"}], "."}]}]}]], "Text",
 CellChangeTimes->{{3.563069934371228*^9, 3.5630699509694843`*^9}, {
   3.5632719653908*^9, 3.563271994848777*^9}, 
   3.564809137964985*^9},ExpressionUUID->"7c3d077c-e049-4bb2-9be4-\
fecb2e54a8de"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"EinsteinCD", "[", 
     RowBox[{"\[Mu]", ",", 
      RowBox[{"-", "\[Nu]"}]}], "]"}], ",", "\"\<NewtonGauge\>\"", ",", "1"}],
    "]"}], " "}]], "Input",
 CellChangeTimes->{{3.562929333521737*^9, 3.5629293367948637`*^9}, 
   3.562935546931609*^9, {3.562937340304978*^9, 3.56293734267268*^9}, 
   3.5630129182359877`*^9, {3.5630999625540047`*^9, 3.5630999627574167`*^9}, 
   3.563101356942789*^9, {3.5631999340207767`*^9, 3.563199948655509*^9}, {
   3.5632719746945972`*^9, 3.563271975784376*^9}, {3.56327245132654*^9, 
   3.563272453968814*^9}, 3.563530316846859*^9, 3.56353091416565*^9, {
   3.5635599881273737`*^9, 3.5635599885806847`*^9}, 3.563563563303588*^9, 
   3.563563970681266*^9, 3.563564316250702*^9, 3.563609569491415*^9, 
   3.564132963001322*^9, {3.564171904128677*^9, 3.5641719064055967`*^9}, {
   3.564304215890614*^9, 3.5643042170718517`*^9}, {3.564318606575645*^9, 
   3.5643186259146852`*^9}, {3.564483160367219*^9, 3.564483160501882*^9}, {
   3.564808754251171*^9, 3.5648087606662397`*^9}, 3.5648090687232428`*^9, {
   3.5693305386398582`*^9, 3.569330539966278*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"abd83d10-54d2-43c4-88ad-85088eb44ce4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[GridBox[{
        {
         RowBox[{"R", "[", 
          OverscriptBox["\[Del]", "_"], "]"}], 
         StyleBox[GridBox[{
            {"\[Mu]", " "},
            {" ", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciCD[$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "1.460632`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm[
  "The Splitting of ", $CellContext`RicciCD[$CellContext`\[Mu], \
-$CellContext`\[Nu]] xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^(-2), " +... was performed in ", 1.460632, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[43]:=",ExpressionUUID->"de8d982f-3bc0-47d1-b326-371c2fd786c7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {"\[Mu]", " "},
             {" ", "\[Nu]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
      Editable->False], " ", 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]]}], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {"\[Mu]", " "},
            {" ", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"2", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Mu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Mu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[-$CellContext`\[Nu]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Mu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Mu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[-$CellContext`\[Nu]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {"\[Mu]", " "},
            {" ", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"2", " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Mu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Mu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[-$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {"\[Mu]", " "},
                  {" ", "\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[$CellContext`\[Mu], -$CellContext`\[Nu]],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[2], $CellContext`\[Mu], -$CellContext`\[Nu]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Mu]", " "},
                    {" ", "\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Mu], -$CellContext`\[Nu]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Mu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Mu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Mu]],
         Editable->False], ")"}], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Mu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Mu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Mu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {"\[Mu]", " "},
                    {" ", "\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[$CellContext`\[Mu], -$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Mu], -$CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Mu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Mu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Mu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Mu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Mu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Mu]]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Nu]]]],
         Editable->False], ")"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {"\[Mu]", " "},
                  {" ", "\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[$CellContext`\[Mu], -$CellContext`\[Nu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Mu], -$CellContext`\[Nu]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Phi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"\[Delta]", 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`delta[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]", " "},
               {" ", "\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[$CellContext`\[Mu], -$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Mu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Mu]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[-$CellContext`\[Nu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[$CellContext`\[Mu]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]]],
       Editable->False], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Mu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Mu]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {" "},
               {"\[Nu]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[-$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Mu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Mu]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Mu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Mu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Mu]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {"\[Mu]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[$CellContext`\[Mu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], $CellContext`\[Mu]]],
       Editable->False], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]}]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Mu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Mu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`cd[$CellContext`\[Mu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Psi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Psi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`cd[$CellContext`\[Mu]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[43]=",ExpressionUUID->"f2aa8152-f0c9-45a7-9de5-6e0151e66c23"]
}, Open  ]],

Cell["From which we can extract for instance the 00 part just by", "Text",
 CellChangeTimes->{{3.563069953035111*^9, 
  3.56306996165514*^9}},ExpressionUUID->"f20c0ff1-c71f-4d26-9a76-\
ac86a44e7ca4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"org", "[", 
  RowBox[{"%", 
   RowBox[{"n", "[", 
    RowBox[{"-", "\[Mu]"}], "]"}], 
   RowBox[{"n", "[", "\[Nu]", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5630699812293262`*^9, 3.563070014717037*^9}, 
   3.563105479064402*^9, {3.563871972145834*^9, 3.5638719735290956`*^9}, 
   3.564809159687058*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"f36279dd-268a-492b-96e1-9c600b25746c"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"6", " ", 
        SuperscriptBox[
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], "2"], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[44]=",ExpressionUUID->"dbccc77d-55c5-4a7a-b402-2cadc17dc64d"]
}, Open  ]],

Cell["or by using the xPand built-in function", "Text",
 CellChangeTimes->{{3.563105438668488*^9, 3.563105446139332*^9}, {
  3.56327200545831*^9, 
  3.563272010325705*^9}},ExpressionUUID->"6bb46dee-8381-48c5-85f3-\
0182b5ebad62"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExtractComponents", "[", 
  RowBox[{"%%", ",", "h", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<Time\>\"", ",", "\"\<Time\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.563105459345325*^9, 3.563105466716976*^9}, 
   3.5638719682901297`*^9, 3.564134981803843*^9, {3.569330548334283*^9, 
   3.5693305514507504`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"c7f4b0e2-c162-4638-bf2f-54dbf43f26b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]]}], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox["\[ScriptK]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[ScriptK]h[],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox["\[ScriptK]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[ScriptK]h[],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`\[Psi]h[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[45]=",ExpressionUUID->"ba125b25-1a45-4c72-96e3-8998cf55a999"]
}, Open  ]],

Cell["\<\
We can even restrict to a given order using the function ExtractOrder\
\>", "Text",
 CellChangeTimes->{{3.564737871568733*^9, 3.5647379007285633`*^9}, 
   3.564737931375209*^9},ExpressionUUID->"8d5ff6aa-c9ff-4c2e-9319-\
60d79a2037be"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExtractOrder", "[", 
  RowBox[{"%", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.5647379347882032`*^9, 3.56473795792293*^9}, {
  3.564821978552988*^9, 3.564821993547476*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"0b4c7d85-d29d-493e-98bf-fe1c5067d6ef"],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"3", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"3", " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "+", 
     RowBox[{"3", " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1]],
        Editable->False], ")"}]}], "-", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["D", "_"], "\[Alpha]"], 
        SuperscriptBox[
         OverscriptBox["D", "_"], "\[Alpha]"], 
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[Psi]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cd[-$CellContext`\[Alpha]][
       $CellContext`cd[$CellContext`\[Alpha]][
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]]]],
      Editable->False]}], ")"}]}], 
  SuperscriptBox[
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False], "2"]]], "Output",
 CellLabel->"Out[46]=",ExpressionUUID->"a2b71dbc-620a-47bc-a983-e3d6197c8a89"]
}, Open  ]],

Cell["Weyl electric part", "Text",
 CellChangeTimes->{{3.564808734219756*^9, 
  3.564808739398594*^9}},ExpressionUUID->"1105dc72-1ce7-4466-8c12-\
320c8dabfab9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"WeylCD", "[", 
      RowBox[{
       RowBox[{"-", "\[Alpha]"}], ",", 
       RowBox[{"-", "\[Nu]"}], ",", 
       RowBox[{"-", "\[Beta]"}], ",", 
       RowBox[{"-", "\[Mu]"}]}], "]"}], 
     RowBox[{"u", "[", "\[Nu]", "]"}], 
     RowBox[{"u", "[", "\[Mu]", "]"}]}], ",", "\"\<AnyGauge\>\"", ",", "1"}], 
   "]"}], " "}]], "Input",
 CellChangeTimes->{{3.564808767746524*^9, 3.5648087864863033`*^9}, {
  3.5648091784338293`*^9, 3.564809180376979*^9}, {3.569330595653191*^9, 
  3.569330597558909*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"657178df-57b5-45d1-9dd0-292985e6456b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "6"]}], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", 
       OverscriptBox["\[Del]", "_"], "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarCD[],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Alpha]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Alpha]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Beta]],
     Editable->False]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "2.126377`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm[
  "The Splitting of ", 
   Rational[-1, 
     6] $CellContext`RicciScalarCD[] $CellContext`u[-$CellContext`\[Alpha]] \
$CellContext`u[-$CellContext`\[Beta]], " +... was performed in ", 2.126377, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[47]:=",ExpressionUUID->"8d779b67-0bbf-4236-9791-7a1c40216810"],

Cell[BoxData[
 RowBox[{
  StyleBox["\[Epsilon]",
   FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[2], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], ")"}], " ", 
     InterpretationBox[
      StyleBox["\[ScriptK]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[ScriptK]h[],
      Editable->False]}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[-$CellContext`\[Beta]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Beta]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[-$CellContext`\[Beta]],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[2], -$CellContext`\[Beta]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[-$CellContext`\[Alpha]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Alpha]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Alpha]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[-$CellContext`\[Alpha]],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[2], -$CellContext`\[Alpha]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["B",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bsh[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Psi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Psi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["B",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bsh[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Gamma]][
        $CellContext`cd[$CellContext`\[Gamma]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Gamma]][
        $CellContext`cd[$CellContext`\[Gamma]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[2]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Gamma]][
        $CellContext`cd[$CellContext`\[Gamma]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Gamma]][
        $CellContext`cd[$CellContext`\[Gamma]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Gamma]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Psi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Psi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Gamma]][
        $CellContext`cd[$CellContext`\[Gamma]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}]}], ")"}]}]], "Output",
 CellLabel->"Out[47]=",ExpressionUUID->"e40d7a80-9b37-4f4c-aed7-ecbbf069e2bc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Perturbations of matter fields", "Subsection",
 CellChangeTimes->{{3.56294689957227*^9, 3.5629469128810663`*^9}, 
   3.563282958318388*^9},ExpressionUUID->"ac1c3176-fc34-4d95-91f1-\
a1ee17434c93"],

Cell[CellGroupData[{

Cell["General set up for the fluid velocity", "Subsubsection",
 CellChangeTimes->{{3.5630141263854237`*^9, 3.563014129700583*^9}, {
  3.5632829462371883`*^9, 
  3.563282955784052*^9}},ExpressionUUID->"7a96a8ac-bc20-4188-b200-\
7fcb77c01a2f"],

Cell["\<\
Similarly to SplitMetric, we have a function SplitMatter which generates the \
rules for velocity perturbations, and this can then be passed as an argument \
to SplitPerturbations\
\>", "Text",
 CellChangeTimes->{{3.5635621785959187`*^9, 3.563562187595632*^9}, {
   3.563563615547584*^9, 3.56356366241085*^9}, {3.563610185480098*^9, 
   3.5636101878554163`*^9}, 3.569132625636882*^9, 
   3.569132932085394*^9},ExpressionUUID->"e43e36b2-695b-41d9-ab27-\
db15ed1a8015"],

Cell["\<\
We can gather the rules for the metric and the rules for the matter in one \
list:\
\>", "Text",
 CellChangeTimes->{{3.5635466132266006`*^9, 3.563546623814151*^9}, {
  3.5635622095105553`*^9, 3.563562216285015*^9}, {3.5635636702179956`*^9, 
  3.563563685239388*^9}, {3.5636096446332006`*^9, 
  3.563609644999213*^9}},ExpressionUUID->"c0162234-67ce-40bd-8532-\
572d1f2e33f3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rulesmetricmatter", "[", 
   RowBox[{"gauge_", ",", "order_"}], "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"SplitMetric", "[", 
     RowBox[{"g", ",", "dg", ",", "h", ",", "gauge"}], "]"}], ",", 
    RowBox[{"SplitMatter", "[", 
     RowBox[{"u", ",", "du", ",", 
      RowBox[{"-", "1"}], ",", "h", ",", "gauge", ",", "order"}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Rulesmetricmatter", "[", 
  RowBox[{"\"\<FluidComovingGauge\>\"", ",", "1"}], "]"}]}], "Input",
 CellLabel->"In[48]:=",ExpressionUUID->"5a32fe0b-de09-47f5-9efb-d59f7959013d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]g", 
         StyleBox[GridBox[{
            {"1", 
             UnderscriptBox["\[Alpha]", "_"], 
             UnderscriptBox["\[Beta]", "_"]},
            {" ", " ", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`dg[
      xAct`xTensor`LI[1], 
      Pattern[$CellContext`\[Alpha], 
       Blank[]], 
      Pattern[$CellContext`\[Beta], 
       Blank[]]],
     Editable->False], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {"\[Alpha]", "\[Beta]"},
                   {" ", " "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[$CellContext`\[Alpha], $CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {"\[Beta]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Beta]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False]}], "-", 
     RowBox[{
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]", "\[Beta]"},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Beta]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}]}]}], ",", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]g", 
         StyleBox[GridBox[{
            {
             RowBox[{
              RowBox[{"(", "xAct`xPand`Private`n$75081_", ")"}], "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#1", " ", ">=", " ", "2"}], " ", "&"}], " ", ")"}]}], 
             UnderscriptBox["\[Alpha]", "_"], 
             UnderscriptBox["\[Beta]", "_"]},
            {" ", " ", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`dg[
      xAct`xTensor`LI[
       PatternTest[
        Pattern[xAct`xPand`Private`n$75081, 
         Blank[]], # >= 2& ]], 
      Pattern[$CellContext`\[Alpha], 
       Blank[]], 
      Pattern[$CellContext`\[Beta], 
       Blank[]]],
     Editable->False], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"E", 
           StyleBox[GridBox[{
              {"xAct`xPand`Private`n$75081", "0", "\[Alpha]", "\[Beta]"},
              {" ", " ", " ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
        xAct`xTensor`LI[0], $CellContext`\[Alpha], $CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {"B", 
           StyleBox[GridBox[{
              {"xAct`xPand`Private`n$75081", "0", "\[Beta]"},
              {" ", " ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Bvh[
        xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
        xAct`xTensor`LI[0], $CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {"B", 
           StyleBox[GridBox[{
              {"xAct`xPand`Private`n$75081", "0", "\[Alpha]"},
              {" ", " ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Bvh[
        xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
        xAct`xTensor`LI[0], $CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"\[Phi]", 
           StyleBox[GridBox[{
              {"xAct`xPand`Private`n$75081", "0"},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[Phi]h[
        xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
        xAct`xTensor`LI[0]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]", "\[Beta]"},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[$CellContext`\[Alpha], $CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"\[Psi]", 
           StyleBox[GridBox[{
              {"xAct`xPand`Private`n$75081", "0"},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[Psi]h[
        xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
        xAct`xTensor`LI[0]],
       Editable->False]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Beta]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], GridBox[{
            {"B", 
             StyleBox[GridBox[{
                {"xAct`xPand`Private`n$75081", "0"},
                {" ", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], GridBox[{
            {"B", 
             StyleBox[GridBox[{
                {"xAct`xPand`Private`n$75081", "0"},
                {" ", " "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Beta]][
         $CellContext`Bsh[
          xAct`xTensor`LI[xAct`xPand`Private`n$75081], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"HoldPattern", "[", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {
              UnderscriptBox[
               UnderscriptBox["\[Alpha]", "_"], "_"]},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[
       PatternTest[
        Pattern[$CellContext`\[Alpha], 
         Blank[]], TangentM`pmQ]],
      Editable->False], "]"}], "\[RuleDelayed]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[$CellContext`\[Alpha]],
       Editable->False]}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"HoldPattern", "[", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]u", 
          StyleBox[GridBox[{
             {"1", 
              UnderscriptBox[
               UnderscriptBox["\[Alpha]", "_"], "_"]},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`du[
       xAct`xTensor`LI[1], 
       PatternTest[
        Pattern[$CellContext`\[Alpha], 
         Blank[]], TangentM`pmQ]],
      Editable->False], "]"}], "\[RuleDelayed]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {
             OverscriptBox["n", "-"], 
             StyleBox[GridBox[{
                {"\[Alpha]"},
                {" "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`n[$CellContext`\[Alpha]],
         Editable->False], " ", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", 
          RowBox[{
           FractionBox["1", "2"], " ", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              StyleBox["(",
               FontColor->RGBColor[1, 0, 0]], 
              RowBox[{
               InterpretationBox[
                StyleBox[GridBox[{
                   {"\[Delta]g", 
                    StyleBox[GridBox[{
                    {"1", " ", " "},
                    {" ", "\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`dg[
                 xAct`xTensor`LI[
                 1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
                Editable->False], " ", 
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Alpha]],
                Editable->False], " ", 
               InterpretationBox[
                StyleBox[GridBox[{
                   {
                    OverscriptBox["n", "-"], 
                    StyleBox[GridBox[{
                    {"\[Beta]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`n[$CellContext`\[Beta]],
                Editable->False]}], 
              StyleBox[")",
               FontColor->RGBColor[1, 0, 0]]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            xAct`xTensor`Scalar[$CellContext`dg[
               xAct`xTensor`LI[
               1], -$CellContext`\[Alpha], -$CellContext`\[Beta]] \
$CellContext`n[$CellContext`\[Alpha]] $CellContext`n[$CellContext`\[Beta]]],
            Editable->False]}]}], "]"}]}], "+", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], "-", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False]}]}], "]"}]}]}], "}"}]], "Output",
 CellLabel->"Out[49]=",ExpressionUUID->"13224150-d4ac-4cae-b8bb-2d1a8ee017df"]
}, Open  ]],

Cell["\<\
But again it is much simpler to use the function MyxPand (based on xPand) \
which does everything.\
\>", "Text",
 CellChangeTimes->{{3.5635637033359528`*^9, 3.5635637118041677`*^9}, {
   3.563609586322323*^9, 3.563609622245933*^9}, {3.563609652782339*^9, 
   3.563609663756331*^9}, {3.563609997037355*^9, 3.563610010122427*^9}, 
   3.564132966799944*^9, 
   3.564134920882165*^9},ExpressionUUID->"547944a7-290b-4efb-903d-\
7c9001a9a834"],

Cell[TextData[{
 "Divergence of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"the", " ", "velocity", " ", 
    RowBox[{"field", " ", ":", " ", 
     RowBox[{
      SubscriptBox["\[Del]", "\[Mu]"], " ", 
      SuperscriptBox["u", "\[Mu]"]}]}]}], TraditionalForm]],ExpressionUUID->
  "ad843e6b-ab9c-4749-8a90-3b05f4a15721"]
}], "Text",
 CellChangeTimes->{{3.563013031489065*^9, 3.5630130731995296`*^9}, {
  3.5630146302522297`*^9, 
  3.563014633248361*^9}},ExpressionUUID->"32c969bc-ad62-4cdc-b27a-\
e435d74bf095"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"u", "[", "\[Nu]", "]"}], ",", "\"\<NewtonGauge\>\"", ",", 
    "order"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"ExtractComponents", "[", 
  RowBox[{
   RowBox[{"%", " ", 
    RowBox[{"ah", "[", "]"}]}], ",", "h"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{"-", "\[Nu]"}], "]"}], ",", "\"\<NewtonGauge\>\"", ",", 
    "order"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"ExtractComponents", "[", 
  RowBox[{
   RowBox[{"%", "/", 
    RowBox[{"ah", "[", "]"}]}], ",", "h"}], "]"}]}], "Input",
 CellLabel->"In[50]:=",ExpressionUUID->"3ff34059-f5d4-4005-9181-2d07466551b4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     StyleBox["\[Epsilon]",
      FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]u", 
          StyleBox[GridBox[{
             {"1", "\[Nu]"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`du[
       xAct`xTensor`LI[1], $CellContext`\[Nu]],
      Editable->False]}], 
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["(",
        FontColor->RGBColor[1, 0, 0]], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], 
       StyleBox[")",
        FontColor->RGBColor[1, 0, 0]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]],
     Editable->False]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.039455`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", xAct`xPand`\[Epsilon] $CellContext`du[
     xAct`xTensor`LI[1], $CellContext`\[Nu]]/xAct`xTensor`Scalar[
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]]], " +... was performed in ", 0.039455, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[50]:=",ExpressionUUID->"980bd50d-589a-48ca-afd5-8ede281f6070"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {"\[Nu]"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[$CellContext`\[Nu]],
    Editable->False], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"Vu", 
               StyleBox[GridBox[{
                  {"\[Nu]"},
                  {" "}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[$CellContext`\[Nu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Vvhu[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[0], $CellContext`\[Nu]],
       Editable->False], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Vu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vshu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[$CellContext`\[Nu]][
        $CellContext`Vshu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]]],
       Editable->False], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[50]=",ExpressionUUID->"7cc40398-eaaf-423e-b07f-d232577fc33a"],

Cell[BoxData[
 TagBox[GridBox[{
    {"n", 
     RowBox[{"1", "-", 
      RowBox[{
       StyleBox["\[Epsilon]",
        FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}]}]},
    {"h", 
     RowBox[{
      StyleBox["\[Epsilon]",
       FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
      RowBox[{"(", 
       RowBox[{
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], "+", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False]}], ")"}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[51]=",ExpressionUUID->"aa854af3-a774-4e27-8113-d8c11aff7e42"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Nu]],
     Editable->False]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.054116`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]] $CellContext`u[-$CellContext`\[Nu]], 
   " +... was performed in ", 0.054116, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[50]:=",ExpressionUUID->"2ecc6b85-178b-4dbe-95cf-c140c6b5df91"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {" "},
           {"\[Nu]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[-$CellContext`\[Nu]],
    Editable->False]}], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[52]=",ExpressionUUID->"10312d0a-b8fc-4540-9ba0-8714b4ff3c60"],

Cell[BoxData[
 TagBox[GridBox[{
    {"n", 
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      RowBox[{
       StyleBox["\[Epsilon]",
        FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}]}]},
    {"h", 
     RowBox[{
      StyleBox["\[Epsilon]",
       FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
      RowBox[{"(", 
       RowBox[{
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]],
         Editable->False], "+", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Nu]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[-$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]],
         Editable->False], "+", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False]}], ")"}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[53]=",ExpressionUUID->"9706d41d-170e-41b1-b273-454823a0c3ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"CD", "[", 
      RowBox[{"-", "\[Nu]"}], "]"}], "@", 
     RowBox[{"u", "[", "\[Nu]", "]"}]}], ",", "\"\<NewtonGauge\>\"", ",", 
    "order"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.563541975524515*^9, 3.563542014648822*^9}, {
   3.5635422568848057`*^9, 3.563542256970842*^9}, {3.5635425451601963`*^9, 
   3.563542569040531*^9}, {3.563543178826377*^9, 3.563543185785124*^9}, {
   3.563543274673319*^9, 3.563543275504404*^9}, {3.563545848031794*^9, 
   3.563545868089514*^9}, 3.563545926079014*^9, {3.563546318622203*^9, 
   3.563546319136566*^9}, {3.563546653960137*^9, 3.563546655050621*^9}, {
   3.5635637532401876`*^9, 3.563563756372818*^9}, 3.563564008818708*^9, 
   3.563564317879705*^9, 3.563609650537238*^9, 3.5638719974885798`*^9, 
   3.5641329696795797`*^9, {3.569330669920261*^9, 3.5693306715398703`*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"8745552b-51dd-409e-835b-7c0e13ad61ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{"3", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"\[Nu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Nu]"], 
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Nu]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]],
       Editable->False], ")"}]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.083656`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", 3 xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[
       0]]]^(-2) $CellContext`u[$CellContext`\[Nu]] \
$CellContext`CD[-$CellContext`\[Nu]][
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]], " +... was performed in ", 0.083656, " seconds."],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[54]:=",ExpressionUUID->"91f0a747-bb23-4098-9f0d-a6e5fb7c26d3"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False]}], 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["a",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"3", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]]}], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Vu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vshu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[54]=",ExpressionUUID->"93ba8fd4-f055-4847-869e-3e0005c29166"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Acceleration", " ", "of", "  ", 
   SuperscriptBox["A", "\[Nu]"]}], "=", 
  RowBox[{
   SuperscriptBox["u", "\[Mu]"], 
   FormBox[
    RowBox[{
     SubscriptBox["\[Del]", "\[Mu]"], " ", 
     SuperscriptBox["u", "\[Nu]"]}],
    TraditionalForm]}]}]], "Text",
 CellChangeTimes->{{3.563013076836548*^9, 3.563013094658144*^9}, {
  3.5630131468361483`*^9, 3.563013153990485*^9}, {3.563014644779002*^9, 
  3.563014646207288*^9}},ExpressionUUID->"f6be7640-2388-451c-8a42-\
8c66761902b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"u", "[", "\[Mu]", "]"}], 
     RowBox[{
      RowBox[{"CD", "[", 
       RowBox[{"-", "\[Mu]"}], "]"}], "@", 
      RowBox[{"u", "[", "\[Nu]", "]"}]}]}], ",", "\"\<NewtonGauge\>\"", ",", 
    "order"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.563546399749714*^9, 3.563546404220571*^9}, {
   3.5635466594781637`*^9, 3.563546660273888*^9}, {3.5635637611505957`*^9, 
   3.56356376376442*^9}, 3.563564010626575*^9, 3.563564318743421*^9, 
   3.563609675144249*^9, {3.5638719989168787`*^9, 3.563872000244594*^9}, 
   3.564132970616248*^9, {3.56855082514695*^9, 3.5685508444259253`*^9}, 
   3.568551925266069*^9, {3.569330674679812*^9, 3.56933067637712*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"82a524fd-cd19-40cb-b449-2586822fa5c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"\[Mu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`\[Mu]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"\[Nu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Mu]"], 
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Mu]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]],
       Editable->False], ")"}]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "3"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.178424`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[
       0]]]^(-3) $CellContext`u[$CellContext`\[Mu]] \
$CellContext`u[$CellContext`\[Nu]] $CellContext`CD[-$CellContext`\[Mu]][
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]], " +... was performed in ", 0.178424, " seconds."],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[55]:=",ExpressionUUID->"70603521-6730-490f-8232-bc750f0e7a8f"],

Cell[BoxData[
 RowBox[{
  StyleBox["\[Epsilon]",
   FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"B", 
              StyleBox[GridBox[{
                 {"\[Nu]"},
                 {" "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[$CellContext`\[Nu]],
          Editable->False], "\[Prime]"]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bvh[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[1], $CellContext`\[Nu]],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {"\[Nu]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]}], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Nu]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Nu]],
        Editable->False], ")"}]}], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox[GridBox[{
             {"Vu", 
              StyleBox[GridBox[{
                 {"\[Nu]"},
                 {" "}
                },
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
               FontSize->Rational[39, 4]]}
            },
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Vvhu[$CellContext`\[Nu]],
          Editable->False], "\[Prime]"]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Vvhu[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[1], $CellContext`\[Nu]],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        SuperscriptBox[
         OverscriptBox["D", "_"], "\[Nu]"], 
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox["Vu",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Vshu[],
          Editable->False], "\[Prime]"]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cd[$CellContext`\[Nu]][
       $CellContext`Vshu[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[1]]],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]], "+", 
    FractionBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        SuperscriptBox[
         OverscriptBox["D", "_"], "\[Nu]"], 
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[Phi]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cd[$CellContext`\[Nu]][
       $CellContext`\[Phi]h[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[0]]],
      Editable->False], 
     SuperscriptBox[
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], "2"]]}], ")"}]}]], "Output",
 CellLabel->"Out[55]=",ExpressionUUID->"d4236b0d-2fc6-4fcf-9046-b5413c864c39"]
}, Open  ]],

Cell["The shear of the velocity field", "Text",
 CellChangeTimes->{{3.563100579608638*^9, 
  3.563100586261012*^9}},ExpressionUUID->"058c023b-4356-4ce2-aa72-\
678a12831a09"],

Cell[BoxData[
 RowBox[{
  RowBox[{"hu", "[", 
   RowBox[{"\[Alpha]_", ",", "\[Beta]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}], "+", 
   RowBox[{
    RowBox[{"u", "[", "\[Alpha]", "]"}], 
    RowBox[{"u", "[", "\[Beta]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.564822297873691*^9, 3.564822316594648*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"aa0e8f69-31a2-4474-8a5d-f5c9e7b8649f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Symmetrize", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"hu", "[", 
         RowBox[{
          RowBox[{"-", "\[Mu]"}], ",", "\[Alpha]"}], "]"}], 
        RowBox[{"hu", "[", 
         RowBox[{
          RowBox[{"-", "\[Nu]"}], ",", "\[Beta]"}], "]"}], 
        RowBox[{
         RowBox[{"CD", "[", 
          RowBox[{"-", "\[Alpha]"}], "]"}], "[", 
         RowBox[{"u", "[", 
          RowBox[{"-", "\[Beta]"}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Mu]"}], ",", 
         RowBox[{"-", "\[Nu]"}]}], "}"}]}], "]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"CD", "[", 
          RowBox[{"-", "\[Alpha]"}], "]"}], "[", 
         RowBox[{"u", "[", 
          RowBox[{"-", "\[Beta]"}], "]"}], "]"}], 
        RowBox[{"hu", "[", 
         RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], ")"}], 
      RowBox[{
       RowBox[{"hu", "[", 
        RowBox[{
         RowBox[{"-", "\[Mu]"}], ",", 
         RowBox[{"-", "\[Nu]"}]}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"DimOfManifold", "[", "M", "]"}], "-", "1"}], ")"}]}]}]}], 
    ",", "\"\<NewtonGauge\>\"", ",", "order"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.563546399749714*^9, 3.563546440246764*^9}, {
   3.563546670059277*^9, 3.563546671191814*^9}, {3.563563769972986*^9, 
   3.563563772675123*^9}, 3.563564012650197*^9, 3.563564319491667*^9, 
   3.5636096782411013`*^9, 3.563872003779233*^9, 3.5641329714163837`*^9, {
   3.564822112141584*^9, 3.5648221495990553`*^9}, {3.564822223235545*^9, 
   3.564822224492885*^9}, {3.564822286180286*^9, 3.5648222901730413`*^9}, {
   3.564822320534382*^9, 3.564822438202483*^9}, {3.56482329894986*^9, 
   3.5648233000384817`*^9}, {3.569330685718814*^9, 3.569330687368216*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"cce66407-65cd-4255-8825-b4d2345b31ce"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "3"]}], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
          {"u", 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`u[$CellContext`\[Alpha]]],
      Editable->False], ")"}]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.616951`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", Rational[-1, 3] $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[
     0]] $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]] \
$CellContext`CD[-$CellContext`\[Alpha]][
     $CellContext`u[$CellContext`\[Alpha]]], " +... was performed in ", 
   0.616951, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[57]:=",ExpressionUUID->"94c9d5da-895c-4e85-8499-9e58024a4dff"],

Cell[BoxData[
 RowBox[{
  StyleBox["\[Epsilon]",
   FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Mu]", "\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Nu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "3"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Mu]", "\[Nu]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Mu], -$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Vu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vshu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"Vu", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[-$CellContext`\[Nu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Mu]][
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"Vu", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Mu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[-$CellContext`\[Mu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Vu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vshu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}]}], ")"}]}]], "Output",
 CellLabel->"Out[57]=",ExpressionUUID->"854a99fd-9b80-438e-8ed5-362af02e84f6"]
}, Open  ]],

Cell["The vorticity (Obinna\[CloseCurlyQuote]s contribution)", "Text",
 CellChangeTimes->{{3.564821891478135*^9, 3.5648218961223927`*^9}, {
  3.564823054414884*^9, 
  3.564823062650218*^9}},ExpressionUUID->"1b776126-aade-4b87-90f8-\
721307d2f73e"],

Cell[TextData[{
 "First some rule to set the perturbation of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "i"], TraditionalForm]],ExpressionUUID->
  "32151490-06fd-4cb7-bb8b-567f2827d6fb"],
 " to 0, so that u is in fact the perturbation of the normal vector n"
}], "Text",
 CellChangeTimes->{{3.564823160920334*^9, 3.564823183830853*^9}, 
   3.5683165133498507`*^9, {3.569739107879727*^9, 
   3.569739121574195*^9}},ExpressionUUID->"1879e88b-9a86-406b-9573-\
4527caba8dc5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"Xs", "[", "]"}], ",", "M"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"Xv", "[", 
    RowBox[{"-", "\[Mu]"}], "]"}], ",", "M"}], "]"}]}], "Input",
 CellChangeTimes->{{3.564822775334193*^9, 3.56482279867197*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"b7990090-27b6-426b-94ce-f58bfb6282d8"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Xs", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Xs[], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[58]:=",ExpressionUUID->"1a11f8c0-d7e1-4e89-a891-e5d57e2cfed0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Xv", "[", 
    RowBox[{"-", "\[Mu]"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Xv[-$CellContext`\[Mu]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[58]:=",ExpressionUUID->"3720e218-0e82-4cb3-bac0-79231caf24c1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"RuleV1", "=", 
  RowBox[{"IndexSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"ExtractOrder", "[", 
       RowBox[{
        RowBox[{"ExtractComponents", "[", 
         RowBox[{
          RowBox[{"MyxPand", "[", 
           RowBox[{
            RowBox[{"u", "[", 
             RowBox[{"-", "\[Nu]"}], "]"}], ",", "\"\<AnyGauge\>\"", ",", 
            "1"}], "]"}], " ", ",", "h", ",", 
          RowBox[{"{", "h", "}"}]}], "]"}], ",", "1"}], "]"}], ")"}], 
     "\[Equal]", "0"}], ",", 
    RowBox[{"Vvhu", "[", 
     RowBox[{
      RowBox[{"LI", "[", "1", "]"}], ",", 
      RowBox[{"LI", "[", "0", "]"}], ",", 
      RowBox[{"-", "\[Nu]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"RuleV2", "=", 
  RowBox[{"IndexSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ExtractOrder", "[", 
        RowBox[{
         RowBox[{"ExtractComponents", "[", 
          RowBox[{
           RowBox[{"MyxPand", "[", 
            RowBox[{
             RowBox[{"u", "[", 
              RowBox[{"-", "\[Nu]"}], "]"}], ",", "\"\<AnyGauge\>\"", ",", 
             "2"}], "]"}], " ", ",", "h", ",", 
           RowBox[{"{", "h", "}"}]}], "]"}], ",", "2"}], "]"}], "/.", 
       "RuleV1"}], ")"}], "\[Equal]", "0"}], ",", 
    RowBox[{"Vvhu", "[", 
     RowBox[{
      RowBox[{"LI", "[", "2", "]"}], ",", 
      RowBox[{"LI", "[", "0", "]"}], ",", 
      RowBox[{"-", "\[Nu]"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.565070542745123*^9, 3.565070591235425*^9}, {
  3.5693306999343224`*^9, 3.569330704398437*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"ba5ecc35-32fc-4ca7-8dac-68156f58026b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Nu]],
     Editable->False]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.063575`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]] $CellContext`u[-$CellContext`\[Nu]], 
   " +... was performed in ", 0.063575, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[60]:=",ExpressionUUID->"d55b6fcf-dc2f-4b9c-be79-bf7fd6339490"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"HoldPattern", "[", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       OverscriptBox["\[Null]", 
        StyleBox[
         RowBox[{"(", "1", ")"}],
         FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
       OverscriptBox[
        InterpretationBox[
         StyleBox[GridBox[{
            {"Vu", 
             StyleBox[GridBox[{
                {
                 UnderscriptBox[
                  UnderscriptBox["\[Nu]", "_"], "_"]},
                {" "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          PatternTest[
           Pattern[$CellContext`\[Nu], 
            Blank[]], TangentM`pmQ]],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Vvhu[
      xAct`xTensor`LI[1], 
      xAct`xTensor`LI[0], 
      PatternTest[
       Pattern[$CellContext`\[Nu], 
        Blank[]], TangentM`pmQ]],
     Editable->False], "]"}], "\[RuleDelayed]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}]}], 
        InterpretationBox[
         StyleBox[
          RowBox[{
           StyleBox["(",
            FontColor->RGBColor[1, 0, 0]], 
           InterpretationBox[
            StyleBox[
             OverscriptBox[
              InterpretationBox[
               StyleBox["a",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`ah[],
               Editable->False], ""],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[
             xAct`xTensor`LI[0], 
             xAct`xTensor`LI[0]],
            Editable->False], 
           StyleBox[")",
            FontColor->RGBColor[1, 0, 0]]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         xAct`xTensor`Scalar[
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False]]}], "-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["Vu",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Vshu[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Vshu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]]}]}], "]"}]}], "}"}]], "Output",
 CellLabel->"Out[60]=",ExpressionUUID->"2fefa811-3e52-4220-8a8a-80849602d457"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Nu]],
     Editable->False]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.398485`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]] $CellContext`u[-$CellContext`\[Nu]], 
   " +... was performed in ", 0.398485, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[60]:=",ExpressionUUID->"5396e532-ad4c-48d2-807c-dd92d4c80862"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"HoldPattern", "[", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       OverscriptBox["\[Null]", 
        StyleBox[
         RowBox[{"(", "2", ")"}],
         FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
       OverscriptBox[
        InterpretationBox[
         StyleBox[GridBox[{
            {"Vu", 
             StyleBox[GridBox[{
                {
                 UnderscriptBox[
                  UnderscriptBox["\[Nu]", "_"], "_"]},
                {" "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          PatternTest[
           Pattern[$CellContext`\[Nu], 
            Blank[]], TangentM`pmQ]],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Vvhu[
      xAct`xTensor`LI[2], 
      xAct`xTensor`LI[0], 
      PatternTest[
       Pattern[$CellContext`\[Nu], 
        Blank[]], TangentM`pmQ]],
     Editable->False], "]"}], "\[RuleDelayed]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "\[Alpha]", "}"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["a",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`ah[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "2", ")"}],
               FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}]}], 
        InterpretationBox[
         StyleBox[
          RowBox[{
           StyleBox["(",
            FontColor->RGBColor[1, 0, 0]], 
           InterpretationBox[
            StyleBox[
             OverscriptBox[
              InterpretationBox[
               StyleBox["a",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`ah[],
               Editable->False], ""],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[
             xAct`xTensor`LI[0], 
             xAct`xTensor`LI[0]],
            Editable->False], 
           StyleBox[")",
            FontColor->RGBColor[1, 0, 0]]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         xAct`xTensor`Scalar[
          $CellContext`ah[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]]],
         Editable->False]]}], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Nu]", " "},
                    {" ", "\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[$CellContext`\[Nu], -$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Nu], -$CellContext`\[Alpha]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Nu]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Nu]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "-", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Nu]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Nu]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "-", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Psi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Psi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Psi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "2", ")"}],
              FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Bsh[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Evh[-$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "-", 
      FractionBox[
       RowBox[{
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "2", ")"}],
              FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["Vu",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Vshu[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Vshu[
            xAct`xTensor`LI[2], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Evh[$CellContext`\[Nu]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"B", 
                  StyleBox[GridBox[{
                    {"\[Alpha]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bvh[$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Alpha]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["E",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Esh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Nu]", " "},
                    {" ", "\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Eth[$CellContext`\[Nu], -$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Eth[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], $CellContext`\[Nu], -$CellContext`\[Alpha]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Evh[-$CellContext`\[Alpha]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Nu]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox[GridBox[{
                 {"E", 
                  StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                   FontSize->Rational[39, 4]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Evh[$CellContext`\[Nu]],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]], "+", 
      FractionBox[
       RowBox[{"4", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SubscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Nu]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["E",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Esh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[-$CellContext`\[Alpha]][
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]]],
          Editable->False], ")"}], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            SuperscriptBox[
             OverscriptBox["D", "_"], "\[Alpha]"], 
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]],
          Editable->False], ")"}]}], 
       InterpretationBox[
        StyleBox[
         RowBox[{
          StyleBox["(",
           FontColor->RGBColor[1, 0, 0]], 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["a",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`ah[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], 
          StyleBox[")",
           FontColor->RGBColor[1, 0, 0]]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xTensor`Scalar[
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]]],
        Editable->False]]}]}], "]"}]}], "}"}]], "Output",
 CellLabel->"Out[61]=",ExpressionUUID->"8edd3981-a189-442e-9759-76a17f111b4c"]
}, Open  ]],

Cell["Now we compute the vorticity", "Text",
 CellChangeTimes->{{3.564823186059102*^9, 3.564823194550475*^9}, {
  3.565070673600889*^9, 
  3.56507067947796*^9}},ExpressionUUID->"d41be0ef-44ea-4e10-b15b-\
ee7f8b5a7b98"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{"Antisymmetrize", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"hu", "[", 
        RowBox[{
         RowBox[{"-", "\[Mu]"}], ",", "\[Alpha]"}], "]"}], 
       RowBox[{"hu", "[", 
        RowBox[{
         RowBox[{"-", "\[Nu]"}], ",", "\[Beta]"}], "]"}], 
       RowBox[{
        RowBox[{"CD", "[", 
         RowBox[{"-", "\[Alpha]"}], "]"}], "[", 
        RowBox[{"u", "[", 
         RowBox[{"-", "\[Beta]"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "\[Mu]"}], ",", 
        RowBox[{"-", "\[Nu]"}]}], "}"}]}], "]"}], ",", "\"\<AnyGauge\>\"", 
    ",", "2"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.564821902661414*^9, 3.564821947283682*^9}, {
  3.564822057970591*^9, 3.564822059026186*^9}, {3.564822449101076*^9, 
  3.564822463633605*^9}, {3.5648232438310966`*^9, 3.564823245383089*^9}, {
  3.5650706108351*^9, 3.5650706158309298`*^9}, {3.569330709348248*^9, 
  3.569330711247713*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"f6b6f048-c50e-4001-8ad4-cb10572ab627"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {"\[Alpha]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[$CellContext`\[Alpha]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
          {"u", 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`u[-$CellContext`\[Mu]]],
      Editable->False], ")"}]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "6.275274`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", Rational[-1, 2] $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[
     0]] $CellContext`u[$CellContext`\[Alpha]] $CellContext`u[-$CellContext`\
\[Nu]] $CellContext`CD[-$CellContext`\[Alpha]][
     $CellContext`u[-$CellContext`\[Mu]]], " +... was performed in ", 
   6.275274, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[62]:=",ExpressionUUID->"d29bf376-12f1-44f2-8254-7e724fa8f1e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", "\[Alpha]"},
                   {"\[Nu]", " "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Nu], $CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", "\[Alpha]"},
                   {"\[Mu]", " "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Mu], $CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "2", ")"}],
            FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Nu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Nu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Nu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Nu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Nu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Nu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Nu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Nu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Nu]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "2", ")"}],
            FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Nu]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Nu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Nu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Nu]]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "2", ")"}],
            FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Bvh[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Mu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Mu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox["\[ScriptK]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[ScriptK]h[],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Mu]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Mu]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Mu]", "\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`cd[-$CellContext`\[Mu]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "2", ")"}],
            FontColor->RGBColor[0, 0.6, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`Vvhu[
          xAct`xTensor`LI[2], 
          xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Mu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"Vu", 
                StyleBox[GridBox[{
                   {"\[Alpha]"},
                   {" "}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vvhu[$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Vvhu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], $CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Mu]]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["a",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`ah[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SuperscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["Vu",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Vshu[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Nu]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Mu]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Mu]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Nu]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Mu]]]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[62]=",ExpressionUUID->"5616d1af-3e22-4a27-9915-1223301f4a07"]
}, Open  ]],

Cell["\<\
And we check that in the case where u is just the perturbation of  the normal \
vector n, it vanishes automatically.\
\>", "Text",
 CellChangeTimes->{{3.56482319661339*^9, 3.564823220732997*^9}, {
  3.564823273798676*^9, 
  3.564823274956036*^9}},ExpressionUUID->"6211cb50-6190-47ce-aeac-\
18671951c2ea"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SortCovDsStart", "[", "cd", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"org", "[", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"%%", "/.", "RuleV1"}], "/.", "RuleV2"}], ")"}], "]"}], "//", 
  "ContractMetric"}]}], "Input",
 CellLabel->"In[63]:=",ExpressionUUID->"b183813c-3ab0-4139-bdf0-d88a935cc87a"],

Cell[BoxData["0"], "Output",
 CellLabel->"Out[64]=",ExpressionUUID->"1144c714-d1a0-4491-8a5e-15537f6a9717"]
}, Open  ]],

Cell["Shear of fluid velocity", "Text",
 CellChangeTimes->{{3.565070626063362*^9, 
  3.565070633528493*^9}},ExpressionUUID->"1081ca02-e965-4f77-82af-\
e64153731613"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"org", "[", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"MyxPand", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Symmetrize", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"hu", "[", 
            RowBox[{
             RowBox[{"-", "\[Mu]"}], ",", "\[Alpha]"}], "]"}], 
           RowBox[{"hu", "[", 
            RowBox[{
             RowBox[{"-", "\[Nu]"}], ",", "\[Beta]"}], "]"}], 
           RowBox[{
            RowBox[{"CD", "[", 
             RowBox[{"-", "\[Alpha]"}], "]"}], "[", 
            RowBox[{"u", "[", 
             RowBox[{"-", "\[Beta]"}], "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "\[Mu]"}], ",", 
            RowBox[{"-", "\[Nu]"}]}], "}"}]}], "]"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"CD", "[", 
             RowBox[{"-", "\[Alpha]"}], "]"}], "[", 
            RowBox[{"u", "[", 
             RowBox[{"-", "\[Beta]"}], "]"}], "]"}], 
           RowBox[{"hu", "[", 
            RowBox[{"\[Alpha]", ",", "\[Beta]"}], "]"}]}], ")"}], 
         RowBox[{
          RowBox[{"hu", "[", 
           RowBox[{
            RowBox[{"-", "\[Mu]"}], ",", 
            RowBox[{"-", "\[Nu]"}]}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"DimOfManifold", "[", "M", "]"}], "-", "1"}], ")"}]}]}]}],
        ",", "\"\<AnyGauge\>\"", ",", "order"}], "]"}], " ", "/.", "RuleV1"}],
     "/.", "RuleV2"}], ")"}], "]"}]], "Input",
 CellChangeTimes->{{3.564824061805285*^9, 3.564824066372642*^9}, {
  3.5648260964606533`*^9, 3.564826133047069*^9}, {3.564826415050377*^9, 
  3.5648264173456306`*^9}, {3.5693307208952093`*^9, 3.569330722316263*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"0cffc8f7-3068-404e-9c3a-f1402e988ad5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "3"]}], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Mu]", "\[Nu]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox[
         OverscriptBox["\[Del]", "_"], "\[Alpha]"], GridBox[{
          {"u", 
           StyleBox[GridBox[{
              {"\[Alpha]"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`\[Alpha]][
       $CellContext`u[$CellContext`\[Alpha]]],
      Editable->False], ")"}]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.705895`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", Rational[-1, 3] $CellContext`ah[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[
     0]] $CellContext`g[-$CellContext`\[Mu], -$CellContext`\[Nu]] \
$CellContext`CD[-$CellContext`\[Alpha]][
     $CellContext`u[$CellContext`\[Alpha]]], " +... was performed in ", 
   0.705895, " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[65]:=",ExpressionUUID->"da261a13-3f54-4d5f-9c27-b171c205b14b"],

Cell[BoxData[
 RowBox[{
  StyleBox["\[Epsilon]",
   FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Mu]", "\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Eth[-$CellContext`\[Mu], -$CellContext`\[Nu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Eth[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[1], -$CellContext`\[Mu], -$CellContext`\[Nu]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "3"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Mu]", "\[Nu]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Mu], -$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "3"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["h", "-"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Mu]", "\[Nu]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`h[-$CellContext`\[Mu], -$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Vu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vshu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         $CellContext`Vshu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[-$CellContext`\[Nu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Mu]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Nu]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Nu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[-$CellContext`\[Nu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Mu]][
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Nu]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"B", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Mu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[-$CellContext`\[Mu]],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Mu]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox[GridBox[{
              {"E", 
               StyleBox[GridBox[{
                  {" "},
                  {"\[Mu]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[-$CellContext`\[Mu]],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Mu]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["B",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bsh[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Mu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Nu]][
        $CellContext`cd[-$CellContext`\[Mu]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]]],
       Editable->False], ")"}]}]}], ")"}]}]], "Output",
 CellLabel->"Out[65]=",ExpressionUUID->"04ee230f-350b-4ab3-bb01-10effe46b472"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Stress - energy Tensor", "Subsubsection",
 CellChangeTimes->{{3.5632727056462*^9, 
  3.563272712102635*^9}},ExpressionUUID->"b0380135-274a-4db5-979e-\
2c8c0333528b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"Tmunu", "[", 
    RowBox[{
     RowBox[{"-", "\[Mu]"}], ",", 
     RowBox[{"-", "\[Nu]"}]}], "]"}], ",", "M"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tmunu", "[", 
   RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Rho]", "[", "u", "]"}], "[", "]"}], "+", 
      RowBox[{
       RowBox[{"P", "[", "u", "]"}], "[", "]"}]}], ")"}], 
    RowBox[{"u", "[", "\[Mu]", "]"}], 
    RowBox[{"u", "[", "\[Nu]", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"P", "[", "u", "]"}], "[", "]"}], 
    RowBox[{"g", "[", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.563272537268848*^9, 3.563272632764781*^9}, {
  3.5632727729446173`*^9, 3.563272789198825*^9}, {3.5635464566534977`*^9, 
  3.5635464585242977`*^9}, {3.5635465307065573`*^9, 3.563546556506158*^9}, {
  3.563562853338437*^9, 3.5635628641769876`*^9}, {3.5636096861604757`*^9, 
  3.5636096904459677`*^9}, {3.563872006905201*^9, 3.5638720116185637`*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"790a18f9-085f-4650-b632-8924478b58a5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Tmunu", "[", 
    RowBox[{
     RowBox[{"-", "\[Mu]"}], ",", 
     RowBox[{"-", "\[Nu]"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Tmunu[-$CellContext`\[Mu], -$CellContext`\[Nu]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[66]:=",ExpressionUUID->"176afd7f-754c-425b-87fc-a3da06c4f2cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MyxPand", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"CD", "[", 
     RowBox[{"-", "\[Mu]"}], "]"}], "@", 
    RowBox[{"Tmunu", "[", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}]}], ",", "\"\<NewtonGauge\>\"", 
   ",", "order"}], "]"}]], "Input",
 CellChangeTimes->{
  3.5635464748748617`*^9, {3.563546681123726*^9, 3.563546681925468*^9}, {
   3.563563777090012*^9, 3.563563780072474*^9}, 3.5635640145688753`*^9, 
   3.563564320388891*^9, 3.563609682047933*^9, 3.563620884133663*^9, 
   3.56413297233918*^9, {3.569330730076696*^9, 3.569330731392638*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"4557d24c-a495-4a31-abcc-8247e1d97c81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{"4", " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["Pu",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Pu[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Pu[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"\[Mu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`\[Mu]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"\[Nu]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`\[Nu]],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["\[Del]", "_"], "\[Mu]"], 
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`\[Mu]][
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]]],
       Editable->False], ")"}]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "3"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.773517`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", 4 $CellContext`Pu[
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]] xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[
       0]]]^(-3) $CellContext`u[$CellContext`\[Mu]] \
$CellContext`u[$CellContext`\[Nu]] $CellContext`CD[-$CellContext`\[Mu]][
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]]], " +... was performed in ", 0.773517, " seconds."],
  
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[68]:=",ExpressionUUID->"022ad3ee-0378-46ef-8f4a-3b034023cb2a"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Nu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["Pu",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Pu[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[ScriptCapitalH]",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Hh[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Nu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[Rho]u",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Rho]u[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         OverscriptBox["n", "-"], 
         StyleBox[GridBox[{
            {"\[Nu]"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`n[$CellContext`\[Nu]],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["\[Rho]u",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[],
        Editable->False], "\[Prime]"],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Rho]u[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[1]],
     Editable->False]}], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Nu]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Pu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Nu]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Nu]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"Vu", 
                 StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vvhu[$CellContext`\[Nu]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Vvhu[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], $CellContext`\[Nu]],
         Editable->False], ")"}], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Rho]u[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Rho]u[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Vshu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["n", "-"], 
            StyleBox[GridBox[{
               {"\[Nu]"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`n[$CellContext`\[Nu]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Vshu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Nu]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[$CellContext`\[Nu]][
        $CellContext`Pu[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Vu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Vshu[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Vshu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]]}], ")"}]}]}]], "Output",
 CellLabel->"Out[68]=",ExpressionUUID->"7f9e18a3-ca4a-43e4-b23d-462e67b411e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExtractComponents", "[", 
  RowBox[{
   RowBox[{"%", 
    RowBox[{
     RowBox[{"ah", "[", "]"}], "^", "2"}]}], ",", "h"}], "]"}]], "Input",
 CellChangeTimes->{{3.5632733138738327`*^9, 3.563273318349958*^9}, 
   3.5632733639525967`*^9, {3.563273931349428*^9, 3.563273947065455*^9}, {
   3.563546697481946*^9, 3.5635466981122007`*^9}, {3.5638720171630383`*^9, 
   3.5638720186360207`*^9}, {3.563872472852694*^9, 3.563872476271014*^9}, {
   3.5641344254654827`*^9, 3.564134437938326*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"fd40fd0c-3dce-4e11-bd4f-ffc886a31977"],

Cell[BoxData[
 TagBox[GridBox[{
    {"n", 
     RowBox[{
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["Pu",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Pu[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], "+", 
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Rho]u",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Rho]u[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False]}], "+", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[Rho]u",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[],
          Editable->False], "\[Prime]"],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[Rho]u[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[1]],
       Editable->False], "+", 
      RowBox[{
       StyleBox["\[Epsilon]",
        FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["Pu",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Pu[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Pu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "+", 
         RowBox[{"3", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Rho]u",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Rho]u[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Rho]u[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "+", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Rho]u",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Rho]u[],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]],
          Editable->False], "-", 
         RowBox[{"6", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["Pu",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Pu[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"6", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Rho]u",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Rho]u[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"2", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Rho]u",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Rho]u[],
              Editable->False], "\[Prime]"],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[1]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Phi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Phi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"3", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["Pu",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Pu[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], "\[Prime]"]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]],
            Editable->False], ")"}]}], "-", 
         RowBox[{"3", " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Rho]u",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Rho]u[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], "\[Prime]"]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]],
            Editable->False], ")"}]}], "+", 
         RowBox[{
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["Pu",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Pu[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Pu[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["D", "_"], "\[Alpha]"], 
              SuperscriptBox[
               OverscriptBox["D", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["Vu",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Vshu[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`cd[-$CellContext`\[Alpha]][
             $CellContext`cd[$CellContext`\[Alpha]][
              $CellContext`Vshu[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]]]],
            Editable->False], ")"}]}], "+", 
         RowBox[{
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Rho]u",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Rho]u[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Rho]u[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              SubscriptBox[
               OverscriptBox["D", "_"], "\[Alpha]"], 
              SuperscriptBox[
               OverscriptBox["D", "_"], "\[Alpha]"], 
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["Vu",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Vshu[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`cd[-$CellContext`\[Alpha]][
             $CellContext`cd[$CellContext`\[Alpha]][
              $CellContext`Vshu[
               xAct`xTensor`LI[1], 
               xAct`xTensor`LI[0]]]],
            Editable->False], ")"}]}]}], ")"}]}]}]},
    {"h", 
     RowBox[{
      StyleBox["\[Epsilon]",
       FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], "\[Prime]"],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[1]],
          Editable->False]}], "+", 
        RowBox[{"4", " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], "\[Prime]"],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[1]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], $CellContext`\[Nu]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{"4", " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False]}], "+", 
        RowBox[{
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"Vu", 
                   StyleBox[GridBox[{
                    {"\[Nu]"},
                    {" "}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vvhu[$CellContext`\[Nu]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Vvhu[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], $CellContext`\[Nu]],
           Editable->False], ")"}], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], "\[Prime]"],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[1]],
          Editable->False]}], "+", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Nu]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[$CellContext`\[Nu]][
          $CellContext`Pu[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], "+", 
        RowBox[{"4", " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], "\[Prime]"],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[1]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{"4", " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[ScriptCapitalH]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Hh[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], "\[Prime]"],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[1]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["Vu",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Vshu[],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`Vshu[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["Pu",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Pu[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Pu[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["\[Phi]",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Rho]u",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Rho]u[],
             Editable->False], ""],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Rho]u[
           xAct`xTensor`LI[0], 
           xAct`xTensor`LI[0]],
          Editable->False], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             SuperscriptBox[
              OverscriptBox["D", "_"], "\[Nu]"], 
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox["\[Phi]",
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`\[Phi]h[],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`cd[$CellContext`\[Nu]][
            $CellContext`\[Phi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]]],
           Editable->False], ")"}]}]}], ")"}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[69]=",ExpressionUUID->"1b8144f2-6aca-41a4-af71-1cf5944d85a7"]
}, Open  ]],

Cell["KleinGordon equation", "Text",
 CellChangeTimes->{{3.5632727155307913`*^9, 
  3.5632727213573637`*^9}},ExpressionUUID->"36cae348-cbad-450e-9639-\
1f33fa498282"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "V", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefScalarFunction", "[", "V", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ConformalWeight", "[", 
    RowBox[{"V", "'"}], "]"}], "=", "0"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5632733964560833`*^9, 3.563273419991271*^9}, {
   3.563273514211329*^9, 3.56327351931573*^9}, {3.5641694923451767`*^9, 
   3.564169503966405*^9}, {3.5641695565184717`*^9, 3.564169619131216*^9}, {
   3.564169673887014*^9, 3.564169690980207*^9}, 3.564169721296933*^9, {
   3.564169784816215*^9, 3.5641697860958977`*^9}, {3.564169877020944*^9, 
   3.5641698797632713`*^9}, {3.564171159574751*^9, 3.564171193579926*^9}, {
   3.564171238599689*^9, 3.564171238981906*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"0fe91da9-c560-4cd6-824f-1ee94df6f129"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefScalarFunction", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"scalar function \"\>", "\[InvisibleSpace]", "V", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefScalarFunction, ": Defining ", 
   "scalar function ", $CellContext`V, ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[70]:=",ExpressionUUID->"b5b3121b-826c-4307-9652-a4c29f288f55"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MyxPand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"CD", "[", 
       RowBox[{"-", "\[Mu]"}], "]"}], "@", 
      RowBox[{
       RowBox[{"CD", "[", "\[Mu]", "]"}], "[", 
       RowBox[{"\[CurlyPhi]", "[", "]"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"V", "'"}], "[", 
      RowBox[{"\[CurlyPhi]", "[", "]"}], "]"}]}], ",", "\"\<AnyGauge\>\"", 
    ",", "order"}], "]"}], " "}]], "Input",
 CellLabel->"In[73]:=",ExpressionUUID->"4a10c90a-580b-4a45-911b-d8432773eaed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   FractionBox[
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox[
        OverscriptBox["\[Del]", "_"], "\[Mu]"], 
       SuperscriptBox[
        OverscriptBox["\[Del]", "_"], "\[Mu]"], 
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[CurlyPhi]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         xAct`xPand`\[CurlyPhi][],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`\[Mu]][
      $CellContext`CD[$CellContext`\[Mu]][
       xAct`xPand`\[CurlyPhi][
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]]],
     Editable->False], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.225445`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^(-2) $CellContext`CD[-$CellContext`\[Mu]][
     $CellContext`CD[$CellContext`\[Mu]][
      xAct`xPand`\[CurlyPhi][
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]], " +... was performed in ", 0.225445, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[73]:=",ExpressionUUID->"862a8566-818d-47df-8689-4173f9e14325"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[ScriptCapitalH]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Hh[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["\[CurlyPhi]",
          ShowAutoStyles->False,
          AutoSpacing->False],
         xAct`xPand`\[CurlyPhi][],
         Editable->False], "\[Prime]"],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xPand`\[CurlyPhi][
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[1]],
      Editable->False]}], 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       OverscriptBox[
        InterpretationBox[
         StyleBox["a",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[],
         Editable->False], ""],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]],
      Editable->False], "2"]]}], "-", 
  FractionBox[
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["\[CurlyPhi]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       xAct`xPand`\[CurlyPhi][],
       Editable->False], "\[Prime]\[Prime]"],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xPand`\[CurlyPhi][
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[2]],
    Editable->False], 
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"]], "-", 
  RowBox[{
   SuperscriptBox[
    InterpretationBox[
     StyleBox["V",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`V,
     Editable->False], "\[Prime]",
    MultilineFunction->None], "[", 
   InterpretationBox[
    StyleBox[
     OverscriptBox[
      InterpretationBox[
       StyleBox["\[CurlyPhi]",
        ShowAutoStyles->False,
        AutoSpacing->False],
       xAct`xPand`\[CurlyPhi][],
       Editable->False], ""],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xPand`\[CurlyPhi][
     xAct`xTensor`LI[0], 
     xAct`xTensor`LI[0]],
    Editable->False], "]"}], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[ScriptCapitalH]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Hh[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Hh[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], " ", 
        RowBox[{"(", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[CurlyPhi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              xAct`xPand`\[CurlyPhi][],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          xAct`xPand`\[CurlyPhi][
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]],
          Editable->False], ")"}]}], 
       SuperscriptBox[
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], "2"]]}], "-", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       xAct`xPand`\[CurlyPhi][
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[2]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[2]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Phi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Phi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Phi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Bsh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     FractionBox[
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], "\[Prime]"],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[1]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           SuperscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["E",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Esh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`cd[$CellContext`\[Alpha]][
           $CellContext`Esh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1]]]],
         Editable->False], ")"}]}], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "+", 
     FractionBox[
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         SuperscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Alpha]][
        $CellContext`cd[$CellContext`\[Alpha]][
         xAct`xPand`\[CurlyPhi][
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"]], "-", 
     RowBox[{
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[CurlyPhi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            xAct`xPand`\[CurlyPhi][],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      RowBox[{
       SuperscriptBox[
        InterpretationBox[
         StyleBox["V",
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`V,
         Editable->False], "\[Prime]\[Prime]",
        MultilineFunction->None], "[", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[CurlyPhi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           xAct`xPand`\[CurlyPhi][],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        xAct`xPand`\[CurlyPhi][
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "]"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[73]=",ExpressionUUID->"9bcf4acd-4f3c-48fc-8580-0f267193bee0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gauge Transformation", "Section",
 CellChangeTimes->{{3.56293818952113*^9, 
  3.5629381952366056`*^9}},ExpressionUUID->"5ede849e-846e-422a-a01f-\
2be4581dd544"],

Cell["\<\
Gauge transformation fields, split in 1 + 3 on the background. The spatial \
part is then split into Scalar and Vector parts\
\>", "Text",
 CellChangeTimes->{{3.562321949755278*^9, 
  3.5623219832153473`*^9}},ExpressionUUID->"1f1d3eb1-19a8-4745-84c5-\
8e671a2f03a4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[Xi]", "[", 
    RowBox[{
     RowBox[{"LI", "[", "ord", "]"}], ",", "\[Alpha]"}], "]"}], ",", "M"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5622228866803513`*^9, 3.562222889448213*^9}, {
   3.562224172304681*^9, 3.56222419541461*^9}, {3.56222479766308*^9, 
   3.5622248496953993`*^9}, 3.562224921014572*^9, {3.562226708913453*^9, 
   3.562226743200602*^9}, {3.562299197966484*^9, 3.5622992190733223`*^9}, {
   3.562327986437543*^9, 3.5623279867190027`*^9}, {3.562344215835816*^9, 
   3.562344216357471*^9}, {3.5623558054211903`*^9, 3.5623558081988*^9}, {
   3.562356344946697*^9, 3.562356346754509*^9}, {3.56235638139625*^9, 
   3.5623564028844357`*^9}, {3.562359307777131*^9, 3.5623593095999527`*^9}, {
   3.562412460593796*^9, 3.5624124619180193`*^9}, {3.562470557698819*^9, 
   3.562470559215983*^9}, {3.5629382007050467`*^9, 3.562938208499504*^9}, {
   3.5629382590975447`*^9, 3.562938287037999*^9}, {3.5635465913846197`*^9, 
   3.5635465947106133`*^9}, {3.563885318859412*^9, 3.56388534792453*^9}, 
   3.563885379822467*^9, {3.564631246640307*^9, 3.5646312473585157`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"7bca67d2-1639-459e-82ec-f4c81614e696"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Xi]", "[", 
    RowBox[{
     RowBox[{"LI", "[", "ord", "]"}], ",", "\[Alpha]"}], "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   xAct`xPand`\[Xi][
    xAct`xTensor`LI[$CellContext`ord], $CellContext`\[Alpha]], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[74]:=",ExpressionUUID->"87c3d145-8f99-4fe9-85f4-16d6522cfa44"]
}, Open  ]],

Cell["The gauge transformation to go in the Newtonian gauge", "Text",
 CellChangeTimes->{{3.563886054233436*^9, 
  3.5638860688395157`*^9}},ExpressionUUID->"8380f67c-86b3-4934-aa18-\
b97286c8cdec"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RulesGaugeField", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Xi]", "[", 
     RowBox[{
      RowBox[{"LI", "[", "ord_", "]"}], ",", "\[Alpha]_"}], "]"}], ":>", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Bsh", "[", 
         RowBox[{
          RowBox[{"LI", "[", "ord", "]"}], ",", 
          RowBox[{"LI", "[", "0", "]"}]}], "]"}], " ", "-", " ", 
        RowBox[{"Esh", "[", 
         RowBox[{
          RowBox[{"LI", "[", "ord", "]"}], ",", 
          RowBox[{"LI", "[", "1", "]"}]}], "]"}]}], ")"}], 
      RowBox[{"n", "[", "\[Alpha]", "]"}]}], "-", 
     RowBox[{"Evh", "[", 
      RowBox[{
       RowBox[{"LI", "[", "ord", "]"}], ",", 
       RowBox[{"LI", "[", "0", "]"}], ",", "\[Alpha]"}], "]"}], "-", 
     RowBox[{
      RowBox[{"cd", "[", "\[Alpha]", "]"}], "[", 
      RowBox[{"Esh", "[", 
       RowBox[{
        RowBox[{"LI", "[", "ord", "]"}], ",", 
        RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5622228866803513`*^9, 3.562222889448213*^9}, {
   3.562224172304681*^9, 3.56222419541461*^9}, {3.56222479766308*^9, 
   3.5622248496953993`*^9}, 3.562224921014572*^9, {3.562226708913453*^9, 
   3.562226743200602*^9}, {3.562299197966484*^9, 3.5622992190733223`*^9}, {
   3.562327986437543*^9, 3.5623279867190027`*^9}, {3.562344215835816*^9, 
   3.562344216357471*^9}, {3.5623558054211903`*^9, 3.5623558081988*^9}, {
   3.562356344946697*^9, 3.562356346754509*^9}, {3.56235638139625*^9, 
   3.5623564028844357`*^9}, {3.562359307777131*^9, 3.5623593095999527`*^9}, {
   3.562412460593796*^9, 3.5624124619180193`*^9}, {3.562470557698819*^9, 
   3.562470559215983*^9}, {3.5629382007050467`*^9, 3.562938208499504*^9}, {
   3.5629382590975447`*^9, 3.562938287037999*^9}, {3.5635465913846197`*^9, 
   3.5635465947106133`*^9}, {3.563885318859412*^9, 3.56388534792453*^9}, 
   3.563885379822467*^9, {3.563885449430101*^9, 3.563885449970209*^9}, {
   3.563885552108185*^9, 3.5638855659302187`*^9}, {3.563885624547682*^9, 
   3.563885624828236*^9}, {3.563885679485924*^9, 3.56388567962015*^9}, {
   3.5638857416061993`*^9, 3.5638857418019342`*^9}, {3.564630949838491*^9, 
   3.5646309569328403`*^9}, {3.564631000915049*^9, 3.56463100359529*^9}, {
   3.564631234595269*^9, 3.564631258815503*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"bc8eb8a1-7dfb-48d9-972e-cf2889c2feb0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Xi]", 
        StyleBox[GridBox[{
           {"ord_", 
            UnderscriptBox["\[Alpha]", "_"]},
           {" ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xPand`\[Xi][
     xAct`xTensor`LI[
      Pattern[$CellContext`ord, 
       Blank[]]], 
     Pattern[$CellContext`\[Alpha], 
      Blank[]]],
    Editable->False], "\[RuleDelayed]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"B", 
            StyleBox[GridBox[{
               {"ord", "0"},
               {" ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bsh[
         xAct`xTensor`LI[$CellContext`ord], 
         xAct`xTensor`LI[0]],
        Editable->False], "-", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"E", 
            StyleBox[GridBox[{
               {"ord", "1"},
               {" ", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Esh[
         xAct`xTensor`LI[$CellContext`ord], 
         xAct`xTensor`LI[1]],
        Editable->False]}], ")"}], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          OverscriptBox["n", "-"], 
          StyleBox[GridBox[{
             {"\[Alpha]"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`n[$CellContext`\[Alpha]],
      Editable->False]}], "-", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"E", 
         StyleBox[GridBox[{
            {"ord", "0", "\[Alpha]"},
            {" ", " ", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Evh[
      xAct`xTensor`LI[$CellContext`ord], 
      xAct`xTensor`LI[0], $CellContext`\[Alpha]],
     Editable->False], "-", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SuperscriptBox[
        OverscriptBox["D", "_"], "\[Alpha]"], GridBox[{
         {"E", 
          StyleBox[GridBox[{
             {"ord", "0"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cd[$CellContext`\[Alpha]][
      $CellContext`Esh[
       xAct`xTensor`LI[$CellContext`ord], 
       xAct`xTensor`LI[0]]],
     Editable->False]}]}], "}"}]], "Output",
 CellLabel->"Out[75]=",ExpressionUUID->"1c2d771b-7c95-498f-9913-a78f059c2997"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Xi]", "[", 
   RowBox[{
    RowBox[{"LI", "[", "1", "]"}], ",", "\[Alpha]"}], "]"}], "/.", 
  "RulesGaugeField"}]], "Input",
 CellChangeTimes->{{3.563885440427725*^9, 3.563885443635481*^9}, {
   3.564630962170114*^9, 3.5646309652013483`*^9}, 3.564631205047062*^9},
 CellLabel->"In[76]:=",ExpressionUUID->"d00034dc-1a9d-47eb-9b8e-8ee178cbf586"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       OverscriptBox["\[Null]", 
        StyleBox[
         RowBox[{"(", "1", ")"}],
         FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
       OverscriptBox[
        InterpretationBox[
         StyleBox[GridBox[{
            {"E", 
             StyleBox[GridBox[{
                {"\[Alpha]"},
                {" "}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
              FontSize->Rational[39, 4]]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Evh[$CellContext`\[Alpha]],
         Editable->False], ""]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Evh[
      xAct`xTensor`LI[1], 
      xAct`xTensor`LI[0], $CellContext`\[Alpha]],
     Editable->False], ")"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox["B",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bsh[],
          Editable->False], ""]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Bsh[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[0]],
      Editable->False], "-", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        OverscriptBox["\[Null]", 
         StyleBox[
          RowBox[{"(", "1", ")"}],
          FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
        OverscriptBox[
         InterpretationBox[
          StyleBox["E",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Esh[],
          Editable->False], "\[Prime]"]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Esh[
       xAct`xTensor`LI[1], 
       xAct`xTensor`LI[1]],
      Editable->False]}], ")"}], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {"\[Alpha]"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[$CellContext`\[Alpha]],
    Editable->False]}], "-", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SuperscriptBox[
      OverscriptBox["D", "_"], "\[Alpha]"], 
     OverscriptBox["\[Null]", 
      StyleBox[
       RowBox[{"(", "1", ")"}],
       FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
     OverscriptBox[
      InterpretationBox[
       StyleBox["E",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Esh[],
       Editable->False], ""]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`cd[$CellContext`\[Alpha]][
    $CellContext`Esh[
     xAct`xTensor`LI[1], 
     xAct`xTensor`LI[0]]],
   Editable->False]}]], "Output",
 CellLabel->"Out[76]=",ExpressionUUID->"4527b0c0-3ab7-462c-ad67-f421b929ee92"]
}, Open  ]],

Cell["If we use the GaugeChange function of xPert", "Text",
 CellChangeTimes->{{3.563946775867155*^9, 
  3.563946798874556*^9}},ExpressionUUID->"0b1fa9e2-080e-409e-bcf9-\
9fb6cf939b4d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"GaugeChange", "[", 
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "2", "]"}], ",", 
      RowBox[{"-", "\[Alpha]"}], ",", 
      RowBox[{"-", "\[Beta]"}]}], "]"}], ",", "\[Xi]"}], "]"}], "/.", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "n_", "]"}], ",", "i_", ",", "j_"}], "]"}], ":>", 
    RowBox[{"0", "/;", 
     RowBox[{"n", ">", "0"}]}]}], ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GaugeChange", "[", 
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "3", "]"}], ",", 
      RowBox[{"-", "\[Alpha]"}], ",", 
      RowBox[{"-", "\[Beta]"}]}], "]"}], ",", "\[Xi]"}], "]"}], "/.", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"dg", "[", 
     RowBox[{
      RowBox[{"LI", "[", "n_", "]"}], ",", "i_", ",", "j_"}], "]"}], ":>", 
    RowBox[{"0", "/;", 
     RowBox[{"n", ">", "0"}]}]}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.563884028189678*^9, 3.56388404626668*^9}, {
  3.56706784529807*^9, 3.56706784590327*^9}, {3.567067926901331*^9, 
  3.56706797852874*^9}, {3.567068446767191*^9, 3.567068449793541*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"cc110129-b05f-40ad-8f4c-38ae6534a0ec"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", GridBox[{
        {"\[Xi]", 
         StyleBox[GridBox[{
            {"1"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}]], 
     RowBox[{
      SubscriptBox["\[ScriptCapitalL]", GridBox[{
         {"\[Xi]", 
          StyleBox[GridBox[{
             {"1"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}]], GridBox[{
        {
         OverscriptBox["g", "_"], 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Alpha]", "\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}]}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    xAct`xPand`\[Xi][
     xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
    xAct`xTensor`LieD[
     xAct`xPand`\[Xi][
      xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
     $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
   Editable->False], "+", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", GridBox[{
        {"\[Xi]", 
         StyleBox[GridBox[{
            {"2"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}]], GridBox[{
       {
        OverscriptBox["g", "_"], 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    xAct`xPand`\[Xi][
     xAct`xTensor`LI[2], $CellContext`\[Alpha]]][
    $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
   Editable->False]}]], "Output",
 CellLabel->"Out[77]=",ExpressionUUID->"52e3381c-8ac5-40a8-bc38-ba452bc9eab6"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", GridBox[{
        {"\[Xi]", 
         StyleBox[GridBox[{
            {"1"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}]], 
     RowBox[{
      SubscriptBox["\[ScriptCapitalL]", GridBox[{
         {"\[Xi]", 
          StyleBox[GridBox[{
             {"1"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}]], 
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", GridBox[{
          {"\[Xi]", 
           StyleBox[GridBox[{
              {"1"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]], GridBox[{
         {
          OverscriptBox["g", "_"], 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}]}]}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    xAct`xPand`\[Xi][
     xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
    xAct`xTensor`LieD[
     xAct`xPand`\[Xi][
      xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
     xAct`xTensor`LieD[
      xAct`xPand`\[Xi][
       xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
      $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]]]]],
   Editable->False], "+", 
  RowBox[{"3", " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", GridBox[{
          {"\[Xi]", 
           StyleBox[GridBox[{
              {"1"},
              {" "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]], 
       RowBox[{
        SubscriptBox["\[ScriptCapitalL]", GridBox[{
           {"\[Xi]", 
            StyleBox[GridBox[{
               {"2"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}]], GridBox[{
          {
           OverscriptBox["g", "_"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}]}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`LieD[
      xAct`xPand`\[Xi][
       xAct`xTensor`LI[1], $CellContext`\[Alpha]]][
      xAct`xTensor`LieD[
       xAct`xPand`\[Xi][
        xAct`xTensor`LI[2], $CellContext`\[Alpha]]][
       $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]]]],
     Editable->False], ")"}]}], "+", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", GridBox[{
        {"\[Xi]", 
         StyleBox[GridBox[{
            {"3"},
            {" "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}]], GridBox[{
       {
        OverscriptBox["g", "_"], 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    xAct`xPand`\[Xi][
     xAct`xTensor`LI[3], $CellContext`\[Alpha]]][
    $CellContext`g[-$CellContext`\[Alpha], -$CellContext`\[Beta]]],
   Editable->False]}]], "Output",
 CellLabel->"Out[78]=",ExpressionUUID->"695d9fa5-096b-49aa-8767-4f5f62c9f93f"]
}, Open  ]],

Cell["\<\
We see that we need to split the result after specifying what is the \
perturbation of the metric.
This is done by SplitGaugeChange\
\>", "Text",
 CellChangeTimes->{{3.563946801286134*^9, 
  3.563946829498457*^9}},ExpressionUUID->"da889d82-fae2-4a93-ad82-\
61d92bc9d7a4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"org", "@", 
  RowBox[{"SplitGaugeChange", "[", 
   RowBox[{
    RowBox[{"g", "[", 
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], ",", 
      RowBox[{"-", "\[Beta]"}]}], "]"}], ",", 
    RowBox[{"Join", "[", 
     RowBox[{"RulesGaugeField", ",", 
      RowBox[{"Rulesmetricmatter", "[", 
       RowBox[{"\"\<AnyGauge\>\"", ",", "order"}], "]"}]}], "]"}], ",", 
    "\[Xi]", ",", "h", ",", "1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.563126413536973*^9, 3.563126486757275*^9}, {
   3.563137208787032*^9, 3.5631372099708967`*^9}, {3.563137269654554*^9, 
   3.5631372965727177`*^9}, {3.563138125288529*^9, 3.5631381339263277`*^9}, {
   3.563141075024807*^9, 3.5631410777115088`*^9}, 3.563141537359634*^9, {
   3.563196131589978*^9, 3.563196132319285*^9}, {3.5635467183428*^9, 
   3.563546732391266*^9}, 3.563564032687531*^9, 3.563564322367234*^9, {
   3.563611802751781*^9, 3.563611804455394*^9}, {3.563774541133841*^9, 
   3.563774541435605*^9}, 3.563872030559308*^9, {3.56455523262988*^9, 
   3.56455523410798*^9}, {3.564555352963004*^9, 3.564555360169018*^9}, {
   3.564628107630595*^9, 3.56462810773412*^9}, {3.564630986764243*^9, 
   3.5646310052893047`*^9}, {3.568366790123579*^9, 3.568366790331439*^9}, {
   3.5683668298536654`*^9, 3.568366854462435*^9}, {3.56933075127022*^9, 
   3.569330752416546*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"21a485a8-651c-49ac-a05e-a2a3d70826dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]g", 
         StyleBox[GridBox[{
            {"1", " ", " "},
            {" ", "\[Alpha]", "\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`dg[
      xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
     Editable->False], " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.235352`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", xAct`xPand`\[Epsilon] $CellContext`dg[
     xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]] 
   xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^2, " +... was performed in ", 0.235352, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[79]:=",ExpressionUUID->"8c53eaac-96c6-4a48-95c9-9debe949cc5e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["h", "-"], 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
    Editable->False]}], "-", 
  RowBox[{
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {" "},
           {"\[Alpha]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[-$CellContext`\[Alpha]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {" "},
           {"\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[-$CellContext`\[Beta]],
    Editable->False]}], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Alpha]", "\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bsh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Esh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Beta]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Beta]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Beta]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Alpha]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Evh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bsh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], "\[Prime]\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Esh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[2]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bsh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Esh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[79]=",ExpressionUUID->"3531425d-3045-41bf-92e1-71bfebaa307d"]
}, Open  ]],

Cell["\<\
Indeed, we can check that after the gauge transformation, the result is in \
the Newtonian gauge\
\>", "Text",
 CellChangeTimes->{{3.563886072883194*^9, 3.563886083428068*^9}, {
  3.5639468371322412`*^9, 
  3.5639468444105787`*^9}},ExpressionUUID->"f1e1d2f9-31ac-4190-b14f-\
c257c025eac1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExtractComponents", "[", 
  RowBox[{
   RowBox[{"%", "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{
       RowBox[{"ah", "[", "]"}], "^", "2"}]}], ")"}]}], ",", "h"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.563885751463991*^9, 3.563885756649475*^9}, {
  3.564134447896327*^9, 3.564134462394289*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"3ced09fa-1183-4bf4-a2f8-3a3e18aade65"],

Cell[BoxData[
 TagBox[GridBox[{
    {"", "n", "h"},
    {"n", 
     RowBox[{
      FractionBox["1", "2"], "+", 
      RowBox[{
       StyleBox["\[Epsilon]",
        FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
       RowBox[{"(", 
        RowBox[{
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["B",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Bsh[],
              Editable->False], "\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]],
          Editable->False], "-", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["E",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Esh[],
              Editable->False], "\[Prime]\[Prime]"]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[2]],
          Editable->False], "+", 
         RowBox[{
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["B",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Bsh[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False]}], "-", 
         RowBox[{
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["E",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Esh[],
                Editable->False], "\[Prime]"]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]],
            Editable->False], ")"}], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False]}], "+", 
         InterpretationBox[
          StyleBox[
           RowBox[{
            OverscriptBox["\[Null]", 
             StyleBox[
              RowBox[{"(", "1", ")"}],
              FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[Phi]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`\[Phi]h[],
              Editable->False], ""]}],
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`\[Phi]h[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]],
          Editable->False]}], ")"}]}]}], 
     RowBox[{
      StyleBox["\[Epsilon]",
       FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[-$CellContext`\[Beta]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Beta]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"E", 
                   StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Evh[-$CellContext`\[Beta]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], -$CellContext`\[Beta]],
           Editable->False], ")"}]}]}], ")"}]}]},
    {"h", 
     RowBox[{
      StyleBox["\[Epsilon]",
       FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"B", 
                   StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Bvh[-$CellContext`\[Alpha]],
               Editable->False], ""]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Bvh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
           Editable->False], ")"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          InterpretationBox[
           StyleBox[
            RowBox[{
             OverscriptBox["\[Null]", 
              StyleBox[
               RowBox[{"(", "1", ")"}],
               FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
             OverscriptBox[
              InterpretationBox[
               StyleBox[GridBox[{
                  {"E", 
                   StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                 },
                 
                 GridBoxAlignment->{
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                ShowAutoStyles->False,
                AutoSpacing->False],
               $CellContext`Evh[-$CellContext`\[Alpha]],
               Editable->False], "\[Prime]"]}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Evh[
            xAct`xTensor`LI[1], 
            xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
           Editable->False], ")"}]}]}], ")"}]}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False]}], "+", 
      RowBox[{
       StyleBox["\[Epsilon]",
        FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox[GridBox[{
                   {"E", 
                    StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                    },
                    GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                    FontSize->Rational[39, 4]]}
                  },
                  
                  GridBoxAlignment->{
                   "Columns" -> {{Center}}, "Rows" -> {{Center}}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}],
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Eth[-$CellContext`\[Alpha], \
-$CellContext`\[Beta]],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[
             0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
            Editable->False], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["B",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Bsh[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False]}], "+", 
         RowBox[{
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["E",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`Esh[],
                Editable->False], "\[Prime]"]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[1]],
            Editable->False], ")"}], " ", 
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], " ", 
          InterpretationBox[
           StyleBox[
            OverscriptBox[
             InterpretationBox[
              StyleBox["\[ScriptCapitalH]",
               ShowAutoStyles->False,
               AutoSpacing->False],
              $CellContext`Hh[],
              Editable->False], ""],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[
            xAct`xTensor`LI[0], 
            xAct`xTensor`LI[0]],
           Editable->False]}], "+", 
         RowBox[{
          InterpretationBox[
           StyleBox[GridBox[{
              {
               OverscriptBox["h", "-"], 
               StyleBox[GridBox[{
                  {" ", " "},
                  {"\[Alpha]", "\[Beta]"}
                 },
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                FontSize->Rational[39, 4]]}
             },
             GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[0.4]}, 
                 Offset[0.2]}}],
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
           Editable->False], " ", 
          RowBox[{"(", 
           InterpretationBox[
            StyleBox[
             RowBox[{
              OverscriptBox["\[Null]", 
               StyleBox[
                RowBox[{"(", "1", ")"}],
                FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
              OverscriptBox[
               InterpretationBox[
                StyleBox["\[Psi]",
                 ShowAutoStyles->False,
                 AutoSpacing->False],
                $CellContext`\[Psi]h[],
                Editable->False], ""]}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[
             xAct`xTensor`LI[1], 
             xAct`xTensor`LI[0]],
            Editable->False], ")"}]}]}], ")"}]}]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[80]=",ExpressionUUID->"4822fee2-119e-41dc-971f-0a32e13db6ba"]
}, Open  ]],

Cell["\<\
Or we can check a general transformation. For this we can even use a function \
which does everything in a simple manner for metric and matter fields \
perturbations:\
\>", "Text",
 CellChangeTimes->{{3.563774404941393*^9, 3.5637744214985533`*^9}, {
  3.563885454275672*^9, 3.563885455060845*^9}, {3.5638860876902122`*^9, 
  3.5638860931116247`*^9}, {3.563946854454414*^9, 
  3.563946865604293*^9}},ExpressionUUID->"129e2d9d-44dd-4bb7-8476-\
890b8ec031f1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SplitFieldsAndGaugeChange", "[", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{
     RowBox[{"-", "\[Alpha]"}], ",", 
     RowBox[{"-", "\[Beta]"}]}], "]"}], ",", "g", ",", "dg", ",", " ", "u", 
   ",", "du", ",", "h", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.563872048886692*^9, 3.56387205400136*^9}, {
   3.5645584649574413`*^9, 3.564558465989459*^9}, {3.564629967742073*^9, 
   3.5646299679947033`*^9}, {3.564630099425646*^9, 3.564630099530201*^9}, {
   3.5646341252568913`*^9, 3.564634128585209*^9}, {3.5683667625379133`*^9, 
   3.568366777933106*^9}, {3.568366891115417*^9, 3.568366895895419*^9}, {
   3.568366994535059*^9, 3.56836699464563*^9}, 3.569735144752434*^9},
 CellLabel->"In[81]:=",ExpressionUUID->"31892388-114d-4fa1-8730-7862087f3bca"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Xi]h", "[", 
    RowBox[{
     RowBox[{"LI", "[", "xAct`xPand`Private`ord$114932", "]"}], ",", 
     "\[Sigma]$114933"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Xi]h[
    xAct`xTensor`LI[
    xAct`xPand`Private`ord$114932], $CellContext`\[Sigma]$114933], ". ", ""],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[81]:=",ExpressionUUID->"b36c3e83-1491-4480-b945-63fa7d438d10"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The Splitting of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    StyleBox["\[Epsilon]",
     FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]g", 
         StyleBox[GridBox[{
            {"1", " ", " "},
            {" ", "\[Alpha]", "\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`dg[
      xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
     Editable->False], " ", 
    SuperscriptBox[
     InterpretationBox[
      StyleBox[
       RowBox[{
        StyleBox["(",
         FontColor->RGBColor[1, 0, 0]], 
        InterpretationBox[
         StyleBox[
          OverscriptBox[
           InterpretationBox[
            StyleBox["a",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`ah[],
            Editable->False], ""],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`ah[
          xAct`xTensor`LI[0], 
          xAct`xTensor`LI[0]],
         Editable->False], 
        StyleBox[")",
         FontColor->RGBColor[1, 0, 0]]}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`Scalar[
       $CellContext`ah[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]]],
      Editable->False], "2"]}], 
   "\[InvisibleSpace]", "\<\" +... was performed in \"\>", 
   "\[InvisibleSpace]", "0.310245`", 
   "\[InvisibleSpace]", "\<\" seconds.\"\>"}],
  SequenceForm["The Splitting of ", xAct`xPand`\[Epsilon] $CellContext`dg[
     xAct`xTensor`LI[1], -$CellContext`\[Alpha], -$CellContext`\[Beta]] 
   xAct`xTensor`Scalar[
      $CellContext`ah[
       xAct`xTensor`LI[0], 
       xAct`xTensor`LI[0]]]^2, " +... was performed in ", 0.310245, 
   " seconds."],
  Editable->False]], "Print",
 CellLabel->
  "Lors de l\[CloseCurlyQuote]\[EAcute]valuation de \
In[81]:=",ExpressionUUID->"8e1aeeff-fbf2-46b9-bd72-004e8ba7c165"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["h", "-"], 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
    Editable->False]}], "-", 
  RowBox[{
   SuperscriptBox[
    InterpretationBox[
     StyleBox[
      OverscriptBox[
       InterpretationBox[
        StyleBox["a",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[],
        Editable->False], ""],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ah[
      xAct`xTensor`LI[0], 
      xAct`xTensor`LI[0]],
     Editable->False], "2"], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {" "},
           {"\[Alpha]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[-$CellContext`\[Alpha]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {
        OverscriptBox["n", "-"], 
        StyleBox[GridBox[{
           {" "},
           {"\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`n[-$CellContext`\[Beta]],
    Editable->False]}], "+", 
  RowBox[{
   StyleBox["\[Epsilon]",
    FontColor->RGBColor[0.3, 0.8, 0.8]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" ", " "},
                   {"\[Alpha]", "\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Eth[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Beta]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"L", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lvh[-$CellContext`\[Beta]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Lvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Beta]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"B", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bvh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Bvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"L", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lvh[-$CellContext`\[Alpha]],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Lvh[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
        Editable->False], ")"}], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["T",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Th[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Th[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[
        OverscriptBox[
         InterpretationBox[
          StyleBox["\[ScriptCapitalH]",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`Hh[],
          Editable->False], ""],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Hh[
        xAct`xTensor`LI[0], 
        xAct`xTensor`LI[0]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["T",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Th[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Th[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["T",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Th[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Th[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[1]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Phi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Phi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Phi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["h", "-"], 
           StyleBox[GridBox[{
              {" ", " "},
              {"\[Alpha]", "\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["\[Psi]",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`\[Psi]h[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`\[Psi]h[
         xAct`xTensor`LI[1], 
         xAct`xTensor`LI[0]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["L",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Lsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"L", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Beta]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lvh[-$CellContext`\[Beta]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Lvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Beta]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Beta]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["T",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Th[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Th[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["B",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Bsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`Bsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"E", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Evh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`Evh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "-", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["L",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lsh[],
            Editable->False], "\[Prime]"]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`Lsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox[GridBox[{
               {"L", 
                StyleBox[GridBox[{
                   {" "},
                   {"\[Alpha]"}
                  },
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                 FontSize->Rational[39, 4]]}
              },
              
              GridBoxAlignment->{
               "Columns" -> {{Center}}, "Rows" -> {{Center}}},
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.27999999999999997`], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.27999999999999997`]}, "Rows" -> {
                  Offset[0.2], {
                   Offset[0.4]}, 
                  Offset[0.2]}}],
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lvh[-$CellContext`\[Alpha]],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`Lvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {
           OverscriptBox["n", "-"], 
           StyleBox[GridBox[{
              {" "},
              {"\[Alpha]"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`n[-$CellContext`\[Alpha]],
       Editable->False], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["T",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Th[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`Th[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["E",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Esh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Esh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["a",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`ah[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`ah[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], "2"], " ", 
      RowBox[{"(", 
       InterpretationBox[
        StyleBox[
         RowBox[{
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Beta]"], 
          SubscriptBox[
           OverscriptBox["D", "_"], "\[Alpha]"], 
          OverscriptBox["\[Null]", 
           StyleBox[
            RowBox[{"(", "1", ")"}],
            FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
          OverscriptBox[
           InterpretationBox[
            StyleBox["L",
             ShowAutoStyles->False,
             AutoSpacing->False],
            $CellContext`Lsh[],
            Editable->False], ""]}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`cd[-$CellContext`\[Beta]][
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Lsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]]],
        Editable->False], ")"}]}]}], ")"}]}]}]], "Output",
 CellLabel->"Out[81]=",ExpressionUUID->"7a065eea-85b9-47bc-907b-18322749b382"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ExtractComponents", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ExtractOrder", "[", 
     RowBox[{"%", ",", "1"}], "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{
       RowBox[{"ah", "[", "]"}], "^", "2"}]}], ")"}]}], ",", "h"}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.563130548295713*^9, {3.563136728757*^9, 3.5631367872599983`*^9}, {
   3.563546738669964*^9, 3.56354673931584*^9}, {3.563872057502613*^9, 
   3.563872064248816*^9}, {3.563884249428378*^9, 3.56388425103088*^9}, {
   3.563886119357195*^9, 3.563886125341007*^9}, {3.5641344693023777`*^9, 
   3.56413450531735*^9}, 3.564593865918034*^9, 3.56462813651353*^9, {
   3.564630052465331*^9, 3.5646300642155323`*^9}, {3.568366962814612*^9, 
   3.5683669628781633`*^9}, {3.568367001196663*^9, 3.5683670013510313`*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"521130dd-9be3-482c-ba63-f042488f2a51"],

Cell[BoxData[
 TagBox[GridBox[{
    {"", "n", "h"},
    {"n", 
     RowBox[{
      RowBox[{
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["T",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Th[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Th[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], "+", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["T",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Th[],
           Editable->False], "\[Prime]"]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`Th[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[1]],
       Editable->False], "+", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[Phi]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`\[Phi]h[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`\[Phi]h[
        xAct`xTensor`LI[1], 
        xAct`xTensor`LI[0]],
       Editable->False]}], 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"L", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lvh[-$CellContext`\[Beta]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Lvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["L",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Lsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["T",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Th[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Th[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}]}]},
    {"h", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"B", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Bvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"L", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lvh[-$CellContext`\[Alpha]],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Lvh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[1], -$CellContext`\[Alpha]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["B",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Bsh[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Bsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["L",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lsh[],
             Editable->False], "\[Prime]"]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Lsh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[1]]],
         Editable->False], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["T",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Th[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Th[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0]]],
         Editable->False], ")"}]}]}], 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" ", " "},
                    {"\[Alpha]", "\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Eth[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Eth[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0], -$CellContext`\[Alpha], -$CellContext`\[Beta]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[
         OverscriptBox[
          InterpretationBox[
           StyleBox["\[ScriptCapitalH]",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Hh[],
           Editable->False], ""],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`Hh[
         xAct`xTensor`LI[0], 
         xAct`xTensor`LI[0]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["T",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Th[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`Th[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], "+", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {
            OverscriptBox["h", "-"], 
            StyleBox[GridBox[{
               {" ", " "},
               {"\[Alpha]", "\[Beta]"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "Rows" -> {{
                   Offset[0.]}}}],
             FontSize->Rational[39, 4]]}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`h[-$CellContext`\[Alpha], -$CellContext`\[Beta]],
        Editable->False], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox["\[Psi]",
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`\[Psi]h[],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`\[Psi]h[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Alpha]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"L", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Beta]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lvh[-$CellContext`\[Beta]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Alpha]][
          $CellContext`Lvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Beta]]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"E", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Evh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Evh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        InterpretationBox[
         StyleBox[
          RowBox[{
           SubscriptBox[
            OverscriptBox["D", "_"], "\[Beta]"], 
           OverscriptBox["\[Null]", 
            StyleBox[
             RowBox[{"(", "1", ")"}],
             FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
           OverscriptBox[
            InterpretationBox[
             StyleBox[GridBox[{
                {"L", 
                 StyleBox[GridBox[{
                    {" "},
                    {"\[Alpha]"}
                   },
                   GridBoxSpacings->{"Columns" -> {
                    Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                    Offset[0.]}, "Rows" -> {{
                    Offset[0.]}}}],
                  FontSize->Rational[39, 4]]}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Center}}, "Rows" -> {{Center}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              ShowAutoStyles->False,
              AutoSpacing->False],
             $CellContext`Lvh[-$CellContext`\[Alpha]],
             Editable->False], ""]}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`cd[-$CellContext`\[Beta]][
          $CellContext`Lvh[
           xAct`xTensor`LI[1], 
           xAct`xTensor`LI[0], -$CellContext`\[Alpha]]],
         Editable->False], ")"}]}], "-", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["E",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Esh[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Esh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False], "-", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Beta]"], 
         SubscriptBox[
          OverscriptBox["D", "_"], "\[Alpha]"], 
         OverscriptBox["\[Null]", 
          StyleBox[
           RowBox[{"(", "1", ")"}],
           FontColor->RGBColor[0.85, 0, 0]]], "\[NegativeThinSpace]", 
         OverscriptBox[
          InterpretationBox[
           StyleBox["L",
            ShowAutoStyles->False,
            AutoSpacing->False],
           $CellContext`Lsh[],
           Editable->False], ""]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`\[Beta]][
        $CellContext`cd[-$CellContext`\[Alpha]][
         $CellContext`Lsh[
          xAct`xTensor`LI[1], 
          xAct`xTensor`LI[0]]]],
       Editable->False]}]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellLabel->"Out[82]=",ExpressionUUID->"b3392d07-d0c9-498a-b11e-12bd163e46f5"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1373, 847},
WindowMargins->{{Automatic, -42}, {Automatic, 8}},
DockedCells->{
  Cell[
   BoxData[
    TemplateBox[{
      ButtonBox[
      "\"\[Dagger]\"", ButtonFunction :> Exit[], Appearance -> Automatic, 
       Evaluator -> Automatic, Method -> "Preemptive"], 
      ButtonBox[
      "\"\[RightTriangle]\"", ButtonFunction :> FrontEnd`FrontEndExecute[
         FrontEnd`FrontEndToken["EvaluatorStart"]], Evaluator -> None, 
       Appearance -> Automatic, Method -> "Preemptive"], 
      ButtonBox[
      "\"\[RightTriangle]\[RightTriangle]\"", ButtonFunction :> 
       FrontEnd`FrontEndExecute[
         FrontEnd`FrontEndToken["EvaluateNotebook"]], Evaluator -> None, 
       Appearance -> Automatic, Method -> "Preemptive"], 
      ButtonBox["\"EvalInit\"", ButtonFunction :> FrontEnd`FrontEndExecute[
         FrontEnd`FrontEndToken["EvaluateInitialization"]], Evaluator -> None,
        Appearance -> Automatic, Method -> "Preemptive"], 
      ButtonBox[
      "\"Init\"", 
       ButtonFunction :> (Module[{Utility`Toolbar`cell = NotebookSelection[
             SelectedNotebook[]], Utility`Toolbar`isInit}, 
          Utility`Toolbar`isInit = ReplaceAll[InitializationCell, 
             Options[Utility`Toolbar`cell, InitializationCell]]; If[
            TrueQ[
             Or[
             Utility`Toolbar`isInit == True, Utility`Toolbar`isInit == On]], 
            SetOptions[Utility`Toolbar`cell, InitializationCell -> False], 
            SetOptions[Utility`Toolbar`cell, InitializationCell -> True]]]; 
        Null), Appearance -> Automatic, Evaluator -> Automatic, Method -> 
       "Preemptive"], 
      ButtonBox["\"DeInit\"", ButtonFunction :> SetOptions[
         NotebookSelection[
          SelectedNotebook[]], InitializationCell -> False], Appearance -> 
       Automatic, Evaluator -> Automatic, Method -> "Preemptive"], 
      ButtonBox["\"\[DeleteKey]\"", ButtonFunction :> FrontEnd`FrontEndExecute[
         FrontEnd`FrontEndToken["DeleteGeneratedCells"]], Evaluator -> None, 
       Appearance -> Automatic, Method -> "Preemptive"]}, "Row", 
     DisplayFunction -> (
      RowBox[{#, "\[InvisibleSpace]", #2, "\[InvisibleSpace]", #3, 
        "\[InvisibleSpace]", #4, "\[InvisibleSpace]", #5, 
        "\[InvisibleSpace]", #6, "\[InvisibleSpace]", #7}]& ), 
     InterpretationFunction -> (RowBox[{"Row", "[", 
        RowBox[{"{", 
          RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6, ",", #7}], 
          "}"}], "]"}]& )]], "DockedCell"]},
ShowSelection->True,
TrackCellChangeTimes->False,
Magnification->1,
FrontEndVersion->"14.1 pour Mac OS X ARM (64-bit) (July 16, 2024)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "UTF-8"],
ExpressionUUID->"6457d31c-213b-496f-a198-a7f27ade9631"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 662, 17, 78, "Title",ExpressionUUID->"5355a3a5-d787-4045-b4ca-d9b1d2102d3f"],
Cell[CellGroupData[{
Cell[1267, 43, 151, 3, 56, "Section",ExpressionUUID->"537b8f23-05f9-44ad-a891-41bee9fee56b"],
Cell[CellGroupData[{
Cell[1443, 50, 268, 4, 24, "Subsubsection",ExpressionUUID->"692d04a3-07fe-4bc3-9360-54df9c283955"],
Cell[CellGroupData[{
Cell[1736, 58, 563, 8, 54, "Input",ExpressionUUID->"fad46e70-c7d1-461b-9812-02085571b1d4"],
Cell[CellGroupData[{
Cell[2324, 70, 228, 4, 23, "Print",ExpressionUUID->"cccdba46-2149-43c2-b426-2f2a15281106"],
Cell[2555, 76, 500, 12, 23, "Print",ExpressionUUID->"091f0356-6d42-4e40-a93e-e1b53f4f4890"],
Cell[3058, 90, 249, 4, 23, "Print",ExpressionUUID->"9f79c450-d266-4233-af3a-69f868d213e7"],
Cell[3310, 96, 206, 3, 23, "Print",ExpressionUUID->"17d7bd24-4a22-468f-9721-04e1d06cfa34"],
Cell[3519, 101, 189, 3, 23, "Print",ExpressionUUID->"c4779728-553a-4c4c-9180-eadde68daa9b"],
Cell[3711, 106, 228, 4, 23, "Print",ExpressionUUID->"276541d0-a098-4e3d-8347-4c37c1916f9a"],
Cell[3942, 112, 506, 12, 23, "Print",ExpressionUUID->"359d95ad-22b3-499b-ab37-8ac77df75fdf"],
Cell[4451, 126, 249, 4, 23, "Print",ExpressionUUID->"d3910aad-80ef-49bd-8fa7-ab11600897db"],
Cell[4703, 132, 228, 4, 23, "Print",ExpressionUUID->"2bfc61a6-82d9-43c2-9d17-788daffbcfff"],
Cell[4934, 138, 500, 12, 23, "Print",ExpressionUUID->"369e6b4a-12fd-4f3f-bcd2-faeaa9fc889f"],
Cell[5437, 152, 297, 5, 23, "Print",ExpressionUUID->"9cf2566a-211f-4aca-8587-40f2f8461058"],
Cell[5737, 159, 470, 11, 23, "Print",ExpressionUUID->"2a2caac5-13d4-4d5d-ae23-1d0f9b0a3be1"],
Cell[6210, 172, 554, 12, 23, "Print",ExpressionUUID->"6ff7b8fe-1751-4db7-87c5-ea42dacb46c9"],
Cell[6767, 186, 655, 12, 23, "Print",ExpressionUUID->"b06362fe-82d7-4d9d-b1be-1b2ce26f66fa"],
Cell[7425, 200, 613, 12, 23, "Print",ExpressionUUID->"53ca0744-663f-4824-aaa1-fbf0fe136826"],
Cell[8041, 214, 631, 12, 23, "Print",ExpressionUUID->"157f8dca-aa69-4f6d-8b60-3b888213fa39"],
Cell[8675, 228, 228, 4, 23, "Print",ExpressionUUID->"9751811c-ef0c-41c7-a99d-ef0037ca723e"],
Cell[8906, 234, 495, 11, 23, "Print",ExpressionUUID->"0cebf403-8630-4dae-a8d5-a78464b15103"],
Cell[9404, 247, 267, 4, 23, "Print",ExpressionUUID->"1dfd2e56-327f-42d5-afe3-267f8ac1edbb"],
Cell[9674, 253, 228, 4, 23, "Print",ExpressionUUID->"ef9248e0-afa8-4cc4-8c04-5d56a142e3b6"],
Cell[9905, 259, 383, 6, 41, "Print",ExpressionUUID->"a994d228-795e-4a88-a1a9-ea83554257ea"],
Cell[10291, 267, 228, 4, 23, "Print",ExpressionUUID->"571f7517-ebf7-4191-8ddc-ebf5a24b2e8f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10580, 278, 380, 6, 24, "Subsubsection",ExpressionUUID->"3543f40a-76c0-4444-b668-aee792aa4589"],
Cell[10963, 286, 920, 20, 89, "Input",ExpressionUUID->"f78d3a93-c430-4beb-983f-eb6dc2c80c54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11920, 311, 453, 7, 34, "Subsection",ExpressionUUID->"f962b436-dfd0-4472-8d7c-39e4f4c9901c"],
Cell[12376, 320, 676, 15, 32, "Text",ExpressionUUID->"cde826d6-be6f-4ff5-a267-8effacfecf59"],
Cell[CellGroupData[{
Cell[13077, 339, 1301, 29, 61, "Input",ExpressionUUID->"f389bf85-0609-4820-9bc4-e2c9c5f334c9"],
Cell[CellGroupData[{
Cell[14403, 372, 560, 12, 23, "Print",ExpressionUUID->"b9352cad-170b-48b3-b244-621b6b62e29b"],
Cell[14966, 386, 570, 12, 23, "Print",ExpressionUUID->"657b7f2d-81a8-48e2-8eba-3b2d12220c69"],
Cell[15539, 400, 746, 17, 23, "Print",ExpressionUUID->"4193355c-8699-4c86-9f6b-a3cf19487d78"],
Cell[16288, 419, 882, 20, 23, "Print",ExpressionUUID->"ae386d13-74ae-4fa8-9835-03e485a61cba"],
Cell[17173, 441, 853, 18, 23, "Print",ExpressionUUID->"a867f6ae-338a-4261-b981-a252c0ca0c7f"],
Cell[18029, 461, 875, 19, 23, "Print",ExpressionUUID->"2fd9f71c-462f-489f-b2b4-5284f47cd3a8"],
Cell[18907, 482, 662, 15, 23, "Print",ExpressionUUID->"2eac6b3f-91b3-46a2-9622-33e22d7f2700"],
Cell[19572, 499, 806, 18, 23, "Print",ExpressionUUID->"48f10d71-dfa1-4335-8732-720caecf9082"],
Cell[20381, 519, 826, 19, 23, "Print",ExpressionUUID->"266b9c08-cae2-4de3-9ae2-755ae557700a"],
Cell[21210, 540, 868, 19, 23, "Print",ExpressionUUID->"d2a7ea5e-d9e2-4156-87c8-7526680f9e87"],
Cell[22081, 561, 760, 18, 23, "Print",ExpressionUUID->"69409dc2-83fe-41c5-bdcf-9592e4730ce0"],
Cell[22844, 581, 237, 4, 23, "Print",ExpressionUUID->"ab151ffc-d89d-4b64-8142-f73cd131d558"],
Cell[23084, 587, 614, 13, 23, "Print",ExpressionUUID->"9ae3cd04-55ce-4df6-9c80-77f0d9d97a11"],
Cell[23701, 602, 241, 4, 23, "Print",ExpressionUUID->"e2a3ec9f-a220-4633-a965-75b912511de8"],
Cell[23945, 608, 776, 19, 23, "Print",ExpressionUUID->"7f1b73b6-5424-48c9-971b-e452b9b4f38e"],
Cell[24724, 629, 853, 18, 23, "Print",ExpressionUUID->"999debf3-e683-4e97-b217-9571580e87a8"],
Cell[25580, 649, 768, 18, 23, "Print",ExpressionUUID->"74b01789-2ef0-41d9-8cf6-9b4efa975f0c"],
Cell[26351, 669, 626, 13, 23, "Print",ExpressionUUID->"42efac4a-2a4b-4aeb-94f4-0ac5becffca2"],
Cell[26980, 684, 372, 8, 23, "Print",ExpressionUUID->"16445cde-a5d9-4a59-be13-15fa6a17fe5b"],
Cell[27355, 694, 364, 8, 23, "Print",ExpressionUUID->"38330288-2b2b-4080-acd3-4c0967c3eb60"],
Cell[27722, 704, 376, 8, 23, "Print",ExpressionUUID->"a8b86e8c-f9aa-4b82-bce6-733f793c71f7"],
Cell[28101, 714, 630, 13, 23, "Print",ExpressionUUID->"677ed593-62a9-47a9-9dfb-73ea6076dda5"]
}, Open  ]]
}, Open  ]],
Cell[28758, 731, 909, 15, 65, "Text",ExpressionUUID->"b87ffcca-7720-4b8a-afdd-f71d4c1731be"],
Cell[CellGroupData[{
Cell[29692, 750, 182, 3, 41, "Input",ExpressionUUID->"f7d297be-8cc7-43e0-a5fa-3f9bb6256a87"],
Cell[29877, 755, 8978, 226, 97, "Output",ExpressionUUID->"88c199c0-e296-4f3c-9d90-67aaa05d2dfa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38892, 986, 324, 6, 43, "Input",ExpressionUUID->"bd27d421-3a21-4f72-a19d-a13de39e4848"],
Cell[CellGroupData[{
Cell[39241, 996, 618, 12, 23, "Print",ExpressionUUID->"8ce2472b-8e08-4807-b1ea-68f3d8a22bd1"],
Cell[39862, 1010, 772, 18, 23, "Print",ExpressionUUID->"85dc9c04-b213-4ae9-88bc-b53852cd7b7f"],
Cell[40637, 1030, 818, 19, 23, "Print",ExpressionUUID->"1c3b5f97-bfd8-4a7f-a756-f84b43cf73b1"],
Cell[41458, 1051, 853, 18, 23, "Print",ExpressionUUID->"8c9625a9-4500-4a0c-b799-23a1c72626cf"],
Cell[42314, 1071, 875, 19, 23, "Print",ExpressionUUID->"2541cfc5-bab8-4662-8b99-2948f762a26a"],
Cell[43192, 1092, 672, 15, 23, "Print",ExpressionUUID->"66950d78-c2d8-4326-86e9-fd2abd1ae5d0"],
Cell[43867, 1109, 806, 18, 23, "Print",ExpressionUUID->"0ab8880f-b6e5-49a4-b880-ef7aa9eee7c6"],
Cell[44676, 1129, 826, 19, 23, "Print",ExpressionUUID->"b0bf025a-bca3-4400-95ba-03903ca942a3"],
Cell[45505, 1150, 868, 19, 23, "Print",ExpressionUUID->"daa9ac72-f71a-4dcb-9628-b07726207ec7"],
Cell[46376, 1171, 760, 18, 23, "Print",ExpressionUUID->"8bf30c2f-d8a5-4256-9b95-d53ce1c934c9"],
Cell[47139, 1191, 237, 4, 23, "Print",ExpressionUUID->"e242f123-1aa5-46c1-9a5f-09e7b7b2945a"],
Cell[47379, 1197, 614, 13, 23, "Print",ExpressionUUID->"16deb67a-6306-405f-baec-fb52088db95b"],
Cell[47996, 1212, 241, 4, 23, "Print",ExpressionUUID->"5439d828-4432-4165-9c80-7d9e337f2f78"],
Cell[48240, 1218, 776, 19, 23, "Print",ExpressionUUID->"2d5f6057-d820-4fc2-b978-755fb65af053"],
Cell[49019, 1239, 876, 19, 23, "Print",ExpressionUUID->"4ec01060-d02f-4ea8-8ca7-62c91d9647bb"],
Cell[49898, 1260, 768, 18, 23, "Print",ExpressionUUID->"4513e06d-c470-412b-9957-71f70ac76d46"],
Cell[50669, 1280, 626, 13, 23, "Print",ExpressionUUID->"2d33228a-5802-4789-b9bb-0f5726d56830"],
Cell[51298, 1295, 372, 8, 23, "Print",ExpressionUUID->"ad7141bc-647b-481d-aa85-4026085390bf"],
Cell[51673, 1305, 364, 8, 23, "Print",ExpressionUUID->"664e5a8e-6141-4c25-aa58-1ffb477e0f10"],
Cell[52040, 1315, 376, 8, 23, "Print",ExpressionUUID->"6b1667bf-6954-4861-b0c8-d0309b75895e"],
Cell[52419, 1325, 630, 13, 23, "Print",ExpressionUUID->"92adf09b-10ea-4454-af27-0bfe6006f721"],
Cell[53052, 1340, 780, 17, 23, "Print",ExpressionUUID->"d012faf4-b423-4ab1-a830-4f72cdf84415"],
Cell[53835, 1359, 713, 15, 23, "Print",ExpressionUUID->"9b3af6e5-bc4a-4949-80e6-b07b13d47f47"],
Cell[54551, 1376, 608, 13, 23, "Print",ExpressionUUID->"70babfc9-951b-48bd-b506-cd7399dccc35"],
Cell[55162, 1391, 644, 15, 23, "Print",ExpressionUUID->"dd1ab411-4461-40c2-abfd-6bde093c926e"],
Cell[55809, 1408, 644, 15, 23, "Print",ExpressionUUID->"632e3a56-6a78-42fa-bcf4-86663c0aef99"],
Cell[56456, 1425, 555, 13, 23, "Print",ExpressionUUID->"0d1e3dca-30c9-423f-a2c8-3f0f852215d0"],
Cell[57014, 1440, 581, 13, 23, "Print",ExpressionUUID->"24850898-0407-4d26-8dee-c149b9faf803"],
Cell[57598, 1455, 644, 15, 23, "Print",ExpressionUUID->"fb533fd7-4095-41c5-ba20-13e4c1fb4e79"],
Cell[58245, 1472, 849, 17, 23, "Print",ExpressionUUID->"07f42b4f-8182-49c9-a8c0-3644bd6d167f"],
Cell[59097, 1491, 644, 12, 23, "Print",ExpressionUUID->"39e06689-b06d-4bb6-8cce-a15c84ffbee4"],
Cell[59744, 1505, 663, 13, 23, "Print",ExpressionUUID->"70a887e4-91b2-4c20-8ad3-af58ad69ab24"],
Cell[60410, 1520, 766, 16, 23, "Print",ExpressionUUID->"aa6e7e20-6d06-4726-bc53-3347a2be21fd"],
Cell[61179, 1538, 815, 17, 23, "Print",ExpressionUUID->"e28133e0-00ec-45ee-b07e-3b48e63864ac"],
Cell[61997, 1557, 815, 17, 23, "Print",ExpressionUUID->"44dd9032-84e8-4211-ae3c-eb4502d1decd"],
Cell[62815, 1576, 776, 18, 23, "Print",ExpressionUUID->"da743c83-7f27-45e1-b54b-25e30837dbfd"],
Cell[63594, 1596, 768, 16, 23, "Print",ExpressionUUID->"6ff0c84d-e911-44c2-8b77-6bfe3a590d54"],
Cell[64365, 1614, 888, 20, 23, "Print",ExpressionUUID->"9a5a933f-3ecf-461f-97d4-bd3f2e30cce9"],
Cell[65256, 1636, 859, 18, 23, "Print",ExpressionUUID->"9d2f3b25-0d02-4ca9-b38e-4789caa290b8"],
Cell[66118, 1656, 877, 18, 23, "Print",ExpressionUUID->"ce9a3092-c2f6-4882-92ab-c8c3bb2c6df5"],
Cell[66998, 1676, 678, 15, 23, "Print",ExpressionUUID->"5d04e4a3-500b-4269-99b0-4a44d536d4b8"],
Cell[67679, 1693, 812, 18, 23, "Print",ExpressionUUID->"42490e99-fbbf-48c7-a059-f20f4cb144be"],
Cell[68494, 1713, 832, 19, 23, "Print",ExpressionUUID->"d6490830-5781-44ee-aa7d-0f4ed300b400"],
Cell[69329, 1734, 886, 20, 23, "Print",ExpressionUUID->"03f8a3c2-5709-4827-ac59-cbfca1a5bf6e"],
Cell[70218, 1756, 934, 20, 23, "Print",ExpressionUUID->"77538770-00d6-4757-95cc-79490b0f5067"],
Cell[71155, 1778, 766, 18, 23, "Print",ExpressionUUID->"a37f8cf0-57ac-4a59-b9fe-3310d1b57e70"],
Cell[71924, 1798, 237, 4, 23, "Print",ExpressionUUID->"5e4aaacc-2552-4f56-a67e-6b4186e4f5b6"],
Cell[72164, 1804, 620, 13, 23, "Print",ExpressionUUID->"90defa04-2dd2-4502-b4af-55aa429e22a4"],
Cell[72787, 1819, 241, 4, 23, "Print",ExpressionUUID->"6d03b8dd-5754-41d6-8b94-52bb718b5962"],
Cell[73031, 1825, 782, 19, 23, "Print",ExpressionUUID->"63746001-5538-4330-aa68-fdef2c74dbe1"],
Cell[73816, 1846, 226, 4, 23, "Print",ExpressionUUID->"fedcbcce-c7b3-4e69-8a49-a328703e4b3f"],
Cell[74045, 1852, 859, 18, 23, "Print",ExpressionUUID->"be75a736-1b8d-402b-b7ff-58d0a4456caf"],
Cell[74907, 1872, 774, 18, 23, "Print",ExpressionUUID->"e7cf554a-3f15-4821-a7c4-db2df1454d3c"],
Cell[75684, 1892, 632, 13, 23, "Print",ExpressionUUID->"f6197f43-b926-4b37-8bab-1c2600b3bec8"],
Cell[76319, 1907, 372, 8, 23, "Print",ExpressionUUID->"df1d9e88-eb9d-45f1-aab7-d5916551eaba"],
Cell[76694, 1917, 376, 8, 23, "Print",ExpressionUUID->"80d3a1a7-2079-44dd-8023-d7a110f1ea1f"],
Cell[77073, 1927, 636, 13, 23, "Print",ExpressionUUID->"b28c3a7e-eaf4-4e4b-8968-124135900fa2"],
Cell[77712, 1942, 644, 15, 23, "Print",ExpressionUUID->"68b93be3-fe50-4a46-aef3-d913ba4ff9c5"],
Cell[78359, 1959, 526, 12, 23, "Print",ExpressionUUID->"f2535221-72c6-4056-b7ce-4082d279ddbc"],
Cell[78888, 1973, 821, 17, 23, "Print",ExpressionUUID->"734ce0d8-7aa5-4899-97a1-e13a05cd08d7"],
Cell[79712, 1992, 805, 17, 23, "Print",ExpressionUUID->"b9fdb734-6a71-4df1-8f73-86965973afee"],
Cell[80520, 2011, 691, 14, 23, "Print",ExpressionUUID->"2748a43f-b0f3-4c50-b068-9798660625b7"],
Cell[81214, 2027, 643, 13, 23, "Print",ExpressionUUID->"8eabc4a9-2ca5-4ee8-bd8f-51a638ac2e99"],
Cell[81860, 2042, 585, 13, 23, "Print",ExpressionUUID->"f4d527db-cec4-45f7-8816-c23461f3a57d"],
Cell[82448, 2057, 595, 12, 23, "Print",ExpressionUUID->"64d2379b-e4f8-49e5-8855-105735afce86"],
Cell[83046, 2071, 966, 21, 23, "Print",ExpressionUUID->"68bd092a-13b6-4dde-b985-47e556d8affb"]
}, Open  ]]
}, Open  ]],
Cell[84039, 2096, 285, 6, 29, "Text",ExpressionUUID->"102e73af-6638-4168-a5b1-95608ac24cbe"],
Cell[CellGroupData[{
Cell[84349, 2106, 932, 14, 61, "Input",ExpressionUUID->"cf1efc0f-63d4-4602-a249-06a6338af751"],
Cell[CellGroupData[{
Cell[85306, 2124, 584, 13, 23, "Print",ExpressionUUID->"9919cfdd-59d1-486b-b08e-530ce7d59043"],
Cell[85893, 2139, 796, 18, 23, "Print",ExpressionUUID->"7fd274ec-25f2-4c04-a201-4a4113f8cf5d"],
Cell[86692, 2159, 825, 17, 23, "Print",ExpressionUUID->"51a67099-96ef-4234-822a-416655d1783b"],
Cell[87520, 2178, 817, 17, 23, "Print",ExpressionUUID->"dab7f878-9381-4ba4-846b-32446fa076c2"],
Cell[88340, 2197, 883, 19, 23, "Print",ExpressionUUID->"3adaddf8-760d-4f50-9a0a-c2b34c4be923"],
Cell[89226, 2218, 825, 17, 23, "Print",ExpressionUUID->"93d429bc-e6d1-44b9-9509-8ff73947cbc9"],
Cell[90054, 2237, 817, 17, 23, "Print",ExpressionUUID->"f2a66156-9315-4c55-a709-8e25b9af8eb2"],
Cell[90874, 2256, 883, 19, 23, "Print",ExpressionUUID->"ddb78f4f-28ae-4145-aef0-017657b2da31"],
Cell[91760, 2277, 946, 21, 23, "Print",ExpressionUUID->"5aca8fe5-d9c6-4ed6-bb06-210ddc88bd4d"],
Cell[92709, 2300, 815, 17, 23, "Print",ExpressionUUID->"b4d39806-f278-45a1-8909-b62f94a8b2e3"],
Cell[93527, 2319, 817, 17, 23, "Print",ExpressionUUID->"645ec215-e58a-4af2-b913-c9a3dbc8f8fc"],
Cell[94347, 2338, 883, 19, 23, "Print",ExpressionUUID->"a54c1bf1-0e78-4ecf-bf98-b4ee645885a7"],
Cell[95233, 2359, 831, 17, 23, "Print",ExpressionUUID->"0aeca1b8-9423-42ca-ba85-40db4c0b8185"],
Cell[96067, 2378, 825, 17, 23, "Print",ExpressionUUID->"65418554-8ca6-4ceb-81eb-3786ab601d4d"],
Cell[96895, 2397, 815, 17, 23, "Print",ExpressionUUID->"79e30461-4bc2-45ac-82e2-45211f93dac2"],
Cell[97713, 2416, 891, 19, 23, "Print",ExpressionUUID->"957a2e64-73bb-4d2e-ac6a-1347954786c5"],
Cell[98607, 2437, 819, 17, 23, "Print",ExpressionUUID->"0fd3892a-633f-4d6e-96e6-8ae8ab205b21"],
Cell[99429, 2456, 819, 17, 23, "Print",ExpressionUUID->"745cc5fd-9699-4d56-afae-2d9142eec233"],
Cell[100251, 2475, 885, 19, 23, "Print",ExpressionUUID->"732dacfc-5700-405a-bd0b-b31919946f71"],
Cell[101139, 2496, 608, 12, 23, "Print",ExpressionUUID->"65a40f0a-02c2-419f-bff8-6bf1a7e81958"],
Cell[101750, 2510, 710, 15, 23, "Print",ExpressionUUID->"56154450-3a08-42e8-bf33-da29c0c97b18"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[102521, 2532, 298, 5, 34, "Subsection",ExpressionUUID->"81139839-408c-42c3-a7c8-854097a731e1"],
Cell[102822, 2539, 466, 9, 29, "Text",ExpressionUUID->"daca2ba1-74d6-48cf-b09a-4193d6c8ba94"],
Cell[CellGroupData[{
Cell[103313, 2552, 206, 3, 41, "Input",ExpressionUUID->"66b7752e-d3ac-47ff-b518-4257ee30a8a4"],
Cell[103522, 2557, 165, 3, 41, "Output",ExpressionUUID->"88b19ce8-e465-467e-ba78-f9c4620c98f9"]
}, Open  ]],
Cell[103702, 2563, 267, 4, 29, "Text",ExpressionUUID->"aafd1289-74d1-4a3c-bff1-5dbc707e7040"],
Cell[CellGroupData[{
Cell[103994, 2571, 1017, 23, 97, "Input",ExpressionUUID->"f7f446f0-4f22-4050-8483-983b7c0f4301"],
Cell[105014, 2596, 6928, 220, 66, "Output",ExpressionUUID->"687d83f7-3742-455e-a5f9-fd2fc5949dcb"],
Cell[111945, 2818, 782, 16, 23, "Print",ExpressionUUID->"d1967e47-3926-4408-b23a-b168db41ed7e"],
Cell[112730, 2836, 1757, 59, 63, "Output",ExpressionUUID->"3742f8f2-1cb3-45f5-82ba-90962d7e4917"],
Cell[114490, 2897, 1761, 59, 43, "Output",ExpressionUUID->"8cbc11b7-395f-4af3-8a44-522b14bae24b"]
}, Open  ]],
Cell[116266, 2959, 320, 6, 29, "Text",ExpressionUUID->"7bb25719-2816-4eba-b607-f2d0c7055fd8"],
Cell[CellGroupData[{
Cell[116611, 2969, 513, 10, 41, "Input",ExpressionUUID->"02b92636-8fd2-413f-9530-b676f946ac8b"],
Cell[117127, 2981, 632, 13, 23, "Print",ExpressionUUID->"a98883b9-4cc4-4bf6-8c7a-a8a0b2ab7278"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117796, 2999, 1955, 35, 61, "Input",ExpressionUUID->"94078076-827f-4624-b5a0-994f43fb491f"],
Cell[119754, 3036, 5207, 170, 43, "Output",ExpressionUUID->"c3a919b7-6b0a-4021-885a-ccfe7bc2400e"],
Cell[124964, 3208, 7913, 263, 62, "Output",ExpressionUUID->"25f08599-2912-43f8-b46e-e0338ffaee63"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132914, 3476, 2615, 52, 82, "Input",ExpressionUUID->"d1416d3f-e2d8-4414-b39f-38fc4311f519"],
Cell[135532, 3530, 2721, 96, 59, "Output",ExpressionUUID->"bcd847d8-a50f-4a8c-98e8-c0070171beb5"],
Cell[138256, 3628, 39872, 1199, 163, "Output",ExpressionUUID->"dcdf9a2d-08f2-4ff2-be04-d78fdc52eda2"],
Cell[178131, 4829, 39872, 1199, 163, "Output",ExpressionUUID->"169b31ef-0121-441b-97e3-e898ff082a9d"]
}, Open  ]],
Cell[218018, 6031, 228, 5, 29, "Text",ExpressionUUID->"5281cb0d-04b3-4339-a33f-d6dc7cc38754"],
Cell[CellGroupData[{
Cell[218271, 6040, 221, 4, 41, "Input",ExpressionUUID->"6eafdb04-3cab-404e-b71c-77ebb3ba9738"],
Cell[218495, 6046, 107, 1, 41, "Output",ExpressionUUID->"a5071180-672b-4699-8a79-c155f1879060"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[218651, 6053, 359, 6, 34, "Subsection",ExpressionUUID->"a20180f5-66c9-47bf-ab2c-0b427575e9eb"],
Cell[219013, 6061, 189, 3, 29, "Text",ExpressionUUID->"91191b2a-2e44-4eb3-b817-3bec3bb597b2"],
Cell[CellGroupData[{
Cell[219227, 6068, 179, 2, 41, "Input",ExpressionUUID->"a560cdcf-97fb-423c-9aa2-184a08824e97"],
Cell[219409, 6072, 1615, 24, 123, "Output",ExpressionUUID->"da3177fe-828d-49ca-b50c-d6a32c2056eb"]
}, Open  ]],
Cell[221039, 6099, 293, 6, 29, "Text",ExpressionUUID->"03800891-9270-43f7-aaa1-24effb9f8605"],
Cell[CellGroupData[{
Cell[221357, 6109, 770, 16, 82, "Input",ExpressionUUID->"072e693d-d0c5-4457-9efa-f02dcc334f9d"],
Cell[222130, 6127, 1409, 41, 50, "Output",ExpressionUUID->"8036fac2-6d37-4b0f-9425-1bfe971ac9d4"],
Cell[223542, 6170, 2409, 70, 54, "Output",ExpressionUUID->"7de3a878-0dba-4d86-b934-c4fb011ba68a"],
Cell[225954, 6242, 1417, 41, 50, "Output",ExpressionUUID->"f527d65f-ab45-4611-aa02-d2551107e6b0"]
}, Open  ]],
Cell[227386, 6286, 2825, 78, 93, "Text",ExpressionUUID->"e9c4c610-749a-4367-80a9-484121e49e85"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[230260, 6370, 181, 3, 56, "Section",ExpressionUUID->"2ddbeaaa-e13c-4c29-84ee-a23f52ac1af5"],
Cell[230444, 6375, 736, 16, 110, "Input",ExpressionUUID->"31235cbf-9bc3-4491-84f4-f322cb663bc7"],
Cell[CellGroupData[{
Cell[231205, 6395, 164, 3, 34, "Subsection",ExpressionUUID->"2912bcf2-4d84-4264-9183-3ad117aa000f"],
Cell[231372, 6400, 347, 8, 47, "Text",ExpressionUUID->"d6314c14-a10d-48bc-99f4-ed22a968278d"],
Cell[231722, 6410, 565, 10, 47, "Text",ExpressionUUID->"f11e4b0e-3c3a-4608-a148-a6dc78f1376b"],
Cell[CellGroupData[{
Cell[232312, 6424, 2718, 42, 82, "Input",ExpressionUUID->"0daa712e-4b39-4bcc-82cc-714d4a196a00"],
Cell[235033, 6468, 300, 9, 41, "Output",ExpressionUUID->"3d097255-d7ef-4d33-923e-1304eff92384"],
Cell[235336, 6479, 2721, 96, 59, "Output",ExpressionUUID->"e9d2bae7-0aa0-4ed5-a882-2bdca9bf2568"],
Cell[238060, 6577, 76559, 2199, 214, "Output",ExpressionUUID->"cf2bad90-c458-4a6f-abe8-10789dc67eb7"]
}, Open  ]],
Cell[314634, 8779, 426, 8, 29, "Text",ExpressionUUID->"f31e270b-0ea0-4359-86da-dff7573bb17f"],
Cell[CellGroupData[{
Cell[315085, 8791, 1184, 30, 41, "Input",ExpressionUUID->"e03eb89e-93dc-4f66-b514-b913c40722ff"],
Cell[316272, 8823, 6879, 206, 44, "Output",ExpressionUUID->"be4f8892-e57a-4d3a-a0c6-238863856d66"]
}, Open  ]],
Cell[323166, 9032, 681, 11, 47, "Text",ExpressionUUID->"7d87e9af-427b-431b-a439-c953e49149f8"],
Cell[CellGroupData[{
Cell[323872, 9047, 236, 4, 41, "Input",ExpressionUUID->"0d1665e1-0399-44d7-98de-7bb019f06e43"],
Cell[324111, 9053, 1261, 38, 38, "Print",ExpressionUUID->"57a49ed8-3a63-43ef-ad3d-f25979f33de6"],
Cell[325375, 9093, 91758, 2792, 346, "Output",ExpressionUUID->"b04e8ac8-9f19-438c-ae8f-117f8e15c6d8"]
}, Open  ]],
Cell[417148, 11888, 852, 16, 101, "Text",ExpressionUUID->"b9320aca-e93b-4647-9165-5901976b8b51"],
Cell[418003, 11906, 590, 10, 29, "Text",ExpressionUUID->"ad27ec5c-0237-4160-9dc3-c273253717f7"],
Cell[CellGroupData[{
Cell[418618, 11920, 206, 3, 41, "Input",ExpressionUUID->"0b6f7090-e87e-46a4-a0d2-62ff0e62e7d1"],
Cell[418827, 11925, 530759, 13667, 1292, "Output",ExpressionUUID->"e879dd47-2fbf-4ced-b321-a3d654310442"]
}, Open  ]],
Cell[949601, 25595, 388, 7, 29, "Text",ExpressionUUID->"e4efc43c-dd09-45a3-b9a4-dad509ec3c27"],
Cell[CellGroupData[{
Cell[950014, 25606, 558, 9, 41, "Input",ExpressionUUID->"c25c8d41-2197-40ec-bb4f-f82ceee127c8"],
Cell[950575, 25617, 1261, 38, 38, "Print",ExpressionUUID->"2ac2c9e2-bcf2-4662-86a6-ebbf6956a130"],
Cell[951839, 25657, 91758, 2792, 346, "Output",ExpressionUUID->"f5888ede-a2ff-46f8-9a84-f2f904651831"]
}, Open  ]],
Cell[1043612, 28452, 363, 7, 47, "Text",ExpressionUUID->"ef3e1cdf-bd9a-4ee3-bde2-4f277576fdd1"],
Cell[1043978, 28461, 694, 13, 47, "Text",ExpressionUUID->"c8619673-c714-45aa-ae32-c52e521cc09b"],
Cell[CellGroupData[{
Cell[1044697, 28478, 199, 3, 41, "Input",ExpressionUUID->"50e3a8f7-6a13-4f7f-a6fe-dd94126bb106"],
Cell[1044899, 28483, 203793, 4179, 97, "Output",ExpressionUUID->"f8a8d7e7-c95c-48c9-b65e-8f75a9de2f01"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1248729, 32667, 1384, 31, 61, "Input",ExpressionUUID->"ba536f74-27b1-4370-98d4-2243397cbf20"],
Cell[1250116, 32700, 7266, 209, 105, "Output",ExpressionUUID->"2334b561-19d6-4042-af95-109c241b67a9"],
Cell[1257385, 32911, 7261, 209, 105, "Output",ExpressionUUID->"87047408-a3b8-42ff-a473-b08b6e8046bc"]
}, Open  ]],
Cell[1264661, 33123, 561, 8, 29, "Text",ExpressionUUID->"10cfa3aa-969d-485b-987e-c5614e0a1ff0"],
Cell[CellGroupData[{
Cell[1265247, 33135, 205, 3, 41, "Input",ExpressionUUID->"ffb7f012-6706-440f-87ad-a011be3dc580"],
Cell[1265455, 33140, 9181, 229, 97, "Output",ExpressionUUID->"4d60a5dd-9f9b-48c4-b11e-881306bab3de"]
}, Open  ]],
Cell[1274651, 33372, 247, 4, 29, "Text",ExpressionUUID->"81f48e65-9841-46fc-91b0-423d717f89ac"],
Cell[CellGroupData[{
Cell[1274923, 33380, 916, 15, 41, "Input",ExpressionUUID->"36b286b9-6498-4c63-9f23-4b40e63fb66b"],
Cell[1275842, 33397, 1261, 38, 38, "Print",ExpressionUUID->"6c47030d-6c65-404f-b1a6-d466049259ed"],
Cell[1277106, 33437, 584900, 17175, 1662, "Output",ExpressionUUID->"09ff2ee0-1fb3-4ad6-90f8-5b0808cb6293"]
}, Open  ]],
Cell[1862021, 50615, 1630, 30, 209, "Text",ExpressionUUID->"39a218cf-9f7f-4044-85b3-8b6785c1b94b"],
Cell[1863654, 50647, 706, 13, 41, "Input",ExpressionUUID->"39cbff63-7926-4669-98e9-e23be970c178"],
Cell[1864363, 50662, 160, 3, 29, "Text",ExpressionUUID->"113b2e9e-66b2-496b-893d-bd7aa6adae36"],
Cell[CellGroupData[{
Cell[1864548, 50669, 1824, 28, 41, "Input",ExpressionUUID->"a6aaa727-d434-4775-8d9a-6cb27c6ce1f3"],
Cell[1866375, 50699, 1715, 54, 40, "Print",ExpressionUUID->"dde4a135-a5a5-4298-b124-a0538143cb70"],
Cell[1868093, 50755, 21493, 700, 127, "Output",ExpressionUUID->"eade2f4f-365e-498d-a2b1-2d670ece81d4"]
}, Open  ]],
Cell[1889601, 51458, 182, 3, 29, "Text",ExpressionUUID->"39e51741-a7f7-4d67-9ae7-18d6ce704d42"],
Cell[CellGroupData[{
Cell[1889808, 51465, 1575, 24, 41, "Input",ExpressionUUID->"e189364c-bfb8-4ab6-9209-f931a8944f4a"],
Cell[1891386, 51491, 1709, 53, 40, "Print",ExpressionUUID->"c566b5d8-a4f5-42d5-87c0-a2cc116d0323"],
Cell[1893098, 51546, 14803, 490, 79, "Output",ExpressionUUID->"cd541efd-fab7-41c6-bd02-857820b9be7b"]
}, Open  ]],
Cell[1907916, 52039, 639, 14, 56, "Text",ExpressionUUID->"7c3d077c-e049-4bb2-9be4-fecb2e54a8de"],
Cell[CellGroupData[{
Cell[1908580, 52057, 1241, 21, 41, "Input",ExpressionUUID->"abd83d10-54d2-43c4-88ad-85088eb44ce4"],
Cell[1909824, 52080, 2485, 75, 45, "Print",ExpressionUUID->"de8d982f-3bc0-47d1-b326-371c2fd786c7"],
Cell[1912312, 52157, 111199, 3357, 328, "Output",ExpressionUUID->"f2aa8152-f0c9-45a7-9de5-6e0151e66c23"]
}, Open  ]],
Cell[2023526, 55517, 199, 3, 29, "Text",ExpressionUUID->"f20c0ff1-c71f-4d26-9a76-ac86a44e7ca4"],
Cell[CellGroupData[{
Cell[2023750, 55524, 412, 9, 41, "Input",ExpressionUUID->"f36279dd-268a-492b-96e1-9c600b25746c"],
Cell[2024165, 55535, 7983, 265, 79, "Output",ExpressionUUID->"dbccc77d-55c5-4a7a-b402-2cadc17dc64d"]
}, Open  ]],
Cell[2032163, 55803, 229, 4, 29, "Text",ExpressionUUID->"6bb46dee-8381-48c5-85f3-0182b5ebad62"],
Cell[CellGroupData[{
Cell[2032417, 55811, 422, 8, 41, "Input",ExpressionUUID->"c7f4b0e2-c162-4638-bf2f-54dbf43f26b6"],
Cell[2032842, 55821, 7959, 265, 79, "Output",ExpressionUUID->"ba125b25-1a45-4c72-96e3-8998cf55a999"]
}, Open  ]],
Cell[2040816, 56089, 244, 5, 29, "Text",ExpressionUUID->"8d5ff6aa-c9ff-4c2e-9319-60d79a2037be"],
Cell[CellGroupData[{
Cell[2041085, 56098, 283, 5, 41, "Input",ExpressionUUID->"0b4c7d85-d29d-493e-98bf-fe1c5067d6ef"],
Cell[2041371, 56105, 4593, 150, 67, "Output",ExpressionUUID->"a2b71dbc-620a-47bc-a983-e3d6197c8a89"]
}, Open  ]],
Cell[2045979, 56258, 160, 3, 29, "Text",ExpressionUUID->"1105dc72-1ce7-4466-8c12-320c8dabfab9"],
Cell[CellGroupData[{
Cell[2046164, 56265, 669, 17, 41, "Input",ExpressionUUID->"657178df-57b5-45d1-9dd0-292985e6456b"],
Cell[2046836, 56284, 2633, 78, 35, "Print",ExpressionUUID->"8d779b67-0bbf-4236-9791-7a1c40216810"],
Cell[2049472, 56364, 23426, 671, 91, "Output",ExpressionUUID->"e40d7a80-9b37-4f4c-aed7-ecbbf069e2bc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2072947, 57041, 202, 3, 34, "Subsection",ExpressionUUID->"ac1c3176-fc34-4d95-91f1-a1ee17434c93"],
Cell[CellGroupData[{
Cell[2073174, 57048, 241, 4, 24, "Subsubsection",ExpressionUUID->"7a96a8ac-bc20-4188-b200-7fcb77c01a2f"],
Cell[2073418, 57054, 477, 9, 29, "Text",ExpressionUUID->"e43e36b2-695b-41d9-ab27-db15ed1a8015"],
Cell[2073898, 57065, 384, 8, 29, "Text",ExpressionUUID->"c0162234-67ce-40bd-8532-572d1f2e33f3"],
Cell[CellGroupData[{
Cell[2074307, 57077, 615, 14, 76, "Input",ExpressionUUID->"5a32fe0b-de09-47f5-9efb-d59f7959013d"],
Cell[2074925, 57093, 42336, 1200, 133, "Output",ExpressionUUID->"13224150-d4ac-4cae-b8bb-2d1a8ee017df"]
}, Open  ]],
Cell[2117276, 58296, 447, 9, 29, "Text",ExpressionUUID->"547944a7-290b-4efb-903d-7c9001a9a834"],
Cell[2117726, 58307, 507, 14, 30, "Text",ExpressionUUID->"32c969bc-ad62-4cdc-b27a-e435d74bf095"],
Cell[CellGroupData[{
Cell[2118258, 58325, 737, 20, 102, "Input",ExpressionUUID->"3ff34059-f5d4-4005-9181-2d07466551b4"],
Cell[2118998, 58347, 2485, 74, 44, "Print",ExpressionUUID->"980bd50d-589a-48ca-afd5-8ede281f6070"],
Cell[2121486, 58423, 6609, 210, 79, "Output",ExpressionUUID->"7cc40398-eaaf-423e-b07f-d232577fc33a"],
Cell[2128098, 58635, 3588, 104, 87, "Output",ExpressionUUID->"aa854af3-a774-4e27-8113-d8c11aff7e42"],
Cell[2131689, 58741, 1846, 55, 26, "Print",ExpressionUUID->"2ecc6b85-178b-4dbe-95cf-c140c6b5df91"],
Cell[2133538, 58798, 8671, 272, 49, "Output",ExpressionUUID->"10312d0a-b8fc-4540-9ba0-8714b4ff3c60"],
Cell[2142212, 59072, 5160, 147, 87, "Output",ExpressionUUID->"9706d41d-170e-41b1-b273-454823a0c3ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2147409, 59224, 992, 18, 41, "Input",ExpressionUUID->"8745552b-51dd-409e-835b-7c0e13ad61ae"],
Cell[2148404, 59244, 3110, 97, 45, "Print",ExpressionUUID->"91f0a747-bb23-4098-9f0d-a6e5fb7c26d3"],
Cell[2151517, 59343, 5166, 173, 79, "Output",ExpressionUUID->"93ba8fd4-f055-4847-869e-3e0005c29166"]
}, Open  ]],
Cell[2156698, 59519, 517, 14, 33, "Text",ExpressionUUID->"f6be7640-2388-451c-8a42-8c66761902b5"],
Cell[CellGroupData[{
Cell[2157240, 59537, 826, 17, 41, "Input",ExpressionUUID->"82a524fd-cd19-40cb-b449-2586822fa5c9"],
Cell[2158069, 59556, 4009, 123, 45, "Print",ExpressionUUID->"70603521-6730-490f-8232-bc750f0e7a8f"],
Cell[2162081, 59681, 12917, 411, 80, "Output",ExpressionUUID->"d4236b0d-2fc6-4fcf-9046-b5413c864c39"]
}, Open  ]],
Cell[2175013, 60095, 173, 3, 29, "Text",ExpressionUUID->"058c023b-4356-4ce2-aa72-678a12831a09"],
Cell[2175189, 60100, 445, 11, 41, "Input",ExpressionUUID->"aa0e8f69-31a2-4474-8a5d-f5c9e7b8649f"],
Cell[CellGroupData[{
Cell[2175659, 60115, 1978, 50, 54, "Input",ExpressionUUID->"cce66407-65cd-4255-8825-b4d2345b31ce"],
Cell[2177640, 60167, 3164, 92, 35, "Print",ExpressionUUID->"94c9d5da-895c-4e85-8499-9e58024a4dff"],
Cell[2180807, 60261, 9829, 299, 54, "Output",ExpressionUUID->"854a99fd-9b80-438e-8ed5-362af02e84f6"]
}, Open  ]],
Cell[2190651, 60563, 247, 4, 29, "Text",ExpressionUUID->"1b776126-aade-4b87-90f8-721307d2f73e"],
Cell[2190901, 60569, 478, 11, 29, "Text",ExpressionUUID->"1879e88b-9a86-406b-9573-4527caba8dc5"],
Cell[CellGroupData[{
Cell[2191404, 60584, 396, 9, 61, "Input",ExpressionUUID->"b7990090-27b6-426b-94ce-f58bfb6282d8"],
Cell[CellGroupData[{
Cell[2191825, 60597, 578, 12, 23, "Print",ExpressionUUID->"1a11f8c0-d7e1-4e89-a891-e5d57e2cfed0"],
Cell[2192406, 60611, 626, 13, 23, "Print",ExpressionUUID->"3720e218-0e82-4cb3-bac0-79231caf24c1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2193081, 60630, 1684, 46, 61, "Input",ExpressionUUID->"ba5ecc35-32fc-4ca7-8dac-68156f58026b"],
Cell[2194768, 60678, 1846, 55, 26, "Print",ExpressionUUID->"d55b6fcf-dc2f-4b9c-be79-bf7fd6339490"],
Cell[2196617, 60735, 9329, 286, 69, "Output",ExpressionUUID->"2fefa811-3e52-4220-8a8a-80849602d457"],
Cell[2205949, 61023, 1846, 55, 26, "Print",ExpressionUUID->"5396e532-ad4c-48d2-807c-dd92d4c80862"],
Cell[2207798, 61080, 55558, 1647, 157, "Output",ExpressionUUID->"8edd3981-a189-442e-9759-76a17f111b4c"]
}, Open  ]],
Cell[2263371, 62730, 218, 4, 29, "Text",ExpressionUUID->"d41be0ef-44ea-4e10-b15b-ee7f8b5a7b98"],
Cell[CellGroupData[{
Cell[2263614, 62738, 1090, 28, 41, "Input",ExpressionUUID->"f6b6f048-c50e-4001-8ad4-cb10572ab627"],
Cell[2264707, 62768, 3965, 117, 35, "Print",ExpressionUUID->"d29bf376-12f1-44f2-8254-7e724fa8f1e4"],
Cell[2268675, 62887, 316278, 9393, 603, "Output",ExpressionUUID->"5616d1af-3e22-4a27-9915-1223301f4a07"]
}, Open  ]],
Cell[2584968, 72283, 314, 7, 29, "Text",ExpressionUUID->"6211cb50-6190-47ce-aeac-18671951c2ea"],
Cell[CellGroupData[{
Cell[2585307, 72294, 352, 9, 61, "Input",ExpressionUUID->"b183813c-3ab0-4139-bdf0-d88a935cc87a"],
Cell[2585662, 72305, 107, 1, 41, "Output",ExpressionUUID->"1144c714-d1a0-4491-8a5e-15537f6a9717"]
}, Open  ]],
Cell[2585784, 72309, 165, 3, 29, "Text",ExpressionUUID->"1081ca02-e965-4f77-82af-e64153731613"],
Cell[CellGroupData[{
Cell[2585974, 72316, 1836, 49, 97, "Input",ExpressionUUID->"0cffc8f7-3068-404e-9c3a-f1402e988ad5"],
Cell[2587813, 72367, 3164, 92, 35, "Print",ExpressionUUID->"da261a13-3f54-4d5f-9c27-b171c205b14b"],
Cell[2590980, 72461, 17500, 535, 54, "Output",ExpressionUUID->"04ee230f-350b-4ab3-bb01-10effe46b472"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2608529, 73002, 171, 3, 24, "Subsubsection",ExpressionUUID->"b0380135-274a-4db5-979e-2c8c0333528b"],
Cell[CellGroupData[{
Cell[2608725, 73009, 1194, 31, 61, "Input",ExpressionUUID->"790a18f9-085f-4650-b632-8924478b58a5"],
Cell[2609922, 73042, 704, 15, 23, "Print",ExpressionUUID->"176afd7f-754c-425b-87fc-a3da06c4f2cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2610663, 73062, 654, 14, 41, "Input",ExpressionUUID->"4557d24c-a495-4a31-abcc-8247e1d97c81"],
Cell[2611320, 73078, 4493, 140, 45, "Print",ExpressionUUID->"022ad3ee-0378-46ef-8f4a-3b034023cb2a"],
Cell[2615816, 73220, 78676, 2476, 273, "Output",ExpressionUUID->"7f9e18a3-ca4a-43e4-b23d-462e67b411e4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2694529, 75701, 589, 11, 41, "Input",ExpressionUUID->"fd40fd0c-3dce-4e11-bd4f-ffc886a31977"],
Cell[2695121, 75714, 54504, 1574, 128, "Output",ExpressionUUID->"1b8144f2-6aca-41a4-af71-1cf5944d85a7"]
}, Open  ]],
Cell[2749640, 77291, 166, 3, 29, "Text",ExpressionUUID->"36cae348-cbad-450e-9639-1f33fa498282"],
Cell[CellGroupData[{
Cell[2749831, 77298, 830, 14, 97, "Input",ExpressionUUID->"0fe91da9-c560-4cd6-824f-1ee94df6f129"],
Cell[2750664, 77314, 587, 12, 23, "Print",ExpressionUUID->"b5b3121b-826c-4307-9652-a4c29f288f55"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2751288, 77331, 524, 15, 41, "Input",ExpressionUUID->"4a10c90a-580b-4a45-911b-d8432773eaed"],
Cell[2751815, 77348, 2295, 71, 40, "Print",ExpressionUUID->"862a8566-818d-47df-8689-4173f9e14325"],
Cell[2754113, 77421, 19547, 644, 79, "Output",ExpressionUUID->"9bcf4acd-4f3c-48fc-8580-0f267193bee0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2773733, 78073, 166, 3, 56, "Section",ExpressionUUID->"5ede849e-846e-422a-a01f-2be4581dd544"],
Cell[2773902, 78078, 276, 6, 29, "Text",ExpressionUUID->"1f1d3eb1-19a8-4745-84c5-8e671a2f03a4"],
Cell[CellGroupData[{
Cell[2774203, 78088, 1226, 20, 41, "Input",ExpressionUUID->"7bca67d2-1639-459e-82ec-f4c81614e696"],
Cell[2775432, 78110, 714, 15, 23, "Print",ExpressionUUID->"87c3d145-8f99-4fe9-85f4-16d6522cfa44"]
}, Open  ]],
Cell[2776161, 78128, 197, 3, 29, "Text",ExpressionUUID->"8380f67c-86b3-4934-aa18-b97286c8cdec"],
Cell[CellGroupData[{
Cell[2776383, 78135, 2396, 48, 41, "Input",ExpressionUUID->"bc8eb8a1-7dfb-48d9-972e-cf2889c2feb0"],
Cell[2778782, 78185, 6118, 182, 44, "Output",ExpressionUUID->"1c2d771b-7c95-498f-9913-a78f059c2997"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2784937, 78372, 380, 8, 41, "Input",ExpressionUUID->"d00034dc-1a9d-47eb-9b8e-8ee178cbf586"],
Cell[2785320, 78382, 4264, 137, 49, "Output",ExpressionUUID->"4527b0c0-3ab7-462c-ad67-f421b929ee92"]
}, Open  ]],
Cell[2789599, 78522, 185, 3, 29, "Text",ExpressionUUID->"0b1fa9e2-080e-409e-bcf9-9fb6cf939b4d"],
Cell[CellGroupData[{
Cell[2789809, 78529, 1240, 34, 61, "Input",ExpressionUUID->"cc110129-b05f-40ad-8f4c-38ae6534a0ec"],
Cell[2791052, 78565, 4458, 131, 50, "Output",ExpressionUUID->"52e3381c-8ac5-40a8-bc38-ba452bc9eab6"],
Cell[2795513, 78698, 8186, 235, 54, "Output",ExpressionUUID->"695d9fa5-096b-49aa-8767-4f5f62c9f93f"]
}, Open  ]],
Cell[2803714, 78936, 281, 7, 47, "Text",ExpressionUUID->"da889d82-fae2-4a93-ad82-61d92bc9d7a4"],
Cell[CellGroupData[{
Cell[2804020, 78947, 1415, 26, 54, "Input",ExpressionUUID->"21a485a8-651c-49ac-a05e-a2a3d70826dd"],
Cell[2805438, 78975, 2587, 76, 26, "Print",ExpressionUUID->"8c53eaac-96c6-4a48-95c9-9debe949cc5e"],
Cell[2808028, 79053, 40943, 1245, 92, "Output",ExpressionUUID->"3531425d-3045-41bf-92e1-71bfebaa307d"]
}, Open  ]],
Cell[2848986, 80301, 299, 7, 29, "Text",ExpressionUUID->"f1e1d2f9-31ac-4190-b14f-c257c025eac1"],
Cell[CellGroupData[{
Cell[2849310, 80312, 443, 12, 41, "Input",ExpressionUUID->"3ced09fa-1183-4bf4-a2f8-3a3e18aade65"],
Cell[2849756, 80326, 21798, 602, 116, "Output",ExpressionUUID->"4822fee2-119e-41dc-971f-0a32e13db6ba"]
}, Open  ]],
Cell[2871569, 80931, 466, 9, 29, "Text",ExpressionUUID->"129e2d9d-44dd-4bb7-8476-890b8ec031f1"],
Cell[CellGroupData[{
Cell[2872060, 80944, 786, 14, 41, "Input",ExpressionUUID->"31892388-114d-4fa1-8730-7862087f3bca"],
Cell[CellGroupData[{
Cell[2872871, 80962, 782, 17, 23, "Print",ExpressionUUID->"b36c3e83-1491-4480-b945-63fa7d438d10"],
Cell[2873656, 80981, 2587, 76, 26, "Print",ExpressionUUID->"8e1aeeff-fbf2-46b9-bd72-004e8ba7c165"]
}, Open  ]],
Cell[2876258, 81060, 56455, 1714, 146, "Output",ExpressionUUID->"7a065eea-85b9-47bc-907b-18322749b382"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2932750, 82779, 925, 20, 41, "Input",ExpressionUUID->"521130dd-9be3-482c-ba63-f042488f2a51"],
Cell[2933678, 82801, 28838, 830, 116, "Output",ExpressionUUID->"b3392d07-d0c9-498a-b11e-12bd163e46f5"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

