Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "       ",
 StyleBox["xPand",
  FontSize->36],
 StyleBox["    (ing)",
  FontSize->24],
 "      ",
 StyleBox["P",
  FontSize->24],
 StyleBox["erturbations",
  FontSize->24,
  FontColor->GrayLevel[0]],
 StyleBox[" A",
  FontSize->24],
 StyleBox["re",
  FontSize->24,
  FontColor->GrayLevel[0]],
 StyleBox[" N",
  FontSize->24],
 StyleBox["ot",
  FontSize->24,
  FontColor->GrayLevel[0]],
 StyleBox[" D",
  FontSize->24],
 StyleBox["ifficult",
  FontSize->24,
  FontColor->GrayLevel[0]],
 StyleBox["  ",
  FontSize->24],
 StyleBox["          (I",
  FontSize->16],
 StyleBox["n",
  FontSize->16,
  FontColor->GrayLevel[0]],
 StyleBox[" N",
  FontSize->16],
 StyleBox["ewtonian",
  FontSize->16,
  FontColor->GrayLevel[0]],
 StyleBox[" G",
  FontSize->16],
 StyleBox["auge)",
  FontSize->16,
  FontColor->GrayLevel[0]],
 " "
}], "Title",
 InitializationCell->True,
 FontSize->48,ExpressionUUID->"f99dad05-75f3-4b56-86be-f8a57408dfa6"],

Cell[CellGroupData[{

Cell["\<\
Authors
\
\>", "Subsection",
 InitializationCell->True,
 FontSize->18,ExpressionUUID->"885e8cc1-1e76-4a55-b1fb-4e2e21f66119"],

Cell["\<\
This package is designed for the theory of perturbations in relativistic \
cosmology. 
It allows for the calculation of perturbations for all types of Bianchi \
(homogeneous) cosmologies, at any order and in several gauges. 
        
Version 0.4.4   (01/04/2025)\
\>", "Text",
 InitializationCell->True,
 FontSize->14,ExpressionUUID->"1be3aed0-586e-4a04-bdb6-ef56fd11cc66"],

Cell[TextData[{
 "\n It is developed by Cyril ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Pitrou", "1"], TraditionalForm]],ExpressionUUID->
  "52d94b2c-1a28-4e58-916f-dc736e1b4f18"],
 ", Xavier ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Roy", "2"], TraditionalForm]],ExpressionUUID->
  "db0d821b-cda2-407e-b179-b85c24a26ef9"],
 " and Obinna ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Umeh", "2"], TraditionalForm]],ExpressionUUID->
  "da38509e-7156-42a3-992a-32b589d04f81"],
 ".\n \t\n ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "1"], TraditionalForm]],ExpressionUUID->
  "19ea2235-580b-4053-88e5-7127fe05f56f"],
 StyleBox["Institute of Astrophysics of Paris (IAP), France",
  FontSize->13],
 "\n",
 StyleBox["Email: pitrou@iap.fr",
  FontSize->13],
 "\n",
 StyleBox[ButtonBox["http://www2.iap.fr/users/pitrou/xpand.htm",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www2.iap.fr/users/pitrou/xpand.htm"], None},
  ButtonNote->"http://www2.iap.fr/users/pitrou/xpand.htm"],
  FontSize->13],
 "\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "2"], TraditionalForm]],ExpressionUUID->
  "7fe54190-ef2e-4933-be7f-8f30b4cb73a2"],
 StyleBox[" Department of Mathematics and Applied Mathematics, Cape Town \
University, Rondebosch 7701, South Africa",
  FontSize->13],
 "\n",
 StyleBox["Emails: xavier.roy@uct.ac.za / obinnah.umeh@uct.ac.za",
  FontSize->13],
 "\n \t\n \t\nDetails of the general algorithm and methods for perturbations \
about any space-time background can be found on a dedicated ",
 ButtonBox["publication",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://arxiv.org/abs/1302.6174"], None},
  ButtonNote->"http://arxiv.org/abs/1302.6174"],
 " or on the ",
 ButtonBox["xPand webpage.",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www2.iap.fr/users/pitrou/xpand.htm"], None},
  ButtonNote->"http://www2.iap.fr/users/pitrou/xpand.htm"]
}], "Text",
 InitializationCell->True,
 FontSize->14,ExpressionUUID->"2c40a56e-a120-4f73-98dc-047c26a43f60"],

Cell[TextData[{
 "This algorithm is based on the xAct/xPert package developed by \nD. ",
 Cell[BoxData[
  FormBox["Brizuela", TraditionalForm]],ExpressionUUID->
  "ce59b333-a014-4db7-abcf-ba9d9f58be0b"],
 " and Jos\[EAcute] M. Mart\[IAcute]n-Garc\[IAcute]a.",
 StyleBox["\n ",
  FontSize->13],
 StyleBox[ButtonBox["http://www.xact.es",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://metric.iem.csic.es/Martin-Garcia/"], None}],
  FontSize->13],
 "\n\t\nIt is tested so far for xAct_1.1.3 and xPert_1.0.6, under Mathematica \
7, 8, 9, 10, 11, 12, 13, 14.0."
}], "Text",
 InitializationCell->True,
 FontSize->14,ExpressionUUID->"93d3d8b1-260d-4f5f-b6c6-89dd9daf1c39"],

Cell[CellGroupData[{

Cell["Dates and versions", \
"Subsubsection",ExpressionUUID->"c6622465-02d2-407f-920e-9a27634248cb"],

Cell[BoxData[
 RowBox[{"Date", "[", 
  "]"}]], "Input",ExpressionUUID->"861bfeef-ab0c-4674-9fab-2c2f141e6bf8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"xAct`xPand`$Version", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<0.4.4\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"2025", ",", "04", ",", "01"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"21e32b71-301d-4111-ad5c-76108ff548fa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xAct`xPand`$xTensorVersionExpected", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<1.1.3\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"2018", ",", "2", ",", "28"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xAct`xPand`$xPertVersionExpected", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<1.0.6\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"2018", ",", "2", ",", "28"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"4306eea9-2d82-45fd-9036-066941c5b44f"],

Cell[TextData[{
 "2025 modifications :\nDuplicated the name of gauges for Bianchi space \
times.\nThe XXgauge does not have the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Sigma]", "ij"], TraditionalForm]],
  FormatType->TraditionalForm,ExpressionUUID->
  "5fa4eae0-0650-435d-b3d6-03c422e048c4"],
 "/\[ScriptCapitalH] C term in the parameterization of the perturbation, but \
the XXgaugeBianchi does.\nFor instance the results of 0707.0736 can be \
reproduced with AnyGaugeBianchi or NewtongaugeBianchi.  "
}], "Text",ExpressionUUID->"1c33094c-bb7e-48c9-af10-22fe8e86f5f0"],

Cell["", "Text",ExpressionUUID->"64d1fe2a-23a3-41cd-9480-dd682f4a283d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1. Initialization", "Subsection",
 InitializationCell->True,
 FontColor->RGBColor[
  0.20389105058365758`, 0.38530556191348136`, 
   0.9685969329365988],ExpressionUUID->"4da7a881-ffe7-41a4-92fb-61a35a2396e7"],

Cell[CellGroupData[{

Cell["1.1. GPL", \
"Subsubsection",ExpressionUUID->"1bb82931-1361-4231-aaa1-8ea1e0592545"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"xPand", ":", " ", 
    RowBox[{
     RowBox[{
     "Cosmological", " ", "perturbations", " ", "about", " ", "homogeneous", 
      " ", "space"}], "-", "times"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Copyright", " ", 
      RowBox[{"(", "C", ")"}], " ", "2012"}], "-", 
     RowBox[{"2025", " ", "Cyril", " ", "Pitrou"}]}], ",", " ", 
    RowBox[{"Xavier", " ", "Roy", " ", "and", " ", "Obinna", " ", "Umeh"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "This", " ", "program", " ", "is", " ", "free", " ", "software"}], ";", 
     " ", 
     RowBox[{"you", " ", "can", " ", "redistribute", " ", "it", " ", 
      RowBox[{"and", "/", "or"}], "\[IndentingNewLine]", " ", "modify", " ", 
      "it", " ", "under", " ", "the", " ", "terms", " ", "of", " ", "the", 
      " ", "GNU", " ", "General", " ", "Public", " ", "License", " ", "as", 
      "\[IndentingNewLine]", " ", "published", " ", "by", " ", "the", " ", 
      "Free", " ", "Software", " ", "Foundation"}], ";", " ", 
     RowBox[{
     "either", " ", "version", " ", "2", " ", "of", "\[IndentingNewLine]", 
      " ", "the", " ", "License"}]}], ",", 
    RowBox[{"or", " ", 
     RowBox[{"(", 
      RowBox[{"at", " ", "your", " ", "option"}], ")"}], " ", "any", " ", 
     "later", " ", 
     RowBox[{
     "version", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "This"}], 
     " ", "program", " ", "is", " ", "distributed", " ", "in", " ", "the", 
     " ", "hope", " ", "that", " ", "it", " ", "will", " ", "be", " ", 
     "useful"}], ",", "\[IndentingNewLine]", "  ", 
    RowBox[{
     RowBox[{"but", " ", "WITHOUT", " ", "ANY", " ", "WARRANTY"}], ";", " ", 
     RowBox[{
     "without", " ", "even", " ", "the", " ", "implied", " ", "warranty", " ",
       "of", "\[IndentingNewLine]", " ", "MERCHANTABILITY", " ", "or", " ", 
      "FITNESS", " ", "FOR", " ", "A", " ", "PARTICULAR", " ", 
      RowBox[{"PURPOSE", ".", " ", "See"}], " ", "the", " ", "GNU", 
      "\[IndentingNewLine]", " ", "General", " ", "Public", " ", "License", 
      " ", "for", " ", "more", " ", 
      RowBox[{
      "details", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "You"}], 
      " ", "should", " ", "have", " ", "received", " ", "a", " ", "copy", " ",
       "of", " ", "the", " ", "GNU", " ", "General", " ", "Public", " ", 
      "License", "\[IndentingNewLine]", " ", "along", " ", "with", " ", 
      "this", " ", "program"}], ";", " ", 
     RowBox[{"if", " ", "not"}]}], ",", " ", 
    RowBox[{
    "write", " ", "to", " ", "the", " ", "Free", " ", "Software", 
     "\[IndentingNewLine]", " ", "Foundation"}], ",", " ", 
    RowBox[{"Inc", "."}], ",", " ", 
    RowBox[{
     RowBox[{"59", " ", "Temple", " ", "Place"}], "-", 
     RowBox[{"Suite", " ", "330"}]}], ",", " ", "Boston", ",", " ", 
    RowBox[{
     RowBox[{"MA", " ", "02111"}], "-", "1307"}], ",", "\[IndentingNewLine]", 
    "  ", 
    RowBox[{"USA", "."}]}], " ", "\[IndentingNewLine]", "*)"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"54e43a27-293d-4e1d-9006-de61d37595bc"],

Cell["", "Text",ExpressionUUID->"732dae2e-5c6c-452b-a956-9fa1d9585755"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.2. Info package", \
"Subsubsection",ExpressionUUID->"149dd31c-dd6f-4930-bc54-a9067d4d9bd1"],

Cell["\<\
(* :Title: xPand *)

(* :Author: Cyril Pitrou, Xavier Roy and Obinna Umeh *)

(* :Summary: Computer algebra for cosmological perturbations around \
homogenous space-times *)

(* :Brief Discussion:
   - Background 3+1 splitting of space-time;
   - Spatial sections are homogeneous (Friedmann-Lemaitre or Bianchi of all \
types) *)
  
(* :Context: xAct`xPand` *)

(* :Package Version: 0.4.4 *)

(* :Copyright: Cyril Pitrou, Xavier Roy and Obinna Umeh (2012-2025) *)

(* :History: see xPand.History *)

(* :Keywords: *)

(* :Source: xPand.nb *)

(* :Warning: *)

(* :Mathematica Version: 7.0 and later *)

(* :Limitations: *)\
\>", "Input",
 PageWidth->PaperWidth,
 CellMargins->{{60, -272}, {Inherited, Inherited}},
 InitializationCell->
  True,ExpressionUUID->"f296bbce-9b83-404c-b253-44efb30ed1c1"],

Cell["", "Text",ExpressionUUID->"101adff0-4664-427d-81e2-b8512e7b9456"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3. Begin package", \
"Subsubsection",ExpressionUUID->"f7336276-8334-4924-8f5d-bbe1e572da5f"],

Cell["\<\

Decide what is the last package being read:\
\>", "Text",ExpressionUUID->"861691f8-c3de-4a4d-999d-d4bc7f068474"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Unevaluated", "[", "xAct`xCore`Private`$LastPackage", "]"}], "===",
      "xAct`xCore`Private`$LastPackage"}], ",", 
    RowBox[{"xAct`xCore`Private`$LastPackage", "=", "\"\<xAct`xPand`\>\""}]}],
    "]"}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"f3ff6f56-e684-4050-bdff-c7390e0dbf07"],

Cell[CellGroupData[{

Cell[BoxData["xAct`xCore`Private`$LastPackage"], \
"Input",ExpressionUUID->"cfd61365-dfaa-499c-a280-2931b5d5ef4e"],

Cell[BoxData["\<\"xAct`xPand`\"\>"], \
"Output",ExpressionUUID->"19e6b733-4de5-46d1-b4d3-bbb863cb5262"]
}, Open  ]],

Cell["\<\

Explicit (not hidden) import of other packages:\
\>", "Text",ExpressionUUID->"97017f56-9566-4d83-bab2-1b93b48824c8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Off", "[", 
  StyleBox[
   RowBox[{"General", "::", "nostdvar"}], "MessageName"], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Off", "[", 
  StyleBox[
   RowBox[{"General", "::", "nostdopt"}], "MessageName"], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"BeginPackage", "[", 
  RowBox[{"\"\<xAct`xPand`\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<xAct`xPert`\>\"", ",", "\"\<xAct`xTensor`\>\"", ",", 
     "\"\<xAct`xPerm`\>\"", ",", "\"\<xAct`xCore`\>\"", ",", 
     "\"\<xAct`ExpressionManipulation`\>\""}], "}"}]}], "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"5203ccfa-df42-4bb6-9101-cbe5326092f2"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"d5d92c61-1320-495f-b2e5-e2b5fa3f6ea3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "1", ",", "27"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.0", ", ", {2013, 1, 27}],
  
  Editable->
   False]], "Print",ExpressionUUID->"ba0de075-494c-4edb-8546-21323787bd67"],

Cell[BoxData["\<\"CopyRight (C) 2003-2013, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], \
"Print",ExpressionUUID->"2f36344d-c527-4029-b432-e6e15c8c0af2"],

Cell[BoxData["\<\"Connecting to external mac executable...\"\>"], \
"Print",ExpressionUUID->"4c742803-8e1b-465c-bf6a-dd76d0463d32"],

Cell[BoxData["\<\"Connection established.\"\>"], \
"Print",ExpressionUUID->"10e01384-c0ae-40c9-9fec-d17452896931"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"b41730fa-f15f-4dc3-80f9-d35c992fae69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTensor`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.5\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "1", ",", "27"}], "}"}]}],
  SequenceForm[
  "Package xAct`xTensor`  version ", "1.0.5", ", ", {2013, 1, 27}],
  Editable->
   False]], "Print",ExpressionUUID->"b2483077-0336-4856-9604-53d8dc870e58"],

Cell[BoxData["\<\"CopyRight (C) 2002-2013, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], \
"Print",ExpressionUUID->"f7d62c74-ff66-48a6-bf46-243c290d16b3"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"80e4a707-fd60-416e-af97-52a4111efd3d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPert`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "1", ",", "27"}], "}"}]}],
  SequenceForm["Package xAct`xPert`  version ", "1.0.3", ", ", {2013, 1, 27}],
  
  Editable->
   False]], "Print",ExpressionUUID->"7a9f58a5-8bea-4549-b144-6fa0674b1da2"],

Cell[BoxData["\<\"CopyRight (C) 2005-2013, David Brizuela, Jose M. \
Martin-Garcia and Guillermo A. Mena Marugan, under the General Public \
License.\"\>"], \
"Print",ExpressionUUID->"decafab0-76bd-40fa-b93c-167ccb649fa5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$PrePrint", 
   "\[InvisibleSpace]", "\<\" assigned value \"\>", "\[InvisibleSpace]", 
   "ScreenDollarIndices"}],
  SequenceForm[
  "** Variable ", $PrePrint, " assigned value ", 
   xAct`xTensor`ScreenDollarIndices],
  Editable->
   False]], "Print",ExpressionUUID->"eb083e6b-03ec-4c33-885f-2b79eced6aac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>", "\[InvisibleSpace]", "\<\" to \"\>",
    "\[InvisibleSpace]", "\<\"Postfix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Prefix", 
   " to ", "Postfix"],
  Editable->
   False]], "Print",ExpressionUUID->"f7379ef3-c7f6-400f-9f35-cb9c7ca8b651"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "AllowUpperDerivatives", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "ContractMetric",
    "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`AllowUpperDerivatives, " of ", 
   xAct`xTensor`ContractMetric, " changed from ", False, " to ", True],
  Editable->
   False]], "Print",ExpressionUUID->"e5c1c8e8-b640-4a30-8251-f873258f5f5b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "MetricOn", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "None",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "All"}],
  SequenceForm[
  "** Option ", xAct`xTensor`MetricOn, " of ", xAct`xTensor`MakeRule, 
   " changed from ", None, " to ", All],
  Editable->
   False]], "Print",ExpressionUUID->"a0cfa35d-8766-48c8-b99e-9cac25115f17"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "ContractMetrics", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`ContractMetrics, " of ", xAct`xTensor`MakeRule, 
   " changed from ", False, " to ", True],
  Editable->
   False]], "Print",ExpressionUUID->"8b5a1607-9723-45d8-a101-da961f2eadad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefInertHead", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"inert head \"\>", "\[InvisibleSpace]", 
   "Perturbation", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefInertHead, ": Defining ", "inert head ", 
   xAct`xPert`Perturbation, ". ", ""],
  Editable->
   False]], "Print",ExpressionUUID->"0523c07f-54f7-4c97-9d71-0d8ea0ccfff0"]
}, Open  ]],

Cell[BoxData["\<\"xAct`xPand`\"\>"], \
"Output",ExpressionUUID->"89f6ddef-9067-4e7c-aa59-99df274e20ee"]
}, Open  ]],

Cell[TextData[{
 "\nCheck version of ",
 StyleBox["xTensor",
  FontSlant->"Italic"],
 ". We simply compare dates:"
}], "Text",ExpressionUUID->"500ca1b5-50fa-4aa4-8061-0414417a6eb0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Not", "@", 
     RowBox[{"OrderedQ", "@", 
      RowBox[{"Map", "[", 
       RowBox[{"Last", ",", 
        RowBox[{"{", 
         RowBox[{"$xTensorVersionExpected", ",", "xAct`xTensor`$Version"}], 
         "}"}]}], "]"}]}]}], ",", 
    RowBox[{"Throw", "@", 
     RowBox[{"Message", "[", 
      RowBox[{
       RowBox[{"General", "::", "versions"}], ",", "\"\<xTensor\>\"", ",", 
       "xAct`xTensor`$Version", ",", "$xTensorVersionExpected"}], "]"}]}]}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Not", "@", 
    RowBox[{"OrderedQ", "@", 
     RowBox[{"Map", "[", 
      RowBox[{"Last", ",", 
       RowBox[{"{", 
        RowBox[{"$xPertVersionExpected", ",", "xAct`xPert`$Version"}], 
        "}"}]}], "]"}]}]}], ",", 
   RowBox[{"Throw", "@", 
    RowBox[{"Message", "[", 
     RowBox[{
      RowBox[{"General", "::", "versions"}], ",", "\"\<xPert\>\"", ",", 
      "xAct`xPert`$Version", ",", "$xPertVersionExpected"}], "]"}]}]}], 
  "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"013522d0-bdac-4b89-a9be-b2e645a205d0"],

Cell["\<\

Welcome message:\
\>", "Text",ExpressionUUID->"6752c1a8-46d5-453f-aadb-4454a03de4cc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Print", "[", "xAct`xCore`Private`bars", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Package xAct`xPand`  version \>\"", ",", 
    RowBox[{"$Version", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<, \>\"", ",", 
    RowBox[{"$Version", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "Print", "[", 
   "\"\<CopyRight (C) 2012-2025, Cyril Pitrou, Xavier Roy and Obinna Umeh \
under the General Public License.\>\"", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"1e309292-a005-4811-861a-48f429c2168c"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"913ee821-b3c8-41ec-b5cf-6fd8b3417bc6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPand`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.4.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "2", ",", "8"}], "}"}]}],
  SequenceForm["Package xAct`xPand`  version ", "0.4.0", ", ", {2013, 2, 8}],
  Editable->
   False]], "Print",ExpressionUUID->"1968edf6-a686-454d-8a61-815c10a59688"],

Cell[BoxData["\<\"CopyRight (C) 2012-2013, Cyril Pitrou, Xavier Roy and \
Obinna Umeh under the General Public License.\"\>"], \
"Print",ExpressionUUID->"b44bea92-a718-4fc8-ba33-3a49aed6cf8a"]
}, Open  ]]
}, Open  ]],

Cell["\<\

We specify the context xAct`xPand` to avoid overriding the Disclaimer of the \
other packages. However, we need to turn off the message General:shdw \
temporarily:\
\>", "Text",ExpressionUUID->"53658b89-7537-464b-bc72-9c7eb2e67ebf"],

Cell[BoxData[{
 RowBox[{"Off", "[", 
  RowBox[{"General", "::", "shdw"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xAct`xPand`Disclaimer", "[", "]"}], ":=", 
  RowBox[{
  "Print", "[", 
   "\"\<These are points 11 and 12 of the General Public \
License:\\n\\nBECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO \
WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT \
WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES \
PROVIDE THE PROGRAM `AS IS\.b4 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED \
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF \
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO \
THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM \
PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR \
CORRECTION.\\n\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO \
IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY \
AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR \
DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES \
ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT \
LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED \
BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER \
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE \
POSSIBILITY OF SUCH DAMAGES.\>\"", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"On", "[", 
  RowBox[{"General", "::", "shdw"}], "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"cb9a1383-3c82-42cf-bf0c-101cb94a8c0f"],

Cell["\<\

If this is the last package show the GPL short disclaimer:\
\>", "Text",ExpressionUUID->"3f64679b-b9b9-4569-84e2-00b155b15b17"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"xAct`xCore`Private`$LastPackage", "===", "\"\<xAct`xPand`\>\""}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Unset", "[", "xAct`xCore`Private`$LastPackage", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "xAct`xCore`Private`bars", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
     "Print", "[", 
      "\"\<These packages come with ABSOLUTELY NO WARRANTY; for details type \
Disclaimer[]. This is free software, and you are welcome to redistribute it \
under certain conditions. See the General Public License for details.\>\"", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "xAct`xCore`Private`bars", "]"}]}]}], "]"}], 
  ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"aca621f6-6641-4a38-b2af-5a246e0a1800"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"0dee137f-fb6b-4372-99ed-7c92573ecc25"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], \
"Print",ExpressionUUID->"1ad330db-6a66-4833-be9d-3cd2753ea1fc"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",ExpressionUUID->"4846b4b4-9cfd-4a82-a079-da7717584aa0"]
}, Open  ]]
}, Open  ]],

Cell["\<\

Note that symbols in the Global` context cannot be accessed while building \
the package:\
\>", "Text",ExpressionUUID->"607981be-0123-4421-96bf-7853b47cbafa"],

Cell[CellGroupData[{

Cell[BoxData["$ContextPath"], \
"Input",ExpressionUUID->"3f045a49-5987-4dce-90d7-99293c87a722"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"xAct`xPand`\"\>", ",", "\<\"xAct`xPert`\"\>", 
   ",", "\<\"xAct`xTensor`\"\>", ",", "\<\"xAct`xPerm`\"\>", 
   ",", "\<\"xAct`xCore`\"\>", ",", "\<\"xAct`ExpressionManipulation`\"\>", 
   ",", "\<\"System`\"\>"}], 
  "}"}]], "Output",ExpressionUUID->"fc193a19-937b-4aa3-b025-57a460b6576d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$Context"], \
"Input",ExpressionUUID->"73abc100-1448-41a4-95c6-077f65ebeac8"],

Cell[BoxData["\<\"xAct`xPand`\"\>"], \
"Output",ExpressionUUID->"a891e7eb-9c36-4a65-a6f1-660b6da8cb04"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.4. Set up", \
"Subsubsection",ExpressionUUID->"283e04ad-23ed-4f86-bcbe-b6989142635c"],

Cell["\<\

Prefix format for derivatives:\
\>", "Text",ExpressionUUID->"c49114ee-5ab2-41f4-b7e9-3fdcfc57e7e7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$CovDFormat", "=", "\"\<Prefix\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Message", "[", 
   RowBox[{
    RowBox[{"General", "::", "nostdvar"}], ",", "\"\<$CovDFormat\>\"", ",", 
    "\"\<Prefix\>\""}], "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"b1c0ffa2-9198-40b0-b27b-9b3d0d99a561"],

Cell["\<\

We do not modify the option MathLink of CanonicalPerm:\
\>", "Text",ExpressionUUID->"c1664985-3df9-47ea-bb71-bfe3635e2e95"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Options", "[", "CanonicalPerm", 
  "]"}]], "Input",ExpressionUUID->"22ce10e9-240b-45ae-86ab-d559897c0cf2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"MathLink", "\[RuleDelayed]", "$xpermQ"}], ",", 
   RowBox[{"TimeVerbose", "\[Rule]", "False"}], ",", 
   RowBox[{"xPermVerbose", "\[Rule]", "False"}], ",", 
   RowBox[{"OrderedBase", "\[Rule]", "True"}]}], 
  "}"}]], "Output",ExpressionUUID->"bf2b5ce3-cc3b-4564-b414-8a89c7f8789f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$xpermQ"], \
"Input",ExpressionUUID->"e9790a3c-bb96-4be8-bbb0-14103eab9fc1"],

Cell[BoxData["True"], \
"Output",ExpressionUUID->"7fd71a26-b074-4ce1-a00c-62f96c7dca6f"]
}, Open  ]],

Cell["", "Text",ExpressionUUID->"9371cc0c-a640-4eb3-9ada-3d6fabbf565d"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.5. Usage and error messages", \
"Subsubsection",ExpressionUUID->"dd26d229-8744-4363-b23f-1a1cbd3e321e"],

Cell["\<\
Contents: 
\tVersions
\tBooleans
\tError messages
\tFunctions
\tLists of fields
\tPredefined fields
\tReserved words and protected names
\tTypes of gauge
\tTypes of manifold\
\>", "Text",ExpressionUUID->"ea5ada04-6c49-4db8-8f4d-00a4a82c2fec"],

Cell["\<\

Versions:\
\>", "Text",ExpressionUUID->"d91c2eee-d6d6-4408-aaf8-6298fb22741d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", "VERSIONS"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"$Version", "::", "usage"}], "=", 
     "\"\<$Version is a global variable giving the version of the package \
xPand in use.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$xTensorVersionExpected", "::", "usage"}], "=", 
     "\"\<$xTensorVersionExpected is a global variable giving the oldest \
possible version of the package xTensor which is required by the version of \
the package xPand in use.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$xPertVersionExpected", "::", "usage"}], "=", 
     "\"\<$xPertVersionExpected is a global variable giving the oldest \
possible version of the package xPert which is required by the version of the \
package xPand in use.\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"6de16e3d-93b6-4124-ad52-a84603c9e0c3"],

Cell["\<\

Booleans:\
\>", "Text",ExpressionUUID->"db6d3a1f-dc01-4b7c-9e44-1391e98bb0e7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", "BOOLEANS"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"BackgroundFieldMethod", "::", "usage"}], " ", "=", " ", 
     "\"\<BackgroundFieldMethod is a boolean option, set by default to \
'False'. If set to 'True', then only the first order of the metric \
perturbation is kept, and it therefore stands for the total metric \
perturbation. \n\nThis option should be placed at the begining of the \
notebook, right after loading the xPand package.\>\""}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Recently", " ", 
      RowBox[{"implemented", ".", " ", "Does"}], " ", "not", " ", "work", " ", 
      RowBox[{"correctly", ".", " ", "CP"}], " ", "needs", " ", "to", " ", 
      "fix", " ", 
      RowBox[{"that", ".", " ", "To"}], " ", "be", " ", "checked"}], "..."}], 
    " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$CacheRules", "::", "usage"}], " ", "=", " ", 
     "\"\<If set to 'True', the rules are remembered. This is potentially \
dangerous, so default is 'False'.\>\""}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"This", " ", "is", " ", 
     RowBox[{"obsolete", ".", " ", "This"}], " ", "will", " ", "have", " ", 
     "to", " ", "be", " ", 
     RowBox[{"erased", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$ConformalTime", "::", "usage"}], " ", "=", " ", 
     "\"\<If set to 'True' (default value), then the prime ' stands for the \
Lie derivative along the vector 'n' normal to the spatial slices. If the time \
coordinate is taken to be the proper time of the Eulerian observers \
(identified by the normal vector), then the Lie derivative along 'n' \
corresponds to the partial time derivative with respect to the conformal \
time, namely: \!\(\*SubscriptBox[\(\[ScriptCapitalL]\), \(n\)]\) .. = \
\[PartialD]/\[PartialD]\[Eta] .. . \n\nThe second Label-Index (LI) of \
projected tensors represents the number of Lie derivatives along 'n' that are \
applied to them. It also corresponds to the number of partial derivatives \
with respect to conformal time. \n\nIn the cases for which we prefer to use \
the cosmic time, we can choose to employ the second LI not for the number of \
\!\(\*SubscriptBox[\(\[ScriptCapitalL]\), \(n\)]\), but rather for the number \
of 1/a \!\(\*SubscriptBox[\(\[ScriptCapitalL]\), \(n\)]\), where 'a' is the \
scale factor. This is done by setting '$ConformalTime' to 'False'. The label \
index then indicates a derivative with respect to cosmic time.\n\nThe output \
format of the second LI is a prime for a conformal time derivative, and a dot \
for a cosmic time derivative.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$FirstOrderVectorPerturbations", "::", "usage"}], " ", "=", 
     " ", "\"\<Boolean option to decide if first order vector modes should be \
included. Default is 'True'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$FirstOrderTensorPerturbations", "::", "usage"}], " ", "=", 
     " ", "\"\<Boolean option to decide if first order tensor modes should be \
included. Default is 'True'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$OpenConstantsOfStructure", "::", "usage"}], " ", "=", " ", 
     "\"\<Boolean value to decide if the constants of structure should be \
parameterized as in Ellis & MacCallum (1969). If 'False', then the constants \
of structure are kept general. If 'True', then the parameterization is: \
\!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \)\)]\)= \
\!\(\*SubscriptBox[\(\[Epsilon]\), \(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\
\)]\) + \!\(\*SubscriptBox[\(A\), \([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\
\(\[Delta]\), \(i\)], \(k\(]\)\)]\).\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$SortCovDAutomatic", "::", "usage"}], " ", "=", " ", 
     "\"\<Boolean value to decide whether or not xTensor should commute \
automatically the induced derivatives. Default is 'True' in order to optimize \
the canonicalization of expression. Note that some adhoc commutation \
relations defined in '$CommutecdRules' are also applied in order to enforce \
the transverse properties of vector and tensor fields, on the one hand, and \
the appearance of Laplacians, on the other hand.\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"64489a51-dcc8-4f3f-ac61-2744066c1702"],

Cell["\<\

Error messages:\
\>", "Text",ExpressionUUID->"7876ae62-81df-4c9c-a1e2-3a3a800165ee"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "ERROR"}], " ", "MESSAGES"}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"*", " ", "SetSlicing"}], " ", "**)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "dimension"}], " ", "=", " ", 
     "\"\<The dimension of the manifold is `1`; it is too small to perform a \
slicing.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "invalidnormalvector"}], " ", "=", " ", 
     "\"\<The normal vector `1` used to perform the background slicing should \
have only one index, belonging to the VBundle of the manifold. To avoid \
issues, it is possible to not predefine the normal vector and let the \
function SetSlicing define it automatically.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", " ",
      "error", " ", "message", " ", "is", " ", "not", " ", "yet", " ", 
     RowBox[{"used", "."}]}], " ", "**********)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "ninds"}], " ", "=", " ", 
     "\"\<The number of indices is insufficient to define the (N-1)+1 \
splitting. Use at least `1` indices.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "noambientmetric"}], " ", "=", " ", 
     "\"\<The ambient metric `1` was not previously defined as a metric. \
Define an ambient metric first, and then call SetSlicing.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", " ",
      "error", " ", "message", " ", "does", " ", "not", " ", "seem", " ", 
     RowBox[{"correct", ".", " ", "It"}], " ", "should", " ", "be", " ", 
     RowBox[{"modified", "."}]}], " ", "**********)"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "signature"}], " ", "=", " ", 
     "\"\<The signature of the metric `1` should be -1 in order to perform a \
(N-1)+1 background splitting along a time-like vector. This comes from the \
fact that in the current version, the norm of the time-like vectors is fixed \
to -1.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "DefProjectedTensor"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", " ",
      "error", " ", "message", " ", "is", " ", "not", " ", "used", " ", 
     RowBox[{"anymore", "."}]}], " ", "**********)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefProjectedTensor", "::", "invalidindices"}], " ", "=", " ", 
     "\"\<No label-index needs to be given for the definition of projected \
tensors. They are automatically added by subroutines.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefProjectedTensor", "::", "notdownindices"}], " ", "=", " ", 
     "\"\<In order to be defined, the projected tensor `1` has to be written \
with down indices.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "DefProjectedTensorProperties"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefProjectedTensorProperties", "::", "symmetrictensors"}], "=", 
     "\"\<The current version of DefProjectedTensorProperties can only add \
properties to tensors that are, at least, fully symmetric.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "ExtractComponents"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ExtractComponents", "::", "invalidprojector"}], " ", "=", " ", 
     "\"\<One of the projectors in `1` is not valid. The possible projectors \
are: 'Time' or '*NameOfNormalVector*', and 'Space' or \
'*NameOfInducedMetric*'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "RulesSplitCovDsOfTensor"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RulesSplitCovDsOfTensor", "::", "maxcovdnumber"}], " ", "=", 
     " ", "\"\<The number of CovDs was larger than `1`. The last (optional) \
argument of RulesSplitCovDsOfTensor needs to be set to a larger value in \
order to split correctly all covariant derivatives.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "ToxPand"}], " ", "**)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "two", " ", "error", " ", "messages", " ", "are", " ", "not", " ", 
      "yet", " ", 
      RowBox[{"edited", ".", " ", "The"}], " ", "first", " ", "one", " ", 
      "is", " ", "not", " ", "referred", " ", "to"}], ",", " ", 
     RowBox[{
     "and", " ", "the", " ", "utility", " ", "of", " ", "the", " ", "second", 
      " ", "one", " ", "has", " ", "to", " ", "be", " ", 
      RowBox[{"discussed", "."}]}]}], " ", "**********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToxPand", "::", "invalidindices"}], " ", "=", " ", 
     "\"\<Incorrect indices for tensor `1`\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToxPand", "::", "invalidconffactor"}], " ", "=", " ", 
     "\"\<A conformal factor should have two label indices, one for the \
perturbation order which is always zero, and one for the number of Lie \
derivatives along u. And in the argument of SplitGaugeChange, you need only \
to put the name of the conformal factor (this is not a[LI[0],LI[0]] but just \
a).\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xPand", "::", "makeboxes"}], " ", "=", " ", 
     "\"\<For anisotropic manifolds, the second label-index can be only \
interpreted as a Lie derivative for indices down.\>\""}], ";"}]}]}]], "Input",
 
 InitializationCell->
  True,ExpressionUUID->"108fa4a4-2173-4313-b7b2-6657814df237"],

Cell["\<\

Functions:\
\>", "Text",ExpressionUUID->"4a72d40c-58ff-447d-abca-b2d5600d852f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", "FUNCTIONS"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SetSlicing", "::", "usage"}], " ", "=", " ", 
     "\"\<SetSlicing[g,n,nNorm,h,cd,{cdPost,cdPre},SpaceTimeType]. \n\nGiven \
a background manifold of dimension 'N' and an ambient metric 'g' on that \
manifold, this function performs a (N-1)+1 slicing. \n\nMore precisely, it \
builds the induced metric 'h' on the hypersurfaces, the associated covariant \
derivative 'cd', and the vector 'n' normal to these hypersurfaces. It also \
sets the type 'SpaceTimeType' for the hypersurfaces. The latter argument can \
take a value among {Anisotropic, BianchiB, BianchiA, BianchiI, FLCurved, \
FLFlat, Minkowski}. The norm 'nNorm' of the vector 'n' is set by default to \
-1 if omitted.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$CommutecdRules", "::", "usage"}], " ", "=", " ", 
     "\"\<Set of remembered rules for the commutation of the induced \
derivatives of the hypersurfaces. This is used to handle the successive \
operations of two, three or four induced derivatices.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Conformal", "::", "usage"}], " ", "=", " ", 
     "\"\<Conformal[metricfinal][metric1,metric2][expr] performs a conformal \
transformation of 'expr' from 'metric1' to 'metric2' and expresses the result \
in terms of 'metricfinal' (along with its associated covariant derivative and \
curvature tensors). If needed, the function first reformulates 'expr' in \
terms of 'metric1'. The two metrics 'metric1' and 'metric2' have to be \
conformally related by DefConformalMetric. \n\n\
Conformal[metric1,metric2][expr] provides the final result with respect to \
the ambient metric, which is the first metric defined on the manifold.\>\""}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ConformalWeight", "::", "usage"}], " ", "=", " ", 
     "\"\<ConformalWeight[tensor[inds]] specifies the power of the conformal \
factor applied in the conformal transformation of the tensor 'tensor'. It \
corresponds to the number of down indices, minus the number of up indices, \
plus the quantity ConformalWeight[tensor] (without the indices). The latter \
is set by default to zero. \n\nFor instance, in the setting \
ConformalWeight[tensor] = 0, we have: \
ConformalWeight[tensor[\[Alpha],\[Beta]]] = -2, and ConformalWeight[tensor[-\
\[Alpha],-\[Beta]]] = 2.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefConformalMetric", "::", "usage"}], " ", "=", " ", 
     "\"\<DefConformalMetric[g,S] defines a metric conformally related to \
'g', with the conformal factor 'S'. The new metric is named 'gS2', and its \
inverse is given by 'Inv[gS2]'. If other metrics are conformally related to \
'g', then 'gS2' is related to them by transitivity of the conformal \
transformation. \n\nWhen calling the function SetSlicing, the conformal \
factor is chosen to be the scale factor 'a[h]' (or, equivalently, 'ah'). The \
constructed metric 'gah2' then corresponds to the 'real' background metric \
(i.e. the one that would be obtained from the physical metric of the \
manifold).\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefMetricFields", "::", "usage"}], " ", "=", " ", 
     "\"\<DefMetricFields[g,gpert,h,parameter] defines the perturbed metric \
'gpert' from its background value 'g'. The argument 'h' is the induced metric \
on the spatial hypersurfaces, and the optional argument 'parameter' (set by \
default to \[Epsilon]) is the symbol used in the perturbative expansions. \
Several tensors that are used to decompose 'gpert' are defined when calling \
this function.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefMatterFields", "::", "usage"}], " ", "=", " ", 
     "\"\<DefMatterFields[uf,ufpert,h,parameter] defines the perturbed vector \
field 'ufpert' from its background value 'uf'. The argument 'h' is the \
induced metric on the spatial hypersurfaces, and the optional argument \
'parameter' (set by default to \[Epsilon]) is the symbol used in the \
perturbative expansions. Several tensors that are used to decompose 'ufpert' \
are defined when calling this function.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefProjectedTensor", "::", "usage"}], " ", "=", " ", 
     "\"\<DefProjectedTensor[Name[inds],h,options] defines a projected tensor \
on the spatial hypersurfaces. \n\n'Name' refers to the name of the tensor, \
and 'inds' (which has to be with down indices) defines its rank. The argument \
'h' is the induced metric on the spatial hypersurfaces. \n\nThere exist 3 \
types of options. \n\nThe first type is: 'TensorProperties', by default set \
to 'Transverse', 'Traceless' and 'SymmetricTensor'. These can be overwritten \
with 'TensorProperties->ListOfProperties', where 'ListOfProperties' is a list \
whose elements can be: 'Transverse', 'Traceless' and 'SymmetricTensor'. \n\n\
The second option is: 'SpaceTimesOfDefinition', by default set to \
'Background' and 'Perturbed'. These can be also overwritten with \
'SpaceTimesOfDefinition->SpaceTimesList', where 'SpaceTimesList' is a list \
whose elements can be: 'Background' and 'Perturbed'. \n\nThe last option is: \
'PrintAs', by default set to 'Identity'. This can be overwritten with \
'PrintAs->String', in order to specify the output form of the tensor.\>\""}], 
    " ", ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ExtractComponents", "::", "usage"}], " ", "=", " ", 
     "\"\<ExtractComponents[expr,h,ListOfProjectors,ListOfFreeIndices] \
projects 'expr' along its time component(s) (i.e. along the vector normal to \
the hypersurfaces) and along its space component(s) (i.e. onto the \
hypersurfaces), being defined by the background slicing associated with the \
induced metric 'h'. \n\n'ListOfProjectors' is a list whose elements are \
among: 'Time' (or, equivalently, '*NameOfNormalVector*') and 'Space' (or, \
equivalently, '*NameOfInducedMetric*'). The length of the list has to equal \
the rank of the tensors of 'expr'. The free indices (in canonical order) of \
'expr' are then projected according to the 'ListOfProjectors'. \n\n\
'ListOfFreeIndices' is the list of free indices on which the ListOfProjectors \
is to be applied. If this is omitted, then it is the list of free indices in \
alphabetic order. \n\nWhen the argument 'ListOfProjectors' is omitted, all \
the projections for rank-0 to rank-2 tensors are displayed in a table.\>\""}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "ExtractOrder", ",", " ", 
     RowBox[{
      RowBox[{"will", " ", "have", " ", "to", " ", "be", " ", "re"}], "-", 
      RowBox[{"edited", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
         "a", " ", "check", " ", "of", " ", "the", " ", "command", " ", "is", 
          " ", "in", " ", "order"}], ")"}], "."}]}]}]}], " ", "**********)"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ExtractOrder", "::", "usage"}], " ", "=", " ", 
     "\"\<ExtractOrder[expr,order] displays the expression at order 'order' \
of 'expr'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IndicesUp", "::", "usage"}], " ", "=", " ", 
     "\"\<IndicesUp[expr] raises the indices of all the tensors of 'expr' \
using the ambient metric.\>\""}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IndicesDown", "::", "usage"}], " ", "=", " ", 
     "\"\<IndicesDown[expr] lowers the indices of all the tensors of 'expr' \
using the ambient inverse metric.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "SplitMatter", ",", " ", 
     RowBox[{
      RowBox[{"will", " ", "have", " ", "to", " ", "be", " ", "re"}], "-", 
      RowBox[{"edited", "."}]}]}], " ", "**********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitMatter", "::", "usage"}], " ", "=", " ", 
     "\"\<SplitMatter[uf,ufpert,normuf,h,gauge,order,tiltspecification] \
builds the rules to split the perturbed four-velocity 'ufpert' (with index \
up) in a given 'gauge', and according to the background slicing associated \
with the induced metric 'h'. The rules are computed to the order 'order'. \n\n\
'normuf' is the squared norm of the four-velocity 'uf' (usually taken as -1), \
and the optional argument 'tiltspecification' (set by default to 'NotTilted') \
allows for a tilt between the fluid four-velocity and the vector normal to \
the hypersurfaces. \n\nThe perturbations of all the fields that depend on \
'uf' are also computed.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "SplitMetric", ",", " ", 
     RowBox[{
      RowBox[{"will", " ", "have", " ", "to", " ", "be", " ", "re"}], "-", 
      RowBox[{"edited", "."}]}]}], " ", "**********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitMetric", "::", "usage"}], " ", "=", " ", 
     "\"\<SplitMetric[g,gpert,h,gauge] builds the rules to split the \
perturbed metric 'gpert' in a given gauge and according to the background \
slicing associated with the induced metric 'h'.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**", " ", "This"}], " ", "command", " ", 
     "was", " ", "added", " ", "in", " ", "version", " ", "0.4", 
     RowBox[{".2", ".", " ", "More"}], " ", "documentation", " ", "is", " ", 
     "needed", " ", "and", " ", "syntax", " ", "can", " ", "still", " ", 
     "evolve"}], " ", "********)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitNormalVector", "::", "usage"}], " ", "=", " ", 
     "\"\<SplitNormalVector[h,order], where h is an induced metric, and order \
is the order up to which the perturbations of the normal vector should be \
computed in function of the perturbed metric. This outputs a list of rules, \
one for each order of perturbation of the normal vector. All rules are \
expressed in function of the perturbed metric\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$MyRules", "::", "usage"}], " ", "=", " ", 
     "\"\<List of global rules that are remembered by xPand.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"ConstantsDecompositionRules", "::", "usage"}], " ", "=", " ", 
      "\"\<ConstantsDecompositionRules[h] provides the rules to transform the \
constants of structure according to the Bianchi type of the homogeneous \
hypersurfaces associated with the induced metric 'h'. This option is only \
valid for three-dimensional hypersurfaces. \n\nThe parametrization follows \
Ellis & MacCallum (1969), that is, the constants of structure are decomposed \
as: \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \)\)]\)= \
\!\(\*SubscriptBox[\(\[Epsilon]\), \(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\
\)]\) + \!\(\*SubscriptBox[\(A\), \([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\
\(\[Delta]\), \(i\)], \(k\(]\)\)]\).\>\""}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToBianchiType", "::", "usage"}], " ", "=", " ", 
     "\"\<ToBianchiType[h][expr] applies to expr the necessary rules to \
express the constants of structure according to the Bianchi type of the \
homogeneous hypersurfaces associated with the induced metric 'h'. This option \
is only valid for three-dimensional hypersurfaces. \n\nThe parametrization \
follows Ellis & MacCallum (1969), that is, the constants of structure are \
decomposed as: \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \
\)\)]\)= \!\(\*SubscriptBox[\(\[Epsilon]\), \
\(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\)]\) + \!\(\*SubscriptBox[\(A\), \
\([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\(\[Delta]\), \(i\)], \
\(k\(]\)\)]\).\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"ConstantsOfStructureRules", "::", "usage"}], " ", "=", " ", 
      "\"\<ConstantsOfStructureRules[h]. \n\nGiven an induced metric h \
corresponding to a non trivial Bianchi type, ConstantsOfStructureRules[h] \
gives all the rules to express the Riemann, the Ricci and the Ricci scalar in \
function of the constants of structure of the spatial sections.\>\""}], ";"}],
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToConstantsOfStructure", "::", "usage"}], " ", "=", " ", 
     "\"\<ToConstantsOfStructure[h][expr]. \n\nGiven an induced metric h \
corresponding to a non trivial Bianchi type, ToConstantsOfStructure[h][expr] \
applies to expr all the rules to express the Riemann, the Ricci and the Ricci \
scalar in function of the constants of structure of the spatial \
sections.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
       " ", "command"}], ",", " ", "RulesCovDsOfTensor", ",", " ", 
      RowBox[{"is", " ", "not", " ", "yet", " ", 
       RowBox[{"defined", "."}]}]}], " ", "**********)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"RulesCovDsOfTensor", "::", "usage"}], " ", "=", " ", 
      "\"\<\>\""}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"**", "**", "**", "**", "**", "**", "**"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToCosmicTime", "::", "usage"}], " ", "=", " ", 
     "\"\<Transforms an expression where the second label index of projected \
tensor means \!\(\*SubscriptBox[\(\[ScriptCapitalL]\), SuperscriptBox[\(n\), \
\(\[Alpha]\)]]\), that is a derivative with respect to conformal time, into \
an expression where the second index means '1/a *\!\(\*SubscriptBox[\(\
\[ScriptCapitalL]\), SuperscriptBox[\(n\), \(\[Alpha]\)]]\)', that is a \
derivative with respect to cosmic time. The global variable $ConformalTime is \
set to False in the process.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToConformalTime", "::", "usage"}], " ", "=", " ", 
     "\"\<Transforms an expression where the second label index of projected \
tensor means '1/a * \!\(\*SubscriptBox[\(\[ScriptCapitalL]\), SuperscriptBox[\
\(n\), \(\[Alpha]\)]]\)', that is a derivative with respect to cosmic time, \
into an expression where the second index means '\!\(\*SubscriptBox[\(\
\[ScriptCapitalL]\), SuperscriptBox[\(n\), \(\[Alpha]\)]]\)', that is a \
derivative with respect to conformal time. The global variable $ConformalTime \
is set to True in the process.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "RulesVelocitySpatial", ",", " ", 
     RowBox[{"is", " ", "not", " ", "yet", " ", 
      RowBox[{"edited", "."}]}]}], " ", "**********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RulesVelocitySpatial", "::", "usage"}], " ", "=", " ", 
     "\"\<RulesVelocitySpatial[h,uf,duf,NormVectorSquare,gauge,order,\
tiltedvalue] gives the standard rules for the spatial velocity in a given \
gauge. h is the induced metric, uf and duf are the fluid velocity and its \
perturbation. NormVectorSquare is the norm squared of velocity, and gauge is \
the gauge choice. Order is the order up to which the perturbations are \
computed. The last argument, which can be '\\\"Tilted\\\"' or '\\\"NotTiled\\\
\"' is by default set to \\\"NotTilted\\\" and is optional.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitGaugeChange", "::", "usage"}], " ", "=", " ", 
     "\"\<SplitGaugeChange[expr,ListPairs,\[Xi],h,order] performs a gauge \
transformation of order 'order' on 'expr', with a conformal transformation of \
conformal factor 'a[h]', and splits the result according to the background \
slicing associated with the induced metric 'h'. \n\n'\[Xi]' is the general \
vector field used for the gauge transformation. It must have a Label-Index \
(LI) for the order of perturbation (i.e. it has to be of the form \
\[Xi][LI[order],index]). 'ListPairs' is the list of rules used for the \
background slicing. \n\nThe theory and formulas for the power expansion of \
gauge transformation was developed by Bruni et al. in: Class. Quantum Grav. \
14, 2585 (1997).\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "SplitFieldsAndGaugeChange", ",", " ", 
     RowBox[{"is", " ", "not", " ", "yet", " ", 
      RowBox[{"edited", "."}]}]}], " ", "**********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitFieldsAndGaugeChange", "::", "usage"}], " ", "=", " ", 
     "\"\<SplitFieldsAndGaugeChange[expr,g,dg,uf,duf,h,order,\
tiltspecification] performs a gauge transformation on expr where expr must \
involve metric perturbations (or curvature tensor associated with this \
metric) or matter field perturbation such as the fluid velocity, and splits \
the results according to the most general gauge choice. \\nh is the induced \
metric, and refers to the background n+1 splitting. g is the metric and dg is \
the metric perturbation. uf is the fluid velocity and duf is the fluid \
velocity perturbation (when index is up). \\n\[Xi] is the general vector \
field used for the gauge transformation which must have a label index for the \
order of perturbation (it is of the form \[Xi][LI[order],Index]), and order \
is the order of the gauge transformation. 'tiltspecification' is optional and \
by default is \\\"NotTilted\\\". \\nThe theory and formulas for the power \
expansion of changes of gauge was developed by Bruni et al. in reference \
Class. Quantum Grav. 14, 2585 (1997).\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"SplitPerturbationsOld", "::", "usage"}], " ", "=", " ", 
      "\"\<This is the old version of SplitPerturbations. It is obsolete, and \
it will have to be removed.\>\""}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitPerturbations", "::", "usage"}], "=", 
     "\"\<SplitPerturbations[expr,ListPairs,h] splits the expression 'expr', \
using the list of rules 'ListPairs', according to the background slicing \
associated with the induced metric 'h'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", "following", 
      " ", "command"}], ",", " ", "ToMetric", ",", " ", 
     RowBox[{
      RowBox[{"will", " ", "have", " ", "to", " ", "be", " ", "re"}], "-", 
      RowBox[{"edited", " ", "after", " ", "its", " ", 
       RowBox[{"modification", ".", " ", 
        RowBox[{"**", "**", "**", "**"}]}], "*"}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToMetric", "::", "usage"}], " ", "=", " ", 
     "\"\<ToMetric[expr,metric] formulates 'expr' in terms of 'metric', and \
its associated covariant derivative and curvature tensors.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToxPand", "::", "usage"}], " ", "=", " ", 
     "\"\<ToxPand[expr,gpert,uf,ufpert,h,gauge,order,tiltspecification]. \n\n\
This function first performs on 'expr' a conformal transformation with the \
scale factor 'a[h]' (except for a Minkowski 'SpaceType'); then it perturbs \
the result up to the order 'order' by means of xPert tools; and finally, it \
splits the result using the rules associated with the 'gauge', and according \
to the background slicing associated with the induced metric 'h'. \
'tiltspecification' is optional and by default is \\\"NotTilted\\\" \n\nAll \
the perturbed fields are derived from the perturbed metric 'gpert' and the \
perturbed fluid four-velocity 'ufpert'.\n\nThe syntax for multifluid is \
xPand[expr,gpert,{{uf1,uf1pert},{uf2,uf2pert},...},h,gauge,order,\
tiltspecification]. \n\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToxPandFromRules", "::", "usage"}], " ", "=", " ", 
     "\"\<ToxPandFromRules[expr,ListPairs,h,order]. \n\nThis function first \
performs on 'expr' a conformal transformation with the scale factor 'a[h]' \
(except for a Minkowski 'SpaceType'); then it perturbs the result up to the \
order 'order' by means of xPert tools; and finally, it splits the result \
using the list of rules 'ListPairs' and according to the background slicing \
associated with the induced metric 'h'. \n\nCompared to the function ToxPand, \
the present function requires to give the rules for the splitting of the \
perturbations.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"VisualizeTensor", "::", "usage"}], " ", "=", " ", 
     "\"\<VisualizeTensor[expr,h] displays in a table the projections of \
'expr' along its time components (i.e. along the vector normal to the \
hypersurfaces) and along its space components (i.e. onto the hypersurfaces), \
being defined by the background slicing associated with the induced metric \
'h'. \n\n'expr' has to be an expression involving tensors of rank 2 \
only.\>\""}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "VisualizeTensor", " ", "will", " ", "be", " ", "put", " ", "as", " ", 
      "private"}], ",", " ", 
     RowBox[{
     "since", " ", "the", " ", "function", " ", "ExtractComponents", " ", 
      "already", " ", "handle", " ", 
      RowBox[{"this", "."}]}]}], " ", "*)"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"294e3c71-6f75-4027-a2bb-f9906792bb37"],

Cell["\<\

Lists of fields:\
\>", "Text",ExpressionUUID->"47275a16-a363-4aa7-a5f8-b5e342023635"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "LISTS"}], " ", "OF", " ", "FIELDS"}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"$ListFieldsBackgroundOnly", "::", "usage"}], "=", 
     "\"\<$ListFieldsBackgroundOnly[h], with 'h' being the induced metric on \
the hypersurfaces, is the list of fields that live on the background only. It \
is automatically defined when calling the function SetSlicing.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"$ListFieldsPerturbedOnly", "::", "usage"}], "=", 
     "\"\<$ListFieldsPerturbedOnly[h], with 'h' being the induced metric on \
the hypersurfaces, is the list of fields that live on the perturbed manifold \
only. It contains the metric perturbations. It is automatically defined when \
calling the function DefMetricFields.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"$ListFieldsBackgroundAndPerturbed", "::", "usage"}], "=", 
     "\"\<$ListFieldsBackgroundAndPerturbed[h,uf], with 'h' and 'uf' being \
respectively the induced metric on the hypersurfaces and the fluid \
four-velocity, is the list of fields that live on the background manifold and \
that can be perturbed. It is automatically defined when calling the function \
DefMatterFields.\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"62abd771-b6c3-4ad6-8921-7ca94a748885"],

Cell["\<\

Predefined fields:

The energy density and the pressure of the fluid only depend on the fluid \
four-velocity. 
The spatial and time components of the fluid four-velocity depend on (i) the \
fluid four-velocity, and (ii) the induced metric (as it defines the spatial \
projection and is uniquely related to the time projection). 
All the other fields depend (solely) on the choice of the background slicing; \
hence they depend on the associated induced metric. \
\>", "Text",ExpressionUUID->"331cd039-7e97-4a73-8c94-1ea19e84c2ea"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "PREDEFINED"}], " ", 
    RowBox[{"FIELDS", ":", " ", 
     RowBox[{"Geometrical", " ", "quantities"}]}]}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "::", "usage"}], " ", "=", " ", 
     "\"\<a[h] is the scale factor of the spatial hypersurfaces whose induced \
metric is given by 'h'. It is automatically defined when calling the function \
SetSlicing. \n\nThe command a[h] also builds the symbol 'ah', so one can use \
a[h] or, equivalently, ah. \n\nThe default printed form of a[h][] is: \
'a'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H", "::", "usage"}], " ", "=", " ", 
     "\"\<H[h] is the Hubble factor of the spatial hypersurfaces whose \
induced metric is given by 'h'. It is automatically defined when calling the \
function SetSlicing. \n\nThe command H[h] also builds the symbol 'Hh', so one \
can use H[h] or, equivalently, Hh. \n\nThe default printed form of H[h][] is: \
'\[ScriptCapitalH]'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Connection", "::", "usage"}], " ", "=", " ", 
     "\"\<Connection[h][index,index,index] are the coefficients of the \
connection associated with the induced metric 'h'. They are automatically \
defined when calling the function SetSlicing. \n\nThe command Connection[h] \
builds the symbol 'Connectionh', so one can use \
Connection[h][index,index,index] or, equivalently, \
Connectionh[index,index,index].\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"CS", "::", "usage"}], " ", "=", " ", 
     "\"\<CS[h][index,index,index] are the constants of structure on the \
hypersurfaces associated with the induced metric 'h'. They are automatically \
defined when calling the function SetSlicing. \n\nThe command CS[h] builds \
the symbol 'CSh', so one can use CS[h][index,index,index] or, equivalently, \
CSh[index,index,index]. \n\nThe default printed form of \
CS[h][-index,-index,-index] is: '\!\(\*SubscriptBox[\(C\), \(index\\\ index\\\
\ index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nt", "::", "usage"}], " ", "=", " ", 
     "\"\<nt[h][index,index] is the symmetric tensor part involved in the \
decomposition of the constants of structure: \
\!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \)\)]\)= \
\!\(\*SubscriptBox[\(\[Epsilon]\), \(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\
\)]\) + \!\(\*SubscriptBox[\(A\), \([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\
\(\[Delta]\), \(i\)], \(k\(]\)\)]\), in Ellis and MacCallum (1969). It is \
automatically defined when calling the function SetSlicing for Bianchi \
space-times of type other then I. The presence as an argument of the induced \
metric 'h' is reminiscent of the choice of the background slicing. \n\nThe \
command nt[h] builds the symbol 'nth', so one can use nt[h][index,index] or, \
equivalently, nth[index,index]. \n\nThe default printed form of nt[h][i,i] \
is: '\!\(\*SuperscriptBox[\(N\), \(ii\)]\)'.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"av", "::", "usage"}], " ", "=", " ", 
     "\"\<av[h][index] is the 'vector' part involved in the decomposition of \
the constants of structure: \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \
\(jk\(\\\ \)\)]\)= \!\(\*SubscriptBox[\(\[Epsilon]\), \
\(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\)]\) + \!\(\*SubscriptBox[\(A\), \
\([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\(\[Delta]\), \(i\)], \
\(k\(]\)\)]\), in Ellis & MacCallum (1969). It is automatically defined when \
calling the function SetSlicing for Bianchi space-times of type other than I. \
The presence as an argument of the induced metric 'h' is reminiscent of the \
choice of the background slicing.\n\nThe command av[h] builds the symbol \
'avh', so one can use av[h][index] or, equivalently, avh[index]. \n\nThe \
default printed form of av[h][-index] is: '\!\(\*SubscriptBox[\(A\), \
\(index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[ScriptK]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[ScriptK][h] is the (constant) curvature parameter of the \
isotropic and homogeneous hypersurfaces associated with the induced metric \
'h'. It is automatically defined when calling the function SetSlicing for \
Friedmann-Lemaitre cosmologies. \n\nThe command \[ScriptK][h] also builds the \
symbol '\[ScriptK]h', so one can use \[ScriptK][h] or, equivalently, \
\[ScriptK]h. \n\nThe default printed form of \[ScriptK][h][] is: \
\[ScriptK].\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"73bc13fa-d4c4-4087-aac6-4aa0cff6594d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "PREDEFINED"}], " ", 
    RowBox[{"FIELDS", ":", " ", 
     RowBox[{
     "Scalar", " ", "field", " ", "and", " ", "fluid", " ", 
      "quantities"}]}]}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[CurlyPhi]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[CurlyPhi][LI[p],LI[q]] is a general scalar field, automatically \
defined when calling the function DefMatterFields. \n\nThe first Label-Index \
(LI) gives the order 'p' of '\[CurlyPhi]' (hence, for p = 0, '\[CurlyPhi]' \
corresponds to the background value of the scalar field). The second LI \
represents the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of '\[CurlyPhi]'. \n\nThe commands \
\[CurlyPhi][] and \[CurlyPhi][LI[p]] are defined to be equal to \
\[CurlyPhi][LI[0],LI[0]] and \[CurlyPhi][LI[p],LI[0]], respectively.\>\""}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Rho]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[Rho][uf][LI[p],LI[q]] is the energy density of the fluid, \
automatically defined when calling the function DefMatterFields. It depends \
on the fluid four-velocity 'uf'. \n\nThe first Label-Index (LI) gives the \
order 'p' of '\[Rho]' (hence, for p = 0, '\[Rho]' corresponds to the \
background value of the energy density). The second LI represents the number \
'q' of Lie derivatives along the vector normal to the hypersurfaces acting on \
the 'p'-order of '\[Rho]'. \n\nThe commands \[Rho][uf][] and \
\[Rho][uf][LI[p]] are defined to be equal to \[Rho][uf][LI[0],LI[0]] and \
\[Rho][uf][LI[p],LI[0]], respectively. \n\nThe command \[Rho][uf] builds the \
symbol '\[Rho]uf', so one can use \[Rho][uf][LI[p],LI[q]] or, equivalently, \
\[Rho]uf[LI[p],LI[q]].\>\""}], ";"}], "\[IndentingNewLine]", "\t", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"P", "::", "usage"}], " ", "=", " ", 
     "\"\<P[uf][LI[p],LI[q]] is the pressure of the fluid, automatically \
defined when calling the function DefMatterFields. It depends on the fluid \
four-velocity 'uf'. \n\nThe first Label-Index (LI) gives the order 'p' of 'P' \
(hence, for p = 0, 'P' corresponds to the background value of the pressure). \
The second LI represents the number 'q' of Lie derivatives along the vector \
normal to the hypersurfaces acting on the 'p'-order of 'P'. \n\nThe commands \
P[uf][] and P[uf][LI[p]] are defined to be equal to P[uf][LI[0],LI[0]] and \
P[uf][LI[p],LI[0]], respectively. \n\nThe command P[uf] builds the symbol \
'Puf', so one can use P[uf][LI[p],LI[q]] or, equivalently, \
Puf[LI[p],LI[q]].\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CapitalPi]", "::", "usage"}], " ", "=", " ", 
      "\"\<\[CapitalPi][uf][LI[p],LI[q],index,index] is the anisotropic \
stress tensor of the fluid, automatically defined when calling the function \
DefMatterFields. It depends on the fluid four-velocity 'uf'. \n\nThe first \
Label-Index (LI) gives the order 'p' of '\[CapitalPi]' (hence, for p = 0, '\
\[CapitalPi]' corresponds to the (vanishing) background value of the \
anisotropic stress). The second LI represents the number 'q' of Lie \
derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of '\[CapitalPi]'. \n\nThe commands \[CapitalPi][uf][index,index] \
and \[CapitalPi][uf][LI[p],index,index] are defined to be equal to \
\[CapitalPi][uf][LI[0],LI[0],index,index] and \
\[CapitalPi][uf][LI[p],LI[0],index,index], respectively. \n\nThe command \
\[CapitalPi][uf] builds the symbol '\[CapitalPi]uf', so one can use \
\[CapitalPi][uf][LI[p],LI[q],index,index] or, equivalently, \
\[CapitalPi]uf[LI[p],LI[q],index,index].\>\""}], ";"}], " ", 
    "*)"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"5224c30c-6e9f-4c92-9089-a9133ec777be"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "PREDEFINED"}], " ", 
    RowBox[{"FIELDS", ":", " ", 
     RowBox[{
      RowBox[{"Perturbed", " ", "fluid", " ", "four"}], "-", "velocity"}]}]}],
    " ", "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"V0", "::", "usage"}], " ", "=", " ", 
     "\"\<V0[h,uf][LI[p],LI[q]] is the time part of the perturbed fluid \
four-velocity 'ufpert' (with index up): ufpert = V0 \[Times] \
'*NameOfNormalVector*' + Vspat. It is automatically defined when calling the \
function DefMatterFields. It depends on the choice of the background slicing, \
and hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of 'V0' (hence, if the fluid is not tilted in the background, 'V0' \
equals 1 for p = 0). The second LI represents the number 'q' of Lie \
derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of 'V0'. \n\nThe commands V0[h,uf][] and V0[h,uf][LI[p]] are \
defined to be equal to V0[h,uf][LI[0],LI[0]] and V0[h,uf][LI[p],LI[0]], \
respectively. \n\nThe command V0[h,uf] builds the symbol 'V0huf', so one can \
use V0[h,uf][LI[p],LI[q]] or, equivalently, V0huf[LI[p],LI[q]]. \n\nThe \
default printed form of V0[h,uf][] is: 'V0'.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vspat", "::", "usage"}], " ", "=", " ", 
     "\"\<Vspat[h,uf][LI[p],LI[q],index] is the spatial part of the perturbed \
fluid four-velocity 'ufpert' (with index up): ufpert = V0 \[Times] \
'*NameOfNormalVector*' + Vspat. It is automatically defined when calling the \
function DefMatterFields. It depends on the choice of the background slicing, \
and hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of 'Vspat' (hence, if the fluid is not tilted in the background, \
'Vspat' is null for p = 0). The second LI represents the number 'q' of Lie \
derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of 'Vspat'. \n\nThe commands Vspat[h,uf][index] and \
Vspat[h,uf][LI[p],index] are defined to be equal to \
Vspat[h,uf][LI[0],LI[0],index] and Vspat[h,uf][LI[p],LI[0],index], \
respectively. \n\nThe command Vspat[h,uf] builds the symbol 'Vspathuf', so \
one can use Vspat[h,uf][LI[p],LI[q],index] or, equivalently, \
Vspathuf[LI[p],LI[q],index]. \n\nThe default printed form of \
Vspat[h,uf][-index] is: '\!\(\*SubscriptBox[\(\[ScriptCapitalV]\), \(index\)]\
\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vs", "::", "usage"}], " ", "=", " ", 
     "\"\<Vs[h,uf][LI[p],LI[q]] is the scalar part of the scalar-vector \
decomposition of 'Vspat', where 'Vspat' is the spatial part of the perturbed \
fluid four-velocity 'ufpert' (with index up). It is automatically defined \
when calling the function DefMatterFields. It depends on the choice of the \
background slicing, and hence on the induced metric 'h'. \n\nThe first \
Label-Index (LI) gives the order 'p' of 'Vs' (hence, if the fluid is not \
tilted in the background, 'Vs' is null for p = 0). The second LI represents \
the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of 'Vs'. \n\nThe commands Vs[h,uf][] \
and Vs[h,uf][LI[p]] are defined to be equal to Vs[h,uf][LI[0],LI[0]] and \
Vs[h,uf][LI[p],LI[0]], respectively. \n\nThe command Vs[h,uf] builds the \
symbol 'Vshuf', so one can use Vs[h,uf][LI[p],LI[q]] or, equivalently, \
Vshuf[LI[p],LI[q]]. \n\nThe default printed form of Vs[h,uf][] is: \
'V'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vv", "::", "usage"}], " ", "=", " ", 
     "\"\<Vv[h,uf][LI[p],LI[q],index] is the vector part of the scalar-vector \
decomposition of 'Vspat', where 'Vspat' is the spatial part of the perturbed \
fluid four-velocity 'ufpert' (with index up). It is automatically defined \
when calling the function DefMatterFields. It depends on the choice of the \
background slicing, and hence on the induced metric 'h'. \n\nThe first \
Label-Index (LI) gives the order 'p' of 'Vv' (hence, if the fluid is not \
tilted in the background, 'Vv' is null for p = 0). The second LI represents \
the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of 'Vv'. \n\nThe commands \
Vv[h,uf][index] and Vv[h,uf][LI[p],index] are defined to be equal to \
Vv[h,uf][LI[0],LI[0],index] and Vv[h,uf][LI[p],LI[0],index], respectively. \n\
\nThe command Vv[h,uf] builds the symbol 'Vvhuf', so one can use \
Vv[h,uf][LI[p],LI[q],index] or, equivalently, Vvhuf[LI[p],LI[q],index]. \n\n\
The default printed form of Vv[h,uf][-index] is: '\!\(\*SubscriptBox[\(V\), \
\(index\)]\)'.\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"c71db4eb-b85a-4bb3-acc2-53b2f49f8b8d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "PREDEFINED"}], " ", 
    RowBox[{"FIELDS", ":", " ", 
     RowBox[{"Perturbation", " ", "of", " ", "the", " ", "metric"}]}]}], " ", 
   "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "*", " ", "Time", " ", "component", " ", "of", " ", "the", " ", "metric", 
    " ", "perturbation"}], " ", "**)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[Phi][h][LI[p],LI[q]] is the first Bardeen potential, \
corresponding to the 00 component of the metric perturbation. It is \
automatically defined when calling the function DefMetricFields. It depends \
on the choice of the background slicing, and hence on the induced metric 'h'. \
\n\nThe first Label-Index (LI) gives the order 'p' of the perturbation \
'\[Phi]' (hence '\[Phi]' is null for p = 0). The second LI represents the \
number 'q' of Lie derivatives along the vector normal to the hypersurfaces \
acting on the 'p'-order of '\[Phi]'. \n\nThe commands \[Phi][h][] and \
\[Phi][h][LI[p]] are defined to be equal to \[Phi][h][LI[0],LI[0]] and \
\[Phi][h][LI[p],LI[0]], respectively. \n\nThe command \[Phi][h] builds the \
symbol '\[Phi]h', so one can use \[Phi][h][LI[p],LI[q]] or, equivalently, \
\[Phi]h[LI[p],LI[q]].\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "*", " ", "0", "i", " ", "components", " ", "of", " ", "the", " ", 
     "metric", " ", "perturbation"}], " ", "**)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Bs", "::", "usage"}], " ", "=", " ", 
     "\"\<Bs[h][LI[p],LI[q]] is the scalar part of the scalar-vector \
decomposition of the 0i components of the metric perturbation. It is \
automatically defined when calling the function DefMetricFields. It depends \
on the choice of the background slicing, and hence on the induced metric 'h'. \
\n\nThe first Label-Index (LI) gives the order 'p' of the perturbation 'Bs' \
(hence 'Bs' is null for p = 0). The second LI represents the number 'q' of \
Lie derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of 'Bs'. \n\nThe commands Bs[h][] and Bs[h][LI[p]] are defined to \
be equal to Bs[h][LI[0],LI[0]] and Bs[h][LI[p],LI[0]], respectively. \n\nThe \
command Bs[h] builds the symbol 'Bsh', so one can use Bs[h][LI[p],LI[q]] or, \
equivalently, Bsh[LI[p],LI[q]]. \n\nThe default printed form of Bs[h][] is: \
'B'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Bv", "::", "usage"}], " ", "=", " ", 
     "\"\<Bv[h][LI[p],LI[q],index] is the vector part of the scalar-vector \
decomposition of the 0i components of the metric perturbation. It is \
automatically defined when calling the function DefMetricFields. It depends \
on the choice of the background slicing, and hence on the induced metric 'h'. \
\n\nThe first Label-Index (LI) gives the order 'p' of the perturbation 'Bv' \
(hence 'Bv' is null for p = 0). The second LI represents the number 'q' of \
Lie derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of 'Bv'. \n\nThe commands Bv[h][index] and Bv[h][LI[p],index] are \
defined to be equal to Bv[h][LI[0],LI[0],index] and Bv[h][LI[p],LI[0],index], \
respectively. \n\nThe command Bv[h] builds the symbol 'Bvh', so one can use \
Bv[h][LI[p],LI[q],index] or, equivalently, Bvh[LI[p],LI[q],index]. \n\nThe \
default printed form of Bv[h][-index] is: '\!\(\*SubscriptBox[\(B\), \
\(index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "*", " ", "Spatial", " ", "components", " ", "of", " ", "the", " ", 
     "metric", " ", "perturbation"}], " ", "**)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[Psi][h][LI[p],LI[q]] is the second Bardeen potential, present in \
the spatial components of the metric perturbation. It is automatically \
defined when calling the function DefMetricFields. It depends on the choice \
of the background slicing, and hence on the induced metric 'h'. \n\nThe first \
Label-Index (LI) gives the order 'p' of the perturbation '\[Psi]' (hence '\
\[Psi]' is null for p = 0). The second LI represents the number 'q' of Lie \
derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of '\[Psi]'. \n\nThe commands \[Psi][h][] and \[Psi][h][LI[p]] are \
defined to be equal to \[Psi][h][LI[0],LI[0]] and \[Psi][h][LI[p],LI[0]], \
respectively. \n\nThe command \[Psi][h] builds the symbol '\[Psi]h', so one \
can use \[Psi][h][LI[p],LI[q]] or, equivalently, \[Psi]h[LI[p],LI[q]].\>\""}],
     ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Es", "::", "usage"}], " ", "=", " ", 
     "\"\<Es[h][LI[p],LI[q]] is the scalar part of the scalar-vector-tensor \
decomposition of the spatial components of the metric perturbation. It is \
automatically defined when calling the function DefMetricFields. It depends \
on the choice of the background slicing, and hence on the induced metric 'h'. \
\n\nThe first Label-Index (LI) gives the order 'p' of the perturbation 'Es' \
(hence 'Es' is null for p = 0). The second LI represents the number 'q' of \
Lie derivatives along the vector normal to the hypersurfaces acting on the \
'p'-order of 'Es'. \n\nThe commands Es[h][] and Es[h][LI[p]] are defined to \
be equal to Es[h][LI[0],LI[0]] and Es[h][LI[p],LI[0]], respectively. \n\nThe \
command Es[h] builds the symbol 'Esh', so one can use Es[h][LI[p],LI[q]] or, \
equivalently, Esh[LI[p],LI[q]]. \n\nThe default printed form of Es[h][] is: \
'E'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ev", "::", "usage"}], " ", "=", " ", 
     "\"\<Ev[h][LI[p],LI[q],index] is the vector part of the \
scalar-vector-tensor decomposition of the spatial components of the metric \
perturbation. It is automatically defined when calling the function \
DefMetricFields. It depends on the choice of the background slicing, and \
hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of the perturbation 'Ev' (hence 'Ev' is null for p = 0). The second \
LI represents the number 'q' of Lie derivatives along the vector normal to \
the hypersurfaces acting on the 'p'-order of 'Ev'. \n\nThe commands \
Ev[h][index] and Ev[h][LI[p],index] are defined to be equal to \
Ev[h][LI[0],LI[0],index] and Ev[h][LI[p],LI[0],index], respectively. \n\nThe \
command Ev[h] builds the symbol 'Evh', so one can use \
Ev[h][LI[p],LI[q],index] or, equivalently, Evh[LI[p],LI[q],index]. \n\nThe \
default printed form of Ev[h][-index] is: '\!\(\*SubscriptBox[\(E\), \
\(index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Et", "::", "usage"}], " ", "=", " ", 
     "\"\<Et[h][LI[p],LI[q],index,index] is the tensor part of the \
scalar-vector-tensor decomposition of the spatial components of the metric \
perturbation. It is automatically defined when calling the function \
DefMetricFields. It depends on the choice of the background slicing, and \
hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of the perturbation 'Et' (hence 'Et' is null for p = 0). The second \
LI represents the number 'q' of Lie derivatives along the vector normal to \
the hypersurfaces acting on the 'p'-order of 'Et'. \n\nThe commands \
Et[h][index,index] and Et[h][LI[p],index,index] are defined to be equal to \
Et[h][LI[0],LI[0],index,index] and Et[h][LI[p],LI[0],index,index], \
respectively. \n\nThe command Et[h] builds the symbol 'Eth', so one can use \
Et[h][LI[p],LI[q],index,index] or, equivalently, \
Eth[LI[p],LI[q],index,index]. \n\nThe default printed form of \
Et[h][-index,-index] is: '\!\(\*SubscriptBox[\(E\), \(index\\\ index\)]\)'.\>\
\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"e401e9d1-0bcb-484f-84a2-5e283cbb3cec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", " ", "PREDEFINED"}], " ", 
     RowBox[{"FIELDS", ":", " ", 
      RowBox[{"Gauge", " ", "vector"}]}]}], ",", " ", 
    RowBox[{
    "its", " ", "decomposition", " ", "and", " ", "perturbation", " ", 
     "parameter"}]}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Xi]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[Xi][h][LI[order],index] is the general vector field used in a \
gauge transformation. It is automatically defined when calling the function \
SplitFieldsAndGaugeChange. It depends on the choice of the background \
slicing, and hence on the induced metric 'h'. \n\nThe Label-Index (LI) gives \
the order 'order' of the vector field '\[Xi]' (hence '\[Xi]' is null for p = \
0). \n\nThe command \[Xi][h] builds the symbol '\[Xi]h', so one can use \
\[Xi][h][LI[order],index] or, equivalently, \[Xi]h[LI[order],index].\>\""}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"T", "::", "usage"}], " ", "=", " ", 
     "\"\<T[h][LI[p],LI[q]] is the factor of the time component of the vector \
field '\[Xi]' used in a gauge transformation. It is automatically defined \
when calling the function DefMetricFields. It depends on the choice of the \
background slicing, and hence on the induced metric 'h'. \n\nThe first \
Label-Index (LI) gives the order 'p' of 'T' (hence 'T' is null for p = 0). \
The second LI represents the number 'q' of Lie derivatives along the vector \
normal to the hypersurfaces acting on the 'p'-order of 'T'. \n\nThe commands \
T[h][] and T[h][LI[p]] are defined to be equal to T[h][LI[0],LI[0]] and \
T[h][LI[p],LI[0]], respectively. \n\nThe command T[h] builds the symbol 'Th', \
so one can use T[h][LI[p],LI[q]] or, equivalently, Th[LI[p],LI[q]]. \n\nThe \
default printed form of T[h][] is: 'T'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ls", "::", "usage"}], " ", "=", " ", 
     "\"\<Ls[h][LI[p],LI[q]] is the scalar part of the scalar-vector \
decomposition of the spatial component of the vector field '\[Xi]' used in a \
gauge transformation. It is automatically defined when calling the function \
DefMetricFields. It depends on the choice of the background slicing, and \
hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of 'Ls' (hence 'Ls' is null for p = 0). The second LI represents \
the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of 'Ls'. \n\nThe commands Ls[h][] and \
Ls[h][LI[p]] are defined to be equal to Ls[h][LI[0],LI[0]] and \
Ls[h][LI[p],LI[0]], respectively. \n\nThe command Ls[h] builds the symbol \
'Lsh', so one can use Ls[h][LI[p],LI[q]] or, equivalently, Lsh[LI[p],LI[q]]. \
\n\nThe default printed form of Ls[h][] is: 'L'.\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Lv", "::", "usage"}], " ", "=", " ", 
     "\"\<Lv[h][LI[p],LI[q],index] is the vector part of the scalar-vector \
decomposition of the spatial component of the vector field '\[Xi]' used in a \
gauge transformation. It is automatically defined when calling the function \
DefMetricFields. It depends on the choice of the background slicing, and \
hence on the induced metric 'h'. \n\nThe first Label-Index (LI) gives the \
order 'p' of 'Lv' (hence 'Lv' is null for p = 0). The second LI represents \
the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of 'Lv'. \n\nThe commands Lv[h][index] \
and Lv[h][LI[p],index] are defined to be equal to Lv[h][LI[0],LI[0],index] \
and Lv[h][LI[p],LI[0],index], respectively. \n\nThe command Lv[h] builds the \
symbol 'Lvh', so one can use Lv[h][LI[p],LI[q],index] or, equivalently, \
Lvh[LI[p],LI[q],index]. \n\nThe default printed form of Lv[h][-index] is: '\!\
\(\*SubscriptBox[\(L\), \(index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Epsilon]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[Epsilon] is the default perturbation parameter. It is \
automatically defined when calling either the function DefMetricFields or the \
function DefMatterFields.\>\""}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[ScriptCapitalN]0", "::", "usage"}], " ", "=", " ", 
     "\"\<\[ScriptCapitalN]0[h][LI[p],LI[q]] is the time part of the \
perturbation of the normal vector to constant time hypersurfaces (whith index \
down). It is automatically defined when calling SetSlicing.\nIn the ADM \
formalism, it is equal to the lapse function.\n\nThe first Label-Index (LI) \
gives the order 'p' of the perturbation '\[ScriptCapitalN]0'. The second LI \
represents the number 'q' of Lie derivatives along the vector normal to the \
hypersurfaces acting on the 'p'-order of '\[ScriptCapitalN]'. Hence \
\[ScriptCapitalN]0[h][LI[0],LI[0]] is the background lapse and is equal to 1.\
\n\nThe commands \[ScriptCapitalN]0[h][index] and \
\[ScriptCapitalN]0[h][LI[p],index] are defined to be equal to \
\[ScriptCapitalN]0[h][LI[0],LI[0],index] and \
\[ScriptCapitalN]0[h][LI[p],LI[0],index], respectively. \n\nThe command \
\[ScriptCapitalN]0[h] builds the symbol '\[ScriptCapitalN]0h', so one can use \
\[ScriptCapitalN]0[h][LI[p],LI[q],index] or, equivalently, \
\[ScriptCapitalN]0h[LI[p],LI[q],index]. \n\nThe default printed form of \
\[ScriptCapitalN]0[h][-index] is: '\!\(\*SubscriptBox[\(\[ScriptCapitalN]0\), \
\(index\)]\)'.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[ScriptCapitalN]", "::", "usage"}], " ", "=", " ", 
     "\"\<\[ScriptCapitalN][h][index] is the normal vector to constant time \
hypersurfaces. It is automatically defined when calling SetSlicing. Though on \
the background spacetime it is equal to \!\(\*SuperscriptBox[\(n\), \
\(\[Mu]\)]\), where \!\(\*SuperscriptBox[\(n\), \(\[Mu]\)]\) is the vector \
normal to h on the background space-time, this definition allows manipulation \
of the normal vector, like perturbation, conformal transformations, which \
would be impossible directly with \!\(\*SuperscriptBox[\(n\), \(\[Mu]\)]\) \
since many definitions are already automatized for it (e.g. normalization to \
-1).\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"d\[ScriptCapitalN]", "::", "usage"}], " ", "=", " ", 
     "\"\<d\[ScriptCapitalN][h][LI[p],index] is the perturbation of the \
normal vector to constant time hypersurfaces. 'p' is the order of \
perturbation.\n\nThe command d\[ScriptCapitalN][h] builds the symbol 'd\
\[ScriptCapitalN]h', so one can use d\[ScriptCapitalN][h][LI[p],index] or, \
equivalently, d\[ScriptCapitalN]h[LI[p]index].\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[ScriptCapitalN]i", "::", "usage"}], " ", "=", " ", 
     "\"\<\[ScriptCapitalN]i[h][index] is the shift vector (in the ADM \
formalism) of the normal vector to constant time hypersurfaces. It is defined \
as \[ScriptCapitalN]i[h][upindex] = -Projector[h][ \[ScriptCapitalN]0[h] \
\[ScriptCapitalN][h][upindex] ].\nIt is only meaningful when used with and \
upper index. Its main purpose is the computation of perturbations for the \
shift vector in the ADM formalism.\n\nThe command \[ScriptCapitalN]i[h] \
builds the symbol '\[ScriptCapitalN]ih', so one can use \
\[ScriptCapitalN]i[h][upindex] or, equivalently, \
\[ScriptCapitalN]ih[upindex]. \n\>\""}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"f09597d7-b7c7-442c-a173-38da8aa7309c"],

Cell["\<\

Reserved words and protected names:\
\>", "Text",ExpressionUUID->"f5168c18-b666-467d-9666-6e2fdb1df8d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "RESERVED"}], " ", "WORDS", " ", "AND", " ", 
    "PROTECTED", " ", "NAMES"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SpaceTimesOfDefinition", "::", "usage"}], " ", "=", " ", 
     "\"\<\>\""}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TensorProperties", "::", "usage"}], " ", "=", " ", "\"\<\>\""}],
     ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"857a1c6f-72c4-409a-9f05-08bbc4b23946"],

Cell["\<\

Types of gauge:\
\>", "Text",ExpressionUUID->"fdfedef2-8759-4bde-8a0f-0d3aae36442b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "TYPES"}], " ", "OF", " ", "GAUGE"}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"$ListOfGauges", "::", "usage"}], " ", "=", " ", 
   "\"\<Possible gauges are: AnyGauge, FluidComovingGauge, \
ScalarFieldComovingGauge FlatGauge, IsoDensityGauge, NewtonGauge and \
SynchronousGauge and their Bianchi counterparts.\>\""}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b15bc756-aa07-456e-a846-24a38ee08fbe"],

Cell[BoxData["\<\"Possible gauges are: AnyGauge, ComovingGauge, FlatGauge, \
IsoDensityGauge, NewtonGauge and SynchronousGauge.\"\>"], \
"Output",ExpressionUUID->"191ce32a-c65a-4f1d-a26e-ebda82bc7102"]
}, Open  ]],

Cell["\<\

Types of manifold:\
\>", "Text",ExpressionUUID->"5a3e6b32-2791-4b63-9921-3a94e4da8ea5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "TYPES"}], " ", "OF", " ", "MANIFOLD"}], " ", "***)"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Anisotropic", "::", "usage"}], "=", 
     "\"\<General type of spatial hypersurfaces for an anisotropic manifold. \
The boolean function '$OpenConstantsOfStructure' is automatically set to \
'False'. For a four-dimensional manifold, the user can choose instead the \
particular types: BianchiB, BianchiA or BianchiI.\>\""}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"BianchiB", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a general Bianchi \
space-time. \n\nIf '$OpenConstantsOfStructure' is set to 'True', then the \
constants of structure \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \
\(jk\)]\) are expressed in terms of \!\(\*SuperscriptBox[\(N\), \(ij\)]\) and \
\!\(\*SuperscriptBox[\(A\), \(i\)]\), according to: \
\!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \)\)]\)= \
\!\(\*SubscriptBox[\(\[Epsilon]\), \(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\
\)]\) + \!\(\*SubscriptBox[\(A\), \([j\)]\)\!\(\*SubscriptBox[SuperscriptBox[\
\(\[Delta]\), \(i\)], \(k\(]\)\)]\).\>\""}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"BianchiA", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a Bianchi type A \
space-time. \n\nIf '$OpenConstantsOfStructure' is set to 'True', then the \
constants of structure \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \
\(jk\)]\) are expressed in terms of \!\(\*SuperscriptBox[\(N\), \(ij\)]\), \
according to: \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \(jk\(\\\ \
\)\)]\)= \!\(\*SubscriptBox[\(\[Epsilon]\), \
\(jkl\)]\)\!\(\*SuperscriptBox[\(N\), \(li\)]\).\>\""}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"BianchiI", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a Bianchi type I \
space-time.\>\""}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"FLCurved", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a curved \
Friedmann-Lemaitre manifold (that is, with spatial curvature).\>\""}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"FLFlat", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a flat \
Friedmann-Lemaitre manifold (that is, without spatial curvature).\>\""}], ";",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Minkowski", "::", "usage"}], " ", "=", " ", 
     "\"\<Type of spatial hypersurfaces corresponding to a Minkowski manifold \
(that is, a flat FL space-time without expansion).\>\""}], ";"}], 
   "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SpaceType", "::", "usage"}], " ", "=", " ", 
     "\"\<SpaceType[h], with 'h' being the induced metric on the \
hypersurfaces, displays the type of hypersurfaces chosen for the SetSlicing. \
It can be: Anisotropic, BianchiB, BianchiA, BianchiI, FLCurved, FLFlat or \
Minkowski.\>\""}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$ListOfSpaceTypes", "::", "usage"}], " ", "=", " ", 
    "\"\<Possible space types are: Anisotropic, BianchiB, BianchiA, BianchiI, \
FLCurved, FLFlat and Minkowski.\>\""}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"863e1018-98a9-40b0-9210-f3d28a81cd11"],

Cell[BoxData["\<\"Possible space types are: Anisotropic, BianchiB, BianchiA, \
BianchiI, FLCurved, FLFlat and Minkowski.\"\>"], \
"Output",ExpressionUUID->"70dc1253-5266-443a-8bfe-fde775c72565"]
}, Open  ]],

Cell["", "Text",ExpressionUUID->"ba646936-2a92-4543-9571-f789449ddfa3"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.6. Begin private", \
"Subsubsection",ExpressionUUID->"7cfd2eb0-8b4d-4878-9fab-305d1848987b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Begin", "[", "\"\<xAct`xPand`Private`\>\"", "]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"234e0925-65da-4301-a72d-3cd4faae3693"],

Cell[BoxData["\<\"xAct`xPand`Private`\"\>"], \
"Output",ExpressionUUID->"b8227f0f-d550-4442-be3a-75991ec0595e"]
}, Open  ]],

Cell["", "Text",ExpressionUUID->"0baef6d9-e83f-4c17-8b5a-d4ad5ec68798"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.7. Extensions of xTensor", \
"Subsubsection",ExpressionUUID->"1010504e-8b96-46f0-a772-99eca7f88426"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "*", " ", "Why", " ", "a", " ", "scalar", " ", "head", " ", "inside", " ", 
    "a", " ", "scalar", " ", 
    RowBox[{"function", "?"}]}], " ", "**)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "*", " ", "We", " ", "choose", " ", "that", " ", "the", " ", "Scalar", " ",
     "head", " ", "should", " ", "be", " ", "removed"}], "**)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Unprotect", "[", "xAct`xTensor`NoScalar", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xAct`xTensor`NoScalar", "[", 
     RowBox[{
      RowBox[{"f_", "?", "ScalarFunctionQ"}], "[", "expr_", "]"}], "]"}], ":=", 
    RowBox[{"f", "[", 
     RowBox[{"NoScalar", "@", "expr"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Protect", "[", "xAct`xTensor`NoScalar", "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "*", " ", "To", " ", "avoid", " ", "complaints", " ", "from", " ", 
     "MakeRule", " ", "when", " ", "the", " ", "rule", " ", "has", " ", 
     "already", " ", "been", " ", "defined", " ", "and", " ", "the", " ", 
     "lhs", " ", "is", " ", 
     RowBox[{"zero", "."}]}], " ", "**)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"xAct`xTensor`MakeRule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"lhs_", "?", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", "#", "]"}], "===", "0"}], "&"}], 
            ")"}]}], ",", "rhs_", ",", "conditions___"}], "}"}], ",", 
        RowBox[{"options", ":", 
         RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
      RowBox[{"{", "}"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "We", " ", "create", " ", "our", " ", "own", " ", "function", " ", 
      "based", " ", "on", " ", "MakeRule"}], ",", " ", 
     RowBox[{
     "but", " ", "separating", " ", "the", " ", "special", " ", "problematic",
       " ", 
      RowBox[{"case", ".", " ", "This"}], " ", "avoids", " ", "overloading", 
      " ", "a", " ", "definition", " ", "from", " ", 
      RowBox[{"xTensor", ".", "\[IndentingNewLine]", "It"}], " ", "does", " ",
       "not", " ", "change", " ", "the", " ", "way", " ", "xPand", " ", 
      "works"}], ",", " ", 
     RowBox[{"but", " ", "that", " ", "way"}], ",", " ", 
     RowBox[{
     "the", " ", "code", " ", "is", " ", "clearly", " ", "separated", " ", 
      "from", " ", 
      RowBox[{"xTensor", ".", " ", "\[IndentingNewLine]", "This"}], " ", "is",
       " ", "a", " ", "much", " ", "more", " ", "polite", " ", "way", " ", 
      "to", " ", "modify", " ", "the", " ", "behaviour", " ", "of", " ", 
      RowBox[{"xTensor", ".", " ", "This"}], " ", "method", " ", "was", " ", 
      "advised", " ", "by", " ", "Leo", " ", "Stein"}]}], "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"SetAttributes", "[", 
    RowBox[{"BuildRule", ",", "HoldFirst"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BuildRule", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"lhs_", "?", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Evaluate", "[", "#", "]"}], "===", "0"}], "&"}], 
           ")"}]}], ",", "rhs_", ",", "conditions___"}], "}"}], ",", 
       RowBox[{"options", ":", 
        RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BuildRule", "[", 
      RowBox[{"{", 
       RowBox[{"lhs_", ",", "rhs_", ",", "conditions___"}], "}"}], "]"}], ":=", 
     RowBox[{"MakeRule", "[", 
      RowBox[{"{", 
       RowBox[{"lhs", ",", "rhs", ",", "conditions"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BuildRule", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"lhs_", ",", "rhs_", ",", "conditions___"}], "}"}], ",", 
       RowBox[{"options", ":", 
        RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
     RowBox[{"MakeRule", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"lhs", ",", "rhs", ",", "conditions"}], "}"}], ",", 
       "options"}], "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"ad087076-fe81-46ba-8b20-953259dac810"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Names", "[", "\"\<xAct`xPand`*\>\"", 
  "]"}]], "Input",ExpressionUUID->"121cab83-32fd-475e-8b36-57c3484b41fc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"a\"\>", ",", "\<\"av\"\>", 
   ",", "\<\"BackgroundFieldMethod\"\>", ",", "\<\"Bs\"\>", ",", "\<\"Bv\"\>",
    ",", "\<\"Conformal\"\>", ",", "\<\"ConformalWeight\"\>", 
   ",", "\<\"Connection\"\>", ",", "\<\"CS\"\>", 
   ",", "\<\"DefConformalMetric\"\>", ",", "\<\"DefMatterFields\"\>", 
   ",", "\<\"DefMetricFields\"\>", ",", "\<\"DefProjectedTensor\"\>", 
   ",", "\<\"DefProjectedTensorProperties\"\>", ",", "\<\"Disclaimer\"\>", 
   ",", "\<\"Es\"\>", ",", "\<\"Et\"\>", ",", "\<\"Ev\"\>", 
   ",", "\<\"ExtractComponents\"\>", ",", "\<\"ExtractOrder\"\>", 
   ",", "\<\"H\"\>", ",", "\<\"IndicesDown\"\>", ",", "\<\"IndicesUp\"\>", 
   ",", "\<\"Ls\"\>", ",", "\<\"Lv\"\>", ",", "\<\"nt\"\>", ",", "\<\"P\"\>", 
   ",", "\<\"RulesSplitCovDsOfTensor\"\>", 
   ",", "\<\"RulesVelocitySpatial\"\>", ",", "\<\"SetSlicing\"\>", 
   ",", "\<\"SpaceTimesOfDefinition\"\>", ",", "\<\"SpaceType\"\>", 
   ",", "\<\"SplitGaugeChange\"\>", ",", "\<\"SplitMatter\"\>", 
   ",", "\<\"SplitMetric\"\>", ",", "\<\"SplitMetricAndMatterGaugeChange\"\>",
    ",", "\<\"SplitPerturbations\"\>", ",", "\<\"T\"\>", 
   ",", "\<\"TensorProperties\"\>", ",", "\<\"ToBianchiType\"\>", 
   ",", "\<\"ToConstantsOfStructure\"\>", ",", "\<\"ToMetric\"\>", 
   ",", "\<\"ToxPand\"\>", ",", "\<\"ToxPandFromRules\"\>", ",", "\<\"V0\"\>",
    ",", "\<\"VisualizeTensor\"\>", ",", "\<\"Vs\"\>", ",", "\<\"Vspat\"\>", 
   ",", "\<\"Vv\"\>", ",", "\<\"xPand\"\>", ",", "\<\"\[ScriptK]\"\>", 
   ",", "\<\"\[Epsilon]\"\>", ",", "\<\"\[Xi]\"\>", ",", "\<\"\[Rho]\"\>", 
   ",", "\<\"\[Phi]\"\>", ",", "\<\"\[CurlyPhi]\"\>", ",", "\<\"\[Psi]\"\>", 
   ",", "\<\"$CacheRules\"\>", ",", "\<\"$CommutecdRules\"\>", 
   ",", "\<\"$ConformalTime\"\>", 
   ",", "\<\"$FirstOrderTensorPerturbations\"\>", 
   ",", "\<\"$FirstOrderVectorPerturbations\"\>", 
   ",", "\<\"$ListFieldsBackgroundAndPerturbed\"\>", 
   ",", "\<\"$ListFieldsBackgroundOnly\"\>", 
   ",", "\<\"$ListFieldsPerturbedOnly\"\>", ",", "\<\"$ListOfGauges\"\>", 
   ",", "\<\"$ListOfSpaceTypes\"\>", ",", "\<\"$MyRules\"\>", 
   ",", "\<\"$OpenConstantsOfStructure\"\>", 
   ",", "\<\"$SortCovDAutomatic\"\>", ",", "\<\"$Version\"\>", 
   ",", "\<\"$xPertVersionExpected\"\>", 
   ",", "\<\"$xTensorVersionExpected\"\>"}], 
  "}"}]], "Output",ExpressionUUID->"0b973a00-b9ef-47ef-bd9e-0b8c4e0f8f46"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$ContextPath"], \
"Input",ExpressionUUID->"d6eaad6f-3ba3-4c86-adba-81980bbac76e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"xAct`xPand`\"\>", ",", "\<\"xAct`xPert`\"\>", 
   ",", "\<\"xAct`xTensor`\"\>", ",", "\<\"xAct`xPerm`\"\>", 
   ",", "\<\"xAct`xCore`\"\>", ",", "\<\"xAct`ExpressionManipulation`\"\>", 
   ",", "\<\"System`\"\>"}], 
  "}"}]], "Output",ExpressionUUID->"f4fd750d-fbc4-4e5b-a5cf-947f1aad50d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$Context"], \
"Input",ExpressionUUID->"5f4faa86-c51d-404f-b2bc-fe70f87dcc52"],

Cell[BoxData["\<\"xAct`xPand`Private`\"\>"], \
"Output",ExpressionUUID->"46c161e2-4ff6-4e9e-89c3-3dc5b6972647"]
}, Open  ]],

Cell["", "Text",ExpressionUUID->"42e29b91-1dcf-47e4-bc29-a4efff8290f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.8. Default options and protected names", \
"Subsubsection",ExpressionUUID->"bcbed995-3771-4197-9aab-355068684bbe"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "DEFAULT"}], " ", "OPTIONS", " ", "AND", " ", 
    "PROTECTED", " ", "NAMES"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"BackgroundFieldMethod", " ", "=", " ", "False"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$DebugInfoQ", "=", "False"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$CommutecdRules", " ", "=", " ", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$ConformalTime", " ", "=", " ", "True"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$FirstOrderVectorPerturbations", "=", "True"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$FirstOrderTensorPerturbations", "=", "True"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$OpenConstantsOfStructure", "=", "True"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$PrePrint", "=", "ScreenDollarIndices"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"$SortCovDAutomatic", "=", "True"}], ";"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Off", "[", 
     StyleBox[
      RowBox[{"RuleDelayed", "::", "rhs"}], "MessageName"], 
     StyleBox["]", "MessageName"]}], 
    StyleBox[";", "MessageName"]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"583892a6-192b-4272-b2c3-f4c9faef2f25"],

Cell["\<\

InertHead used to replace the scalars. This is to avoid the application of \
the Leibniz rule inside the Scalar Head.\
\>", "Text",ExpressionUUID->"5980da9a-92aa-4f25-b9b1-c09986e7a2ac"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "Print", "}"}], ",", 
     RowBox[{"DefInertHead", "[", 
      RowBox[{"ProtectMyScalar", ",", 
       RowBox[{"LinearQ", "\[Rule]", "True"}]}], "]"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"FixProtectScalar", ":=", 
  RowBox[{
   RowBox[{"ProtectMyScalar", "[", "expr_", "]"}], "\[RuleDelayed]", 
   RowBox[{"ProtectMyScalar", "[", 
    RowBox[{"xAct`xTensor`Private`MathInputExpand", "[", "expr", "]"}], 
    "]"}]}]}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"5971a214-70be-46bb-86a4-cedef709c419"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2. Main functions", "Subsection",
 InitializationCell->True,
 FontColor->RGBColor[
  0.20389105058365758`, 0.38530556191348136`, 
   0.9685969329365988],ExpressionUUID->"c7a59337-682e-4d30-89c8-2ade1a0773c7"],

Cell[CellGroupData[{

Cell["2.1. Useful tools", \
"Subsubsection",ExpressionUUID->"036f511f-1250-42ba-a036-575f9fa906ae"],

Cell["\<\
Contents: 
\tColoration of the perturbation orders
\tConvenient functions to build rules
\tHandling expressions
\tPrivate boolean functions\
\>", "Text",ExpressionUUID->"3c832359-689d-428c-b3d1-d72031e58b8f"],

Cell["\<\

Coloration of the perturbation orders:\
\>", "Text",ExpressionUUID->"20c9d14c-391e-4529-a1cd-14001b571324"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "COLORATION"}], " ", "OF", " ", "THE", " ", 
    "PERTURBATION", " ", "ORDERS"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"DerCharacter", ":=", 
     RowBox[{"If", "[", 
      RowBox[{"$ConformalTime", ",", "\"\<\[Prime]\>\"", ",", "\"\<.\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "output", " ", "format", " ", "of", " ", "the", " ", "Lie", 
      " ", "derivative", " ", "with", " ", "respect", " ", "to", " ", "the", 
      " ", "vector", " ", "normal", " ", "to", " ", "the", " ", 
      "hypersurfaces", " ", "is", " ", "a", " ", "prime", " ", "when", " ", 
      "one", " ", "considers", " ", "the", " ", "conformal", " ", "time"}], 
     ",", " ", 
     RowBox[{
     "and", " ", "a", " ", "dot", " ", "when", " ", "one", " ", "considers", 
      " ", "the", " ", "cosmic", " ", 
      RowBox[{"time", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "1", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.85", ",", "0", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "2", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0.6", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "3", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0", ",", "0.85"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "4", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.6", ",", "0.4", ",", "0.2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "5", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.7", ",", "0", ",", "0.7"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PerturbationOrderColor", "[", "_", "]"}], ":=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"1", ",", "0.6", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"xTensorFormStop", "[", "Tensor", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MakeBoxes", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Tens_", "?", "xTensorQ"}], "[", 
        RowBox[{
         RowBox[{"LI", "[", 
          RowBox[{"p_", "?", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
               RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], ")"}]}],
           "]"}], ",", 
         RowBox[{"LI", "[", 
          RowBox[{"q_", "?", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
               RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], ")"}]}],
           "]"}], ",", "inds___"}], "]"}], ",", "StandardForm"}], "]"}], ":=",
      "\[IndentingNewLine]", 
     RowBox[{"xAct`xTensor`Private`interpretbox", "[", 
      RowBox[{
       RowBox[{"Tens", "[", 
        RowBox[{
         RowBox[{"LI", "[", "p", "]"}], ",", 
         RowBox[{"LI", "[", "q", "]"}], ",", "inds"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"AnisotropyBool", "[", 
             RowBox[{"SpaceType", "@", 
              RowBox[{"InducedMetricOf", "[", "Tens", "]"}]}], "]"}], "||", 
            RowBox[{"BianchiBool", "[", 
             RowBox[{"SpaceType", "@", 
              RowBox[{"InducedMetricOf", "[", "Tens", "]"}]}], "]"}]}], ")"}],
           "&&", 
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{
             RowBox[{"{", "inds", "}"}], ",", 
             RowBox[{"_", "?", "UpIndexQ"}]}], "]"}], "=!=", 
           RowBox[{"{", "}"}]}], "&&", 
          RowBox[{"q", "\[GreaterEqual]", "1"}]}], ",", "\[IndentingNewLine]",
          "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Message", "[", 
           RowBox[{"xPand", "::", "makeboxes"}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"RowBox", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"OverscriptBox", "[", 
              RowBox[{"\"\<\[Null]\>\"", ",", 
               RowBox[{"RowBox", "[", 
                RowBox[{"{", 
                 RowBox[{"\"\<(\>\"", ",", 
                  RowBox[{"ToString", "[", "p", "]"}], ",", "\"\<)\>\""}], 
                 "}"}], "]"}]}], "]"}], ",", "\"\<\[NegativeThinSpace]\>\"", 
             ",", 
             RowBox[{"OverscriptBox", "[", 
              RowBox[{
               RowBox[{"MakeBoxes", "[", 
                RowBox[{
                 RowBox[{"Tens", "[", "inds", "]"}], ",", "StandardForm"}], 
                "]"}], ",", 
               RowBox[{"ToString", "[", "q", "]"}]}], "]"}]}], "}"}], "]"}]}],
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"Switch", "[", 
          RowBox[{"p", ",", "\[IndentingNewLine]", "0", ",", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{"OverscriptBox", "[", 
              RowBox[{
               RowBox[{"MakeBoxes", "[", 
                RowBox[{
                 RowBox[{"Tens", "[", "inds", "]"}], ",", "StandardForm"}], 
                "]"}], ",", 
               RowBox[{"StringJoin", "@", 
                RowBox[{"Table", "[", 
                 RowBox[{"DerCharacter", ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "1", ",", "q"}], "}"}]}], "]"}]}]}], 
              "]"}], "}"}], "]"}], ",", "\[IndentingNewLine]", "_", ",", 
           RowBox[{"RowBox", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"OverscriptBox", "[", 
               RowBox[{"\"\<\[Null]\>\"", ",", 
                RowBox[{"RowBox", "[", 
                 RowBox[{"{", 
                  RowBox[{"StyleBox", "[", 
                   RowBox[{
                    RowBox[{"\"\<(\>\"", "<>", 
                    RowBox[{"ToString", "[", "p", "]"}], "<>", "\"\<)\>\""}], 
                    ",", 
                    RowBox[{"FontColor", "\[Rule]", 
                    RowBox[{"PerturbationOrderColor", "[", "p", "]"}]}]}], 
                   "]"}], "}"}], "]"}]}], "]"}], ",", 
              "\"\<\[NegativeThinSpace]\>\"", ",", 
              RowBox[{"OverscriptBox", "[", 
               RowBox[{
                RowBox[{"MakeBoxes", "[", 
                 RowBox[{
                  RowBox[{"Tens", "[", "inds", "]"}], ",", "StandardForm"}], 
                 "]"}], ",", 
                RowBox[{"StringJoin", "@", 
                 RowBox[{"Table", "[", 
                  RowBox[{"DerCharacter", ",", 
                   RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "q"}], "}"}]}], "]"}]}]}], 
               "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}],
    "\[IndentingNewLine]", "\n", 
   RowBox[{"xTensorFormStart", "[", "Tensor", "]"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"3d1ab950-62df-44f3-aefe-e68cfa6fd788"],

Cell["\<\

Convenient functions to build rules:\
\>", "Text",ExpressionUUID->"e483116d-43ea-4fd8-9070-4fcb30451c27"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "CONVENIENT"}], " ", "FUNCTIONS", " ", "TO", " ", 
    "BUILD", " ", "RULES"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PatternLeft", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"left_", "\[RuleDelayed]", " ", "right_"}], ")"}], ",", 
      "ElementsToBePatterned_List"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"left", "/.", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "\[Rule]", 
            RowBox[{"Pattern", "[", 
             RowBox[{"#", ",", "_"}], "]"}]}], ")"}], "&"}], "/@", " ", 
         "ElementsToBePatterned"}], ")"}]}], ")"}], "\[RuleDelayed]", 
     "right"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PatternLeft", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"left_", "->", " ", "right_"}], ")"}], ",", 
      "ElementsToBePatterned_List"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"left", "/.", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "\[Rule]", 
            RowBox[{"Pattern", "[", 
             RowBox[{"#", ",", "_"}], "]"}]}], ")"}], "&"}], "/@", " ", 
         "ElementsToBePatterned"}], ")"}]}], ")"}], "->", 
     "right"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"19ac9eea-71da-464c-96d5-3836bf12ee5b"],

Cell["\<\

Handling expressions:\
\>", "Text",ExpressionUUID->"275bfd1c-6932-48e6-9eb5-e7bc392beea2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "HANDLING"}], " ", "EXPRESSIONS"}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"collect", "[", "expr_", "]"}], ":=", 
    RowBox[{"Collect", "[", 
     RowBox[{"expr", ",", "$PerturbationParameter", ",", "Identity"}], 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "fix", " ", "by", " ", "Jolyon", " ", 
     RowBox[{"Bloomfield", ".", " ", "No"}], " ", "Idea", " ", "if", " ", 
     "this", " ", "works", " ", "or", " ", 
     RowBox[{"not", ".", " ", "This"}], " ", "should", " ", "correct", " ", 
     "the", " ", "bug", " ", "found", " ", "by", " ", "Adam", " ", "Solomon", 
     " ", "in", " ", "August", " ", "2014"}], " ", "**)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"fixScalar", ":=", 
    RowBox[{
     RowBox[{"Scalar", "[", "expr_", "]"}], "\[RuleDelayed]", 
     RowBox[{"Scalar", "[", 
      RowBox[{"xAct`xTensor`Private`MathInputExpand", "[", "expr", "]"}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"org", "[", "expr_", "]"}], ":=", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"ContractMetric", "[", "expr", "]"}], ",", 
      "$PerturbationParameter", ",", 
      RowBox[{
       RowBox[{"ToCanonical", "[", 
        RowBox[{"#", "/.", "fixScalar"}], "]"}], "&"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Old", " ", "org", " ", "before", " ", "the", " ", "fix"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"org", "[", "expr_", "]"}], ":=", 
     RowBox[{"Collect", "[", 
      RowBox[{
       RowBox[{"ContractMetric", "[", "expr", "]"}], ",", 
       "$PerturbationParameter", ",", 
       RowBox[{
        RowBox[{"ToCanonical", "[", 
         RowBox[{"#", "/.", "fixScalar"}], "]"}], "&"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TCnoCM", "[", "expr_", "]"}], ":=", 
    RowBox[{"ToCanonical", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
     "]"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"fb9f077e-4fec-43a9-b94f-d520bf3bdaea"],

Cell["\<\

Private boolean functions:\
\>", "Text",ExpressionUUID->"17d95e83-3de4-4ebb-8be8-d97d1031cccb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "PRIVATE"}], " ", "BOOLEAN", " ", "FUNCTIONS"}], " ", 
   "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"*", " ", "Miscellaneous"}], " ", "**)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"$DefInfoQ", "=", "True"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"If", " ", "set", " ", 
      RowBox[{"to", " ", "'"}], 
      RowBox[{"False", "'"}]}], ",", " ", 
     RowBox[{
     "the", " ", "information", " ", "messages", " ", "are", " ", "not", " ", 
      
      RowBox[{"printed", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "Testing", " ", "expressions"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AnyIndicesListQ", "[", "inds_List", "]"}], ":=", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"inds", ",", 
       RowBox[{"AnyIndices", "[", "_", "]"}]}], "]"}], "=!=", 
     RowBox[{"{", "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "If", " ", "the", " ", "list", " ", "of", " ", "indices", " ", 
      "contains", " ", "the", " ", 
      RowBox[{"head", " ", "'"}], 
      RowBox[{"AnyIndices", "'"}]}], ",", " ", 
     RowBox[{
      RowBox[{"then", " ", 
       RowBox[{"AnyIndicesListQ", "[", "inds", "]"}], " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{"True", "'"}]}], ";", " ", 
      RowBox[{"otherwise", " ", "it", " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{
        RowBox[{"False", "'"}], "."}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DefTensorQ", "[", "symb_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"$Tensors", ",", "symb"}], "]"}], "===", 
     RowBox[{"{", "symb", "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"If", " ", "'"}], 
      RowBox[{"symb", "'"}], " ", "has", " ", "been", " ", "defined", " ", 
      "as", " ", "a", " ", "tensor"}], ",", " ", 
     RowBox[{
      RowBox[{"then", " ", 
       RowBox[{"DefTensorQ", "[", "symb", "]"}], " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{"True", "'"}]}], ";", " ", 
      RowBox[{"otherwise", " ", "it", " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{
        RowBox[{"False", "'"}], "."}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GaugeQ", "[", "strg_", "]"}], ":=", 
    RowBox[{
     RowBox[{"DeleteDuplicates", "@", 
      RowBox[{"Cases", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<AnyGauge\>\"", ",", "\"\<FluidComovingGauge\>\"", ",", 
          "\"\<ScalarFieldComovingGauge\>\"", ",", "\"\<FlatGauge\>\"", ",", 
          "\"\<IsoDensityGauge\>\"", ",", "\"\<NewtonGauge\>\"", ",", 
          "\"\<SynchronousGauge\>\"", ",", "\"\<AnyGauge\>\"", ",", 
          "\"\<FluidComovingGaugeBianchi\>\"", ",", 
          "\"\<ScalarFieldComovingGaugeBianchi\>\"", ",", 
          "\"\<IsoDensityGaugeBianchi\>\"", ",", "\"\<NewtonGaugeBianchi\>\"",
           ",", "\"\<SynchronousGaugeBianchi\>\"", ",", 
          "\"\<AnyGaugeBianchi\>\""}], "}"}], ",", "strg"}], "]"}]}], "===", 
     RowBox[{"{", "strg", "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"If", " ", "'"}], 
      RowBox[{"strg", "'"}], " ", "matches", " ", "one", " ", "of", " ", 
      "the", " ", "element", " ", "in", " ", "the", " ", "list"}], ",", " ", 
     RowBox[{
      RowBox[{"then", " ", 
       RowBox[{"GaugeQ", "[", "strg", "]"}], " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{"True", "'"}]}], ";", " ", 
      RowBox[{"otherwise", " ", "it", " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{
        RowBox[{"False", "'"}], "."}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"InducedMetricQ", "[", "symb_", "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"MetricQ", "[", "symb", "]"}], ",", 
      RowBox[{
       RowBox[{"InducedFrom", "[", "symb", "]"}], "=!=", "Null"}], ",", 
      "False"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"If", " ", "'"}], 
      RowBox[{"symb", "'"}], " ", "is", " ", "not", " ", "defined", " ", "as",
       " ", "a", " ", "metric"}], ",", " ", 
     RowBox[{"then", " ", 
      RowBox[{"InducedMetricQ", "[", "symb", "]"}], " ", 
      RowBox[{"returns", " ", "'"}], 
      RowBox[{
       RowBox[{"False", "'"}], ".", " ", "Otherwise"}]}], ",", " ", 
     RowBox[{"it", " ", "checks", " ", 
      RowBox[{"whether", " ", "'"}], 
      RowBox[{"symb", "'"}], " ", "is", " ", "an", " ", "induced", " ", 
      RowBox[{"metric", ".", " ", "\[IndentingNewLine]", "If"}], " ", "this", 
      " ", "is", " ", "the", " ", "case"}], ",", " ", 
     RowBox[{
      RowBox[{"then", " ", 
       RowBox[{"InducedMetricQ", "[", "symb", "]"}], " ", 
       RowBox[{"gives", " ", "'"}], 
       RowBox[{"True", "'"}]}], ";", " ", 
      RowBox[{"otherwise", " ", "it", " ", 
       RowBox[{"gives", " ", "'"}], 
       RowBox[{
        RowBox[{"False", "'"}], "."}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SpaceTimeQ", "[", "strg_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<Anisotropic\>\"", ",", " ", "\"\<BianchiB\>\"", ",", 
         "\"\<BianchiA\>\"", ",", "\"\<BianchiI\>\"", ",", "\"\<FLCurved\>\"",
          ",", "\"\<FLFlat\>\"", ",", "\"\<Minkowski\>\""}], "}"}], ",", 
       "strg"}], "]"}], "===", 
     RowBox[{"{", "strg", "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"If", " ", "'"}], 
      RowBox[{"strg", "'"}], " ", "matches", " ", "one", " ", "of", " ", 
      "the", " ", "element", " ", "of", " ", "the", " ", "list"}], ",", " ", 
     RowBox[{
      RowBox[{"then", " ", 
       RowBox[{"SpaceTimeQ", "[", "strg", "]"}], " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{"True", "'"}]}], ";", " ", 
      RowBox[{"otherwise", " ", "it", " ", 
       RowBox[{"returns", " ", "'"}], 
       RowBox[{
        RowBox[{"False", "'"}], "."}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TensorNullQ", "[", "tens_", "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Cases", "[", 
        RowBox[{
         RowBox[{"SlotsOfTensor", "[", "tens", "]"}], ",", "Labels"}], "]"}], 
       "=!=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<** Warning: the function TensorNullQ is only suited to test \
tensors defined without label-indices. \>\"", ",", "tens"}], "]"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"inds", "=", 
          RowBox[{"DummyIn", "/@", 
           RowBox[{"SlotsOfTensor", "[", "tens", "]"}]}]}], "}"}], ",", 
        RowBox[{
         RowBox[{"tens", "@@", "inds"}], "===", "0"}]}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"TensorNullQ", "[", "tens", "]"}], " ", 
      RowBox[{"returns", " ", "'"}], 
      RowBox[{"True", "'"}], " ", 
      RowBox[{"if", " ", "'"}], 
      RowBox[{"tens", "'"}], " ", "is", " ", "a", " ", "null", " ", "tensor", 
      " ", 
      RowBox[{"and", " ", "'"}], 
      RowBox[{"False", "'"}], " ", 
      RowBox[{"otherwise", ".", " ", "This"}], " ", "function", " ", "is", 
      " ", "not", " ", "suited", " ", "to", " ", "test", " ", "tensors", " ", 
      "defined", " ", "with", " ", "label"}], "-", 
     RowBox[{"indices", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"*", " ", "Type", " ", "of", " ", "manifolds"}], " ", "**)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BianchiBool", "[", "Spacetype_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Spacetype", "===", "\"\<BianchiB\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<BianchiA\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<BianchiI\>\""}]}], ")"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FlatSpaceBool", "[", "Spacetype_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Spacetype", "===", "\"\<BianchiI\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<FLFlat\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<Minkowski\>\""}]}], ")"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NoAnisotropyBool", "[", "Spacetype_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Spacetype", "===", "\"\<FLCurved\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<FLFlat\>\""}], "||", 
      RowBox[{"Spacetype", "===", "\"\<Minkowski\>\""}]}], ")"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AnisotropyBool", "[", "Spacetype_", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{"Spacetype", "===", "\"\<Anisotropic\>\""}], ")"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"The", " ", 
     RowBox[{"name", " ", "'"}], 
     RowBox[{"AnisotropyBool", "'"}], " ", "should", " ", "be", " ", 
     RowBox[{"changed", "."}]}], " ", "*)"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"3e936554-7247-49ee-b9cf-769afb62ae92"],

Cell["", "Text",ExpressionUUID->"c6b435e7-576e-4b17-be22-a81d67c83d14"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.2. Building symbols", \
"Subsubsection",ExpressionUUID->"c548ad1c-6288-4c4d-ab24-7cac8d8c636a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "BUILDING"}], " ", 
    RowBox[{"SYMBOLS", ":", " ", 
     RowBox[{"Geometrical", " ", "quantities"}]}]}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"a", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"H", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Connection", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Connection", ",", "symb"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"CS", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"CS", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nt", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"nt", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"av", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"av", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"K", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"K", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[ScriptK]", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"\[ScriptK]", ",", "symb"}], "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"09f87474-cde1-44e9-b399-670c141b890f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "BUILDING"}], " ", 
    RowBox[{"SYMBOLS", ":", " ", 
     RowBox[{"Fluid", " ", "quantities"}]}]}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Rho]", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"\[Rho]", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{
     RowBox[{"P", "[", "symb_", "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"P", ",", "symb"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[CapitalPi]", "[", "symb_", "]"}], ":=", 
      RowBox[{"SymbolJoin", "[", 
       RowBox[{"\[CapitalPi]", ",", "symb"}], "]"}]}], ";"}], " ", 
    "*)"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"2dc6c7ee-3a97-44bb-a088-ceb5035c287c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "BUILDING"}], " ", 
    RowBox[{"SYMBOLS", ":", " ", 
     RowBox[{
      RowBox[{"Perturbed", " ", "fluid", " ", "four"}], "-", "velocity"}]}]}],
    " ", "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"V0", "[", 
      RowBox[{
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", "velocity_"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"V0", ",", "h", ",", "velocity"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vspat", "[", 
      RowBox[{
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", "velocity_"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Vspat", ",", "h", ",", "velocity"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vs", "[", 
      RowBox[{
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", "velocity_"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Vs", ",", "h", ",", "velocity"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Vv", "[", 
      RowBox[{
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", "velocity_"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Vv", ",", "h", ",", "velocity"}], "]"}]}], ";"}]}]}]], "Input",
 
 InitializationCell->
  True,ExpressionUUID->"a7d8c216-7b00-476b-9597-98ef35b916ec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "BUILDING"}], " ", 
    RowBox[{"SYMBOLS", ":", " ", 
     RowBox[{"Perturbation", " ", "of", " ", "the", " ", "metric"}]}]}], " ", 
   "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"\[Phi]", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Bs", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Bs", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Bv", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Bv", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"\[Psi]", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Es", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Es", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ev", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Ev", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Et", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Et", ",", "h"}], "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"93807204-77fc-49c0-ba9d-5dc1d684d46d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", " ", "BUILDING"}], " ", 
    RowBox[{"SYMBOLS", ":", " ", 
     RowBox[{"Gauge", " ", "vector", " ", "and", " ", "decomposition"}]}]}], 
   " ", "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Xi]", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"\[Xi]", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"T", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"T", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Ls", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Ls", ",", "h"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Lv", "[", 
      RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
     RowBox[{"SymbolJoin", "[", 
      RowBox[{"Lv", ",", "h"}], "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"1f82cc75-f1f3-49db-8a91-b63edab7a4e6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"$ListFieldsBackgroundOnly", "[", 
     RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "h", "]"}], "[", "]"}], ",", "\"\<a\>\""}], "}"}], 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"H", "[", "h", "]"}], "[", "]"}], ",", 
        "\"\<\[ScriptCapitalH]\>\""}], "}"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"$ListFieldsPerturbedOnly", "[", 
     RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", "=", 
        RowBox[{"ManifoldOfCovD", "@", 
         RowBox[{"CovDOfMetric", "@", 
          RowBox[{"First", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Block", "[", 
       RowBox[{
        RowBox[{"{", "\[Mu]", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"{", "\[Mu]", "}"}], "=", 
          RowBox[{"GetIndicesOfVBundle", "[", 
           RowBox[{
            RowBox[{"Tangent", "@", "M"}], ",", "1"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Phi]", "[", "h", "]"}], "[", "]"}], ",", 
             "\"\<\[Phi]\>\""}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Bs", "[", "h", "]"}], "[", "]"}], ",", "\"\<B\>\""}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Bv", "[", "h", "]"}], "[", 
              RowBox[{"-", "\[Mu]"}], "]"}], ",", "\"\<B\>\""}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Psi]", "[", "h", "]"}], "[", "]"}], ",", 
             "\"\<\[Psi]\>\""}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Es", "[", "h", "]"}], "[", "]"}], ",", "\"\<E\>\""}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Ev", "[", "h", "]"}], "[", 
              RowBox[{"-", "\[Mu]"}], "]"}], ",", "\"\<E\>\""}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Et", "[", "h", "]"}], "[", 
              RowBox[{
               RowBox[{"-", "\[Mu]"}], ",", 
               RowBox[{"-", "\[Nu]"}]}], "]"}], ",", "\"\<E\>\""}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"T", "[", "h", "]"}], "[", "]"}], ",", "\"\<T\>\""}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Ls", "[", "h", "]"}], "[", "]"}], ",", "\"\<L\>\""}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"Lv", "[", "h", "]"}], "[", 
              RowBox[{"-", "\[Mu]"}], "]"}], ",", "\"\<L\>\""}], "}"}]}], 
          "}"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "former", " ", "implementation", " ", "of", " ", 
    "$ListFieldsBackgroundAndPerturbed", " ", "failed", " ", "to", " ", 
    "treat", " ", "separately", " ", "different", " ", 
    RowBox[{"fluids", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Obinna", " ", "proposed", " ", "the", " ", "replace", " ", "by", " ", 
    "the", " ", "version", " ", 
    RowBox[{"below", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "We", " ", "thank", " ", "Enrico", " ", "Pajer", " ", "for", " ", 
    "reporting", " ", "this", " ", 
    RowBox[{"bug", "."}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$ListFieldsBackgroundAndPerturbed", "[", 
    RowBox[{
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", "velocity_"}], "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"M", "=", 
       RowBox[{"ManifoldOfCovD", "@", 
        RowBox[{"CovDOfMetric", "@", 
         RowBox[{"First", "@", 
          RowBox[{"InducedFrom", "@", "h"}]}]}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], "=", 
         RowBox[{"GetIndicesOfVBundle", "[", 
          RowBox[{
           RowBox[{"Tangent", "@", "M"}], ",", "2"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[CurlyPhi]", "[", "]"}], ",", "\"\<\[CurlyPhi]\>\""}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"\[Rho]", "[", "velocity", "]"}], "[", "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"{", "\"\<\[Rho]\>\"", "}"}], ",", 
               RowBox[{"ToString", "[", "velocity", "]"}]}], "]"}]}]}], "}"}],
           ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"P", "[", "velocity", "]"}], "[", "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"{", "\"\<P\>\"", "}"}], ",", 
               RowBox[{"ToString", "[", "velocity", "]"}]}], "]"}]}]}], "}"}],
           ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Vspat", "[", 
              RowBox[{"h", ",", "velocity"}], "]"}], "[", 
             RowBox[{"-", "\[Mu]"}], "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<\[ScriptCapitalV]\>\"", ",", 
                RowBox[{"ToString", "[", "velocity", "]"}]}], "}"}], 
              "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"V0", "[", 
              RowBox[{"h", ",", "velocity"}], "]"}], "[", "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<V0\>\"", ",", 
                RowBox[{"ToString", "[", "velocity", "]"}]}], "}"}], 
              "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Vs", "[", 
              RowBox[{"h", ",", "velocity"}], "]"}], "[", "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<V\>\"", ",", 
                RowBox[{"ToString", "[", "velocity", "]"}]}], "}"}], 
              "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"Vv", "[", 
              RowBox[{"h", ",", "velocity"}], "]"}], "[", 
             RowBox[{"-", "\[Mu]"}], "]"}], ",", 
            RowBox[{"ToString", "@", 
             RowBox[{"StringJoin", "[", 
              RowBox[{"{", 
               RowBox[{"\"\<V\>\"", ",", 
                RowBox[{"ToString", "[", "velocity", "]"}]}], "}"}], 
              "]"}]}]}], "}"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"a02aefaf-d10c-4a49-ac96-ff1a9af5dded"],

Cell["", "Text",ExpressionUUID->"077fda5a-f583-42da-8384-922e156c2c87"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
2.3. Definition of projected tensors, along with their properties\
\>", "Subsubsection",ExpressionUUID->"d735c92b-a020-4d36-9f26-0894c5ad5dcc"],

Cell["\<\
Contents:
\tDefault values
\tDefProjectedTensor
\tDefProjectedTensorProperties
\tDefProjectedTensorPropertiesAnyIndices\
\>", "Text",ExpressionUUID->"7c8da2b8-412a-4c66-92f3-26407a4f6a93"],

Cell["\<\

Default values:\
\>", "Text",ExpressionUUID->"6cb9e5c0-bced-4105-a114-531c734934a8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"**", " ", "DEFAULT"}], " ", 
      RowBox[{"VALUES", ":", " ", "DefProjectedTensor"}]}], " ", "&"}], " ", 
    "DefProjectedTensorProperties"}], " ", "***)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "DefProjectedTensor", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PrintAs", "\[Rule]", "Identity"}], ",", 
       RowBox[{"TensorProperties", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<SymmetricTensor\>\"", ",", "\"\<Traceless\>\"", ",", 
          "\"\<Transverse\>\""}], "}"}]}], ",", 
       RowBox[{"SpaceTimesOfDefinition", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Background\>\"", ",", "\"\<Perturbed\>\""}], "}"}]}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"DefProjectedTensorQ", "[", 
      RowBox[{"Name_", ",", "h___"}], "]"}], ":=", "False"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PropertiesList", "[", "Name_", "]"}], ":=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"InducedMetricOf", "[", "Name_", "]"}], ":=", 
     RowBox[{"{", "}"}]}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"cdcda372-a09d-4a5e-a267-124b769ac787"],

Cell["\<\

DefProjectedTensor:\
\>", "Text",ExpressionUUID->"5979bf25-2799-4654-83b4-044554991d16"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", 
    RowBox[{"MODULE", ":", " ", "DefProjectedTensor"}]}], " ", "***)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"DefProjectedTensor", "[", 
     RowBox[{
      RowBox[{"Name_", "[", "inds___", "]"}], ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"options___", "?", "OptionQ"}]}], "]"}], ":=", 
    RowBox[{"Catch", "@", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "IndsNoLI", ",", "p", ",", "q", ",", "PrAs", ",", "SpaTimeDef", ",", 
         "TensProp"}], "}"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"M", "=", 
           RowBox[{"ManifoldOfCovD", "@", 
            RowBox[{"CovDOfMetric", "[", 
             RowBox[{"First", "@", 
              RowBox[{"InducedFrom", "@", "h"}]}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"DefProjectedTensorQ", "[", 
             RowBox[{"Name", ",", "h"}], "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
               RowBox[{"Throw", "@", 
                RowBox[{"Print", "[", 
                 RowBox[{
                 "\"\<** DefProjectedTensor: The projection properties on the \
hypersurfaces associated with the induced metric \>\"", ",", " ", "h", ",", 
                  "\"\< have already been defined for the tensor \>\"", ",", 
                  " ", "Name", ",", "\"\<.\>\""}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Throw", "[", "Null", "]"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
               RowBox[{"Print", "[", 
                RowBox[{
                "\"\<** DefProjectedTensor: Projection properties for the \
tensor \>\"", ",", " ", "Name", ",", 
                 "\"\< have been defined for another slicing. New projection \
properties on the hypersurfaces associated with the induced metric \>\"", ",",
                  " ", "h", ",", "\"\< are now added.\>\""}], "]"}]}], 
              "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
            "If", " ", "projection", " ", "properties", " ", "for", " ", 
             "the", " ", 
             RowBox[{"tensor", " ", "'"}], 
             RowBox[{"Name", "'"}], " ", "have", " ", "been", " ", "defined", 
             " ", "for", " ", "another", " ", "slicing"}], ",", " ", 
            RowBox[{"the", " ", 
             RowBox[{"command", " ", "'"}], 
             RowBox[{
              RowBox[{"Name", "[", "inds", "]"}], "'"}]}], ",", " ", 
            RowBox[{
             RowBox[{"with", " ", "'"}], 
             RowBox[{"inds", "'"}], " ", "being", " ", "abstract", " ", 
             "index"}], ",", " ", 
            RowBox[{"is", " ", "substituted", " ", 
             RowBox[{"by", " ", "'"}], 
             RowBox[{
              RowBox[{"Name", "[", 
               RowBox[{
                RowBox[{"LI", "[", "0", "]"}], ",", 
                RowBox[{"LI", "[", "0", "]"}], ",", "inds"}], "]"}], "'"}], 
             " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
               "refer", " ", "to", " ", "the", " ", "function", " ", 
                "DefProjectedTensorProperties", " ", "for", " ", "this", " ", 
                "rule"}], ")"}], ".", " ", "The"}], " ", "following", " ", 
             "command", " ", "then", " ", "serves", " ", "to", " ", "remove", 
             " ", "the", " ", "possible", " ", "label", " ", 
             RowBox[{"indices", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"IndsNoLI", "=", 
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"{", "inds", "}"}], ",", 
             RowBox[{
              RowBox[{"Not", "@", 
               RowBox[{"LIndexQ", "[", "#", "]"}]}], "&"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Length", "[", "IndsNoLI", "]"}], "\[GreaterEqual]", 
               " ", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"Not", "@", 
               RowBox[{"AnyIndicesListQ", "[", "IndsNoLI", "]"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Select", "[", 
                RowBox[{"IndsNoLI", ",", "UpIndexQ"}], "]"}], " ", "=!=", 
               RowBox[{"{", "}"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"Throw", "[", 
             RowBox[{"Message", "[", 
              RowBox[{
               RowBox[{"DefProjectedTensor", "::", "notdownindices"}], ",", 
               "Name"}], "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"**", "**", "**", "**"}], "*", " ", "The", " ", 
            "following", " ", "Message", " ", "is", " ", "not", " ", "yet", 
            " ", 
            RowBox[{"defined", "."}]}], " ", "**********)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Length", "[", "IndsNoLI", "]"}], "\[GreaterEqual]", 
               " ", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"AnyIndicesListQ", "[", "IndsNoLI", "]"}], ")"}]}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"Throw", "[", 
             RowBox[{"Message", "[", 
              RowBox[{
               RowBox[{"DefProjectedTensor", "::", "invalidanyindices"}], ",",
                "Name"}], "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"PrAs", "=", 
           RowBox[{
            RowBox[{"PrintAs", "/.", 
             RowBox[{"CheckOptions", "[", "options", "]"}]}], "/.", 
            RowBox[{"Options", "[", "DefProjectedTensor", "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SpaTimeDef", "=", 
           RowBox[{
            RowBox[{"SpaceTimesOfDefinition", "/.", 
             RowBox[{"CheckOptions", "[", "options", "]"}]}], "/.", 
            RowBox[{"Options", "[", "DefProjectedTensor", "]"}]}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"TensProp", "=", 
           RowBox[{
            RowBox[{"TensorProperties", "/.", 
             RowBox[{"CheckOptions", "[", "options", "]"}]}], "/.", 
            RowBox[{"Options", "[", "DefProjectedTensor", "]"}]}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], "||", 
             RowBox[{"DefTensorQ", "[", "Name", "]"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
              RowBox[{"Print", "[", 
               RowBox[{
               "\"\<** DefProjectedTensor: The tensor \>\"", ",", " ", "Name",
                 ",", "\"\< already exists. The projection properties on the \
hypersurfaces associated with the induced metric \>\"", ",", " ", "h", ",", 
                "\"\< are now defined.\>\""}], "]"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"DefTensor", "[", 
             RowBox[{
              RowBox[{"Name", "[", 
               RowBox[{
                RowBox[{"LI", "[", "p", "]"}], ",", 
                RowBox[{"LI", "[", "q", "]"}], ",", 
                RowBox[{"IndsNoLI", "/.", 
                 RowBox[{"List", "\[Rule]", "Sequence"}]}]}], "]"}], ",", "M",
               ",", 
              RowBox[{"Symmetric", "[", "IndsNoLI", "]"}], ",", 
              RowBox[{"PrintAs", "\[Rule]", "PrAs"}]}], "]"}]}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Definition", " ", "of", " ", "the", " ", "projection", " ", 
            "properties", " ", "for", " ", "the", " ", 
            RowBox[{"tensor", " ", "'"}], 
            RowBox[{
             RowBox[{"Name", "'"}], "."}]}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "@", 
             RowBox[{"AnyIndicesListQ", "[", "IndsNoLI", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"DefProjectedTensorProperties", "[", 
             RowBox[{"Name", ",", 
              RowBox[{"IndsNoLI", "/.", 
               RowBox[{"List", "\[Rule]", "Sequence"}]}], ",", "h", ",", 
              "TensProp", ",", "SpaTimeDef"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"DefProjectedTensorPropertiesAnyIndices", "[", 
             RowBox[{"Name", ",", "h", ",", "TensProp", ",", "SpaTimeDef"}], 
             "]"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"SetNumberOfArguments", "[", 
    RowBox[{"DefProjectedTensor", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "Infinity"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Protect", "[", "DefProjectedTensor", "]"}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"bbbabfee-89d2-4d86-a561-fd3a87978ea7"],

Cell["\<\

DefProjectedTensorProperties:\
\>", "Text",ExpressionUUID->"ff6a0739-bbd5-455a-92a4-7b9f22ecbed6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", 
    RowBox[{"MODULE", ":", " ", "DefProjectedTensorProperties"}]}], " ", 
   "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DefProjectedTensorProperties", "[", 
    RowBox[{"Name_", ",", 
     RowBox[{"inds___", "?", "DownIndexQ"}], ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", "Properties_List", ",", 
     "Spacetimes_List"}], "]"}], ":=", 
   RowBox[{"Catch", "@", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"prot", ",", "Lengthindices"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"g", "=", 
           RowBox[{"First", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"n", "=", 
           RowBox[{"Last", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"cd", "=", 
             RowBox[{"CovDOfMetric", "[", "h", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"M", "=", 
             RowBox[{"ManifoldOfCovD", "[", 
              RowBox[{"CovDOfMetric", "[", "g", "]"}], "]"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"SymmetricBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<SymmetricTensor\>\""}], "]"}],
                "===", 
               RowBox[{"{", "\"\<SymmetricTensor\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"TracelessBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<Traceless\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Traceless\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"TransverseBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<Transverse\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Transverse\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"BackgroundBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Spacetimes", ",", "\"\<Background\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Background\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PerturbedBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Spacetimes", ",", "\"\<Perturbed\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"ToCan", "=", 
             RowBox[{
              RowBox[{"ToCanonical", "[", 
               RowBox[{"#", ",", 
                RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], "]"}], 
              "&"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Not", "[", "SymmetricBool", "]"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", "2"}], 
               ")"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"Throw", "@", 
              RowBox[{"Message", "[", 
               RowBox[{
               "DefProjectedTensorProperties", "::", "symmetrictensors"}], 
               "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"DefProjectedTensorQ", "[", 
             RowBox[{"Name", ",", "h"}], "]"}], "^=", "True"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"InducedMetricOf", "[", "Name", "]"}], "^=", "h"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], "===", 
              "False"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"PropertiesList", "[", "Name", "]"}], "^=", 
               RowBox[{"Join", "[", 
                RowBox[{"Properties", ",", 
                 RowBox[{"Which", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}], "===", "0"}], ",", 
                   RowBox[{"{", "\"\<Scalar\>\"", "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}], "===", "1"}], ",", 
                   RowBox[{"{", "\"\<Vector\>\"", "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", 
                    "2"}], ",", 
                   RowBox[{"{", "\"\<Tensor\>\"", "}"}]}], "]"}]}], "]"}]}], 
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Name", "[", 
                RowBox[{"indices___", "?", "AIndexQ"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices"}], "]"}], 
                "\[IndentingNewLine]", "/;", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "indices", "}"}], "]"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", 
                  RowBox[{"p_", "?", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                 RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices"}], "]"}], 
                "\[IndentingNewLine]", "/;", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "indices", "}"}], "]"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "For", " ", "tensors", " ", "of", " ", "rank", " ", "larger", 
                 " ", "than", " ", "or", " ", "equal", " ", "to", " ", "2"}], 
                ",", " ", 
                RowBox[{
                "the", " ", "following", " ", "rules", " ", "provide", " ", 
                 "the", " ", "traceless", " ", 
                 RowBox[{"property", "."}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", 
                   "2"}], ")"}], "&&", "TracelessBool"}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    "Dum_", ",", "indices2___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices3___"}], "]"}], ":=", 
                  
                  RowBox[{"0", " ", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___", ",", "Dum_", 
                    ",", "indices3___"}], "]"}], ":=", 
                  RowBox[{"0", " ", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
                    ",", "indices2___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices3___"}], "]"}], ":=", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices2", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3"}], "]"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    
                    RowBox[{"2", "*", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy1"}], ",", "indices2", ",", 
                    RowBox[{"-", "Dummy2"}], ",", "indices3"}], "]"}], 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "]"}]}]}], ")"}]}]}]}],
                     "\[IndentingNewLine]", " ", "\[IndentingNewLine]", "]"}],
                    "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___", ",", "Dum_", 
                    ",", "indices3___"}], "]"}], ":=", "\[IndentingNewLine]", 
                  
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices2", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3"}], "]"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    
                    RowBox[{"2", " ", "*", " ", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy1"}], ",", "indices2", ",", 
                    RowBox[{"-", "Dummy2"}], ",", "indices3"}], "]"}], 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "]"}]}]}], ")"}]}]}]}],
                     "\[IndentingNewLine]", " ", "\[IndentingNewLine]", "]"}],
                    "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PerturbationOrder", "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], "]"}], 
                "]"}], "^:=", 
               RowBox[{"Catch", "@", 
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "=!=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The number of indices for the tensor \
\>\"", ",", " ", "Name", ",", "\"\< is incorrect.\>\""}], "]"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}], ",", 
                    "\[IndentingNewLine]", "0", ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}], "]"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumericQ", "[", "q", "]"}], ",", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]}], ";",
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{"TO", " ", 
                 RowBox[{"DO", ":", " ", "Here"}]}], ",", " ", 
                RowBox[{
                "we", " ", "have", " ", "to", " ", "comment", " ", "on", " ", 
                 "the", " ", "commutation", " ", "between", " ", "perturbing",
                  " ", "and", " ", "Lie", " ", 
                 RowBox[{"deriving", ".", " ", "This"}], " ", "commutation", 
                 " ", "stems", " ", "from", " ", "the", " ", "fact", " ", 
                 "that", " ", "the", " ", "Lie", " ", "derivative", " ", "is",
                  " ", "a", " ", "background", " ", "Lie", " ", 
                 RowBox[{"derivative", "."}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
               "PerturbedBool", ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "For", " ", "any", " ", "perturbed", " ", "tensors"}], ",", 
                  " ", 
                  RowBox[{"we", " ", 
                   RowBox[{"have", ":"}]}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PerturbationOrder", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "=!=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The number of indices for the tensor \
\>\"", ",", " ", "Name", ",", "\"\< is incorrect.\>\""}], "]"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "1"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", "p", ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}], "]"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"NumericQ", "[", "p", "]"}], "&&", 
                    RowBox[{"NumericQ", "[", "q", "]"}]}], ",", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"the", " ", "rule", " ", 
                    RowBox[{"for", " ", "'"}], "p"}], " ", "=", " ", 
                    RowBox[{
                    RowBox[{"0", "'"}], " ", "is", " ", "defined", " ", 
                    "above"}]}], ")"}], " ", "*)"}], "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                   "and", " ", "for", " ", "perturbed", " ", "scalar", " ", 
                    "quantities"}], ",", " ", 
                   RowBox[{"we", " ", 
                    RowBox[{"have", ":"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "0"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p", "+", "1"}], "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], ",", 
                    "PertOrder_"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Not", "[", 
                    RowBox[{"IntegerQ", "[", "PertOrder", "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The order of the perturbation has to be \
an integer.\>\"", "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "0"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p", "+", "PertOrder"}], "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "For", " ", "tensors", " ", "living", " ", "on", " ", "the", 
                 " ", "background", " ", "only"}], ",", " ", 
                RowBox[{"we", " ", 
                 RowBox[{"have", ":"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"BackgroundBool", "&&", 
                 RowBox[{"Not", "[", "PerturbedBool", "]"}]}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], ",", "PertOrder_"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "=!=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The number of indices for the tensor \
\>\"", ",", " ", "Name", ",", "\"\< is incorrect.\>\""}], "]"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Not", "[", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"PertOrder", "===", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "PertOrder", "]"}], "&&", 
                    RowBox[{"PertOrder", "\[GreaterEqual]", "1"}]}], ")"}], 
                    ",", "\[IndentingNewLine]", "0", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The order of the perturbation has to be \
a positive integer.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]}], 
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "=!=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The number of indices for the tensor \
\>\"", ",", " ", "Name", ",", "\"\< is incorrect.\>\""}], "]"}], "]"}]}], 
                    "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ",", 
                    "\[IndentingNewLine]", "0", ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{"For", " ", "pure", " ", "perturbations", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"i", ".", "e", ".", " ", "for"}], " ", "tensors", 
                   " ", "without", " ", "background", " ", "values"}], 
                  ")"}]}], ",", " ", 
                RowBox[{"we", " ", 
                 RowBox[{"have", ":"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Not", "[", "BackgroundBool", "]"}], "&&", 
                 "PerturbedBool"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "This", " ", "is", " ", "the", " ", "0.4", ".0", " ", 
                  "version", " ", "way", " ", "to", " ", "do", " ", 
                  RowBox[{"it", ".", " ", "We"}], " ", "define", " ", "a", 
                  " ", "delayed", " ", "0", " ", "value", " ", "for", " ", 
                  "the", " ", "background"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "However", " ", "this", " ", "is", " ", "problematic", " ", 
                  "when", " ", "we", " ", "want", " ", "to", " ", 
                  RowBox[{"perturb", ".", " ", "Because"}], " ", "then", " ", 
                  "when", " ", "we", " ", "perturbe", " ", "this", " ", 
                  "quantity"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{"we", " ", "write", " ", 
                   RowBox[{"Perturbed", "[", "quantity", "]"}], " ", "but", 
                   " ", "Mathematica", " ", "will", " ", "read", " ", 
                   RowBox[{"Perturbed", "[", "0", "]"}]}], ",", " ", 
                  RowBox[{
                  "and", " ", "so", " ", "this", " ", "leads", " ", "to", " ",
                    "0."}]}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "Instead", " ", "we", " ", "should", " ", "append", " ", 
                   "this", " ", "to", " ", "a", " ", "list", " ", "of", " ", 
                   "rules"}], ",", " ", 
                  RowBox[{
                  "that", " ", "should", " ", "be", " ", "applied", " ", "in",
                    " ", "SplitPerturbations"}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "The", " ", "easiest", " ", "way", " ", "is", " ", "to", " ",
                   "define", " ", "a", " ", "set", " ", "of", " ", "global", 
                  " ", "rules", " ", "and", " ", "to", " ", "append", " ", 
                  "a", " ", "new", " ", "rule", " ", "each", " ", "time", " ",
                   "there", " ", "is", " ", "a", " ", "tensor", " ", 
                  "vanishing", " ", "on", " ", "the", " ", "background"}], 
                 " ", "*)"}], "\[IndentingNewLine]", "\t", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"Old", " ", "implementation"}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":=", 
                   RowBox[{"0", "\[IndentingNewLine]", "/;", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";"}], 
                 "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"New", " ", "implementation"}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Lengthindices", "=", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"$RulesVanishingBackgroundFields", "[", "h", "]"}], 
                  "=", 
                  RowBox[{"Append", "[", 
                   RowBox[{
                    RowBox[{
                    "$RulesVanishingBackgroundFields", "[", "h", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":>", 
                    RowBox[{"0", "\[IndentingNewLine]", "/;", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "indices", "}"}], "]"}], "===", 
                    "Lengthindices"}], ")"}]}]}]}], " ", "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], "^=", 
               "True"}], ";"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"PropertiesList", "[", "Name", "]"}], "^=", 
            "\[IndentingNewLine]", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"PropertiesList", "[", "Name", "]"}], ",", 
              RowBox[{"Which", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}], "===", "1"}], "&&", 
                 "TransverseBool"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<SVT-Vector associated with the induced metric \>\"", 
                  " ", "h", " ", "\"\<\>\""}], "}"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", 
                  "2"}], "&&", "SymmetricBool", "&&", "TracelessBool", "&&", 
                 "TransverseBool"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<SVT-Tensor associated with the induced metric \>\"", 
                  " ", "h", " ", "\"\<\>\""}], "}"}], ",", 
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", "0"}],
                 ",", 
                RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"'", "SVT"}], "-", 
             RowBox[{
              RowBox[{"Vector", "'"}], " ", "is", " ", "a", " ", "vector", 
              " ", "satisfying", " ", "the", " ", "SVT"}], "-", 
             RowBox[{"decomposition", " ", "properties", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"hence", " ", "it", " ", "is", " ", "transverse"}], 
                ")"}], ".", " ", "\[IndentingNewLine]", "'"}], "SVT"}], "-", 
             RowBox[{
              RowBox[{"Tensor", "'"}], " ", "is", " ", "a", " ", "tensor", 
              " ", "satisfying", " ", "the", " ", "SVT"}], "-", 
             RowBox[{"decomposition", " ", "properties", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"hence", " ", "it", " ", "is", " ", "symmetric"}], 
                 ",", " ", 
                 RowBox[{"traceless", " ", "and", " ", "transverse"}]}], 
                ")"}], "."}]}]}], "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "The", " ", "Lie", " ", "derivative", " ", "for", " ", "tensors",
               " ", "with", " ", "indices", " ", 
              StyleBox["down",
               FontVariations->{"Underline"->True}], " ", "is", " ", 
              "represented", " ", "by", " ", "the", " ", "second", " ", 
              "label"}], "-", 
             RowBox[{"index", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"LieD", "[", 
              RowBox[{"n", "[", "Dum_", "]"}], "]"}], "[", 
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"indices___", "?", "DownIndexQ"}]}], "]"}], "]"}], ":=",
             " ", 
            RowBox[{
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{"$ConformalTime", ",", "1", ",", 
                RowBox[{
                 RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "]"}], "*", 
              RowBox[{"Name", "[", 
               RowBox[{
                RowBox[{"LI", "[", "p", "]"}], ",", 
                RowBox[{"LI", "[", 
                 RowBox[{"q", "+", "1"}], "]"}], ",", "indices"}], "]"}]}], 
             "\[IndentingNewLine]", "/;", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"{", "indices", "}"}], "]"}], "===", 
               RowBox[{"Length", "[", 
                RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "For", " ", "tensors", " ", "of", " ", "rank", " ", "larger", 
              " ", "than", " ", "or", " ", "equal", " ", "to", " ", "1"}], 
             ","}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Length", "[", 
               RowBox[{"{", "inds", "}"}], "]"}], "\[GreaterEqual]", "1"}], 
             ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"we", " ", "bypass", " ", 
               RowBox[{"OrthogonalToVectorQ", ":"}]}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"OrthogonalToVectorQ", "[", "n", "]"}], "[", "Name", 
                "]"}], "=", "True"}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"Projection", " ", "conditions"}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "The", " ", "contraction", " ", "with", " ", "the", " ", 
                 "vector", " ", "normal", " ", "to", " ", "the", " ", 
                 "hypersurfaces", " ", "gives", " ", "0", " ", 
                 RowBox[{"(", 
                  RowBox[{
                  "since", " ", "the", " ", "tensor", " ", "is", " ", 
                   "projected"}], ")"}]}], ":"}], " ", "*)"}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
                  ",", "indices2___"}], "]"}], 
                RowBox[{"n", "[", 
                 RowBox[{"-", "Dum_"}], "]"}]}], ":=", 
               RowBox[{"0", " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"n", "[", "Dum_", "]"}]}], ":=", 
               RowBox[{"0", " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
               "and", " ", "the", " ", "action", " ", "of", " ", "the", " ", 
                "projector", " ", "onto", " ", "the", " ", "hypersurfaces", 
                " ", "is", " ", "an", " ", "invariant", " ", 
                RowBox[{"operation", ":"}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
               "However", " ", "this", " ", "is", " ", "left", " ", "to", " ",
                 "post", " ", "processing", " ", 
                RowBox[{"that", "'"}], "s", " ", "why", " ", "we", " ", 
                "load", " ", "this", " ", "rule", " ", "into", " ", 
                "$Rulecdh"}], " ", "*)"}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"$Rulecdh", "[", "h", "]"}], "=", 
               RowBox[{"Append", "[", 
                RowBox[{
                 RowBox[{"$Rulecdh", "[", "h", "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    "Dum1_", ",", "indices2___"}], "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "Dum1_"}], ",", 
                    RowBox[{"-", "Dum2_"}]}], "]"}]}], ":>", 
                  RowBox[{
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}]}], "]"}]}],
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"$Rulecdh", "[", "h", "]"}], "=", 
               RowBox[{"Append", "[", 
                RowBox[{
                 RowBox[{"$Rulecdh", "[", "h", "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"Dum1_", "?", "UpIndexQ"}], ",", 
                    RowBox[{"Dum2_", "?", "UpIndexQ"}]}], "]"}]}], ":>", 
                  RowBox[{
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
                    "Dum2", ",", "indices2"}], "]"}], " ", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}]}], "]"}]}],
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  "Dum1_", ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum1_"}], ",", 
                  RowBox[{"Dum2_", "?", "UpIndexQ"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", "Dum2",
                   ",", "indices2"}], "]"}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  "Dum1_", ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"Dum2_", "?", "UpIndexQ"}], ",", 
                  RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", "Dum2",
                   ",", "indices2"}], "]"}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{"Dum1_", ",", 
                  RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum2_"}], ",", "Dum1_"}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "When", " ", "there", " ", "are", " ", "Lie", " ", 
                 "derivatives"}], ",", " ", 
                RowBox[{
                "h", " ", "contracted", " ", "automatically", " ", "only", 
                 " ", "when", " ", "the", " ", "free", " ", "index", " ", 
                 "is", " ", 
                 RowBox[{"down", ".", " ", "Otherwise"}], " ", "it", " ", 
                 "requires", " ", "ContractMetric", " ", "to", " ", "perform",
                  " ", "contraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
                  ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum1_"}], ",", 
                  RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
                  ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum2_"}], ",", 
                  RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{"Dum1_", ",", 
                  RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum2_"}], ",", "Dum1_"}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                  RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}], " ", "/;", 
                
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
               "g", " ", "converted", " ", "to", " ", "h", " ", "when", " ", 
                "contracted", " ", "with", " ", "a", " ", "projected", " ", 
                RowBox[{"tensor", ".", " ", "It"}], " ", "is", " ", "made", 
                " ", "automatic"}], " ", "*)"}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
                  ",", "indices2___"}], "]"}], 
                RowBox[{"g", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum1_"}], ",", "Dum2_"}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Name", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p", "]"}], ",", 
                   RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                   "Dum1", ",", "indices2"}], "]"}], 
                 RowBox[{"h", "[", 
                  RowBox[{
                   RowBox[{"-", "Dum1"}], ",", "Dum2"}], "]"}]}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
                  ",", "indices2___"}], "]"}], 
                RowBox[{"g", "[", 
                 RowBox[{"Dum2_", ",", 
                  RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Name", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p", "]"}], ",", 
                   RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                   "Dum1", ",", "indices2"}], "]"}], " ", 
                 RowBox[{"h", "[", 
                  RowBox[{"Dum2", ",", 
                   RowBox[{"-", "Dum1"}]}], "]"}]}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"g", "[", 
                 RowBox[{"Dum1_", ",", "Dum2_"}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Name", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p", "]"}], ",", 
                   RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                   RowBox[{"-", "Dum1"}], ",", "indices2"}], "]"}], " ", 
                 RowBox[{"h", "[", 
                  RowBox[{"Dum1", ",", "Dum2"}], "]"}]}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"g", "[", 
                 RowBox[{"Dum2_", ",", "Dum1_"}], "]"}]}], ":=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Name", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p", "]"}], ",", 
                   RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                   RowBox[{"-", "Dum1"}], ",", "indices2"}], "]"}], " ", 
                 RowBox[{"h", "[", 
                  RowBox[{"Dum2", ",", "Dum1"}], "]"}]}], " ", "/;", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                   "1"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "If", " ", "the", " ", "tensor", " ", "belongs", " ", 
                 RowBox[{"(", 
                  RowBox[{"at", " ", "least"}], ")"}], " ", "to", " ", "the", 
                 " ", "perturbed", " ", "manifold"}], ",", " ", 
                RowBox[{
                "and", " ", "if", " ", "it", " ", "is", " ", "tranverse"}], 
                ","}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"PerturbedBool", " ", "&&", " ", "TransverseBool"}], 
                ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"(", 
                  RowBox[{"transverse", " ", "property"}], ")"}], " ", "*)"}],
                 "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], "]"}],
                   ":=", "\[IndentingNewLine]", 
                  RowBox[{"0", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum_"}], "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    "Dum_", ",", "indices2___"}], "]"}], "]"}], ":=", 
                  "\[IndentingNewLine]", 
                  RowBox[{"0", "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{"then", " ", "the", " ", "first", " ", 
                    RowBox[{"rule", ":", " ", 
                    RowBox[{
                    SuperscriptBox["D", "a"], 
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    SubscriptBox["T", 
                    RowBox[{
                    RowBox[{"a", "..."}], " "}]]}]}]}], "=", " ", 
                   RowBox[{
                    RowBox[{
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["D", "a"], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}], ")"}]}], " ", "-", " ", 
                    RowBox[{
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    RowBox[{"(", 
                    SuperscriptBox["g", "ab"], ")"}], 
                    SubscriptBox["D", "b"], 
                    SubscriptBox[
                    SubscriptBox["T", "a"], "..."]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["g", "ab"], "[", 
                    RowBox[{
                    SubscriptBox["D", "b"], ",", 
                    SubscriptBox["\[ScriptCapitalL]", "n"]}], "]"}], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"indices1___", "?", "DownIndexQ"}], ",", 
                    RowBox[{"-", "Dum_"}], ",", 
                    RowBox[{"indices2___", "?", "DownIndexQ"}]}], "]"}], 
                   "]"}], ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"ToCan", "@", 
                    RowBox[{
                    "ContractMetric", "[", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "-", " ", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], " ", "&"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
                     "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{"and", " ", "the", " ", "second", " ", 
                    RowBox[{"rule", ":", " ", 
                    RowBox[{
                    SubscriptBox["D", "a"], 
                    SuperscriptBox["g", "ab"], 
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    SubscriptBox[
                    SubscriptBox["T", "b"], 
                    RowBox[{"...", " "}]]}]}]}], "=", " ", 
                   RowBox[{
                    RowBox[{
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["D", "a"], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}], ")"}]}], " ", "-", " ", 
                    RowBox[{
                    SubscriptBox["\[ScriptCapitalL]", "n"], 
                    RowBox[{"(", 
                    SuperscriptBox["g", "ab"], ")"}], 
                    SubscriptBox["D", "b"], 
                    SubscriptBox[
                    SubscriptBox["T", "a"], "..."]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    SuperscriptBox["g", "ab"], "[", 
                    RowBox[{
                    SubscriptBox["D", "b"], ",", 
                    SubscriptBox["\[ScriptCapitalL]", "n"]}], "]"}], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{"XR", " ", "remark", " ", 
                    RowBox[{"09", "/", "2015"}]}], ":", " ", 
                   RowBox[{
                   "careful", " ", "that", " ", "the", " ", "index", " ", 
                    "up", " ", "means", " ", "that", " ", "it", " ", "is", 
                    " ", "raised", " ", "after", " ", "the", " ", "Lie", " ", 
                    "derivative", " ", "is", " ", 
                    RowBox[{"taken", ".", " ", "Thus"}], " ", "the", " ", 
                    "rhs", " ", "is", " ", "the", " ", "same", " ", "as", " ",
                     "the", " ", "previous", " ", 
                    RowBox[{"rule", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum_"}], "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"indices1___", "?", "DownIndexQ"}], ",", "Dum_", 
                    ",", 
                    RowBox[{"indices2___", "?", "DownIndexQ"}]}], "]"}], 
                   "]"}], ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"ToCan", "@", 
                    RowBox[{
                    "ContractMetric", "[", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "-", " ", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], " ", "&"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "+", " ", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
                     "\[IndentingNewLine]", "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", 
                    "1"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                   "If", " ", "the", " ", "indices", " ", "are", " ", "not", 
                    " ", "down"}], ",", " ", 
                   RowBox[{
                    RowBox[{"we", " ", "separate", " ", 
                    RowBox[{"them", ".", " ", "In"}], " ", "practice", " ", 
                    "this", " ", "happens", " ", "almost", " ", "never"}], 
                    "..."}]}], " ", "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                   "This", " ", "is", " ", "for", " ", "the", " ", "case", 
                    " ", "where", " ", "we", " ", "have", " ", "at", " ", 
                    "least", " ", "one", " ", "derivative"}], ",", " ", 
                   RowBox[{
                   "for", " ", "which", " ", "the", " ", "meaning", " ", "is",
                     " ", "only", " ", "when", " ", "the", " ", "index", " ", 
                    "is", " ", 
                    RowBox[{"down", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices3___", 
                    ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], "]"}],
                   ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Dummy", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Dummy", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices3", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                     "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices3___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}],
                     "]"}], "]"}], ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Dummy", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Dummy", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                     "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum_"}], "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices3___", 
                    ",", "Dum_", ",", "indices2___"}], "]"}], "]"}], ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Dummy", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Dummy", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices3", ",", "Dum", ",", 
                    "indices2"}], "]"}], "]"}]}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum_"}], "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
                    ",", "indices3___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}],
                     "]"}], "]"}], ":=", 
                  RowBox[{
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Dummy", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Dummy", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices3", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                     "]"}], "/;", 
                   RowBox[{"(", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", "indices1", "}"}], ",", 
                    RowBox[{"{", "indices2", "}"}], ",", 
                    RowBox[{"{", "indices3", "}"}]}], "]"}], "]"}], "+", 
                    "2"}], "===", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
              "The", " ", "following", " ", "rule", " ", "serves", " ", "to", 
               " ", "express", " ", "the", " ", "three"}], "-", 
              RowBox[{"covariant", " ", "derivative", " ", "of", " ", 
               RowBox[{"(", "homogeneous", ")"}], " ", "background", " ", 
               "quantities", " ", "in", " ", "terms", " ", "of", " ", "the", 
               " ", "connection", " ", 
               RowBox[{"components", ".", " ", "For"}], " ", "instance"}]}], 
             ",", " ", 
             RowBox[{"'", 
              SubscriptBox["D", "i"], 
              RowBox[{
               SubscriptBox["\[Omega]", "j"], "'"}], " ", "is", " ", 
              "replaced", " ", 
              RowBox[{"by", ":", " ", 
               RowBox[{"'", "-", " ", 
                RowBox[{
                 SubscriptBox[
                  SuperscriptBox["\[CapitalGamma]", "a"], "ij"], 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[Omega]", "a"], "'"}], "."}]}]}]}]}]}], " ",
             "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
            "BackgroundBool", ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dummy2_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", "indices___"}], "]"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", "Dummy1", "}"}], ",", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"ToCan", "[", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Connection", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2", ",", "#"}], "]"}]}], 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices"}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "Dummy1"}]}]}], "]"}]}], ")"}], "&"}], "/@", 
                    " ", 
                    RowBox[{"{", "indices", "}"}]}], ")"}]}], "]"}]}]}], 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], "/;", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "indices", "}"}], "]"}], "===", 
                  RowBox[{"Length", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";"}]}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Confer", " ", "the", " ", "function", " ", "SetSlicing", " ", 
             "for", " ", "the", " ", "definition", " ", 
             RowBox[{"of", " ", "'"}], 
             RowBox[{"Connection", "'"}], " ", "and", " ", "its", " ", 
             RowBox[{"properties", "."}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "Is", " ", "the", " ", "above", " ", "relation", " ", "correct", 
              " ", "for", " ", "space"}], "-", 
             RowBox[{"time", " ", 
              RowBox[{"indices", "?", " ", "To"}], " ", 
              RowBox[{"check", "!"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
           
           RowBox[{"(*", " ", 
            RowBox[{"What", " ", "is", " ", "the", " ", "need", " ", 
             RowBox[{"for", " ", "'"}], 
             RowBox[{
              RowBox[{"Evaluate", "'"}], "?", " ", "I"}], " ", 
             RowBox[{"forgot", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"In", " ", "principle"}], ",", " ", 
             RowBox[{
             "the", " ", "following", " ", "rule", " ", "needs", " ", "not", 
              " ", "to", " ", "be", " ", 
              RowBox[{"used", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"However", ",", " ", 
             RowBox[{"it", " ", "makes", " ", "sure", " ", "that"}], ",", " ", 
             RowBox[{
             "if", " ", "something", " ", "went", " ", "wrong", " ", "in", 
              " ", "our", " ", "algorithm"}], ",", " ", 
             RowBox[{
             "and", " ", "the", " ", "Lie", " ", "derivatives", " ", "acts", 
              " ", "on", " ", "a", " ", "tensor", " ", "with", " ", "up", " ",
               "indices"}], ",", " ", 
             RowBox[{
             "then", " ", "this", " ", "converted", " ", "to", " ", "down", 
              " ", 
              RowBox[{"indices", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "This", " ", "ensures", " ", "that", " ", "the", " ", "algorithm",
              " ", "for", " ", "splitting", " ", "the", " ", "covariant", " ",
              "derivatives", " ", "into", " ", "induced", " ", "derivatives", 
             " ", "and", " ", "Lie", " ", "derivative", " ", "always", " ", 
             RowBox[{"works", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"LieD", "[", 
              RowBox[{"n", "[", "Dummy1_", "]"}], "]"}], "[", 
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                  ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                  ")"}]}], "]"}], ",", 
               RowBox[{"indices1___", "?", "AIndexQ"}], ",", 
               RowBox[{"IndexUp_", "?", "UpIndexQ"}], ",", 
               RowBox[{"indices2___", "?", "AIndexQ"}]}], "]"}], "]"}], ":=", 
            
            RowBox[{
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", "Dum", "}"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Dum", "=", 
                 RowBox[{"DummyIn", "[", 
                  RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"g", "[", 
                   RowBox[{"IndexUp", ",", "Dum"}], "]"}], 
                  RowBox[{
                   RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}]}], 
                 "+", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                   RowBox[{"g", "[", 
                    RowBox[{"IndexUp", ",", "Dum"}], "]"}], "]"}], " ", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}]}]}]}]}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], "/;", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", "indices1", "}"}], ",", 
                   RowBox[{"{", "indices2", "}"}]}], "]"}], "]"}], "+", "1"}],
                "===", 
               RowBox[{"Length", "[", 
                RowBox[{"{", "inds", "}"}], "]"}]}], ")"}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"5cb96bec-8b0a-4216-aa82-df1ce876e336"],

Cell["\<\

DefProjectedTensorPropertiesAnyIndices:\
\>", "Text",ExpressionUUID->"8f3eaddc-31dd-427e-8b6c-6c92b78a97af"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"**", " ", 
    RowBox[{"MODULE", ":", " ", "DefProjectedTensorPropertiesAnyIndices"}]}], 
   " ", "***)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DefProjectedTensorPropertiesAnyIndices", "[", 
    RowBox[{"Name_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", "Properties_List", ",", 
     "Spacetimes_List"}], "]"}], ":=", 
   RowBox[{"Catch", "@", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"g", "=", 
           RowBox[{"First", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"n", "=", 
           RowBox[{"Last", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "\[IndentingNewLine]",
           "\[IndentingNewLine]", 
          RowBox[{"cd", "=", 
           RowBox[{"CovDOfMetric", "[", "h", "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"M", "=", 
             RowBox[{"ManifoldOfCovD", "[", 
              RowBox[{"CovDOfMetric", "[", "g", "]"}], "]"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"SymmetricBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<SymmetricTensor\>\""}], "]"}],
                "===", 
               RowBox[{"{", "\"\<SymmetricTensor\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"TracelessBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<Traceless\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Traceless\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"TransverseBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Properties", ",", "\"\<Transverse\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Transverse\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"BackgroundBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Spacetimes", ",", "\"\<Background\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Background\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"PerturbedBool", "=", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"Spacetimes", ",", "\"\<Perturbed\>\""}], "]"}], "===", 
               RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"ToCan", "=", 
             RowBox[{
              RowBox[{"ToCanonical", "[", 
               RowBox[{"#", ",", 
                RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], "]"}], 
              "&"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"DefProjectedTensorQ", "[", 
             RowBox[{"Name", ",", "h"}], "]"}], "^=", "True"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"InducedMetricOf", "[", "Name", "]"}], "^=", "h"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], "===", 
              "False"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"PropertiesList", "[", "Name", "]"}], "^=", 
               "\[IndentingNewLine]", 
               RowBox[{"Join", "[", 
                RowBox[{"Properties", ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<Scalar\>\"", ",", "\"\<Vector\>\"", ",", 
                   "\"\<Tensor\>\""}], "}"}]}], "]"}]}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Name", "[", 
                RowBox[{"indices___", "?", "AIndexQ"}], "]"}], ":=", 
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", "0", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "indices"}], "]"}]}], 
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", 
                  RowBox[{"p_", "?", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                 RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":=", 
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", "p", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "indices"}], "]"}]}], 
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
               "The", " ", "following", " ", "rule", " ", "provides", " ", 
                "the", " ", "symmetry", " ", 
                RowBox[{"property", "."}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{"SymmetricBool", ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"SymmetryGroupOfTensor", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices__"}], "]"}],
                    "]"}], "^:=", 
                  RowBox[{"Symmetric", "[", 
                   RowBox[{
                    RowBox[{"2", "+", 
                    RowBox[{"Range", "@", 
                    RowBox[{"Length", "@", 
                    RowBox[{"{", "indices", "}"}]}]}]}], ",", "Cycles"}], 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
               "The", " ", "following", " ", "rules", " ", "provide", " ", 
                "the", " ", "traceless", " ", 
                RowBox[{"property", "."}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
               "TracelessBool", ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    "Dum_", ",", "indices2___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices3___"}], "]"}], ":=", 
                  "0"}], " ", ";", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___", ",", "Dum_", 
                    ",", "indices3___"}], "]"}], ":=", "0"}], " ", ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
                    ",", "indices2___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices3___"}], "]"}], ":=", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Module", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices2", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3"}], "]"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    
                    RowBox[{"2", " ", "*", " ", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy1"}], ",", "indices2", ",", 
                    RowBox[{"-", "Dummy2"}], ",", "indices3"}], "]"}], 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "]"}]}]}], ")"}]}]}]}],
                    "\[IndentingNewLine]", " ", "\[IndentingNewLine]", 
                   "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                    RowBox[{"-", "Dum_"}], ",", "indices2___", ",", "Dum_", 
                    ",", "indices3___"}], "]"}], ":=", "\[IndentingNewLine]", 
                  
                  RowBox[{"Module", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Dummy1", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dummy2", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices2", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3"}], "]"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    
                    RowBox[{"2", " ", "*", " ", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy1"}], ",", "indices2", ",", 
                    RowBox[{"-", "Dummy2"}], ",", "indices3"}], "]"}], 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2"}], "]"}]}]}], ")"}]}]}]}],
                    "\[IndentingNewLine]", " ", "\[IndentingNewLine]", 
                   "]"}]}], ";"}]}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PerturbationOrder", "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], "]"}], 
                "]"}], "^:=", 
               RowBox[{"Catch", "@", 
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}], ",", 
                    "\[IndentingNewLine]", "0", ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}], "]"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumericQ", "[", "q", "]"}], ",", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]}], ";",
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"TO", " ", 
                RowBox[{"DO", ":", " ", 
                 RowBox[{
                 "We", " ", "here", " ", "have", " ", "to", " ", "comment", 
                  " ", "on", " ", "the", " ", "commutation", " ", "between", 
                  " ", "perturbing", " ", "and", " ", "Lie", " ", 
                  RowBox[{"deriving", ".", " ", "This"}], " ", "commutation", 
                  " ", "stems", " ", "from", " ", "the", " ", "fact", " ", 
                  "that", " ", "the", " ", "Lie", " ", "derivative", " ", 
                  "is", " ", "a", " ", "background", " ", "Lie", " ", 
                  RowBox[{"derivative", "."}]}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
               "PerturbedBool", ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "For", " ", "any", " ", "perturbed", " ", "tensors"}], ",", 
                  " ", 
                  RowBox[{"we", " ", 
                   RowBox[{"have", ":"}]}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"PerturbationOrder", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "1"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", "p", ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}], "]"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"NumericQ", "[", "p", "]"}], "&&", 
                    RowBox[{"NumericQ", "[", "q", "]"}]}], ",", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{"The", " ", "rule", " ", 
                    RowBox[{"for", " ", "'"}], "p"}], " ", "=", " ", 
                   RowBox[{
                    RowBox[{"0", "'"}], " ", "is", " ", "defined", " ", "at", 
                    " ", "the", " ", "beginning", " ", "of", " ", "the", " ", 
                    
                    RowBox[{"module", "."}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                   "and", " ", "for", " ", "perturbed", " ", "scalar", " ", 
                    "quantities"}], ",", " ", 
                   RowBox[{"we", " ", 
                    RowBox[{"have", ":"}]}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "0"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p", "+", "1"}], "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], ",", 
                    "PertOrder_"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Not", "[", 
                    RowBox[{"IntegerQ", "[", "PertOrder", "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The order of the perturbation has to be \
an integer.\>\"", "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "p", "]"}], "&&", 
                    RowBox[{"p", "\[GreaterEqual]", "0"}]}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ")"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p", "+", "PertOrder"}], "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The label-indices have to be positive \
integers.\>\"", "]"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "For", " ", "tensors", " ", "living", " ", "on", " ", "the", 
                 " ", "background", " ", "only"}], ",", " ", 
                RowBox[{"we", " ", 
                 RowBox[{"have", ":"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"BackgroundBool", "&&", 
                 RowBox[{"Not", "[", "PerturbedBool", "]"}]}], ",", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], ",", "PertOrder_"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Not", "[", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"PertOrder", "===", "0"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "PertOrder", "]"}], "&&", 
                    RowBox[{"PertOrder", "\[GreaterEqual]", "1"}]}], ")"}], 
                    ",", "\[IndentingNewLine]", "0", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The order of the perturbation has to be \
a positive integer.\>\"", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]}], 
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Perturbation", "[", 
                   RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], "]"}], "^:=", 
                  RowBox[{"Catch", "@", 
                   RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"AIndexQ", "/@", 
                    RowBox[{"{", "indices", "}"}]}], ",", "False"}], "]"}], "=!=", 
                    RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<** Warning: The indices of the tensor \>\"", ",", 
                    " ", "Name", ",", 
                    "\"\< have to be abstract indices.\>\""}], "]"}], "]"}]}],
                     "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "q", "]"}], "&&", 
                    RowBox[{"q", "\[GreaterEqual]", "0"}]}], ",", 
                    "\[IndentingNewLine]", "0", ",", "\[IndentingNewLine]", 
                    RowBox[{"Throw", "[", 
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: The second label-index has to be a \
positive integer.\>\"", "]"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"Name", "/:", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                   "]"}], ":=", "0"}]}]}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{"For", " ", "perturbations", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"i", ".", "e", ".", " ", "for"}], " ", "tensors", 
                   " ", "without", " ", "background", " ", "values"}], 
                  ")"}]}], ",", " ", 
                RowBox[{"we", " ", 
                 RowBox[{"have", ":"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Not", "[", "BackgroundBool", "]"}], "&&", 
                 "PerturbedBool"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "Again", " ", "we", " ", "do", " ", "not", " ", "Set", " ", 
                  "it", " ", "to", " ", "0", " ", "but", " ", "rather", " ", 
                  "add", " ", "a", " ", "rule", " ", "which", " ", "is", " ", 
                  "used", " ", "in", " ", "SplitPerturbations"}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "So", " ", "when", " ", "we", " ", "perturbed", " ", "a", 
                  " ", "quantity", " ", "this", " ", "avoids", " ", "to", " ",
                   "do", " ", 
                  RowBox[{
                   RowBox[{"Perturbed", "[", "0", "]"}], "."}]}], " ", "*)"}],
                 "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":=", 
                  "0"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"$RulesVanishingBackgroundFields", "[", "h", "]"}], 
                  "=", 
                  RowBox[{"Append", "[", 
                   RowBox[{
                    RowBox[{
                    "$RulesVanishingBackgroundFields", "[", "h", "]"}], ",", 
                    RowBox[{
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", 
                    RowBox[{"indices___", "?", "AIndexQ"}]}], "]"}], ":>", 
                    "0"}]}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], 
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"DefProjectedTensorQ", "[", "Name", "]"}], "^=", 
               "True"}], ";"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"PropertiesList", "[", "Name", "]"}], "^=", 
            "\[IndentingNewLine]", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"PropertiesList", "[", "Name", "]"}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                "SymmetricBool", "&&", "TracelessBool", "&&", 
                 "TransverseBool"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                  "\"\<SVT-Vector associated with the induced metric \>\"", 
                   "h", "\"\<\>\""}], ",", 
                  RowBox[{
                  "\"\<SVT-Tensor associated with the induced metric \>\"", 
                   "h", "\"\<\>\""}]}], "}"}], ",", 
                RowBox[{"{", "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "The", " ", "Lie", " ", "derivative", " ", "for", " ", "tensors",
               " ", "with", " ", "indices", " ", 
              StyleBox["down",
               FontVariations->{"Underline"->True}], " ", "is", " ", 
              "represented", " ", "by", " ", "the", " ", "second", " ", 
              "label"}], "-", 
             RowBox[{"index", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"LieD", "[", 
              RowBox[{"n", "[", "Dum_", "]"}], "]"}], "[", 
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"indices___", "?", "DownIndexQ"}]}], "]"}], "]"}], ":=", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$ConformalTime", ",", "1", ",", 
               RowBox[{
                RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "]"}], "*", 
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q", "+", "1"}], "]"}], ",", "indices"}], "]"}]}]}], 
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"We", " ", "bypass", " ", "OrthogonalToVectorQ"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"OrthogonalToVectorQ", "[", "n", "]"}], "[", "Name", 
             "]"}], "=", "True"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "The", " ", "contraction", " ", "with", " ", "the", " ", 
              "vector", " ", "normal", " ", "to", " ", "the", " ", 
              "hypersurfaces", " ", "gives", " ", "0", " ", 
              RowBox[{"(", 
               RowBox[{
               "since", " ", "the", " ", "tensor", " ", "is", " ", 
                "projected"}], ")"}]}], ":"}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
               ",", "indices2___"}], "]"}], 
             RowBox[{"n", "[", 
              RowBox[{"-", "Dum_"}], "]"}]}], ":=", "0"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"n", "[", "Dum_", "]"}]}], ":=", "0"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "and", " ", "the", " ", "action", " ", "of", " ", "the", " ", 
             "projector", " ", "onto", " ", "the", " ", "hypersurfaces", " ", 
             "is", " ", "an", " ", "invariant", " ", 
             RowBox[{"operation", ":"}]}], " ", "*)"}], "\[IndentingNewLine]",
            "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"$Rulecdh", "[", "h", "]"}], "=", 
            RowBox[{"Append", "[", 
             RowBox[{
              RowBox[{"$Rulecdh", "[", "h", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  "Dum1_", ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"-", "Dum1_"}], ",", 
                  RowBox[{"-", "Dum2_"}]}], "]"}]}], ":>", 
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", "p", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
                 RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}]}], " ", 
             "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"$Rulecdh", "[", "h", "]"}], "=", 
            RowBox[{"Append", "[", 
             RowBox[{
              RowBox[{"$Rulecdh", "[", "h", "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
                RowBox[{"h", "[", 
                 RowBox[{
                  RowBox[{"Dum1_", "?", "UpIndexQ"}], ",", 
                  RowBox[{"Dum2_", "?", "UpIndexQ"}]}], "]"}]}], ":>", 
               RowBox[{"Name", "[", 
                RowBox[{
                 RowBox[{"LI", "[", "p", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", "Dum2", 
                 ",", "indices2"}], "]"}]}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
               "Dum1_", ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum1_"}], ",", 
               RowBox[{"Dum2_", "?", "UpIndexQ"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", "Dum2", 
              ",", "indices2"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
               "Dum1_", ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"Dum2_", "?", "UpIndexQ"}], ",", 
               RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", "Dum2", 
              ",", "indices2"}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{"Dum1_", ",", 
               RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum2_"}], ",", "Dum1_"}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "0", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "When", " ", "there", " ", "are", " ", "Lie", " ", 
              "derivatives"}], ",", " ", 
             RowBox[{
             "h", " ", "contracted", " ", "automatically", " ", "only", " ", 
              "when", " ", "the", " ", "free", " ", "index", " ", "is", " ", 
              RowBox[{"down", ".", " ", "Otherwise"}], " ", "it", " ", 
              "requires", " ", "ContractMetric", " ", "to", " ", "perform", 
              " ", "contraction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
               ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum1_"}], ",", 
               RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
               ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum2_"}], ",", 
               RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{"Dum1_", ",", 
               RowBox[{"-", "Dum2_"}]}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum2_"}], ",", "Dum1_"}], "]"}]}], ":=", 
            RowBox[{"Name", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
              RowBox[{"-", "Dum2"}], ",", "indices2"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"g", " ", "to", " ", "h", "  ", "is", " ", "automatic"}], 
            " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
               ",", "indices2___"}], "]"}], 
             RowBox[{"g", "[", 
              RowBox[{
               RowBox[{"-", "Dum1_"}], ",", "Dum2_"}], "]"}]}], ":=", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", "Dum1", 
               ",", "indices2"}], "]"}], 
             RowBox[{"h", "[", 
              RowBox[{
               RowBox[{"-", "Dum1"}], ",", "Dum2"}], "]"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum1_", 
               ",", "indices2___"}], "]"}], 
             RowBox[{"g", "[", 
              RowBox[{"Dum2_", ",", 
               RowBox[{"-", "Dum1_"}]}], "]"}]}], ":=", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", "Dum1", 
               ",", "indices2"}], "]"}], " ", 
             RowBox[{"h", "[", 
              RowBox[{"Dum2", ",", 
               RowBox[{"-", "Dum1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]",
            "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"g", "[", 
              RowBox[{"Dum1_", ",", "Dum2_"}], "]"}]}], ":=", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
               RowBox[{"-", "Dum1"}], ",", "indices2"}], "]"}], " ", 
             RowBox[{"h", "[", 
              RowBox[{"Dum1", ",", "Dum2"}], "]"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], " ", 
                   "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
               RowBox[{"-", "Dum1_"}], ",", "indices2___"}], "]"}], 
             RowBox[{"g", "[", 
              RowBox[{"Dum2_", ",", "Dum1_"}], "]"}]}], ":=", 
            RowBox[{
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
               RowBox[{"-", "Dum1"}], ",", "indices2"}], "]"}], " ", 
             RowBox[{"h", "[", 
              RowBox[{"Dum2", ",", "Dum1"}], "]"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"If", " ", "the", " ", "tensor", " ", "belongs", " ", 
              RowBox[{"(", 
               RowBox[{"at", " ", "least"}], ")"}], " ", "to", " ", "the", 
              " ", "perturbed", " ", "manifold"}], ",", " ", 
             RowBox[{
             "and", " ", "if", " ", "it", " ", "is", " ", "transverse"}], 
             ","}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"PerturbedBool", "&&", " ", "TransverseBool"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"(", 
               RowBox[{"transverse", " ", "property"}], ")"}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], "]"}], ":=",
                "0"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"-", "Dum_"}], "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}], ",", "indices1___", ",", 
                  "Dum_", ",", "indices2___"}], "]"}], "]"}], ":=", "0"}], 
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{"then", " ", "the", " ", "first", " ", 
                 RowBox[{"rule", ":", " ", 
                  RowBox[{
                   SuperscriptBox["D", "a"], 
                   SubscriptBox["\[ScriptCapitalL]", "n"], 
                   SubscriptBox["T", 
                    RowBox[{
                    RowBox[{"a", "..."}], " "}]]}]}]}], "=", " ", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["\[ScriptCapitalL]", "n"], 
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["D", "a"], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}], ")"}]}], " ", "-", " ", 
                 RowBox[{
                  SubscriptBox["\[ScriptCapitalL]", "n"], 
                  RowBox[{"(", 
                   SuperscriptBox["g", "ab"], ")"}], 
                  SubscriptBox["D", "b"], 
                  SubscriptBox[
                   SubscriptBox["T", "a"], "..."]}], " ", "+", " ", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["g", "ab"], "[", 
                   RowBox[{
                    SubscriptBox["D", "b"], ",", 
                    SubscriptBox["\[ScriptCapitalL]", "n"]}], "]"}], 
                  SubscriptBox["T", 
                   RowBox[{"a", "..."}]]}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"indices1___", "?", "DownIndexQ"}], ",", 
                  RowBox[{"-", "Dum_"}], ",", 
                  RowBox[{"indices2___", "?", "DownIndexQ"}]}], "]"}], "]"}], 
               ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Dummy1", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Dummy2", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"ToCan", "@", 
                   RowBox[{
                   "ContractMetric", "[", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "-", " ", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], " ", "&"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{"and", " ", "the", " ", "second", " ", 
                 RowBox[{"rule", ":", " ", 
                  RowBox[{
                   SubscriptBox["D", "a"], 
                   SubscriptBox["\[ScriptCapitalL]", "n"], 
                   SubscriptBox[
                    SuperscriptBox["T", "a"], 
                    RowBox[{"...", " "}]]}]}]}], "=", " ", 
                RowBox[{
                 RowBox[{
                  SubscriptBox["\[ScriptCapitalL]", "n"], 
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["D", "a"], 
                    SubscriptBox["T", 
                    RowBox[{"a", "..."}]]}], ")"}]}], " ", "-", " ", 
                 RowBox[{
                  SubscriptBox["\[ScriptCapitalL]", "n"], 
                  RowBox[{"(", 
                   SuperscriptBox["g", "ab"], ")"}], 
                  SubscriptBox["D", "b"], 
                  SubscriptBox[
                   SubscriptBox["T", "a"], "..."]}], " ", "+", " ", 
                 RowBox[{
                  RowBox[{
                   SuperscriptBox["g", "ab"], "[", 
                   RowBox[{
                    SubscriptBox["D", "b"], ",", 
                    SubscriptBox["\[ScriptCapitalL]", "n"]}], "]"}], 
                  SubscriptBox["T", 
                   RowBox[{"a", "..."}]]}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"-", "Dum_"}], "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"indices1___", "?", "DownIndexQ"}], ",", "Dum_", 
                  ",", 
                  RowBox[{"indices2___", "?", "DownIndexQ"}]}], "]"}], "]"}], 
               ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Dummy1", ",", "Dummy2"}], "}"}], ",", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Dummy1", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Dummy2", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"ToCan", "@", 
                   RowBox[{
                   "ContractMetric", "[", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "-", " ", 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], " ", "&"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "+", " ", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"Dum", ",", "Dummy2"}], "]"}], 
                    RowBox[{"ToCan", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "-", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}], "*", 
                    
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dummy2"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q", "-", "1"}], "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]",
                 "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "If", " ", "the", " ", "indices", " ", "are", " ", "not", " ",
                  "down"}], ",", " ", 
                RowBox[{
                 RowBox[{"we", " ", "separate", " ", 
                  RowBox[{"them", ".", " ", "In"}], " ", "practice", " ", 
                  "this", " ", "happens", " ", "almost", " ", "never"}], 
                 "..."}]}], " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices3___", 
                  ",", 
                  RowBox[{"-", "Dum_"}], ",", "indices2___"}], "]"}], "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "Dummy", "}"}], ",", 
                 RowBox[{
                  RowBox[{"Dummy", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                   RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices3", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dum_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"-", "Dum_"}], ",", "indices3___", ",", 
                  RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}], 
                 "]"}], "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "Dummy", "}"}], ",", 
                 RowBox[{
                  RowBox[{"Dummy", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                   RowBox[{
                    RowBox[{"cd", "[", "Dum", "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "indices3", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"-", "Dum_"}], "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", 
                  RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices3___", 
                  ",", "Dum_", ",", "indices2___"}], "]"}], "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "Dummy", "}"}], ",", 
                 RowBox[{
                  RowBox[{"Dummy", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                   RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices3", ",", "Dum", ",", 
                    "indices2"}], "]"}], "]"}]}]}]}], "\[IndentingNewLine]", 
                "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"-", "Dum_"}], "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", 
                   RowBox[{"p_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], " ", "&&", " ", 
                    RowBox[{"#", "\[GreaterEqual]", "1"}]}], ")"}], " ", 
                    "&"}], ")"}]}], "]"}], ",", "indices1___", ",", "Dum_", 
                  ",", "indices3___", ",", 
                  RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}], 
                 "]"}], "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "Dummy", "}"}], ",", 
                 RowBox[{
                  RowBox[{"Dummy", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "Dummy"}], "]"}], 
                   RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "Dum"}], "]"}], "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    "Dum", ",", "indices3", ",", 
                    RowBox[{"-", "Dummy"}], ",", "indices2"}], "]"}], 
                    "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]",
                 "]"}]}], ";"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
              "The", " ", "following", " ", "rule", " ", "serves", " ", "to", 
               " ", "express", " ", "the", " ", "three"}], "-", 
              RowBox[{"covariant", " ", "derivative", " ", "of", " ", 
               RowBox[{"(", "homogeneous", ")"}], " ", "background", " ", 
               "quantities", " ", "in", " ", "terms", " ", "of", " ", "the", 
               " ", "connection", " ", 
               RowBox[{"components", ".", " ", "For"}], " ", "instance"}]}], 
             ",", " ", 
             RowBox[{"'", 
              SubscriptBox["D", "i"], 
              RowBox[{
               SubscriptBox["\[Omega]", "j"], "'"}], " ", "is", " ", 
              "replaced", " ", 
              RowBox[{"by", ":", " ", 
               RowBox[{"'", "-", " ", 
                RowBox[{
                 SubscriptBox[
                  SuperscriptBox["\[CapitalGamma]", "a"], "ij"], 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["\[Omega]", "a"], "'"}], "."}]}]}]}]}]}], " ",
             "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
            "BackgroundBool", ",", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Name", "/:", 
               RowBox[{
                RowBox[{"cd", "[", "Dummy2_", "]"}], "[", 
                RowBox[{"Name", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}], ",", "indices___"}], "]"}], "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "Dummy1", "}"}], ",", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Dummy1", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"ToCan", "[", 
                   RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Connection", "[", "h", "]"}], "[", 
                    RowBox[{"Dummy1", ",", "Dummy2", ",", "#"}], "]"}]}], 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Name", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices"}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "Dummy1"}]}]}], "]"}]}], ")"}], "&"}], "/@", 
                    " ", 
                    RowBox[{"{", "indices", "}"}]}], ")"}]}], "]"}]}]}], 
                "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
              ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Confer", " ", "the", " ", "function", " ", "SetSlicing", " ", 
             "for", " ", "the", " ", "definition", " ", 
             RowBox[{"of", " ", "'"}], 
             RowBox[{"Connection", "'"}], " ", "and", " ", "its", " ", 
             RowBox[{"properties", "."}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "Is", " ", "the", " ", "above", " ", "relation", " ", "correct", 
              " ", "for", " ", "space"}], "-", 
             RowBox[{"time", " ", 
              RowBox[{"indices", "?", " ", "To"}], " ", 
              RowBox[{"check", "!"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
           
           RowBox[{"(*", " ", 
            RowBox[{"What", " ", "is", " ", "the", " ", "need", " ", 
             RowBox[{"for", " ", "'"}], 
             RowBox[{
              RowBox[{"Evaluate", "'"}], "?"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"In", " ", "principle"}], ",", " ", 
             RowBox[{
             "the", " ", "following", " ", "rule", " ", "needs", " ", "not", 
              " ", "to", " ", "be", " ", 
              RowBox[{"used", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Indeed", ",", " ", 
             RowBox[{
             "the", " ", "algorithm", " ", "of", " ", "SPlitPerturbation", 
              " ", "is", " ", "designed", " ", "so", " ", "that", " ", 
              "there", " ", "is", " ", "never", " ", "any", " ", "Lie", " ", 
              "derivative", " ", "acting", " ", "on", " ", "tensors", " ", 
              "with", " ", "up", " ", 
              RowBox[{"indices", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "If", " ", "that", " ", "was", " ", "the", " ", "case", " ", 
              "because", " ", "of", " ", "a", " ", "strange", " ", "use", " ",
               "of", " ", "xPand"}], ",", " ", 
             RowBox[{
             "this", " ", "rule", " ", "ensure", " ", "that", " ", "the", " ",
               "Lie", " ", "derivative", " ", "of", " ", "a", " ", "tensor", 
              " ", "with", " ", "up", " ", "indices", " ", "is", " ", 
              "converted", " ", "into", " ", "a", " ", "Lie", " ", 
              "derivative", " ", "with", " ", "down", " ", 
              RowBox[{"indices", ".", " ", "This"}], " ", "is", " ", "to", 
              " ", "make", " ", "sure", " ", "that", " ", "the", " ", "algo", 
              " ", "always", " ", 
              RowBox[{"works", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Name", "/:", 
            RowBox[{
             RowBox[{"LieD", "[", 
              RowBox[{"n", "[", "Dummy1_", "]"}], "]"}], "[", 
             RowBox[{"Name", "[", 
              RowBox[{
               RowBox[{"LI", "[", 
                RowBox[{"p_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                  ")"}]}], "]"}], ",", 
               RowBox[{"LI", "[", 
                RowBox[{"q_", "?", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "0"}]}], ")"}], "&"}], 
                  ")"}]}], "]"}], ",", 
               RowBox[{"Indices1___", "?", "AIndexQ"}], ",", 
               RowBox[{"IndexUp_", "?", "UpIndexQ"}], ",", 
               RowBox[{"Indices2___", "?", "AIndexQ"}]}], "]"}], "]"}], ":=", 
            
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", "Dum", "}"}], ",", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Dum", "=", 
                RowBox[{"DummyIn", "[", 
                 RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"g", "[", 
                  RowBox[{"IndexUp", ",", "Dum"}], "]"}], 
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                  RowBox[{"Name", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "Indices1", ",", 
                    RowBox[{"-", "Dum"}], ",", "Indices2"}], "]"}], "]"}]}], 
                "+", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"n", "[", "Dummy1", "]"}], "]"}], "[", 
                  RowBox[{"g", "[", 
                   RowBox[{"IndexUp", ",", "Dum"}], "]"}], "]"}], " ", 
                 RowBox[{"Name", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p", "]"}], ",", 
                   RowBox[{"LI", "[", "q", "]"}], ",", "Indices1", ",", 
                   RowBox[{"-", "Dum"}], ",", "Indices2"}], "]"}]}]}]}]}], 
             "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], ";"}]}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
       "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"3e895972-2c62-425e-86ef-054d6898e67c"],

Cell["", "Text",ExpressionUUID->"e0a566d3-1641-4c5a-812e-ba1abe0cb1b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.4. SetSlicing", \
"Subsubsection",ExpressionUUID->"230dadb3-1439-4866-a37a-036d1fcb1c35"],

Cell["\<\

Definition of the ambient metric g, the normal vector u to the hypersurfaces \
and the metric h induces on the hypersurface. All functions which require the \
explicit details of the slicing will refer to the slicing by using the \
induced metric (since the normal vector and the ambient metric can always be \
found from the induced metric by invoking InducedFrom[h].)\
\>", "Text",ExpressionUUID->"630e4e52-0e4a-4570-b9cd-b19b95955ba6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"TensorHasAnyIndicesQ", "[", "tens_", "]"}], ":=", 
  RowBox[{"AnyIndicesListQ", "[", 
   RowBox[{"SlotsOfTensor", "[", "tens", "]"}], "]"}], 
  RowBox[{"(*", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{"Cases", "[", 
       RowBox[{
        RowBox[{"SlotsOfTensor", "[", "tens", "]"}], ",", 
        RowBox[{"AnyIndices", "[", "_", "]"}]}], "]"}]}], ">", "0"}], ")"}], 
   "*)"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"a8c07704-6084-409d-bfa2-5d1e45bb17d6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Note", " ", "that", " ", "only", " ", "down", " ", "indices", " ", "can", 
    " ", "be", " ", "passed", " ", "to", " ", "this", " ", "function"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"IsElementInList", "[", 
      RowBox[{"el_", ",", "list_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Cases", "[", 
        RowBox[{"list", ",", "el"}], "]"}]}], "\[GreaterEqual]", "1"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"TranverseTensorQ", "[", "tens_", "]"}], ":=", 
      RowBox[{
       RowBox[{"xTensorQ", "[", "tens", "]"}], "&&", 
       RowBox[{"IsElementInList", "[", 
        RowBox[{"Transverse", ",", 
         RowBox[{"PropertiesList", "[", "tens", "]"}]}], "]"}]}]}], ";"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ScalarTensorQ", "[", "tens_", "]"}], ":=", 
     RowBox[{
      RowBox[{"xTensorQ", "[", "tens", "]"}], "&&", 
      RowBox[{"IsElementInList", "[", 
       RowBox[{"\"\<Scalar\>\"", ",", 
        RowBox[{"PropertiesList", "[", "tens", "]"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"VectorTensorQ", "[", "tens_", "]"}], ":=", 
     RowBox[{
      RowBox[{"xTensorQ", "[", "tens", "]"}], "&&", 
      RowBox[{"IsElementInList", "[", 
       RowBox[{"\"\<Vector\>\"", ",", 
        RowBox[{"PropertiesList", "[", "tens", "]"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TensorTensorQ", "[", "tens_", "]"}], ":=", 
     RowBox[{
      RowBox[{"xTensorQ", "[", "tens", "]"}], "&&", 
      RowBox[{"IsElementInList", "[", 
       RowBox[{"\"\<Tensor\>\"", ",", 
        RowBox[{"PropertiesList", "[", "tens", "]"}]}], "]"}]}]}], 
    ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"8719e787-d05c-448c-9183-254681b85a71"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Rules", " ", "used", " ", "to", " ", "build", " ", 
     RowBox[{"Automaticrules", ".", " ", "We"}], " ", "first", " ", "use", 
     " ", "MakeRule"}], ",", " ", 
    RowBox[{
    "and", " ", "then", " ", "we", " ", "use", " ", "these", " ", "rule", " ",
      "to", " ", "put", " ", "patterns", " ", "on", " ", "the", " ", "Lable", 
     " ", "indices", " ", "of", " ", "the", " ", "left", " ", "hand", " ", 
     RowBox[{"side", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PatternTensorLeftScalar", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"lhs_", "\[RuleDelayed]", "rhs_"}], ")"}], ",", 
      RowBox[{
       RowBox[{"TensDummy_", "?", "ScalarTensorQ"}], "[", "inds___", "]"}]}], 
     "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "TScal", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"lhs", "/.", 
           RowBox[{"(", 
            RowBox[{"TensDummy", "\[Rule]", 
             RowBox[{"PatternTest", "[", 
              RowBox[{
               RowBox[{"Pattern", "[", 
                RowBox[{"TensDummy", ",", "_"}], "]"}], ",", 
               "ScalarTensorQ"}], "]"}]}], ")"}]}], "]"}], "\[RuleDelayed]", 
         RowBox[{"(", "rhs", ")"}]}], ")"}], "/.", 
       RowBox[{"(", 
        RowBox[{"TensDummy", "->", "TScal"}], ")"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PatternTensorLeftVector", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"lhs_", "\[RuleDelayed]", "rhs_"}], ")"}], ",", 
      RowBox[{
       RowBox[{"TensDummy_", "?", "VectorTensorQ"}], "[", "inds___", "]"}]}], 
     "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "TVect", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"lhs", "/.", 
           RowBox[{"(", 
            RowBox[{"TensDummy", "->", 
             RowBox[{"PatternTest", "[", 
              RowBox[{
               RowBox[{"Pattern", "[", 
                RowBox[{"TensDummy", ",", "_"}], "]"}], ",", 
               "VectorTensorQ"}], "]"}]}], ")"}]}], "]"}], "\[RuleDelayed]", 
         RowBox[{"(", "rhs", ")"}]}], ")"}], "/.", 
       RowBox[{"(", 
        RowBox[{"TensDummy", "->", "TVect"}], ")"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PatternTensorLeftTensor", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"lhs_", "\[RuleDelayed]", "rhs_"}], ")"}], ",", 
      RowBox[{
       RowBox[{"TensDummy_", "?", "TensorTensorQ"}], "[", "inds___", "]"}]}], 
     "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "TTens", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"lhs", "/.", 
           RowBox[{"(", 
            RowBox[{"TensDummy", "->", 
             RowBox[{"PatternTest", "[", 
              RowBox[{
               RowBox[{"Pattern", "[", 
                RowBox[{"TensDummy", ",", "_"}], "]"}], ",", 
               "TensorTensorQ"}], "]"}]}], ")"}]}], "]"}], "\[RuleDelayed]", 
         RowBox[{"(", "rhs", ")"}]}], ")"}], "/.", 
       RowBox[{"(", 
        RowBox[{"TensDummy", "->", "TTens"}], ")"}]}]}], 
     "\[IndentingNewLine]", "]"}]}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"e92a035f-b799-4bc3-9a14-2c9b2815b6a5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetSlicing", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "u_", ",", 
     RowBox[{
      RowBox[{"normu_", ":"}], "-", "1"}], ",", "h_", ",", "cd_", ",", 
     RowBox[{"{", 
      RowBox[{"cdpost_String", ",", "cdpre_String"}], "}"}], ",", 
     RowBox[{"SpaceTimeType_", "?", "SpaceTimeQ"}]}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "p", ",", "q", ",", "DummyS", ",", "DummyV", ",", "DummyT", 
       ",", "ui", ",", "indsdimminustwo", ",", "indsdim", ",", "dim", ",", 
       "prot"}], "}"}], ",", 
     RowBox[{"Catch", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Not", "@", 
          RowBox[{"MetricQ", "[", "g", "]"}]}], ",", 
         RowBox[{"Throw", "[", 
          RowBox[{"Message", "[", 
           RowBox[{
            RowBox[{"SetSlicing", "::", "noambientmetric"}], ",", "g"}], 
           "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"SignDetOfMetric", "@", "g"}], "=!=", 
          RowBox[{"-", "1"}]}], ",", 
         RowBox[{"Throw", "[", 
          RowBox[{"Message", "[", 
           RowBox[{
            RowBox[{"SetSlicing", "::", "signature"}], ",", "g"}], "]"}], 
          "]"}]}], "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Manifold", "=", 
            RowBox[{"ManifoldOfCovD", "@", 
             RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}], ",", 
           RowBox[{"CD", "=", 
            RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"dim", "=", 
           RowBox[{"DimOfManifold", "[", "Manifold", "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"NumericQ", "[", "dim", "]"}], "&&", 
             RowBox[{"dim", "<", "2"}]}], ",", 
            RowBox[{"Throw", "[", 
             RowBox[{"Message", "[", 
              RowBox[{
               RowBox[{"SetSlicing", "::", "dimension"}], ",", "dim"}], "]"}],
              "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"BianchiBool", "[", "SpaceTimeType", "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Not", "@", 
                RowBox[{"NumericQ", "[", "dim", "]"}]}], "||", 
               RowBox[{"dim", "=!=", "4"}]}], ",", 
              RowBox[{
               RowBox[{
               "Print", "[", 
                "\"\<** Warning: You define a Bianchi spacetime for a \
dimension which is not 4. The Ellis&MacCallum-1969 parameterization of the \
constants of structure as \!\(\*SubscriptBox[SuperscriptBox[\(C\), \(i\)], \
\(jk\)]\)=\!\(\*SubscriptBox[\(\[Epsilon]\), \
\(jkl\)]\)\!\(\*SuperscriptBox[\(n\), \(li\)]\) + \
\!\(\*SubscriptBox[SuperscriptBox[\(\[Delta]\), \(i\)], \([j\)]\) \
\!\(\*SubscriptBox[\(a\), \(k\(]\)\)]\) is not possible. The option \
$OpenConstantsOfStructure is set to False. **\>\"", "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"$OpenConstantsOfStructure", "=", "False"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind1", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind2", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind3", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind4", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind5", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind6", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ind7", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"i1", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"i2", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"i3", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"i4", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"i5", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"dummy", "=", 
               RowBox[{"DummyIn", "[", 
                RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ah", "=", 
               RowBox[{"a", "[", "h", "]"}]}], ",", 
              RowBox[{"Hh", "=", 
               RowBox[{"H", "[", "h", "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"avh", "=", 
               RowBox[{"av", "[", "h", "]"}]}], ",", 
              RowBox[{"nth", "=", 
               RowBox[{"nt", "[", "h", "]"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"CSh", "=", 
               RowBox[{"CS", "[", "h", "]"}]}], ",", 
              RowBox[{"Connectionh", "=", 
               RowBox[{"Connection", "[", "h", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"Not", "@", 
                RowBox[{"DefTensorQ", "[", "u", "]"}]}], ",", 
               RowBox[{
                RowBox[{"DefTensor", "[", 
                 RowBox[{
                  RowBox[{"u", "[", "ind1", "]"}], ",", 
                  RowBox[{"{", "Manifold", "}"}], ",", 
                  RowBox[{"PrintAs", "\[Rule]", 
                   RowBox[{"\"\<\\!\\(\>\"", "<>", 
                    RowBox[{"ToString", "[", "u", "]"}], "<>", 
                    "\"\<\\&-\\)\>\""}]}]}], "]"}], ";"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"SlotsOfTensor", "[", "u", "]"}], "]"}], "=!=", 
                    "1"}], "||", 
                   RowBox[{
                    RowBox[{"VBundleOfIndex", "@", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"First", "@", 
                    RowBox[{"SlotsOfTensor", "@", "u"}]}], "]"}]}], "=!=", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}]}]}], ",", 
                  RowBox[{"Throw", "[", 
                   RowBox[{"Message", "[", 
                    RowBox[{
                    RowBox[{"SetSlicing", "::", "invalidnormalvector"}], ",", 
                    "u"}], "]"}], "]"}]}], "]"}], ";"}]}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Off", "[", 
              StyleBox[
               RowBox[{"DefMetric", "::", "old"}], "MessageName"], "]"}], ";", 
             RowBox[{"(*", " ", 
              RowBox[{"Annoying", " ", "message", " ", "turned", " ", "off"}],
               "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"contribution", " ", "of", " ", 
               RowBox[{"Obinna", ".", " ", "But"}], " ", "removed", " ", "by",
                " ", "Cyril"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{"DefMetric", "[", 
                RowBox[{"1", ",", 
                 RowBox[{"h", "[", 
                  RowBox[{
                   RowBox[{"-", "ind1"}], ",", 
                   RowBox[{"-", "ind2"}]}], "]"}], ",", "cd", ",", 
                 RowBox[{"{", 
                  RowBox[{"cdpost", ",", "cdpre"}], "}"}], ",", 
                 RowBox[{"InducedFrom", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"g", ",", "u"}], "}"}]}], ",", 
                 RowBox[{"If", "[", 
                  RowBox[{"$ConformalTime", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"FlatSpaceBool", "[", "SpaceTimeType", "]"}], ",", 
                    RowBox[{"PrintAs", "\[Rule]", "\"\<\[Delta]\>\""}], ",", 
                    RowBox[{"PrintAs", "\[Rule]", 
                    RowBox[{"\"\<\\!\\(\>\"", "<>", 
                    RowBox[{"ToString", "[", "h", "]"}], "<>", 
                    "\"\<\\&-\\)\>\""}]}]}], "]"}], ",", 
                   RowBox[{"PrintAs", "\[Rule]", 
                    RowBox[{"\"\<\\!\\(\>\"", "<>", 
                    RowBox[{"ToString", "[", "h", "]"}], "<>", 
                    "\"\<\\&-\\)\>\""}]}]}], "]"}]}], "]"}], ";"}], "*)"}], 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"DefMetric", "[", 
              RowBox[{"1", ",", 
               RowBox[{"h", "[", 
                RowBox[{
                 RowBox[{"-", "ind1"}], ",", 
                 RowBox[{"-", "ind2"}]}], "]"}], ",", "cd", ",", 
               RowBox[{"{", 
                RowBox[{"cdpost", ",", "cdpre"}], "}"}], ",", 
               RowBox[{"InducedFrom", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"g", ",", "u"}], "}"}]}], ",", 
               RowBox[{"PrintAs", "\[Rule]", 
                RowBox[{"\"\<\\!\\(\>\"", "<>", 
                 RowBox[{"ToString", "[", "h", "]"}], "<>", 
                 "\"\<\\&-\\)\>\""}]}]}], "]"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Maybe", " ", "not", " ", "so", " ", "useful"}], 
               "..."}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"h", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}]}], "]"}]}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind3"}]}], "]"}]}], "}"}], "]"}]}], "]"}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"h", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{"ind2", ",", "ind3"}], "]"}]}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{
                    RowBox[{"-", "ind1"}], ",", "ind3"}], "]"}]}], "}"}], 
                "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"On", "[", 
              StyleBox[
               RowBox[{"DefMetric", "::", "old"}], "MessageName"], "]"}], ";",
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "remove", " ", "automatic", " ", "Leibniz", " ", 
               "rule", " ", "when", " ", "there", " ", "is", " ", "a", " ", 
               "Scalar", " ", 
               RowBox[{"Head", ".", " ", "This"}], " ", "is", " ", "to", " ", 
               "ensure", " ", "that", " ", "the", " ", "induced", " ", 
               "derivative", " ", "does", " ", "not", " ", "spoil", " ", 
               RowBox[{"an", " ", "'"}], 
               RowBox[{"InducedDecomposition", "'"}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"prot", "=", 
              RowBox[{"Unprotect", "[", "cd", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"cd", "[", "a_", "]"}], "[", 
               RowBox[{"Scalar", "[", "expr_", "]"}], "]"}], "=."}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"Protect", "[", "prot", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"$Rulecdh", "[", "h1_", "]"}], ":=", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{
                    RowBox[{"-", "a_"}], ",", "b_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "a_", "]"}], "[", "expr1_", "]"}]}], ":>", 
                 RowBox[{
                  RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"a_", ",", "b_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "a_"}], "]"}], "[", "expr1_", "]"}]}], ":>", 
                 
                 RowBox[{
                  RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"b_", ",", 
                    RowBox[{"-", "a_"}]}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "a_", "]"}], "[", "expr1_", "]"}]}], ":>", 
                 RowBox[{
                  RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"b_", ",", "a_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", 
                    RowBox[{"-", "a_"}], "]"}], "[", "expr1_", "]"}]}], ":>", 
                 
                 RowBox[{
                  RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{
                    RowBox[{"-", "a_"}], ",", "b_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "c_", "]"}], "@", 
                   RowBox[{
                    RowBox[{"cd", "[", "a_", "]"}], "[", "expr1_", "]"}]}]}], 
                 "\[RuleDelayed]", 
                 RowBox[{
                  RowBox[{"cd", "[", "c", "]"}], "@", 
                  RowBox[{
                   RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}]}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"a_", ",", "b_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "c_", "]"}], "@", 
                   RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "a_"}], "]"}], "[", "expr1_", "]"}]}]}], 
                 "\[RuleDelayed]", 
                 RowBox[{
                  RowBox[{"cd", "[", "c", "]"}], "@", 
                  RowBox[{
                   RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}]}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"b_", ",", 
                    RowBox[{"-", "a_"}]}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "c_", "]"}], "@", 
                   RowBox[{
                    RowBox[{"cd", "[", "a_", "]"}], "[", "expr1_", "]"}]}]}], 
                 "\[RuleDelayed]", 
                 RowBox[{
                  RowBox[{"cd", "[", "c", "]"}], "@", 
                  RowBox[{
                   RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}]}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"h1", "[", 
                   RowBox[{"b_", ",", "a_"}], "]"}], 
                  RowBox[{
                   RowBox[{"cd", "[", "c_", "]"}], "@", 
                   RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "a_"}], "]"}], "[", "expr1_", "]"}]}]}], 
                 "\[RuleDelayed]", 
                 RowBox[{
                  RowBox[{"cd", "[", "c", "]"}], "@", 
                  RowBox[{
                   RowBox[{"cd", "[", "b", "]"}], "[", "expr1", "]"}]}]}]}], 
               "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"$RulesVanishingBackgroundFields", "[", "h1_", "]"}], ":=", 
              RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
              "*", " ", "All", " ", "of", " ", "this", " ", "is", " ", "now", 
               " ", "included", " ", "in", " ", "xAct", " ", "1.0", ".5", " ",
                "so", " ", "we", " ", "comment", " ", "these", " ", "lines"}],
               " ", "**)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
              "*", " ", "I", " ", "keep", " ", "it", " ", "in", " ", 
               "comments", " ", "to", " ", "remember", " ", "it"}], "**)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"x_", " ", "y_"}], "]"}], "=."}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", 
                  RowBox[{"_", "?", "GIndexQ"}], "]"}], "[", "expr_", "]"}], 
                "=."}], ";"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"and", " ", "we", " ", "redefine", " ", "them"}], " ", 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"x_", "  ", 
                  RowBox[{"g", "[", 
                   RowBox[{"ind1_", ",", "ind2_"}], "]"}]}], "]"}], ":=", 
                RowBox[{
                 RowBox[{"h", "[", 
                  RowBox[{"ind1", ",", "ind2"}], "]"}], " ", 
                 RowBox[{
                  RowBox[{"cd", "[", "i1", "]"}], "[", "x", "]"}]}]}], 
               RowBox[{"(*", 
                RowBox[{"/;", 
                 RowBox[{
                  RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "x", 
                  "]"}]}], "*)"}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"x_", "  ", 
                  RowBox[{"delta", "[", 
                   RowBox[{"ind1_", ",", "ind2_"}], "]"}]}], "]"}], ":=", 
                RowBox[{
                 RowBox[{"h", "[", 
                  RowBox[{"ind1", ",", "ind2"}], "]"}], " ", 
                 RowBox[{
                  RowBox[{"cd", "[", "i1", "]"}], "[", "x", "]"}]}]}], 
               RowBox[{"(*", 
                RowBox[{"/;", 
                 RowBox[{
                  RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "x", 
                  "]"}]}], "*)"}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"g", "[", 
                  RowBox[{"ind1_", ",", "ind2_"}], "]"}], "]"}], ":=", "0"}], 
               ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"x_", "  ", "y_"}], "]"}], ":=", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "[", "x", "]"}], "y"}], 
                  "+", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "[", "y", "]"}], "x"}]}], 
                 "/;", 
                 RowBox[{"And", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "x", 
                    "]"}], ",", 
                   RowBox[{
                    RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "y", 
                    "]"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", 
                  RowBox[{"_", "?", "GIndexQ"}], "]"}], "[", "expr_", "]"}], ":=", 
                RowBox[{
                 RowBox[{"Throw", "@", 
                  RowBox[{"Message", "[", 
                   RowBox[{
                    RowBox[{"Validate", "::", "error"}], ",", 
                    "\"\<Induced derivative acting on non-projected \
expression.\>\""}], "]"}]}], "/;", 
                 RowBox[{"Not", "@", 
                  RowBox[{
                   RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", 
                   "expr", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"cd", "[", "i1_", "]"}], "[", 
                 RowBox[{"x_", "  ", "y_"}], "]"}], ":=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"cd", "[", "i1", "]"}], "[", 
                  RowBox[{"Expand", "@", 
                   RowBox[{"GradNormalToExtrinsicK", "@", 
                    RowBox[{"Expand", "[", 
                    RowBox[{
                    RowBox[{"InducedDecomposition", "[", 
                    RowBox[{"x", ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "u"}], "}"}]}], "]"}], 
                    RowBox[{"InducedDecomposition", "[", 
                    RowBox[{"y", ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "u"}], "}"}]}], "]"}]}], "]"}]}]}], 
                  "]"}], "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Head", "@", "x"}], "=!=", "g"}], "&&", 
                  RowBox[{
                   RowBox[{"Head", "@", "y"}], "=!=", "g"}], "&&", 
                  RowBox[{
                   RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", 
                   RowBox[{"x", " ", "y"}], "]"}]}]}]}], ";"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"(*", "**", "*****)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"**", "**", "**"}], "*", " ", "End", " ", "of", " ", 
               "Patch"}], " ", "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"SpaceType", "[", "h", "]"}], "^=", "SpaceTimeType"}], 
             ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "The", " ", "default", " ", "positionof", " ", "indices", " ", 
               "for", " ", "the", " ", "extrinsic", " ", "curvature", " ", 
               "and", " ", "the", " ", "acceleration", " ", "is", " ", 
               "down"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"SlotsOfTensor", "[", "#", "]"}], "^:=", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}]}], ",", 
                   RowBox[{"-", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}]}]}], "}"}]}], 
                ")"}], "&"}], "/@", 
              RowBox[{"{", 
               RowBox[{"ExtrinsicK", "[", "h", "]"}], "}"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"SlotsOfTensor", "[", "#", "]"}], "^:=", 
                 RowBox[{"{", 
                  RowBox[{"-", 
                   RowBox[{"Tangent", "[", "Manifold", "]"}]}], "}"}]}], 
                ")"}], "&"}], "/@", 
              RowBox[{"{", 
               RowBox[{"Acceleration", "[", "u", "]"}], "}"}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "The", " ", "acceleration", " ", "should", " ", "vanish", " ", 
               "for", " ", "homogeneous", " ", 
               RowBox[{"spacetimes", "."}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Acceleration", "[", "u", "]"}], "[", "ind1_", "]"}], 
              "\[InvisibleSpace]", "=", " ", "0"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"u", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"u", "[", "ind1", "]"}], 
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}]}], ",", "normu"}], "}"}], 
                "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"u", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}], 
                   RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}]}], ",", 
                  RowBox[{"u", "[", "ind2", "]"}]}], "}"}], "]"}]}], "]"}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"u", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], 
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind2"}], "]"}], 
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}]}], ",", "normu"}], "}"}], 
                "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"IntegerQ", "@", "dim"}], "&&", 
                RowBox[{"dim", "\[GreaterEqual]", "2"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"indsdim", "=", 
                 RowBox[{"GetIndicesOfVBundle", "[", 
                  RowBox[{
                   RowBox[{"Tangent", "@", "Manifold"}], ",", "dim", ",", 
                   RowBox[{"{", "ind5", "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"epsilon", "[", "g", "]"}], ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"epsilon", "[", "g", "]"}], "@@", "indsdim"}], 
                    " ", 
                    RowBox[{"u", "[", 
                    RowBox[{"-", 
                    RowBox[{"indsdim", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"indsdim", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "ind5"}], "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{
                    RowBox[{"epsilon", "[", "g", "]"}], "@@", "indsdim"}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{"indsdim", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Rule]", " ", 
                    "ind5"}]}], "]"}], " ", 
                    RowBox[{"u", "[", 
                    RowBox[{"-", 
                    RowBox[{"indsdim", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}]}], "}"}], "]"}],
                    "]"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
             ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "We", " ", "define", " ", "the", " ", "normal", " ", "vector", 
                " ", "to", " ", "constant", " ", "time", " ", "hypersurfaces",
                 " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                  "it", " ", "should", " ", "be", " ", "equal", " ", "to", 
                   " ", "the", " ", "normal", " ", "vector", " ", "on", " ", 
                   "the", " ", "background", " ", 
                   RowBox[{"spacetime", "."}]}], ")"}], ".", " ", "This"}], 
                " ", "defines", " ", "also", " ", "the", " ", "perturbation", 
                " ", "of", " ", "the", " ", "normal", " ", "vector"}], ",", 
               " ", 
               RowBox[{
               "and", " ", "the", " ", "fields", " ", "related", " ", "to", 
                " ", "it", " ", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                  "lapse", " ", "scalar", " ", "and", " ", "shift", " ", 
                   "vector", " ", "in", " ", "ADM", " ", "formalism"}], ")"}],
                  "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"DefNormalFields", "[", "h", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"We", " ", "define", " ", 
                RowBox[{"a", "[", "h", "]"}], " ", "the", " ", "scale", " ", 
                "factor", " ", "associated", " ", "to", " ", "h"}], ",", " ", 
               
               RowBox[{"and", " ", "the", " ", "Hubble", " ", "factor", " ", 
                RowBox[{"related", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"DefProjectedTensor", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", "h", ",", 
                  RowBox[{"SpaceTimesOfDefinition", "->", 
                   RowBox[{"{", "\"\<Background\>\"", "}"}]}], ",", 
                  RowBox[{"TensorProperties", "->", 
                   RowBox[{"{", 
                    RowBox[{
                    "\"\<Traceless\>\"", ",", "\"\<Transverse\>\"", ",", 
                    "\"\<SymmetricTensor\>\""}], "}"}]}], ",", 
                  RowBox[{"PrintAs", "->", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ")"}], "&"}], "/@", 
              RowBox[{"$ListFieldsBackgroundOnly", "[", "h", "]"}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ah", "::", "usage"}], "=", 
              RowBox[{"a", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Hh", "::", "usage"}], "=", 
              RowBox[{"H", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "Patch", " ", "to", " ", "have", " ", "a", " ", "nice", " ", 
               "output", " ", "for", " ", "the", " ", "Hubble", " ", 
               "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"Hh", "/:", 
              RowBox[{
               RowBox[{"PrintAs", "[", "Hh", "]"}], "=."}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"PrintAs", "[", "Hh", "]"}], "^:=", 
              RowBox[{"If", "[", 
               RowBox[{
               "$ConformalTime", ",", "\"\<\[ScriptCapitalH]\>\"", ",", 
                "\"\<H\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"Unprotect", "[", "NoScalar", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "We", " ", "know", " ", "it", " ", "is", " ", "safe", " ", 
                "to", " ", "remove", " ", "the", " ", "scalar", " ", "heads", 
                " ", "on", " ", "scale", " ", "factors", " ", "and", " ", 
                "Hubble", " ", "factors"}], ",", " ", 
               RowBox[{
                RowBox[{
                "because", " ", "we", " ", "shall", " ", "never", " ", 
                 "replace", " ", "a", " ", "Hubble", " ", "factor", " ", 
                 "nor", " ", "a", " ", "scale", " ", "factor", " ", "by", " ",
                  "something", " ", "else", " ", "which", " ", "is", " ", 
                 "not", " ", "a", " ", "pure", " ", "scalar", " ", "field"}], 
                "..."}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"NoScalar", "[", 
               RowBox[{"Power", "[", 
                RowBox[{
                 RowBox[{"Scalar", "[", 
                  RowBox[{"Hh", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], ",", 
                 "n_Integer"}], "]"}], "]"}], ":=", 
              RowBox[{"Power", "[", 
               RowBox[{
                RowBox[{"Hh", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", "n"}], "]"}]}],
              ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"NoScalar", "[", 
               RowBox[{"Power", "[", 
                RowBox[{
                 RowBox[{"Scalar", "[", 
                  RowBox[{"ah", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}], ",", 
                 "n_Integer"}], "]"}], "]"}], ":=", 
              RowBox[{"Power", "[", 
               RowBox[{
                RowBox[{"ah", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", "n"}], "]"}]}],
              ";", "\[IndentingNewLine]", 
             RowBox[{"Protect", "[", "NoScalar", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"SpaceTimeType", "===", "\"\<Minkowski\>\""}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"ah", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "0", "]"}]}], "]"}], "=", "1"}], ";", 
                RowBox[{
                 RowBox[{"Hh", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "0", "]"}]}], "]"}], "=", "0"}], ";"}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"ah", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "1", "]"}]}], "]"}], ":=", 
                 RowBox[{
                  RowBox[{"Hh", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                  RowBox[{"ah", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"ah", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#", "]"}], "&&", 
                    RowBox[{"#", "\[GreaterEqual]", "2"}]}], ")"}], "&"}], 
                    ")"}]}], "]"}]}], "]"}], ":=", 
                 RowBox[{"NoScalar", "@", 
                  RowBox[{"org", "@", 
                   RowBox[{"Nest", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", "#", "]"}], 
                    "&"}], ",", 
                    RowBox[{"ah", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", "q"}], 
                    "]"}]}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"DefConformalMetric", "[", 
                 RowBox[{"g", ",", "ah"}], "]"}], ";"}]}], 
              "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"Obvious", ".", " ", "SHould"}], " ", "be", " ", 
               "automatic", " ", "in", " ", "xPert"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"cd", "[", "_", "]"}], "[", "$PerturbationParameter", 
               "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "The", " ", "vector", " ", "used", " ", "for", " ", "the", " ", 
               "background", " ", "slicing", " ", "is", " ", "indeed", " ", 
               "background", " ", "so", " ", "should", " ", "not", " ", "be", 
               " ", "perturbed"}], " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "However", " ", "we", " ", "want", " ", "to", " ", "be", " ", 
               "able", " ", "to", " ", "perturb", " ", "the", " ", "normal", 
               " ", "vector", " ", "to", " ", "constan", " ", "time", " ", 
               RowBox[{"hypersurfaces", "."}]}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"In", " ", "order", " ", "to", " ", "do", " ", "so"}], 
               ",", " ", 
               RowBox[{
               "we", " ", "will", " ", "use", " ", "the", " ", "vector", " ", 
                
                RowBox[{
                 RowBox[{"\[ScriptCapitalN]", "[", "h", "]"}], "[", "\[Mu]", 
                 "]"}], " ", "which", " ", "is", " ", "equal", " ", "to", " ",
                 "the", " ", "background", " ", "normal", " ", "vector", " ", 
                
                RowBox[{
                 SuperscriptBox["n", "\[Mu]"], ".", "\[IndentingNewLine]", 
                 "Howeverm"}], " ", "it", " ", "is", " ", "ano", " ", "rule", 
                " ", "attached", " ", "to", " ", "it"}], ",", " ", 
               RowBox[{"so", " ", "it", " ", "can", " ", "be", " ", 
                RowBox[{"perturbed", ".", " ", "Its"}], " ", "perturbation", 
                " ", "is", " ", "then", " ", 
                RowBox[{"d\[ScriptCapitalN]", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", "\[Mu]"}], "]"}]}]}], 
              " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "See", " ", "the", " ", "section", " ", "devoted", " ", "to", 
               " ", "the", " ", "perturbation", " ", "of", " ", "the", " ", 
               "normal", " ", "vector", " ", "for", " ", "more", " ", 
               "explanations"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Perturbation", "[", 
               RowBox[{
                RowBox[{"u", "[", "ind1_", "]"}], ",", "n_"}], "]"}], "^:=", 
              RowBox[{"0", "/;", 
               RowBox[{"n", "\[GreaterEqual]", "1"}]}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "Lie", " ", "Derivatives", " ", "of", " ", "metric", " ", 
               "with", " ", "up", " ", "indices", " ", "should", " ", "be", 
               " ", "automatic"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"g", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], "]"}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}]}], "}"}], "]"}], 
                 ",", 
                 RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"AutomaticRules", "[", 
              RowBox[{"g", ",", 
               RowBox[{"BuildRule", "[", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], "]"}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}]}], "}"}], "]"}], 
                 ",", 
                 RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}], 
             ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{"Connectionh", "[", 
                RowBox[{
                 RowBox[{"-", "ind1"}], ",", 
                 RowBox[{"-", "ind2"}], ",", 
                 RowBox[{"-", "ind3"}]}], "]"}], ",", 
               RowBox[{"{", "Manifold", "}"}], ",", 
               RowBox[{"Antisymmetric", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "ind1"}], ",", 
                  RowBox[{"-", "ind3"}]}], "}"}], "]"}], ",", 
               RowBox[{"OrthogonalTo", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", "ind1", "]"}], ",", 
                  RowBox[{"u", "[", "ind2", "]"}], ",", 
                  RowBox[{"u", "[", "ind3", "]"}]}], "}"}]}], ",", 
               RowBox[{"ProjectedWith", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"h", "[", 
                   RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind5"}]}], "]"}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind6"}]}], "]"}]}], "}"}]}], ",", 
               RowBox[{"PrintAs", "\[Rule]", 
                RowBox[{"StringJoin", "[", 
                 RowBox[{"\"\<\[CapitalGamma]\>\"", ",", 
                  RowBox[{"ToString", "[", "h", "]"}]}], "]"}]}]}], "]"}], 
             " ", ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{"CSh", "[", 
                RowBox[{
                 RowBox[{"-", "ind1"}], ",", 
                 RowBox[{"-", "ind2"}], ",", 
                 RowBox[{"-", "ind3"}]}], "]"}], ",", 
               RowBox[{"{", "Manifold", "}"}], ",", 
               RowBox[{"Antisymmetric", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "ind2"}], ",", 
                  RowBox[{"-", "ind3"}]}], "}"}], "]"}], ",", 
               RowBox[{"OrthogonalTo", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"u", "[", "ind1", "]"}], ",", 
                  RowBox[{"u", "[", "ind2", "]"}], ",", 
                  RowBox[{"u", "[", "ind3", "]"}]}], "}"}]}], ",", 
               RowBox[{"ProjectedWith", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"h", "[", 
                   RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind5"}]}], "]"}], ",", 
                  RowBox[{"h", "[", 
                   RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind6"}]}], "]"}]}], "}"}]}], ",", 
               RowBox[{"PrintAs", "\[Rule]", 
                RowBox[{"StringJoin", "[", "\"\<C\>\"", 
                 RowBox[{"(*", 
                  RowBox[{",", 
                   RowBox[{"ToString", "[", "h", "]"}]}], "*)"}], "]"}]}]}], 
              "]"}], " ", ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"Not", "[", 
                RowBox[{
                 RowBox[{"FlatSpaceBool", "[", "SpaceTimeType", "]"}], "&&", 
                 RowBox[{"dim", "===", "4"}], "&&", 
                 RowBox[{"BianchiBool", "[", "SpaceTimeType", "]"}]}], "]"}], 
               ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                "I", " ", "have", " ", "exchanged", " ", "the", " ", 
                 "position", " ", "of", " ", "indices", " ", "with", " ", 
                 RowBox[{"up", ".", " ", "Did"}], " ", "not", " ", "check", 
                 " ", "if", " ", "this", " ", 
                 RowBox[{"works", ".", " ", "10"}], " ", "march", " ", 
                 "2019.", " ", "To", " ", "check", " ", 
                 RowBox[{"TODO", "."}]}], "*)"}], "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"DefTensor", "[", 
                 RowBox[{
                  RowBox[{"nth", "[", 
                   RowBox[{"ind1", ",", "ind2"}], "]"}], ",", 
                  RowBox[{"{", "Manifold", "}"}], ",", 
                  RowBox[{"Symmetric", "[", 
                   RowBox[{"{", 
                    RowBox[{"ind1", ",", "ind2"}], "}"}], "]"}], ",", 
                  RowBox[{"OrthogonalTo", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}], ",", 
                    RowBox[{"u", "[", 
                    RowBox[{"-", "ind2"}], "]"}]}], "}"}]}], ",", 
                  RowBox[{"ProjectedWith", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", "ind4"}], "]"}], ",", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", "ind5"}], "]"}]}], "}"}]}], 
                  ",", 
                  RowBox[{"PrintAs", "\[Rule]", 
                   RowBox[{"StringJoin", "[", "\"\<N\>\"", 
                    RowBox[{"(*", 
                    RowBox[{",", 
                    RowBox[{"ToString", "[", "h", "]"}]}], "*)"}], "]"}]}]}], 
                 "]"}], " ", ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"DefTensor", "[", 
                 RowBox[{
                  RowBox[{"avh", "[", 
                   RowBox[{"-", "ind1"}], "]"}], ",", 
                  RowBox[{"{", "Manifold", "}"}], ",", 
                  RowBox[{"OrthogonalTo", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"u", "[", "ind1", "]"}], "}"}]}], ",", 
                  RowBox[{"ProjectedWith", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"h", "[", 
                    RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], "}"}]}], ",", 
                  RowBox[{"PrintAs", "\[Rule]", 
                   RowBox[{"StringJoin", "[", "\"\<A\>\"", 
                    RowBox[{"(*", 
                    RowBox[{",", 
                    RowBox[{"ToString", "[", "h", "]"}]}], "*)"}], "]"}]}]}], 
                 "]"}], " ", ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"SpaceTimeType", "===", "\"\<BianchiA\>\""}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"avh", "[", "ind1_", "]"}], "=", "0"}], ";"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"AutomaticRules", "[", 
                    RowBox[{"avh", ",", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"avh", "[", "ind1", "]"}], 
                    RowBox[{"nth", "[", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}]}], ",", "0"}], "}"}], 
                    "]"}], "]"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
                 "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "Properties", " ", "of", " ", "constancy", " ", "of", " ", 
                "these", " ", "constants"}], "..."}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "So", " ", "far", " ", "the", " ", "only", " ", "way", " ", 
               "we", " ", "found", " ", "is", " ", "to", " ", "be", " ", 
               "exhaustive"}], " ", "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "first", " ", "distinguish", " ", "the", " ", "case",
                " ", "of", " ", "Flat", " ", "Friedmann", " ", "and", " ", 
               "Curved", " ", "Friedmann", " ", "where", " ", "the", " ", 
               "connections", " ", "have", " ", "a", " ", "simple", " ", 
               "expression"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"Which", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"FlatSpaceBool", "[", "SpaceTimeType", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"CSh", "[", 
                  RowBox[{"ind1_", ",", "ind2_", ",", "ind3_"}], "]"}], "=", 
                 "0"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                  RowBox[{"i1_", ",", "i2_", ",", "i3_", ",", "i4_"}], "]"}], 
                 "=", "0"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                  RowBox[{"i1_", ",", "i2_"}], "]"}], "=", "0"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], "=", 
                 "0"}], ";"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"SpaceTimeType", "===", "\"\<FLCurved\>\""}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"DefTensor", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], ",", 
                  RowBox[{"{", "Manifold", "}"}], ",", 
                  RowBox[{"PrintAs", "->", 
                   RowBox[{"StringJoin", "[", "\"\<\[ScriptK]\>\"", 
                    RowBox[{"(*", 
                    RowBox[{",", 
                    RowBox[{"ToString", "[", "h", "]"}]}], "*)"}], "]"}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"CD", "[", "ind1_", "]"}], "[", 
                  RowBox[{
                   RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], "]"}], ":=",
                  "0"}], 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"-", "1"}], "*", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "2"}], "/", "3"}], ")"}], "*", 
                  RowBox[{"u", "[", "ind1", "]"}], 
                  RowBox[{
                   RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], 
                  RowBox[{
                   RowBox[{"CD", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                   RowBox[{"u", "[", "ind2", "]"}], "]"}]}], "*)"}], ";", " ", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{"This", " ", "is", " ", "because", " ", 
                   SubscriptBox["\[ScriptCapitalL]", "u"], 
                   RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["\[ScriptK]", 
                    RowBox[{"1", "/", "2"}]], 
                    SubscriptBox[
                    SuperscriptBox["\[Epsilon]", "\[Mu]"], "\[Nu]\[Sigma]"]}],
                     ")"}], " ", "must", " ", "be", " ", "zero", " ", "since",
                    " ", 
                   SubscriptBox["\[ScriptCapitalL]", "u"], 
                   RowBox[{"(", 
                    SubscriptBox[
                    SuperscriptBox["C", "\[Mu]"], "\[Nu]\[Sigma]"], ")"}]}], 
                  "=", "0"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "Given", " ", "that", " ", "we", " ", "first", " ", "work", 
                   " ", "on", " ", "the", " ", "conformal", " ", "metric", 
                   " ", "where", " ", "the", " ", "trace", " ", "of", " ", 
                   "the", " ", "extrinsic", " ", "curvature", " ", "is", " ", 
                   "0"}], ",", " ", 
                  RowBox[{
                  "then", " ", "this", " ", "point", " ", "does", " ", "not", 
                   " ", "matter", " ", "at", " ", "all", " ", "for", " ", 
                   RowBox[{"us", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                  "In", " ", "case", " ", "the", " ", "user", " ", "uses", 
                   " ", "a", " ", "Lie", " ", "derivative", " ", "on", " ", 
                   "spatila", " ", "curvature", " ", "instead", " ", "of", 
                   " ", "a", " ", "covariant", " ", "derivative"}], ",", " ", 
                  
                  RowBox[{
                  "we", " ", "also", " ", "specify", " ", "that", " ", "it", 
                   " ", "should", " ", 
                   RowBox[{"vanish", ".", " ", "This"}], " ", "was", " ", 
                   "suggested", " ", "by", " ", "Adam", " ", 
                   RowBox[{"Solomon", "."}]}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"\[ScriptK]", "[", "h", "]"}], "]"}], "/:", 
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], "]"}], ":=",
                  "0"}], ";", 
                RowBox[{"(*", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", "dum", "}"}], ",", 
                   RowBox[{"dum", "=", 
                    RowBox[{
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}], 
                    RowBox[{"u", "[", 
                    RowBox[{"-", "dum"}], "]"}], 
                    RowBox[{
                    RowBox[{"CD", "[", "dum", "]"}], "[", 
                    RowBox[{
                    RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], 
                    "]"}]}]}]}], "]"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"cd", "[", "ind1_", "]"}], "[", 
                  RowBox[{
                   RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], "]"}], 
                 "=", "0"}], ";", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"dim", "===", "4"}], ",", 
                  RowBox[{
                   RowBox[{"CSh", "[", 
                    RowBox[{"ind1_", ",", "ind2_", ",", "ind3_"}], "]"}], ":=", 
                   RowBox[{"2", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], "]"}], 
                    
                    RowBox[{
                    RowBox[{"epsilon", "[", "h", "]"}], "[", 
                    RowBox[{"ind1", ",", "ind2", ",", "ind3"}], "]"}]}]}]}], 
                 "]"}], ";"}], "\[IndentingNewLine]", ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"BianchiBool", "@", "SpaceTimeType"}], ")"}], "&&", 
                RowBox[{"(", 
                 RowBox[{"Not", "@", 
                  RowBox[{"FlatSpaceBool", "@", "SpaceTimeType"}]}], ")"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                "Lie", " ", "derivatives", " ", "of", " ", "the", " ", 
                 "constants", " ", "of", " ", "structure", " ", "in", " ", 
                 "general", " ", "Bianchi", " ", "cases", " ", "It", " ", 
                 "is", " ", "0", " ", "when", " ", "indices", " ", "are", " ",
                  "in", " ", "position", " ", 
                 RowBox[{
                  SubscriptBox[
                   SuperscriptBox["C", "i"], "jk"], " ", "."}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{"We", " ", "are", " ", 
                 RowBox[{"exhaustive", ".", " ", "Maybe"}], " ", "there", " ",
                  "is", "  ", "simpler", " ", "way", " ", "to", " ", "write", 
                 " ", 
                 RowBox[{"it", "."}]}], "*)"}], "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], "]"}], ",", "0"}], "}"}], 
                    "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind5"}]}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind5", ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind3"}], ",", "ind4"}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind6"}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind6"}]}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", "ind3", ",", 
                    RowBox[{"-", "ind4"}]}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind4"}]}], "]"}]}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind4"}], ",", "ind3"}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind4"}], ",", 
                    RowBox[{"-", "ind5"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind4"}], ",", 
                    RowBox[{"-", "ind5"}]}], "]"}]}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", "ind3", ",", "ind4"}], "]"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind7"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind7"}]}], "]"}]}], "\[IndentingNewLine]", 
                    "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind7"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind7"}]}], "]"}]}], "\[IndentingNewLine]", 
                    "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "ind6"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind7"}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind6", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind7"}]}], "]"}]}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "]"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], "]"}], 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind6"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind6"}]}], "]"}]}], "\[IndentingNewLine]", 
                    "+", 
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind3", ",", "ind5"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"ind4", ",", "ind6"}], "]"}], "]"}], 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind5"}], ",", 
                    RowBox[{"-", "ind6"}]}], "]"}]}]}], "//", 
                    RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "]"}]}]}], "}"}],
                     "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"--", 
               RowBox[{"--", 
                RowBox[{"--", "--"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
             
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "now", " ", "define", " ", "the", " ", "connection", 
               " ", "and", " ", "the", " ", "Riemann", " ", "tensor", " ", 
               "of", " ", "the", " ", "induced", " ", 
               RowBox[{"metric", ".", " ", "See"}], " ", "draft"}], " ", 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"IndexSet", "[", 
              RowBox[{
               RowBox[{"Connectionh", "[", 
                RowBox[{"i1_", ",", "i2_", ",", "i3_"}], "]"}], ",", 
               RowBox[{
                RowBox[{"1", "/", "2"}], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"CSh", "[", 
                   RowBox[{"i2", ",", "i1", ",", "i3"}], "]"}], "-", 
                  RowBox[{"CSh", "[", 
                   RowBox[{"i1", ",", "i3", ",", "i2"}], "]"}], "+", 
                  RowBox[{"CSh", "[", 
                   RowBox[{"i3", ",", "i1", ",", "i2"}], "]"}]}], ")"}]}]}], 
              "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"SpaceTimeType", "===", "\"\<FLCurved\>\""}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"IndexSet", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                   RowBox[{"i1_", ",", "i2_", ",", "i3_", ",", "i4_"}], "]"}],
                   ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i3"}], "]"}], 
                    RowBox[{"h", "[", 
                    RowBox[{"i2", ",", "i4"}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i4"}], "]"}], 
                    RowBox[{"h", "[", 
                    RowBox[{"i2", ",", "i3"}], "]"}]}]}], ")"}]}]}], "]"}], 
                ";", "\[IndentingNewLine]", 
                RowBox[{"IndexSet", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                   RowBox[{"i1_", ",", "i2_"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i3", ",", 
                    RowBox[{"-", "i3"}]}], "]"}], "-", "1"}], ")"}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"IndexSet", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"\[ScriptK]", "[", "h", "]"}], "[", "]"}], 
                   RowBox[{"h", "[", 
                    RowBox[{"i1", ",", 
                    RowBox[{"-", "i1"}]}], "]"}], 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i3", ",", 
                    RowBox[{"-", "i3"}]}], "]"}], "-", "1"}], ")"}]}]}], 
                 "]"}], ";"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{"Rieman", ",", " ", 
                 RowBox[{"Ricci", " ", "and", " ", "RicciScalar", " ", 
                  RowBox[{"tensors", ".", " ", "We"}], " ", "build", " ", 
                  "rules", " ", "to", " ", "express", " ", "them", " ", "in", 
                  " ", "terms", " ", "of", " ", "constants", " ", "of", " ", 
                  RowBox[{"structure", "."}]}]}], " ", "*)"}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}], "=", 
                 RowBox[{"Flatten", "@", 
                  RowBox[{"Join", "[", 
                   RowBox[{
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{"i1", ",", "i2", ",", "i3", ",", "i4"}], "]"}], 
                    ",", " ", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i2"}], "]"}]}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i4", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i4", ",", "i2"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i3", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"CSh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i4"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", 
                    RowBox[{"-", "i5"}], ",", "i2"}], "]"}]}]}], ")"}], 
                    RowBox[{"(*", 
                    RowBox[{"/.", 
                    RowBox[{"ConstantsDecompositionRules", "[", "h", "]"}]}], 
                    "*)"}], "]"}]}]}], "}"}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{"i1", ",", "i3"}], "]"}], ",", " ", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "i2"}], ",", 
                    RowBox[{"-", "i4"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i2"}], "]"}]}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i4", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i4", ",", "i2"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i3", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"CSh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i4"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", 
                    RowBox[{"-", "i5"}], ",", "i2"}], "]"}]}]}], ")"}]}], 
                    ")"}], 
                    RowBox[{"(*", 
                    RowBox[{"/.", 
                    RowBox[{"ConstantsDecompositionRules", "[", "h", "]"}]}], 
                    "*)"}], "]"}]}]}], "}"}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], ",", 
                    " ", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "i2"}], ",", 
                    RowBox[{"-", "i4"}]}], "]"}], 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "i1"}], ",", 
                    RowBox[{"-", "i3"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i2"}], "]"}]}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i4", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i5", ",", "i4", ",", "i2"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", "i3", ",", 
                    RowBox[{"-", "i5"}]}], "]"}]}], "-", 
                    RowBox[{
                    RowBox[{"CSh", "[", 
                    RowBox[{"i5", ",", "i3", ",", "i4"}], "]"}], 
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"i1", ",", 
                    RowBox[{"-", "i5"}], ",", "i2"}], "]"}]}]}], ")"}]}], 
                    ")"}], 
                    RowBox[{"(*", 
                    RowBox[{"/.", 
                    RowBox[{"ConstantsDecompositionRules", "[", "h", "]"}]}], 
                    "*)"}], "]"}]}]}], "}"}], "]"}], "]"}]}], 
                   "\[IndentingNewLine]", "]"}]}]}], ";"}]}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "replace", " ", "the", " ", "extrinsic", " ", 
               "curvature", " ", "with", " ", "an", " ", "adhoc", " ", 
               "tensor", " ", "which", " ", "can", " ", "have", " ", 
               "derivatives", " ", "label", " ", "indices"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"DefProjectedTensor", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"K", "[", "h", "]"}], "[", 
                RowBox[{
                 RowBox[{"-", "ind1"}], ",", 
                 RowBox[{"-", "ind2"}]}], "]"}], ",", "h", ",", 
               RowBox[{"TensorProperties", "->", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<SymmetricTensor\>\"", ",", "\"\<Traceless\>\""}], 
                 "}"}]}], ",", 
               RowBox[{"SpaceTimesOfDefinition", "->", 
                RowBox[{"{", "\"\<Background\>\"", "}"}]}], ",", 
               RowBox[{"PrintAs", "\[Rule]", "\"\<K\>\""}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
               RowBox[{"i1_", ",", "i2_"}], "]"}], ":=", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"$ConformalTime", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "]"}], "*", 
               RowBox[{
                RowBox[{"K", "[", "h", "]"}], "[", 
                RowBox[{
                 RowBox[{"LI", "[", "0", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                "]"}]}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "q_", "]"}], ",", "i1_", ",", "i2_"}], 
                 "]"}], ":=", 
                RowBox[{
                 RowBox[{"K", "[", "h", "]"}], "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "q", "]"}], ",", "i1", ",", "i2"}], 
                 "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{"PrintAs", "[", "Kh", "]"}], "^=", 
                "printextrinsicK"}], ";"}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"NoAnisotropyBool", "[", "SpaceTimeType", "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                  RowBox[{"i1_", ",", "i2_"}], "]"}], "=", "0"}], ";", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"K", "[", "h", "]"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "0", "]"}], ",", "i1_", ",", "i2_"}], 
                  "]"}], "=", "0"}], ";"}]}], "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "Commutation", " ", "of", " ", "Lie", " ", "and", " ", 
                "Partial", " ", 
                RowBox[{"derivatives", ".", " ", "Very"}], " ", "important", 
                " ", 
                RowBox[{"here", ".", " ", "See"}], " ", "draft", " ", "for", 
                " ", "the", " ", "formula", " ", "which", " ", "is", " ", 
                "implemented"}], "..."}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"Unprotect", "[", "LieD", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"A", " ", "revoir"}], "..."}], " ", "This", " ", "is",
                " ", "to", " ", "commute", " ", "Lie", " ", "and", " ", 
               "induced", " ", "derivative", " ", "when", " ", "the", " ", 
               "indices", " ", "are", " ", 
               RowBox[{"up", ".", " ", "Basically"}], " ", "it", " ", "just", 
               " ", "ensure", " ", "that", " ", "indices", " ", "should", " ",
                "be", " ", "put", " ", 
               RowBox[{"down", "."}]}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "The", " ", "code", " ", "below", " ", "was", " ", "reported", 
               " ", "not", " ", "to", " ", "work", " ", "when", " ", "there", 
               " ", "was", " ", "a", " ", "contraction", " ", "of", " ", 
               "indices"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "Thank", " ", "to", " ", "Enrico", " ", "Pajer", " ", "for", 
               " ", "finding", " ", 
               RowBox[{"this", "."}]}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "This", " ", "was", " ", "the", " ", "first", " ", "patch", " ",
                "but", " ", "it", " ", "did", " ", "not", " ", "work"}], 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"LieD", "[", 
                  RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
                 RowBox[{
                  RowBox[{"cd", "[", "ind2_", "]"}], "[", "expr1_", "]"}], 
                 "]"}], ":=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                  RowBox[{"IndicesDown", "[", 
                   RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", "expr1", "]"}], 
                   " ", "]"}], " ", "]"}], "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", 
                    RowBox[{
                    RowBox[{"IndicesOf", "[", 
                    RowBox[{"AIndex", ",", "Up"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", "expr1", "]"}], 
                    "]"}], "]"}], "=!=", "0"}], "&&", 
                  RowBox[{
                   RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", 
                   "expr1", "]"}], "&&", 
                  RowBox[{
                   RowBox[{"Abs", "[", 
                    RowBox[{
                    RowBox[{"u", "[", "ind1", "]"}], 
                    RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}]}], "]"}], "===", "1"}]}]}]}],
                ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "Instead", " ", "we", " ", "define", " ", "a", " ", "new", " ",
                 "rule", " ", "for", " ", "this", " ", "very", " ", "special",
                 " ", "case", " ", "of", " ", "a", " ", "Laplacian"}], 
               "..."}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "This", " ", "sound", " ", "like", " ", "a", " ", "stupid", " ",
                "pathc", " ", "rather", " ", "than", " ", "something", " ", 
               "deeply", " ", "thought"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "basically", " ", "introduce", " ", "the", " ", 
               "metric", " ", "by", " ", "hand", " ", "in", " ", "order", " ",
                "to", " ", "lower", " ", "the", " ", "up", " ", "index", " ", 
               "in", " ", "the", " ", 
               RowBox[{"Laplacian", ".", " ", "Then"}], " ", "it", " ", 
               "goes", " ", "through", " ", "the", " ", "Lie", " ", 
               "Derivative"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", "  ", 
              RowBox[{
              "So", " ", "we", " ", "treat", " ", "this", " ", "special", " ",
                "case", " ", "by", " ", 
               RowBox[{"hand", "."}]}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"LieD", "[", 
                RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
               RowBox[{
                RowBox[{"cd", "[", "ind2_", "]"}], "[", 
                RowBox[{
                 RowBox[{"cd", "[", 
                  RowBox[{"-", "ind2_"}], "]"}], "[", "expr1_", "]"}], "]"}], 
               "]"}], ":=", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", "dum", "}"}], ",", 
                RowBox[{
                 RowBox[{"dum", "=", 
                  RowBox[{"DummyIn", "[", 
                   RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ContractMetric", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"dum", ",", "ind2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "dum"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", "expr1", "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                   RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"dum", ",", "ind2"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "dum"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", "expr1", "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";",
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"LieD", "[", 
                RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"-", "ind2_"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"cd", "[", "ind2_", "]"}], "[", "expr1_", "]"}], 
                "]"}], "]"}], ":=", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", "dum", "}"}], ",", 
                RowBox[{
                 RowBox[{"dum", "=", 
                  RowBox[{"DummyIn", "[", 
                   RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ContractMetric", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"dum", ",", "ind2"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "dum"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", "expr1", "]"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                   RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"dum", ",", "ind2"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "dum"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", "expr1", "]"}], "]"}], 
                    "]"}]}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";",
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"LieD", "[", 
                RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
               RowBox[{
                RowBox[{"cd", "[", "ind2_", "]"}], "[", "expr1_", "]"}], 
               "]"}], ":=", 
              RowBox[{
               RowBox[{
                RowBox[{"LieD", "[", 
                 RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                RowBox[{"IndicesDown", "[", 
                 RowBox[{
                  RowBox[{"cd", "[", "ind2", "]"}], "[", "expr1", "]"}], " ", 
                 "]"}], " ", "]"}], "/;", 
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{
                   RowBox[{"IndicesOf", "[", 
                    RowBox[{"Free", ",", "Up"}], "]"}], "[", 
                   RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", "expr1", "]"}], 
                   "]"}], "]"}], "=!=", "0"}], "&&", 
                RowBox[{
                 RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "expr1",
                  "]"}], "&&", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{
                   RowBox[{"u", "[", "ind1", "]"}], 
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}]}], "]"}], "===", "1"}]}]}]}],
              ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"LieD", "[", 
                RowBox[{"u", "[", "ind1_", "]"}], "]"}], "[", 
               RowBox[{
                RowBox[{"cd", "[", 
                 RowBox[{"ind2_", "?", "DownIndexQ"}], "]"}], "[", "expr1_", 
                "]"}], "]"}], ":=", 
              RowBox[{
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", "dum", "}"}], ",", 
                 RowBox[{
                  RowBox[{"dum", "=", 
                   RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"With", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"frees", "=", 
                    RowBox[{"FindFreeIndices", "[", "expr1", "]"}]}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", "expr1", 
                    "]"}], "]"}], "\[IndentingNewLine]", "+", 
                    RowBox[{"$ExtrinsicKSign", " ", "*", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"cd", "[", "#", "]"}], "[", 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"ind2", ",", "dum"}], "]"}], "]"}]}], 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{"expr1", ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dum"}]}]}], "]"}]}], "\[IndentingNewLine]", 
                    "+", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "dum", "]"}], "[", 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"#", ",", "ind2"}], "]"}], "]"}], 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{"expr1", ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dum"}]}]}], "]"}]}], "\[IndentingNewLine]", 
                    "-", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"ExtrinsicK", "[", "h", "]"}], "[", 
                    RowBox[{"dum", ",", "#"}], "]"}], "]"}], 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{"expr1", ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dum"}]}]}], "]"}]}]}], ")"}], "&"}], "/@", 
                    "frees"}], ")"}]}]}]}], "\[IndentingNewLine]", ")"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                    "]"}]}], "]"}]}]}], "]"}], "/;", 
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", 
                  RowBox[{
                   RowBox[{"IndicesOf", "[", 
                    RowBox[{"Free", ",", "Up"}], "]"}], "[", "expr1", "]"}], 
                  "]"}], "===", "0"}], "&&", 
                RowBox[{
                 RowBox[{"OrthogonalToVectorQ", "[", "u", "]"}], "[", "expr1",
                  "]"}], "&&", 
                RowBox[{
                 RowBox[{"Abs", "[", 
                  RowBox[{
                   RowBox[{"u", "[", "ind1", "]"}], 
                   RowBox[{"u", "[", 
                    RowBox[{"-", "ind1"}], "]"}]}], "]"}], "===", "1"}]}]}]}],
              ";", "\[IndentingNewLine]", 
             RowBox[{"Protect", "[", "LieD", "]"}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"BianchiBool", "@", "SpaceTimeType"}], ")"}], "&&", 
                RowBox[{"(", 
                 RowBox[{"Not", "@", 
                  RowBox[{"FlatSpaceBool", "@", "SpaceTimeType"}]}], ")"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "Automatic", " ", "rules", " ", "for", " ", "the", " ", 
                   "gradients", " ", "of", " ", "the", " ", "constants", " ", 
                   "of", " ", 
                   RowBox[{"structure", ".", " ", "I"}], " ", "should", " ", 
                   "define", " ", "one", " ", "function", " ", "only", " ", 
                   "to", " ", "define", " ", "these", " ", "rules", " ", 
                   "since", " ", "it", " ", "is", " ", "also", " ", "called", 
                   " ", "in", " ", "the", " ", "DefSTFTensor"}], "..."}], " ",
                  "Here", " ", "I", " ", "keep", " ", "the", " ", "way", " ", 
                 "it", " ", "was", " ", "implemented", " ", "in", " ", "the", 
                 " ", "first", " ", "version"}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "]"}], "]"}], 
                    ",", 
                    RowBox[{"ToCanonical", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    "Minus", " ", "the", " ", "connection", " ", "for", " ", 
                    "down", " ", "indices"}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"-", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"dummy", ",", "ind1", ",", "#"}], "]"}], " ", 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "]"}], ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dummy"}]}]}], "]"}]}], ")"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "}"}]}], 
                    ")"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
                   "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{"From", " ", "this"}], ",", " ", 
                  RowBox[{
                   RowBox[{"the", " ", "n"}], "+", 
                   RowBox[{
                   "1", " ", "splitting", " ", "of", " ", "Covariant", " ", 
                    "derivatives", " ", "is", " ", 
                    RowBox[{"obvious", "."}]}]}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{"CSh", ",", "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "]"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"ToInducedDerivative", "[", 
                    RowBox[{
                    RowBox[{"IndicesDown", "[", 
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{"CSh", "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4"}], "]"}], "]"}], 
                    "]"}], ",", "CD", ",", "cd"}], "]"}], "//", 
                    "GradNormalToExtrinsicK"}], "]"}], "]"}]}], "}"}], "]"}], 
                   "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "TODO", " ", "Finish", " ", "correctly", " ", "this", " ", 
                  "part"}], " ", "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "It", " ", "should", " ", "work", " ", "as", " ", "it", " ",
                    "is"}], ",", " ", 
                  RowBox[{
                  "but", " ", "it", " ", "might", " ", "not", " ", "be", " ", 
                   "optimal", " ", "in", " ", "terms", " ", "of", " ", 
                   "computatiomal", " ", "time"}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"When", " ", "doing", " ", "the", " ", "1"}], "+", 
                   
                   RowBox[{
                   "3", " ", "splitting", " ", "of", " ", "the", " ", 
                    "covariant", " ", "derivative", " ", "acting", " ", "on", 
                    " ", "the", " ", "3", "D", " ", "riemann", " ", 
                    "tensor"}]}], ",", " ", 
                  RowBox[{"there", " ", "are", " ", "Lie", " ", 
                   RowBox[{"derivatives", "."}]}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "These", " ", "are", " ", "handled", " ", "because", " ", 
                  "the", " ", "3", "D", " ", "Riemann", " ", "tensor", " ", 
                  "is", " ", "eventually", " ", "replaced", " ", "by", " ", 
                  "constants", " ", "of", " ", "structure", " ", "and", " ", 
                  "for", " ", "the", " ", "constants", " ", "of", " ", 
                  "structure", " ", "we", " ", "have", " ", "defined", " ", 
                  "what", " ", "the", " ", "Lie", " ", "derivatives", " ", 
                  "should", " ", 
                  RowBox[{"give", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "So", " ", "all", " ", "rules", " ", "are", " ", "there"}], 
                  ",", " ", 
                  RowBox[{
                  "but", " ", "this", " ", "might", " ", "not", " ", "be", 
                   " ", "optimal", " ", "in", " ", "terms", " ", "of", " ", 
                   "compyutational", " ", "time", " ", "because", " ", "the", 
                   " ", "optimal", " ", "way", " ", "would", " ", "be", " ", 
                   "to", " ", "rpecompute", " ", "the", " ", "Lie", " ", 
                   "derivative", " ", "on", " ", "3", "D", " ", "riemann"}], 
                  ",", " ", 
                  RowBox[{
                  "without", " ", "having", " ", "to", " ", "rely", " ", "on",
                    " ", "constants", " ", "of", " ", 
                   RowBox[{"structure", "."}]}]}], "*)"}], 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Riemann", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4", ",", "ind5"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    "Minus", " ", "the", " ", "connection", " ", "for", " ", 
                    "down", " ", "indices"}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"-", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"dummy", ",", "ind1", ",", "#"}], "]"}], " ", 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4", ",", "ind5"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dummy"}]}]}], "]"}]}], ")"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4", ",", "ind5"}], 
                    "}"}]}], ")"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}],
                     "]"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Ricci", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3"}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    "Minus", " ", "the", " ", "connection", " ", "for", " ", 
                    "down", " ", "indices"}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"-", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Connectionh", "[", 
                    RowBox[{"dummy", ",", "ind1", ",", "#"}], "]"}], " ", 
                    RowBox[{"ReplaceIndex", "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3"}], "]"}], "]"}], ",", 
                    RowBox[{"#", "\[Rule]", 
                    RowBox[{"-", "dummy"}]}]}], "]"}]}], ")"}], "&"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", "ind3"}], "}"}]}], ")"}]}]}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], "]"}]}], 
                 "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"RicciScalar", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], 
                    "]"}], ",", "0"}], "}"}], "]"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{"3", "+", 
                  RowBox[{
                  "1", " ", "splitting", " ", "of", " ", "CD", " ", "on", " ",
                    "Riemann", " ", "and", " ", 
                   RowBox[{"Ricci", ".", " ", "Should"}], " ", "never", " ", 
                   "be", " ", "used", " ", "in", " ", "general", " ", 
                   "unless", " ", "the", " ", "user", " ", "wants", " ", "to",
                    " ", "split", " ", 
                   RowBox[{
                    RowBox[{"CD", "[", "Riemann", "]"}], ".", " ", "Very"}], 
                   " ", 
                   RowBox[{"unlikely", "."}]}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Riemann", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4", ",", "ind5"}], 
                    "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"ToInducedDerivative", "[", 
                    RowBox[{
                    RowBox[{"IndicesDown", "[", 
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3", ",", "ind4", ",", "ind5"}], 
                    "]"}], "]"}], "]"}], ",", "CD", ",", "cd"}], "]"}], "//", 
                    "GradNormalToExtrinsicK"}], "]"}], "]"}]}], "}"}], "]"}], 
                   "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Ricci", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3"}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"ToInducedDerivative", "[", 
                    RowBox[{
                    RowBox[{"IndicesDown", "[", 
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{"ind2", ",", "ind3"}], "]"}], "]"}], "]"}], ",", 
                    "CD", ",", "cd"}], "]"}], "//", 
                    "GradNormalToExtrinsicK"}], "]"}], "]"}]}], "}"}], "]"}], 
                   "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"RicciScalar", "[", "cd", "]"}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"ToInducedDerivative", "[", 
                    RowBox[{
                    RowBox[{"IndicesDown", "[", 
                    RowBox[{
                    RowBox[{"CD", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], 
                    "]"}], "]"}], ",", "CD", ",", "cd"}], "]"}], "//", 
                    "GradNormalToExtrinsicK"}], "]"}], "]"}]}], "}"}], "]"}], 
                   "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                  RowBox[{
                  "We", " ", "also", " ", "need", " ", "to", " ", "treat", 
                   " ", "the", " ", "Lie", " ", "Derivative", " ", "which", 
                   " ", "comes", " ", "from", " ", "thsi", " ", "3"}], "+", 
                  RowBox[{"1", " ", "splitting"}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "Lie", " ", "D", " ", "with", " ", "down", " ", "indices", 
                  " ", "is", " ", "treated", " ", "first"}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "This", " ", "is", " ", "done", " ", "by", " ", "expressing",
                   " ", "the", " ", "Riemann", " ", "tensor", " ", "in", " ", 
                  "terms", " ", "of", " ", "constanst", " ", "of", " ", 
                  RowBox[{"structure", "."}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Riemann", "[", "cd", "]"}], "]"}], ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind4"}], ",", 
                    RowBox[{"-", "ind5"}]}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Riemann", "[", "cd", "]"}], "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}], ",", 
                    RowBox[{"-", "ind4"}], ",", 
                    RowBox[{"-", "ind5"}]}], "]"}], "/.", 
                    RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}]}], 
                    "]"}], "]"}]}]}], " ", "}"}], "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"Ricci", "[", "cd", "]"}], "]"}], ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}]}], "]"}], "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Ricci", "[", "cd", "]"}], "[", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind3"}]}], "]"}], "/.", 
                    RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}]}], 
                    "]"}], "]"}]}]}], " ", "}"}], "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"AutomaticRules", "[", 
                 RowBox[{
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"RicciScalar", "[", "cd", "]"}], "]"}], ",", 
                  RowBox[{"BuildRule", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], 
                    "]"}], ",", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "ind1", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"RicciScalar", "[", "cd", "]"}], "[", "]"}], "/.", 
                    RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}]}], 
                    "]"}], "]"}]}]}], " ", "}"}], "]"}], ",", 
                    RowBox[{"MetricOn", "\[Rule]", "None"}]}], "]"}]}], "]"}],
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "Extension", " ", "to", " ", "any", " ", "position", " ", 
                  "of", " ", "indices", " ", "inside", " ", "a", " ", "Lie", 
                  " ", "Derivative"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"Riemann", "[", "cd", "]"}], "]"}], "/:", 
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"u", "[", "dummy_", "]"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"Riemann", "[", "cd", "]"}], "]"}], "[", 
                   RowBox[{"indices1___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}],
                    "]"}], "]"}], ":=", "\[IndentingNewLine]", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", "dum", "}"}], ",", 
                   RowBox[{
                    RowBox[{"dum", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: a Lie derivative with up indices has \
been converted (safely) to a Lie derivative with down indices **\>\"", "]"}], 
                    ";"}], "*)"}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Riemann", "[", "cd", "]"}], "]"}], "[", 
                    RowBox[{"indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Riemann", "[", "cd", "]"}], "]"}], "[", 
                    RowBox[{"indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}]}], 
                    "]"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"Ricci", "[", "cd", "]"}], "]"}], "/:", 
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"u", "[", "dummy_", "]"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"Ricci", "[", "cd", "]"}], "]"}], "[", 
                   RowBox[{"indices1___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}],
                    "]"}], "]"}], ":=", "\[IndentingNewLine]", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", "dum", "}"}], ",", 
                   RowBox[{
                    RowBox[{"dum", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: a Lie derivative with up indices has \
been converted (safely) to a Lie derivative with down indices **\>\"", "]"}], 
                    ";"}], "*)"}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Ricci", "[", "cd", "]"}], "]"}], "[", 
                    RowBox[{"indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Ricci", "[", "cd", "]"}], "]"}], "[", 
                    RowBox[{"indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}]}], 
                    "]"}]}]}]}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"TODO", " ", "MAJOR", " ", "PROBLEM", " ", 
                 RowBox[{"HERE", ".", " ", "IF"}], " ", "the", " ", 
                 "tensores", " ", "are", " ", "not", " ", "Symmetric", " ", 
                 "or", " ", "not", " ", "transverse", " ", "or", " ", "not", 
                 " ", "traceless", " ", "etc"}], "..."}], " ", "the", " ", 
               "properties", " ", "are", " ", "also", " ", "applied", " ", 
               "so", " ", "this", " ", "will", " ", "give", " ", "wrong", " ", 
               RowBox[{"results", ".", " ", "TODO"}], " ", 
               RowBox[{"TODO", ".", " ", "SO"}], " ", "we", " ", "should", 
               " ", "remove", " ", "the", " ", "option", " ", "that", " ", 
               "these", " ", "tensors", " ", "are", " ", 
               RowBox[{"tranverse", ".", " ", "I"}], " ", "will", " ", 
               "patch", " ", 
               RowBox[{"that", ".", " ", "In"}], " ", "general", " ", "users",
                " ", "use", " ", "only", " ", "transverse", " ", "vectors", 
               " ", 
               RowBox[{"though", "."}]}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "We", " ", "gather", " ", "many", " ", "many", " ", "rules", 
               " ", "for", " ", "the", " ", "commutation", " ", "of", " ", 
               "induced", " ", 
               RowBox[{"derivatives", ".", " ", "These"}], " ", "are", " ", 
               "in", " ", "general", " ", "made", " ", "to", " ", "make", " ",
                "sure", " ", "that", " ", "the", " ", "transverse", " ", 
               "conditions", " ", "of", " ", "vectors", " ", "and", " ", 
               "tensors", " ", "are", " ", 
               RowBox[{"used", ".", " ", "It"}], " ", "is", " ", "also", " ", 
               "made", " ", "to", " ", "gather", " ", 
               RowBox[{"Laplacians", "."}]}], "\[IndentingNewLine]", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DummyS", "[", "Sym_", "]"}], ":=", 
              RowBox[{"SymbolJoin", "[", 
               RowBox[{"DS", ",", "Sym"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DummyV", "[", "Sym_", "]"}], ":=", 
              RowBox[{"SymbolJoin", "[", 
               RowBox[{"DV", ",", "Sym"}], "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DummyT", "[", "Sym_", "]"}], ":=", 
              RowBox[{"SymbolJoin", "[", 
               RowBox[{"DT", ",", "Sym"}], "]"}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Block", "[", 
              RowBox[{
               RowBox[{"{", "Print", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"DefProjectedTensor", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", "]"}], ",",
                   "h", ",", 
                  RowBox[{"SpaceTimesOfDefinition", "->", 
                   RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"DefProjectedTensor", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                   RowBox[{"-", "ind1"}], "]"}], ",", "h", ",", 
                  RowBox[{"SpaceTimesOfDefinition", "->", 
                   RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}], ",", 
                  RowBox[{"TensorProperties", "->", 
                   RowBox[{"{", 
                    RowBox[{"(*", "\"\<Transverse\>\"", "*)"}], "}"}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"DefProjectedTensor", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyT", "[", "h", "]"}], "]"}], "[", 
                   RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}], ",", "h", ",", 
                  RowBox[{"TensorProperties", "->", 
                   RowBox[{"{", "\"\<SymmetricTensor\>\"", 
                    RowBox[{"(*", 
                    RowBox[{",", 
                    RowBox[{"(*", 
                    RowBox[{"\"\<Transverse\>\"", ","}], "*)"}], 
                    "\"\<Traceless\>\""}], "*)"}], "}"}]}], ",", 
                  RowBox[{"SpaceTimesOfDefinition", "->", 
                   RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}]}], "]"}], 
                ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "Here", " ", "we", " ", "consider", " ", "a", " ", "general", 
               " ", "tensor", " ", "which", " ", "is", " ", "not", " ", 
               "necessarily", " ", "traceless", " ", "or", " ", 
               RowBox[{"transverse", ".", " ", "But"}], " ", "it", " ", "is", 
               " ", 
               RowBox[{"symmetric", "."}]}], "*)"}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{"$CommutecdRules", "=", 
              RowBox[{"Join", "[", 
               RowBox[{"$CommutecdRules", ",", 
                RowBox[{"Flatten", "@", 
                 RowBox[{"Join", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftScalar", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftScalar", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftScalar", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind3", ",", "ind1"}], "}"}]}], "]"}], ",", "cd", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", "ind1"}], "}"}]}], "]"}], ",", "cd", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftScalar", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftScalar", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyS", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}]}], "]"}], "]"}], "]"}], 
                    "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", "ind2"}], "}"}]}], "]"}], ",",
                     "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind1", ",", 
                    RowBox[{"-", "ind3"}]}], "}"}]}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind3"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind2", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind3"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind2", ",", 
                    RowBox[{"-", "ind3"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind3"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind3", "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2"}], "]"}], 
                    "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{"ind3", ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftVector", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind1"}], "]"}]}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind1"}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyV", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind1"}], "]"}], 
                    "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind2"}], ",", 
                    RowBox[{"-", "ind1"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"PatternLeft", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "q"}], "}"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"PatternTensorLeftTensor", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyT", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2", ",", "ind3"}],
                     "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"BuildRule", "[", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyT", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2", ",", "ind3"}],
                     "]"}], "]"}], "]"}], ",", 
                    RowBox[{"org", "[", 
                    RowBox[{"CommuteCovDs", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind2"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"cd", "[", 
                    RowBox[{"-", "ind1"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"DummyT", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "ind2", ",", "ind3"}],
                     "]"}], "]"}], "]"}], ",", "cd", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "ind1"}], ",", 
                    RowBox[{"-", "ind2"}]}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    "]"}], "]"}]}], ")"}]}]}], "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", "]"}]}]}], "]"}]}], ";", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"Block", "[", 
              RowBox[{
               RowBox[{"{", "Print", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"UndefTensor", "[", 
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"DummyS", "[", "h", "]"}], "]"}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"UndefTensor", "[", 
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"DummyV", "[", "h", "]"}], "]"}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"UndefTensor", "[", 
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"DummyT", "[", "h", "]"}], "]"}], "]"}], ";"}]}], 
              "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
               "If", " ", "there", " ", "is", " ", "a", " ", "up", " ", 
                "index", " ", "on", " ", "the", " ", "Lie", " ", "derivative",
                 " ", "of", " ", "extrinsic", " ", "curvature"}], ",", " ", 
               RowBox[{"it", " ", "is", " ", "converted", " ", 
                RowBox[{"automatically", ".", "\[IndentingNewLine]", "That"}],
                 " ", "way"}], ",", " ", 
               RowBox[{
                RowBox[{"the", " ", "n"}], "+", 
                RowBox[{
                "1", " ", "splitting", " ", "of", " ", "Cov", " ", "Ds", " ", 
                 "on", " ", "extrinsic", " ", "curvatrue", " ", "is", " ", 
                 "completely", " ", 
                 RowBox[{"automatic", ".", " ", "It"}], " ", "is", " ", "the",
                  " ", "only", " ", "tensor", " ", "for", " ", "which", " ", 
                 "it", " ", "is", " ", "completely", " ", "automatic"}]}]}], 
              "*)"}], "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"Not", "@", 
                RowBox[{"NoAnisotropyBool", "[", "SpaceTimeType", "]"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Evaluate", "[", 
                  RowBox[{"K", "[", "h", "]"}], "]"}], "/:", 
                 RowBox[{
                  RowBox[{"LieD", "[", 
                   RowBox[{"u", "[", "dummy_", "]"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"Evaluate", "[", 
                    RowBox[{"K", "[", "h", "]"}], "]"}], "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "n_", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices1___", ",", 
                    RowBox[{"indup_", "?", "UpIndexQ"}], ",", "indices2___"}],
                    "]"}], "]"}], ":=", "\[IndentingNewLine]", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", "dum", "}"}], ",", 
                   RowBox[{
                    RowBox[{"dum", "=", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"Tangent", "[", "Manifold", "]"}], "]"}]}], ";", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "Print", "[", 
                    "\"\<** Warning: a Lie derivative with up indices has \
been converted (safely) to a Lie derivative with down indices **\>\"", "]"}], 
                    ";"}], "*)"}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"K", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}], "]"}]}], 
                    "+", 
                    RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"u", "[", "dummy", "]"}], "]"}], "[", 
                    RowBox[{"g", "[", 
                    RowBox[{"indup", ",", "dum"}], "]"}], "]"}], 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"K", "[", "h", "]"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "q", "]"}], ",", "indices1", ",", 
                    RowBox[{"-", "dum"}], ",", "indices2"}], "]"}]}], 
                    "]"}]}]}]}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
              "]"}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"SetSlicing", ",", "6"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Protect", "[", "SetSlicing", "]"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Default", " ", 
    RowBox[{"value", ".", " ", "It"}], " ", "is", " ", "overwritten", " ", 
    "if", " ", "there", " ", "is", " ", "curvature"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConstantsOfStructureRules", "[", "_", "]"}], ":=", 
    RowBox[{"{", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ToConstantsOfStructure", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
   RowBox[{"Function", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"expr", "/.", 
      RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->
  True,ExpressionUUID->"6030109d-616b-4141-aca0-6ab886862c9e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
2.5 Defining automatically all the tensors needed to split the most common \
perturbations of metric and matter\
\>", "Subsubsection",ExpressionUUID->"f9bf9f6f-d7c6-48e0-a516-8c45234bd4c7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DefinedPerturbationParameter", "[", "x_", "]"}], ":=", "False"}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DefMetricFields", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "dg_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"PerturbParameter_", ":", "\[Epsilon]"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "n", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"M", "=", 
          RowBox[{"ManifoldOfCovD", "@", 
           RowBox[{"CovDOfMetric", "@", "g"}]}]}], ",", 
         RowBox[{"cd", "=", 
          RowBox[{"CovDOfMetric", "@", "h"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], "=", 
           RowBox[{"GetIndicesOfVBundle", "[", 
            RowBox[{
             RowBox[{"Tangent", "@", "M"}], ",", "2"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", "dg", "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"DefMetricPerturbation", "[", 
              RowBox[{"g", ",", " ", "dg", ",", " ", 
               RowBox[{"Evaluate", "[", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                  "DefinedPerturbationParameter", "[", 
                   "$PerturbationParameter", "]"}], ",", 
                  "$PerturbationParameter", ",", "PerturbParameter"}], "]"}], 
                "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
              "DefinedPerturbationParameter", "[", "$PerturbationParameter", 
               "]"}], "=", "True"}], ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"PrintAs", "[", "dg", "]"}], " ", "^=", 
              RowBox[{"\"\<\[Delta]\>\"", "<>", 
               RowBox[{"ToString", "[", "g", "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"dg", "[", 
               RowBox[{
                RowBox[{"LI", "[", "n_", "]"}], ",", "\[Mu]_", ",", 
                "\[Nu]_"}], "]"}], ":=", 
              RowBox[{"0", "/;", 
               RowBox[{
                RowBox[{"n", ">", "1"}], "&&", "BackgroundFieldMethod"}]}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"dg", "[", 
               RowBox[{
                RowBox[{"\[Mu]_", "?", "AIndexQ"}], ",", 
                RowBox[{"\[Nu]_", "?", "AIndexQ"}]}], "]"}], ":=", 
              RowBox[{"dg", "[", 
               RowBox[{
                RowBox[{"LI", "[", "0", "]"}], ",", "\[Mu]", ",", "\[Nu]"}], 
               "]"}]}], ";"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", 
               RowBox[{
                RowBox[{
                "Print", "[", 
                 "\"\<** Warning: Metric perturbation already defined. This \
cannot be redefined without undefining it. **\>\"", "]"}], ";"}]}], "]"}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Defining", " ", "some", " ", "tensors", " ", "we", " ", "shall", 
            " ", "need", " ", "anyway"}], " ", "*)"}], "\[IndentingNewLine]", 
          
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"DefProjectedTensor", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "h", ",", 
               RowBox[{"TensorProperties", "->", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<Traceless\>\"", ",", "\"\<Transverse\>\"", ",", 
                  "\"\<SymmetricTensor\>\""}], "}"}]}], ",", 
               RowBox[{"SpaceTimesOfDefinition", "->", 
                RowBox[{"{", "\"\<Perturbed\>\"", "}"}]}], ",", 
               RowBox[{"PrintAs", "->", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ")"}], "&"}], "/@", 
           RowBox[{"$ListFieldsPerturbedOnly", "[", "h", "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"\[Phi]", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"\[Phi]", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Bs", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Bs", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Bv", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Bv", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"\[Psi]", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"\[Psi]", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Es", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Es", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Ev", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Ev", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Et", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Et", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"T", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"T", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Ls", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Ls", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{"Lv", "[", "h", "]"}], "]"}], "::", "usage"}], "=", 
           RowBox[{"Lv", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
            "If", " ", "we", " ", "want", " ", "a", " ", "nice", " ", 
             "output", " ", "for", " ", "the", " ", "perturbation", " ", 
             "parameter"}], ",", ","}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"MakeBoxes", "[", 
            RowBox[{"PerturbParameter", ",", "StandardForm"}], "]"}], ":=", 
           "\[IndentingNewLine]", 
           RowBox[{"StyleBox", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "$PerturbationParameter", "]"}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"0.3", ",", " ", "0.8", ",", " ", "0.8"}], "]"}]}]}], 
            "]"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "]"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
    "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"DefMetricFields", ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "DefMetricFields", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"578a6576-2752-4dd8-ba47-d10bc7adfa54"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DefMatterFields", "[", 
    RowBox[{"uf_", ",", "duf_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", " ", 
     RowBox[{"PerturbParameter_", ":", "\[Epsilon]"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "ord"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "=", 
          RowBox[{"First", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
         RowBox[{"u", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"M", "=", 
            RowBox[{"ManifoldOfCovD", "@", 
             RowBox[{"CovDOfMetric", "@", "g"}]}]}], ",", 
           RowBox[{"cd", "=", 
            RowBox[{"CovDOfMetric", "@", "h"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Block", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}], "=", 
             RowBox[{"GetIndicesOfVBundle", "[", 
              RowBox[{
               RowBox[{"Tangent", "@", "M"}], ",", "2"}], "]"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"DefProjectedTensor", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "h", ",", 
                 RowBox[{"TensorProperties", "->", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<Traceless\>\"", ",", "\"\<Transverse\>\"", ",", 
                    "\"\<SymmetricTensor\>\""}], "}"}]}], ",", 
                 RowBox[{"SpaceTimesOfDefinition", "->", 
                  RowBox[{"{", 
                   RowBox[{"\"\<Background\>\"", ",", "\"\<Perturbed\>\""}], 
                   "}"}]}], ",", 
                 RowBox[{"PrintAs", "->", 
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ")"}], "&"}], "/@", 
             RowBox[{"$ListFieldsBackgroundAndPerturbed", "[", 
              RowBox[{"h", ",", "uf"}], "]"}]}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"\[Rho]", "[", "uf", "]"}], "]"}], "::", "usage"}], 
             "=", 
             RowBox[{"\[Rho]", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"P", "[", "uf", "]"}], "]"}], "::", "usage"}], "=", 
             RowBox[{"P", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"Vspat", "[", 
                RowBox[{"h", ",", "uf"}], "]"}], "]"}], "::", "usage"}], "=", 
             
             RowBox[{"Vspat", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"V0", "[", 
                RowBox[{"h", ",", "uf"}], "]"}], "]"}], "::", "usage"}], "=", 
             
             RowBox[{"V0", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"Vs", "[", 
                RowBox[{"h", ",", "uf"}], "]"}], "]"}], "::", "usage"}], "=", 
             
             RowBox[{"Vs", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"Vv", "[", 
                RowBox[{"h", ",", "uf"}], "]"}], "]"}], "::", "usage"}], "=", 
             
             RowBox[{"Vv", "::", "usage"}]}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"Not", "[", 
               RowBox[{"DefTensorQ", "[", "uf", "]"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"DefTensor", "[", 
                RowBox[{
                 RowBox[{"uf", "[", "\[Mu]", "]"}], ",", "M"}], "]"}], ";"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"$DefInfoQ", ",", 
                 RowBox[{
                  RowBox[{"Print", "[", 
                   RowBox[{
                   "\"\<** Warning: Tensor \>\"", ",", "uf", " ", ",", " ", 
                    "\"\<is already defined. It cannot be redefined without \
undefining it. **\>\""}], "]"}], ";"}]}], "]"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"Not", "[", 
               RowBox[{"DefTensorQ", "[", "duf", "]"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"DefTensorPerturbation", "[", 
                RowBox[{
                 RowBox[{"duf", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "ord", "]"}], ",", "\[Mu]"}], "]"}], 
                 ",", 
                 RowBox[{"uf", "[", "\[Mu]", "]"}], ",", "M", ",", 
                 RowBox[{"PrintAs", "\[Rule]", 
                  RowBox[{"\"\<\[Delta]\>\"", "<>", 
                   RowBox[{"PrintAs", "[", "uf", "]"}]}]}]}], "]"}], ";"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{"$DefInfoQ", ",", 
                 RowBox[{
                  RowBox[{"Print", "[", 
                   RowBox[{
                   "\"\<** Warning: Tensor \>\"", ",", "duf", " ", ",", " ", 
                    "\"\<is already defined. It cannot be redefined without \
undefining it. **\>\""}], "]"}], ";"}]}], "]"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"Not", "@", 
               RowBox[{
               "DefinedPerturbationParameter", "[", "$PerturbationParameter", 
                "]"}]}], ",", 
              RowBox[{
               RowBox[{"$PerturbationParameter", "=", "PerturbParameter"}], 
               ";", 
               RowBox[{
                RowBox[{
                "DefinedPerturbationParameter", "[", "$PerturbationParameter",
                  "]"}], "=", "True"}]}]}], "]"}], ";", "\[IndentingNewLine]",
             "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"duf", "[", 
              RowBox[{"\[Mu]_", "?", "AIndexQ"}], "]"}], ":=", 
             RowBox[{"duf", "[", 
              RowBox[{
               RowBox[{"LI", "[", "0", "]"}], ",", "\[Mu]"}], "]"}]}], 
            ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"DefMatterFields", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "DefMatterFields", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"edf73a50-565e-4cec-9a2a-716d855486eb"],

Cell[BoxData[
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"DefMatterFields", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}]}], 
  "]"}]], "Output",ExpressionUUID->"af940d14-ae3b-48f2-a575-da225d34c452"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BV1", ":=", 
   RowBox[{"Boole", "@", "$FirstOrderVectorPerturbations"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BT1", ":=", 
    RowBox[{"Boole", "@", "$FirstOrderTensorPerturbations"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SplitMetric", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "dg_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"gauge_", "?", "GaugeQ"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "ind1", ",", "ind2"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"u", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
         RowBox[{"M", "=", 
          RowBox[{"ManifoldOfCovD", "@", 
           RowBox[{"CovDOfMetric", "@", "g"}]}]}], ",", 
         RowBox[{"cd", "=", 
          RowBox[{"CovDOfMetric", "@", "h"}]}], ",", 
         RowBox[{"ShBool", "=", 
          RowBox[{"Evaluate", "@", 
           RowBox[{"BianchiBool", "[", 
            RowBox[{"SpaceType", "[", "h", "]"}], "]"}]}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ind1", ",", "ind2"}], "}"}], "=", 
         RowBox[{"GetIndicesOfVBundle", "[", 
          RowBox[{
           RowBox[{"Tangent", "@", "M"}], ",", "2"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"i1", "=", "ind1"}], ",", 
            RowBox[{"i2", "=", "ind2"}]}], "}"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Not", "[", 
               RowBox[{"DefTensorQ", "[", 
                RowBox[{"Et", "[", "h", "]"}], "]"}], "]"}], "||", 
              RowBox[{"Not", "[", 
               RowBox[{"DefTensorQ", "[", "dg", "]"}], "]"}]}], ",", 
             RowBox[{
              RowBox[{
              "Print", "[", 
               "\"\<** Warning: The perturbed metric, or the fields required \
to parameterize its splitting were not previously defined **\>\"", "]"}], ";",
               "\[IndentingNewLine]", 
              RowBox[{
              "Print", "[", 
               "\"\<** DefMetricFields is called to build the perturbation of \
the metric and the fields needed for future splitting **\>\"", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"DefMetricFields", "[", 
               RowBox[{"g", ",", " ", "dg", ",", "h"}], "]"}]}]}], "]"}], ";",
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "First", " ", "the", " ", "rules", " ", "at", " ", "first", " ", 
             RowBox[{"order", ".", " ", "We"}], " ", "separate", " ", "them", 
             " ", "from", " ", "higher", " ", "order", " ", "rules", " ", 
             "because", " ", "the", " ", "user", " ", "can", " ", "choose", 
             " ", "not", " ", "to", " ", "use", " ", "vectors", " ", "and", 
             " ", "tensor", " ", "at", " ", "first", " ", 
             RowBox[{"order", "."}]}], "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
             "*", " ", "JMM", " ", "explained", " ", "that", " ", "I", " ", 
              "should", " ", "use", " ", "a", " ", "combination", " ", "of", 
              " ", "Module", " ", "and", " ", "With"}], ",", " ", 
             RowBox[{
             "and", " ", "also", " ", "build", " ", "first", " ", "the", " ", 
              "lhs", " ", "and", " ", "rhs", " ", "that", " ", "I", " ", 
              "gather", " ", "in", " ", 
              RowBox[{"{", 
               RowBox[{"lhs", ",", "rhs"}], "}"}]}], ",", " ", 
             RowBox[{
             "and", " ", "apply", " ", "the", " ", "Rule", " ", "head", " ", 
              "on", " ", "it", " ", "with", " ", 
              RowBox[{"Rule", "@@"}]}]}], " ", "**)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "*", " ", "This", " ", "avoids", " ", "the", " ", "use", "  ", 
             "of", " ", "PatternLeft", " ", "and", " ", "ensure", " ", "that",
              " ", "the", " ", "indices", " ", "inside", " ", "the", " ", 
             "rule", " ", "belong", " ", "to", " ", "the", " ", "manifold", 
             " ", "and", " ", "thus", " ", "this", " ", "avoids", " ", 
             "conflict", " ", "with", " ", "SCreenDollarIndices"}], "**)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Join", "[", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{"PatternLeft", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"{", 
                  RowBox[{"i1", ",", "i2"}], "}"}]}], "]"}], "&"}], "/@"}], 
             "*)"}], 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Rule", "@@", 
               RowBox[{"Switch", "[", 
                RowBox[{
                "gauge", " ", ",", "\[IndentingNewLine]", 
                 "\"\<NewtonGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<NewtonGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FluidComovingGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FluidComovingGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<ScalarFieldComovingGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<ScalarFieldComovingGauge\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<SynchronousGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<SynchronousGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FlatGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<AnyGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<AnyGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<IsoDensityGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<IsoDensityGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "i1_", ",", "i2_"}], 
                    "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"BT1", " ", "2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"BV1", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "And", " ", "then", " ", "the", " ", "rules", " ", "at", " ", 
               "order", " ", "larger", " ", "that", " ", "1"}], "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{
               RowBox[{
                RowBox[{"PatternLeft", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"{", 
                   RowBox[{"i1", ",", "i2"}], "}"}]}], "]"}], "&"}], "/@"}], 
              "*)"}], 
             RowBox[{"{", 
              RowBox[{"Rule", "@@", 
               RowBox[{"Switch", "[", 
                RowBox[{
                "gauge", " ", ",", "\[IndentingNewLine]", 
                 "\"\<NewtonGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<NewtonGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FluidComovingGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FluidComovingGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<ScalarFieldComovingGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<ScalarFieldComovingGauge\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<SynchronousGaugeBianchi\>\"", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"+", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}]}], 
                    "+", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}]}]}],
                     "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<SynchronousGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<FlatGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<AnyGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<AnyGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Es", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Ev", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<IsoDensityGaugeBianchi\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], "+", 
                    RowBox[{"If", "[", 
                    RowBox[{"ShBool", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}], "/", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "0"}], 
                    "]"}]}], ")"}]}], "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                 "\"\<IsoDensityGauge\>\"", ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"dg", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "2"}], "&"}], ")"}]}], 
                    "]"}], ",", "i1_", ",", "i2_"}], "]"}], ",", 
                   RowBox[{"Identity", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"u", "[", "i1", "]"}]}], 
                    RowBox[{"u", "[", "i2", "]"}], "2", 
                    RowBox[{
                    RowBox[{"\[Phi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "-", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"\[Psi]", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"h", "[", 
                    RowBox[{"i1", ",", "i2"}], "]"}], ")"}]}], 
                    "\[IndentingNewLine]", "+", 
                    RowBox[{"2", 
                    RowBox[{
                    RowBox[{"Et", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i2"}], "]"}]}], "+", 
                    
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"Bv", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1"}], "]"}]}]}], 
                    ")"}], "\[IndentingNewLine]", "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"u", "[", "i1", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i2", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}], "+", 
                    RowBox[{
                    RowBox[{"u", "[", "i2", "]"}], 
                    RowBox[{
                    RowBox[{"cd", "[", "i1", "]"}], "@", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}]}]}], ")"}]}], 
                    "]"}]}], "}"}]}], "\[IndentingNewLine]", "]"}]}], 
              "\[IndentingNewLine]", "}"}]}], "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"SplitMetric", ",", "4"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "SplitMetric", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"c13f4806-df30-45b6-b711-db0d0573f639"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.6 Conformal Transformation", \
"Subsubsection",ExpressionUUID->"0d081397-e8a1-4466-96a2-f0a70082060e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"IndicesDown", "[", "expr_", "]"}], ":=", " ", 
  RowBox[{"Fold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SeparateMetric", "[", 
       RowBox[{"First", "@", "$Metrics"}], "]"}], "[", 
      RowBox[{"#1", ",", "#2"}], "]"}], "&"}], ",", "expr", ",", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"IndicesOf", "[", "Up", "]"}], "[", "expr", "]"}], ",", 
      RowBox[{
       RowBox[{"Not", "@", 
        RowBox[{"LIndexQ", "[", "#", "]"}]}], "&"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"IndicesUp", "[", "expr_", "]"}], ":=", " ", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SeparateMetric", "[", 
        RowBox[{"First", "@", "$Metrics"}], "]"}], "[", 
       RowBox[{"#1", ",", "#2"}], "]"}], "&"}], ",", "expr", ",", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"IndicesOf", "[", "Down", "]"}], "[", "expr", "]"}], ",", 
       RowBox[{
        RowBox[{"Not", "@", 
         RowBox[{"LIndexQ", "[", "#", "]"}]}], "&"}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"IndicesDown", "[", "0", "]"}], ":=", "0"}], " ", ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"This", " ", "is", " ", "to", " ", "avoid", " ", "bugs"}], 
    "..."}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"IndicesUp", "[", "0", "]"}], ":=", "0"}], " ", ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"2cd64115-094d-40f7-bd3d-abfc0d098119"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ConformalMetricName", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "1"}], "]"}], ":=", "g"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ConformalMetricName", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "conffactor_"}], "]"}], ":=", 
   RowBox[{"SymbolJoin", "[", 
    RowBox[{"g", ",", "conffactor", ",", "2"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"2cbce4e2-e138-4f89-a27c-d1c650fba01b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DefConformalMetric", "[", 
    RowBox[{
     RowBox[{"g_", "?", "MetricQ"}], ",", "conffactor_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "q"}], "}"}], ",", 
     RowBox[{"Catch", "@", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"M", "=", 
           RowBox[{"ManifoldOfCovD", "@", 
            RowBox[{"CovDOfMetric", "@", "g"}]}]}], ",", 
          RowBox[{"CD", "=", 
           RowBox[{"CovDOfMetric", "@", "g"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"i1", "=", 
             RowBox[{"DummyIn", "[", 
              RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ",", 
            RowBox[{"i2", "=", 
             RowBox[{"DummyIn", "[", 
              RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ",", 
            RowBox[{"sy1", "=", 
             RowBox[{
              RowBox[{"SymbolOfCovD", "[", "CD", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"sy2", "=", 
             RowBox[{
              RowBox[{"SymbolOfCovD", "[", "CD", "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", 
            RowBox[{"metlist", "=", 
             RowBox[{"Select", "[", 
              RowBox[{"$Metrics", ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"InducedFrom", "[", "#", "]"}], "===", "Null"}], 
                "&"}]}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Not", "@", 
              RowBox[{"DefTensorQ", "[", "conffactor", "]"}]}], ",", 
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{"conffactor", "[", 
                RowBox[{
                 RowBox[{"LI", "[", "n", "]"}], ",", 
                 RowBox[{"LI", "[", "q", "]"}]}], "]"}], ",", 
               RowBox[{"{", "M", "}"}], ",", 
               RowBox[{"PrintAs", "->", 
                RowBox[{"ToString", "[", "conffactor", "]"}]}]}], "]"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Off", "[", 
            StyleBox[
             RowBox[{"DefMetric", "::", "old"}], "MessageName"], "]"}], ";", 
           RowBox[{"(*", " ", 
            RowBox[{"Annoying", " ", "message", " ", "turned", " ", "off"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Not", "[", 
              RowBox[{"DefTensorQ", "[", 
               RowBox[{"ConformalMetricName", "[", 
                RowBox[{"g", ",", "conffactor"}], "]"}], "]"}], "]"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"DefMetric", "[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", 
                RowBox[{
                 RowBox[{"ConformalMetricName", "[", 
                  RowBox[{"g", ",", "conffactor"}], "]"}], "[", 
                 RowBox[{
                  RowBox[{"-", "i1"}], ",", 
                  RowBox[{"-", "i2"}]}], "]"}], ",", 
                RowBox[{"SymbolJoin", "[", 
                 RowBox[{"CD", ",", "conffactor", ",", "2"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"\"\<:\>\"", ",", 
                  RowBox[{"StringJoin", "[", 
                   RowBox[{"sy2", ",", 
                    RowBox[{"ToString", "[", "conffactor", "]"}], ",", 
                    RowBox[{"ToString", "[", "2", "]"}]}], "]"}]}], "}"}], 
                ",", 
                RowBox[{"PrintAs", "\[Rule]", 
                 RowBox[{"StringJoin", "[", 
                  RowBox[{"\"\<[\>\"", ",", 
                   RowBox[{"PrintAs", "[", "g", "]"}], ",", 
                   RowBox[{"\"\<\\!\\(\>\"", "<>", 
                    RowBox[{"PrintAs", "[", "conffactor", "]"}], "<>", 
                    "\"\<\\^2\\)\>\""}], ",", "\"\<]\>\""}], 
                  RowBox[{"(*", 
                   RowBox[{
                    RowBox[{"ToString", "[", "conffactor", "]"}], ",", 
                    RowBox[{"ToString", "[", "2", "]"}]}], "*)"}], "]"}]}], 
                ",", 
                RowBox[{"ConformalTo", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "i1"}], ",", 
                    RowBox[{"-", "i2"}]}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"conffactor", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "^", "2"}]}], 
                  "}"}]}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"On", "[", 
            StyleBox[
             RowBox[{"DefMetric", "::", "old"}], "MessageName"], "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "We", " ", "have", " ", "to", " ", "ensure", " ", "it", " ", "is",
              " ", "safe"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Perturbation", "[", 
             RowBox[{
              RowBox[{"conffactor", "[", 
               RowBox[{
                RowBox[{"LI", "[", "0", "]"}], ",", 
                RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], "]"}], 
              ",", "n_"}], "]"}], "^:=", 
            RowBox[{"0", "/;", 
             RowBox[{"n", "\[GreaterEqual]", "1"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"Off", "[", 
            StyleBox[
             RowBox[{"ConformalRules", "::", "unknown"}], "MessageName"], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "We", " ", "use", " ", "the", " ", "error", " ", "sent", " ", 
             "by", " ", "ConformalRules", " ", "to", " ", "check", " ", 
             "whether", " ", "or", " ", "not", " ", "the", " ", "metric", " ",
              "in", " ", "the", " ", "list", " ", "metlist", " ", "is", " ", 
             "conformally", " ", "related", " ", "to", " ", "the", " ", 
             "metric", " ", 
             RowBox[{"g", ".", "\[IndentingNewLine]", "If"}], " ", "it", " ", 
             "is", " ", "the", " ", "case", " ", "we", " ", "enforce", " ", 
             "transitivity", " ", "of", " ", "the", " ", "conformal", " ", 
             RowBox[{"relations", "."}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Catch", "@", 
                 RowBox[{"ConformalRules", "[", 
                  RowBox[{"g", ",", "#"}], "]"}]}], "=!=", "Null"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"SetConformalTo", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"SymbolJoin", "[", 
                   RowBox[{"g", ",", "conffactor", ",", "2"}], "]"}], "[", 
                  RowBox[{
                   RowBox[{"-", "i1"}], ",", 
                   RowBox[{"-", "i2"}]}], "]"}], ",", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"#", "[", 
                    RowBox[{
                    RowBox[{"-", "i1"}], ",", " ", 
                    RowBox[{"-", "i2"}]}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"ConformalFactor", "[", 
                    RowBox[{"g", ",", "#"}], "]"}], "*", " ", 
                    RowBox[{
                    RowBox[{"conffactor", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "^", "2"}]}]}], 
                  "}"}]}], "]"}]}], "]"}], "&"}], "/@", "metlist"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"On", "[", 
            StyleBox[
             RowBox[{"ConformalRules", "::", "unknown"}], "MessageName"], 
            "]"}], ";"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "]"}]}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"DefConformalMetric", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "DefConformalMetric", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"8910001e-170e-488d-989f-a52384fb5b39"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConfHead", "[", 
     RowBox[{"_", ",", "_"}], "]"}], "[", 
    RowBox[{"delta", "[", 
     RowBox[{"\[Mu]_", ",", "\[Nu]_"}], "]"}], "]"}], ":=", 
   RowBox[{"delta", "[", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}], "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Because", " ", "I", " ", "know", " ", "that", " ", "when", " ", "there", 
     " ", "is", " ", "delta", " ", "function", " ", "in", " ", "an", " ", 
     "expression"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "it", " ", "is", " ", "always", " ", "with", " ", "one", " ", "index", 
       " ", "up", " ", "and", " ", "one", " ", "down"}], "..."}], "so", " ", 
     "this", " ", "should", " ", "be", " ", 
     RowBox[{"fine", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConfHead", "[", 
     RowBox[{
      RowBox[{"metric1_", "?", "MetricQ"}], ",", 
      RowBox[{"metric2_", "?", "MetricQ"}]}], "]"}], "[", 
    RowBox[{
     RowBox[{"ConfHead", "[", 
      RowBox[{
       RowBox[{"metric2_", "?", "MetricQ"}], ",", 
       RowBox[{"metric1_", "?", "MetricQ"}]}], "]"}], "[", "expr_", "]"}], 
    "]"}], ":=", "expr"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Not", " ", "necessary"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ConfHead", "[", 
    RowBox[{
     RowBox[{"metric1_", "?", "MetricQ"}], ",", 
     RowBox[{"metric1_", "?", "MetricQ"}]}], "]"}], "[", "expr_", "]"}], ":=",
   "expr"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConfHead", "[", 
     RowBox[{
      RowBox[{"metric2_", "?", "MetricQ"}], ",", 
      RowBox[{"metric3_", "?", "MetricQ"}]}], "]"}], "[", 
    RowBox[{
     RowBox[{"ConfHead", "[", 
      RowBox[{
       RowBox[{"metric1_", "?", "MetricQ"}], ",", 
       RowBox[{"metric2_", "?", "MetricQ"}]}], "]"}], "[", "expr_", "]"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"ConfHead", "[", 
     RowBox[{"metric1", ",", "metric3"}], "]"}], "[", "expr", "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Thanks", " ", "to", " ", "Jolyon", " ", "Bloomfield", " ", "and", " ", 
     "Leo", " ", "Stein"}], ",", " ", 
    RowBox[{
    "the", " ", "definition", " ", "below", " ", "should", " ", "be", " ", 
     "much", " ", "more", " ", 
     RowBox[{"general", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "main", " ", "reason", " ", "is", " ", "that", " ", "the", " ",
     "delta", " ", "tensor", " ", "is", " ", "greedy", " ", "and", " ", 
    "wants", " ", "to", " ", "contract", " ", "through", " ", "expressions", 
    " ", "like", "\n", 
    RowBox[{
     RowBox[{
      RowBox[{"ConfHead", "[", "...", "]"}], "[", 
      RowBox[{"f", "[", 
       RowBox[{"Scalar", "[", 
        RowBox[{"phi", "[", "]"}], "]"}], "]"}], "]"}], "."}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ConfHead", "/:", 
   RowBox[{"IsIndexOf", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ConfHead", "[", 
       RowBox[{"_", ",", "_"}], "]"}], "[", "_", "]"}], ",", "_", ",", 
     "delta"}], "]"}], ":=", "False"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"3961574a-3223-4a77-b012-8add7fdbe5d3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"$BoolBasicConformalWeight", "=", "True"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WeightOfIndicesList", "[", "indices_List", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aindex", "=", 
       RowBox[{"Select", "[", 
        RowBox[{"indices", ",", 
         RowBox[{
          RowBox[{"Not", "[", 
           RowBox[{"LIndexQ", "[", "#", "]"}], "]"}], "&"}]}], "]"}]}], "}"}],
      ",", 
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"aindex", ",", "DownIndexQ"}], "]"}]}], "-", 
      RowBox[{"Length", "@", 
       RowBox[{"Select", "[", 
        RowBox[{"aindex", ",", "UpIndexQ"}], "]"}]}]}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Conformal", " ", "weight", " ", "of", " ", "a", " ", "tensor"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ConformalWeight", "[", 
    RowBox[{"tens_", "?", "xTensorQ"}], "]"}], ":=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ConformalWeight", "[", 
    RowBox[{
     RowBox[{"tens_", "?", "xTensorQ"}], "[", "indices___", "]"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"ConformalWeight", "[", "tens", "]"}], "+", 
    RowBox[{"WeightOfIndicesList", "[", 
     RowBox[{"{", "indices", "}"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ConformalWeight", "[", 
     RowBox[{"f_", "?", "ScalarFunctionQ"}], "]"}], ":=", "0"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MyChangeChristoffel", "[", 
    RowBox[{"expr_", ",", "cd_", ",", "cd_"}], "]"}], ":=", "expr"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MyChangeChristoffel", "[", 
    RowBox[{"expr_", ",", "cd2list_List", ",", "cd1_"}], "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"MyChangeChristoffel", "[", 
       RowBox[{"#1", ",", "#2", ",", "cd1"}], "]"}], "&"}], ",", "expr", ",", 
     "cd2list"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"MyChangeChristoffel", "[", 
   RowBox[{"expr_", ",", "cd2_", ",", "cd1_"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vb", "=", 
      RowBox[{"Tangent", "[", 
       RowBox[{"ManifoldOfCovD", "[", "cd1", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"chr1", "=", 
         RowBox[{"Head", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Christoffel", "[", "cd1", "]"}], ")"}], "[", 
           RowBox[{
            RowBox[{"DummyIn", "[", "vb", "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}]}], "]"}], "]"}]}], ",", 
        RowBox[{"chr2", "=", 
         RowBox[{"Head", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Christoffel", "[", "cd2", "]"}], ")"}], "[", 
           RowBox[{
            RowBox[{"DummyIn", "[", "vb", "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}]}], "]"}], "]"}]}], ",", 
        RowBox[{"chr21", "=", 
         RowBox[{"Head", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Christoffel", "@@", 
             RowBox[{"Sort", "[", 
              RowBox[{"{", 
               RowBox[{"cd2", ",", "cd1"}], "}"}], "]"}]}], ")"}], "[", 
           RowBox[{
            RowBox[{"DummyIn", "[", "vb", "]"}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}], ",", 
            RowBox[{"-", 
             RowBox[{"DummyIn", "[", "vb", "]"}]}]}], "]"}], "]"}]}], ",", 
        RowBox[{"sign", "=", 
         RowBox[{"Order", "[", 
          RowBox[{"cd2", ",", "cd1"}], "]"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"expr", "/.", 
       RowBox[{
        RowBox[{"chr2", "[", 
         RowBox[{"i1_", ",", "i2_", ",", "i3_"}], "]"}], "\[RuleDelayed]", 
        RowBox[{
         RowBox[{"chr1", "[", 
          RowBox[{"i1", ",", "i2", ",", "i3"}], "]"}], "+", 
         RowBox[{"sign", "*", 
          RowBox[{"chr21", "[", 
           RowBox[{"i1", ",", "i2", ",", "i3"}], "]"}]}]}]}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"fe5b646a-e3f0-467b-9d93-3d8a34f6c2e2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ExistInertHead", "[", "head_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Length", "@", 
     RowBox[{"Cases", "[", 
      RowBox[{"$InertHeads", ",", "head"}], "]"}]}], ">", "0"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RulesConf", "[", 
   RowBox[{
    RowBox[{"metric1_", "?", "MetricQ"}], ",", 
    RowBox[{"metric2_", "?", "MetricQ"}]}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "cd1", ",", "cd2", ",", "confa2", ",", "confa", ",", "M", ",", "res", 
       ",", "inds"}], "}"}], ",", 
     RowBox[{
      RowBox[{"cd1", "=", 
       RowBox[{"CovDOfMetric", "[", "metric1", "]"}]}], ";", 
      RowBox[{"cd2", "=", 
       RowBox[{"CovDOfMetric", "[", "metric2", "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"confa2", "=", 
       RowBox[{"ConformalFactor", "[", 
        RowBox[{"metric2", ",", "metric1"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"confa", "=", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"ConformalFactor", "[", 
          RowBox[{"metric2", ",", "metric1"}], "]"}], "]"}], "/.", 
        RowBox[{
         RowBox[{"Sqrt", "[", 
          RowBox[{"x_", "^", 
           RowBox[{"n_", "?", "EvenQ"}]}], "]"}], ":>", 
         RowBox[{"x", "^", 
          RowBox[{"(", 
           RowBox[{"n", "/", "2"}], ")"}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "In", " ", "principle", " ", "this", " ", "should", " ", "give", " ", 
        "a", " ", "or", " ", 
        RowBox[{"1", "/", "a"}], " ", "depending", " ", "if", " ", "we", " ", 
        "go", " ", "from", " ", "metric1", " ", "to", " ", "metric2", " ", 
        "or", " ", "metric2", " ", "to", " ", "metric1"}], "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"M", "=", 
       RowBox[{"ManifoldOfCovD", "[", "cd1", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"inds", "=", 
       RowBox[{"DummyIn", "/@", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Tangent", "[", "M", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"Range", "[", "4", "]"}], "}"}]}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"i1", "=", 
           RowBox[{"inds", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"i2", "=", 
           RowBox[{"inds", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ",", 
          RowBox[{"i3", "=", 
           RowBox[{"inds", "[", 
            RowBox[{"[", "3", "]"}], "]"}]}], ",", 
          RowBox[{"i4", "=", 
           RowBox[{"inds", "[", 
            RowBox[{"[", "4", "]"}], "]"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
         "Once", " ", "confheads", " ", "are", " ", "put", " ", "on", " ", 
          "expression", " ", 
          RowBox[{"(", 
           RowBox[{
           "as", " ", "a", " ", "result", " ", "of", " ", "a", " ", "formal", 
            " ", "conformal", " ", "transformation"}], ")"}], " ", "then", 
          " ", "we", " ", "remove", " ", "them", " ", "by", " ", "expressing",
           " ", "what", " ", "they", " ", "mean", " ", "in", " ", "function", 
          " ", "of", " ", "the", " ", "original", " ", "tensors", " ", "and", 
          " ", "the", " ", "scale", " ", "factor"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"res", "=", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Riemann", "@", "cd1"}], ")"}], "[", 
                 RowBox[{"i1_", ",", "i2_", ",", "i3_", ",", "i4_"}], "]"}], 
                "]"}], ",", 
               RowBox[{
                RowBox[{"confa", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"WeightOfIndicesList", "[", 
                    RowBox[{"{", 
                    RowBox[{"i1", ",", "i2", ",", "i3", ",", "i4"}], "}"}], 
                    "]"}], "-", "2"}], ")"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Riemann", "@", "cd2"}], ")"}], "[", 
                 RowBox[{"i1", ",", "i2", ",", "i3", ",", "i4"}], "]"}]}]}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Ricci", "@", "cd1"}], ")"}], "[", 
                 RowBox[{"i1_", ",", "i2_"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"confa", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"WeightOfIndicesList", "[", 
                    RowBox[{"{", 
                    RowBox[{"i1", ",", "i2"}], "}"}], "]"}], "-", "2"}], 
                  ")"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Ricci", "@", "cd2"}], ")"}], "[", 
                 RowBox[{"i1", ",", "i2"}], "]"}]}]}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"RicciScalar", "@", "cd1"}], ")"}], "[", "]"}], 
                "]"}], ",", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"RicciScalar", "@", "cd2"}], ")"}], "[", "]"}]}], 
              "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Christoffel", "@", "cd1"}], ")"}], "[", 
                 RowBox[{"i1_", ",", "i2_", ",", "i3_"}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{"confa", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"WeightOfIndicesList", "[", 
                    RowBox[{"{", 
                    RowBox[{"i1", ",", "i2", ",", "i3"}], "}"}], "]"}], "-", 
                   "1"}], ")"}]}], "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Christoffel", "@", "cd2"}], ")"}], "[", 
                 RowBox[{"i1", ",", "i2", ",", "i3"}], "]"}]}]}], "]"}]}], 
            ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Determinant", "[", 
                   RowBox[{"metric1", ",", "AIndex"}], "]"}], ")"}], "[", 
                 "]"}], "]"}], ",", 
               RowBox[{"(*", " ", 
                RowBox[{
                "This", " ", "is", " ", "removed", " ", "because", " ", "now",
                  " ", "xTensor", " ", "is", " ", "patched", " ", 
                 RowBox[{
                  RowBox[{"confa2", "^", 
                   RowBox[{"DimOfManifold", "[", "M", "]"}]}], ".", " ", 
                  "Thanks"}], " ", "to", " ", "Leo", " ", 
                 RowBox[{"Stein", "."}]}], "*)"}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                "We", " ", "must", " ", "distinguish", " ", "if", " ", "we", 
                 " ", "use", " ", "conformal", " ", "or", " ", "cosmic", " ", 
                 
                 RowBox[{"time", ".", " ", "Modified"}], " ", "on", " ", "04",
                  " ", "March", " ", "2019", " ", "following", " ", "Obinna", 
                 " ", 
                 RowBox[{"Umeh", "'"}], "s", " ", "remark"}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"Determinant", "[", 
                   RowBox[{"metric2", ",", "AIndex"}], "]"}], ")"}], "[", 
                 "]"}], "*)"}], 
               RowBox[{"(*", 
                RowBox[{"Previous", " ", "code", " ", "commented"}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"$ConformalTime", "\[Equal]", "False"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"Determinant", "[", 
                    RowBox[{"metric2", ",", "AIndex"}], "]"}], ")"}], "[", 
                   "]"}], "/", "confa2"}], ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"Determinant", "[", 
                    RowBox[{"metric2", ",", "AIndex"}], "]"}], ")"}], "[", 
                  "]"}]}], "]"}]}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{
              "This", " ", "line", " ", "below", " ", "is", " ", "not", " ", 
               "working", " ", 
               RowBox[{"well", ".", "  ", "The"}], " ", "problem", " ", 
               "should", " ", "be", " ", "considered", " ", "later", " ", 
               "when", " ", "xTensor", " ", "knows", " ", "how", " ", "to", 
               " ", "handle", " ", "the", " ", "epsilon", " ", "of", " ", "a",
                " ", "frozen", " ", 
               RowBox[{"metric", ".", " ", "So"}], " ", "this", " ", "really",
                " ", "works", " ", "only", " ", "when", " ", "metric1", " ", 
               "is", " ", "the", " ", "ambient", " ", "metric"}], "..."}], 
             " ", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"RuleDelayed", "@@", 
             RowBox[{"Hold", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"ConfHead", "[", 
                 RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"epsilon", "@", "metric1"}], ")"}], "[", 
                 RowBox[{"inds__", "?", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "#", "}"}], "]"}], "===", 
                    RowBox[{"DimOfManifold", "[", "M", "]"}]}], "&"}], 
                   ")"}]}], "]"}], "]"}], ",", 
               RowBox[{"(*", 
                RowBox[{"confa2", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"DimOfManifold", "[", "M", "]"}], "/", "2"}], 
                  ")"}]}], "*)"}], 
               RowBox[{
                RowBox[{"confa", "^", 
                 RowBox[{"(", 
                  RowBox[{"WeightOfIndicesList", "[", 
                   RowBox[{"{", "inds", "}"}], "]"}], ")"}]}], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"epsilon", "@", "metric1"}], ")"}], "[", "inds", 
                 "]"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
             "Not", " ", "really", " ", "satisfactory", " ", "but", " ", 
              "minimalist", " ", "for", " ", "scalar", " ", "functions"}], 
             " ", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{
              "Following", " ", "Leo", " ", "Stein", " ", "suggestion"}], ",",
               " ", 
              RowBox[{
              "we", " ", "allow", " ", "the", " ", "scalar", " ", "function", 
               " ", "to", " ", "have", " ", "several", " ", "arguments"}]}], 
             " ", "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"ConfHead", "[", 
               RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
              RowBox[{
               RowBox[{"f_", "?", "ScalarFunctionQ"}], "[", "arg___", "]"}], 
              "]"}], ":>", 
             RowBox[{
              RowBox[{"Simplify", "[", 
               RowBox[{
                RowBox[{"confa2", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"ConformalWeight", "[", "f", "]"}], ")"}], "/", 
                   "2"}], ")"}]}], ",", 
                RowBox[{"Assumptions", "\[Rule]", 
                 RowBox[{"confa", ">", "0"}]}]}], "]"}], 
              RowBox[{"f", "[", "arg", "]"}]}]}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"ConfHead", "[", 
               RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
              RowBox[{
               RowBox[{"tens_", "?", "xTensorQ"}], "[", "indss___", "]"}], 
              "]"}], "\[RuleDelayed]", 
             RowBox[{
              RowBox[{"Simplify", "[", 
               RowBox[{
                RowBox[{"confa2", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"ConformalWeight", "[", 
                    RowBox[{"tens", "[", "indss", "]"}], "]"}], "/", "2"}], 
                  ")"}]}], ",", 
                RowBox[{"Assumptions", "\[Rule]", 
                 RowBox[{"confa", ">", "0"}]}]}], "]"}], 
              RowBox[{"tens", "[", "indss", "]"}]}]}]}], 
           "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "res"}]}], "\[IndentingNewLine]", "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ")"}]}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"d3a9ce01-0a2c-4a96-8a44-7c386ab8ecad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RemoveInducedDerivative", "[", 
     RowBox[{"expr_", ",", "cd_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "res", "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"h", "=", 
          RowBox[{"MetricOfCovD", "@", "cd"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"InducedFrom", "@", "h"}], "===", "Null"}], ",", "expr", 
          ",", "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"g", "=", 
              RowBox[{"First", "@", 
               RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"CD", "=", 
                RowBox[{"CovDOfMetric", "@", "g"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"res", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"expr", "//.", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"cd", "[", "ind_", "]"}], "[", "Expr___", "]"}], ":>", 
                    RowBox[{
                    RowBox[{"Projector", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"CD", "[", "ind", "]"}], "[", "Expr", "]"}], 
                    "]"}]}]}], ")"}], "/.", 
                 RowBox[{
                  RowBox[{"Projector", "[", "h", "]"}], "\[Rule]", 
                  RowBox[{"ProjectWith", "[", "h", "]"}]}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"res", "=!=", "expr"}], ",", 
                 RowBox[{
                  RowBox[{
                  "Print", "[", 
                   "\"\<** Warning: you are using ToMetric or Conformal with \
induced covariant derivatives. \\nThese induced derivatives are first \
expressed in function of the covariant derivative form which they are induced \
since we do not know very well how to handle that. **\>\"", "]"}], ";"}]}], 
                "]"}], ";", "\[IndentingNewLine]", "res"}]}], 
             "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
         "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RemoveAllInducedDerivatives", "[", "expr_", "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"InducedMetrics", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"$Metrics", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"InducedFrom", "[", "#", "]"}], "=!=", "Null"}], "&"}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Fold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"RemoveInducedDerivative", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"CovDOfMetric", "[", "#2", "]"}]}], "]"}], "&"}], ",", 
        "expr", ",", "InducedMetrics"}], "]"}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToMetric", "[", 
     RowBox[{"expr_", ",", 
      RowBox[{"metric1_", "?", "MetricQ"}]}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"InducedFrom", "@", "metric1"}], "=!=", "Null"}], ",", "expr", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"res", ",", "preexpression"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Off", "[", 
          StyleBox[
           RowBox[{"ConformalRules", "::", "unknown"}], "MessageName"], 
          StyleBox["]", "MessageName"]}], 
         StyleBox[";", "MessageName"], "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"cd1", "=", 
              RowBox[{"CovDOfMetric", "[", "metric1", "]"}]}], ",", 
             RowBox[{"$CovDsNotInduced", "=", 
              RowBox[{"Select", "[", 
               RowBox[{
                RowBox[{"Rest", "@", "$CovDs"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"InducedFrom", "[", 
                   RowBox[{"MetricOfCovD", "[", "#", "]"}], "]"}], "===", 
                  "Null"}], "&"}]}], "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"$CovDsNotInducedRelatedTocd1", "=", 
               RowBox[{"Select", "[", 
                RowBox[{"$CovDsNotInduced", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Catch", "@", 
                    RowBox[{"ConformalRules", "[", 
                    RowBox[{"metric1", ",", 
                    RowBox[{"MetricOfCovD", "[", "#", "]"}]}], "]"}]}], "=!=",
                     "Null"}], ")"}], "&"}]}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"preexpression", "=", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"RemoveAllInducedDerivatives", "[", "expr", "]"}],
                     "//", "ProjectorToMetric"}], "//", "EinsteinToRicci"}], "//",
                    "WeylToRiemann"}], "//", "ContractMetric"}], "//", 
                 "ToCanonical"}], ")"}]}], ";", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"res", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"ChangeCovD", "[", 
                    RowBox[{"#", ",", "$CovDsNotInduced", ",", "cd1"}], "]"}],
                     "&"}], "@", "\[IndentingNewLine]", 
                    RowBox[{"ChristoffelToGradConformal", "[", 
                    RowBox[{
                    "#", ",", "$CovDsNotInducedRelatedTocd1", ",", "cd1"}], 
                    "]"}]}], "&"}], "@", "\[IndentingNewLine]", 
                    RowBox[{"MyChangeChristoffel", "[", 
                    RowBox[{
                    "#", ",", "$CovDsNotInducedRelatedTocd1", ",", "cd1"}], 
                    "]"}]}], "&"}], "@", "\[IndentingNewLine]", 
                    RowBox[{"ChangeCovD", "[", 
                    RowBox[{"#", ",", "$CovDsNotInduced", ",", "cd1"}], 
                    "]"}]}], "&"}], "@", "\[IndentingNewLine]", 
                  RowBox[{"ChangeCurvature", "[", 
                   RowBox[{"#", ",", "$CovDsNotInduced", ",", "cd1"}], 
                   "]"}]}], "&"}], "@", "preexpression"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Off", "[", 
               StyleBox[
                RowBox[{"ConformalRules", "::", "unknown"}], "MessageName"], 
               StyleBox["]", "MessageName"]}], 
              StyleBox[";", "MessageName"], 
              StyleBox["\[IndentingNewLine]", "MessageName"], 
              StyleBox["\[IndentingNewLine]", "MessageName"], 
              RowBox[{
               StyleBox["Fold", "MessageName"], 
               StyleBox["[", "MessageName"], 
               StyleBox[
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"#1", "/.", 
                    RowBox[{"ConformalRules", "[", 
                    RowBox[{
                    RowBox[{"MetricOfCovD", "[", "#2", "]"}], ",", 
                    "metric1"}], "]"}]}], ")"}], "&"}], ",", "res", ",", 
                 "$CovDsNotInducedRelatedTocd1"}], "MessageName"], "]"}]}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
       "\[IndentingNewLine]", "]"}]}], 
     StyleBox["\[IndentingNewLine]", "MessageName"], 
     StyleBox["]", "MessageName"]}]}], 
   StyleBox[";", "MessageName"]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToMetric", "[", "expr_", "]"}], ":=", 
    RowBox[{"ToMetric", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"First", "@", "$Metrics"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"ToMetric", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "ToMetric", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"f3e87513-6d82-40fd-bf39-18640f42ba63"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"InverseMetricQ", "[", 
   RowBox[{"x_", "?", "xTensorQ"}], "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"tid", "=", 
      RowBox[{"TensorID", "@", "x"}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Length", "@", "tid"}], ">", "0"}], ")"}], "&&", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"tid", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "===", 
       "xAct`xTensor`Private`InvMetric"}], ")"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"InverseMetricQ", "[", "_", "]"}], ":=", "False"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"f483c148-5889-4fa2-8f23-06f659f5edcb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SeparateIndicesDownOfInverseMetric", "[", 
     RowBox[{"invmetric_", "?", "InverseMetricQ"}], "]"}], "[", "expr_", 
    "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SeparateMetric", "[", 
        RowBox[{"First", "@", "$Metrics"}], "]"}], "[", 
       RowBox[{"#1", ",", "#2"}], "]"}], "&"}], ",", "expr", ",", 
     RowBox[{
      RowBox[{"IndicesOf", "[", 
       RowBox[{"Down", ",", "invmetric"}], "]"}], "[", "expr", "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SeparateIndicesDownOfInverseMetric", "[", "_", "]"}], "[", 
   "expr_", "]"}], ":=", "expr"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"dbe788be-3d37-4366-b6f3-78f6ef07a7ca"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Conformal", "[", 
      RowBox[{"metricbase_", "?", "MetricQ"}], "]"}], "[", 
     RowBox[{
      RowBox[{"metric1_", "?", "MetricQ"}], ",", 
      RowBox[{"metric2_", "?", "MetricQ"}]}], "]"}], "[", "expr_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cdb", ",", "cd1", ",", "cd2", ",", "res", ",", "res2", ",", 
       RowBox[{"(*", 
        RowBox[{"oldpre", ","}], "*)"}], "resbis", ",", "exprnoproj", ",", 
       "M", ",", "i1", ",", "i2", ",", "beforeputtingconfheads", ",", 
       "IDInvMetric", ",", "res3", ",", "firstmetric"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "The", " ", "conflict", " ", "with", " ", "ScreenDollarIndicea", " ", 
       "has", " ", "now", " ", "been", " ", 
       RowBox[{"solved", ".", " ", "So"}], " ", "there", " ", "is", " ", "no",
        " ", "need", " ", "to", " ", "redefine", " ", "temporarily", " ", 
       "$PrePrint"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"oldpre", "=", "$PrePrint"}], ";", 
       RowBox[{"$PrePrint", "=", "Identity"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
       "we", " ", "define", " ", "the", " ", "Covds", " ", "associated", " ", 
        "with", " ", "the", " ", 
        RowBox[{"metric", ".", " ", "The"}], " ", "starting", " ", "metric", 
        " ", "is", " ", "metric1"}], ",", " ", 
       RowBox[{
       "the", " ", "conformally", " ", "transformed", " ", "metric", " ", 
        "is", " ", "metric2"}], ",", " ", 
       RowBox[{
       "and", " ", "metricbase", " ", "i", " ", "the", " ", "base", " ", 
        "metric", " ", "for", " ", "raising", " ", "and", " ", "lowering", 
        " ", 
        RowBox[{"indiced", ".", " ", "It"}], " ", "might", " ", "be", " ", 
        "one", " ", "of", " ", "the", " ", "other", " ", "two"}], ",", " ", 
       RowBox[{
        RowBox[{"but", " ", "it", " ", "might", " ", "not", " ", "be"}], 
        "..."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"cdb", "=", 
       RowBox[{"CovDOfMetric", "[", "metricbase", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cd1", "=", 
       RowBox[{"CovDOfMetric", "[", "metric1", "]"}]}], ";", 
      RowBox[{"Off", "[", 
       RowBox[{"ConformalFactor", "::", "\"\<unknown\>\""}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"cd2", "=", 
       RowBox[{"CovDOfMetric", "[", "metric2", "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"exprnoproj", "=", 
       RowBox[{"expr", "//", "ProjectorToMetric"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"M", "=", 
       RowBox[{"ManifoldOfCovD", "[", "cd1", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"i1", "=", 
       RowBox[{"DummyIn", "[", 
        RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"i2", "=", 
       RowBox[{"DummyIn", "[", 
        RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"IDInvMetric", "=", 
       RowBox[{"SeparateIndicesDownOfInverseMetric", "[", 
        RowBox[{"Inv", "[", "metric1", "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"beforeputtingconfheads", "=", 
       RowBox[{
        RowBox[{"IDInvMetric", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"IndicesDown", "@", 
            RowBox[{"ToMetric", "[", 
             RowBox[{"exprnoproj", ",", "metric1"}], "]"}]}], ")"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"/.", 
            RowBox[{
             RowBox[{"Scalar", "[", "ex_", "]"}], "\[RuleDelayed]", 
             RowBox[{"Scalar", "[", 
              RowBox[{"IndicesDown", "[", "ex", "]"}], "]"}]}]}], "/.", 
           RowBox[{
            RowBox[{
             RowBox[{"sf_", "?", "ScalarFunctionQ"}], "[", "args___", "]"}], 
            "\[RuleDelayed]", 
            RowBox[{"sf", "@@", 
             RowBox[{"IndicesDown", "/@", 
              RowBox[{"{", "args", "}"}]}]}]}]}]}], "]"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"/.", 
          RowBox[{
           RowBox[{"Scalar", "[", "ex_", "]"}], "\[RuleDelayed]", 
           RowBox[{"Scalar", "[", 
            RowBox[{"IDInvMetric", "[", "ex", "]"}], "]"}]}]}], "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"sf_", "?", "ScalarFunctionQ"}], "[", "args___", "]"}], 
          "\[RuleDelayed]", 
          RowBox[{"sf", "@@", 
           RowBox[{"IDInvMetric", "/@", 
            RowBox[{"{", "args", "}"}]}]}]}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Above", " ", "we", " ", "make", " ", "sure", " ", "that", " ", 
        "IndicesDown", " ", "and", " ", "SeparateIndicesDownOfInverseMetric", 
        " ", "goes", " ", "inside", " ", "the", " ", "scalar", " ", "Head"}], 
       "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "We", " ", "use", " ", "ToMetric", " ", "to", " ", "have", " ", "only",
         " ", "references", " ", "to", " ", "the", " ", "metric1", " ", "and",
         " ", "its", " ", "associated", " ", "CovD", " ", "and", " ", 
        "curvature", " ", "tensors"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<beforeputtingconfheads \>\"", ",", "beforeputtingconfheads"}], 
         "]"}], ";"}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "Then", " ", "we", " ", "place", " ", "the", " ", "ConfHead", " ", 
        "on", " ", "every", " ", "expression", " ", "to", " ", "perform", " ",
         "formally", " ", "the", " ", "conformal", " ", 
        RowBox[{"transformation", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"res", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"beforeputtingconfheads", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
              "Dirty", " ", "case", " ", "of", " ", "scalar", " ", 
               "functions"}], " ", "*)"}], "\[IndentingNewLine]", "/.", 
             RowBox[{
              RowBox[{
               RowBox[{"f_", "?", "ScalarFunctionQ"}], "[", "ex___", "]"}], 
              "\[RuleDelayed]", 
              RowBox[{
               RowBox[{"ConfHead", "[", 
                RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
               RowBox[{"f", "[", "ex", "]"}], "]"}]}]}], 
            "\[IndentingNewLine]", 
            RowBox[{"(*", " ", "tensors", " ", "*)"}], "\[IndentingNewLine]", 
            "/.", 
            RowBox[{
             RowBox[{
              RowBox[{"tens_", "?", "xTensorQ"}], "[", "inds___", "]"}], ":>", 
             RowBox[{
              RowBox[{"ConfHead", "[", 
               RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
              RowBox[{"tens", "[", "inds", "]"}], "]"}]}]}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Covariant", " ", "derivatives"}], " ", "*)"}], 
           "\[IndentingNewLine]", "/.", 
           RowBox[{
            RowBox[{"cd1", "[", 
             RowBox[{"i1_", "?", "DownIndexQ"}], "]"}], ":>", 
            RowBox[{"cd2", "[", "i1", "]"}]}]}], "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Now", " ", "that", " ", "we", " ", "have", " ", "ConfHead", " ", 
            "everywhere", " ", "we", " ", "need", " ", "to", " ", "remove", 
            " ", "the", " ", "head", " ", "by", " ", "specifying", " ", "the",
             " ", "change"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
           "First", " ", "Obvious", " ", "rules", " ", "for", " ", "metric", 
            " ", "and", " ", "inverse", " ", "metric"}], "*)"}], 
          "\[IndentingNewLine]", "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"ConfHead", "[", 
             RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
            RowBox[{"metric1", "[", 
             RowBox[{
              RowBox[{"i1_", "?", "DownIndexQ"}], ",", 
              RowBox[{"i2_", "?", "DownIndexQ"}]}], "]"}], "]"}], ":>", 
           RowBox[{"metric2", "[", 
            RowBox[{"i1", ",", "i2"}], "]"}]}]}], "\[IndentingNewLine]", "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"ConfHead", "[", 
            RowBox[{"metric1", ",", "metric2"}], "]"}], "[", 
           RowBox[{
            RowBox[{"Inv", "[", "metric1", "]"}], "[", 
            RowBox[{
             RowBox[{"i1_", "?", "UpIndexQ"}], ",", 
             RowBox[{"i2_", "?", "UpIndexQ"}]}], "]"}], "]"}], ":>", 
          RowBox[{
           RowBox[{"Inv", "[", "metric2", "]"}], "[", 
           RowBox[{"i1", ",", "i2"}], "]"}]}]}], ")"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "And", " ", "then", " ", "all", " ", "other", " ", "rules", " ", "to", 
        " ", "remove", " ", "the", " ", "ConfHead"}], "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"A", " ", "bug", " ", "with", " ", "Scalar", " ", 
        RowBox[{"expressions", ".", " ", "I"}], " ", "have", " ", "added", 
        " ", "a", " ", 
        RowBox[{"NoSCalar", " ", ".", " ", "Check"}], " ", "if", " ", "this", 
        " ", "works", " ", "fine", " ", "for", " ", "the", " ", 
        RowBox[{"rest", ".", " ", "It"}], " ", "seems", " ", 
        RowBox[{"so", "."}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "It", " ", "seems", " ", "to", " ", "be", " ", "fine", " ", "so", " ", 
        "I", " ", "should", " ", "post", " ", "the", " ", "modification"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
       "This", " ", "avoids", " ", "the", " ", "appearance", " ", "of", " ", 
        "sums", " ", "inside", " ", "SymmetryOf", " ", "which", " ", "were", 
        " ", "resulting", " ", "from", " ", "a", " ", "removed", " ", 
        "Scalar", " ", 
        RowBox[{"head", "."}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"resbis", "=", 
       RowBox[{"NoScalar", "[", 
        RowBox[{"res", "//.", 
         RowBox[{"RulesConf", "[", 
          RowBox[{"metric1", ",", "metric2"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
        "So", " ", "here", " ", "we", " ", "have", " ", "conformally", " ", 
         "transformed", " ", "the", " ", "expression"}], ",", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
          "but", " ", "now", " ", "we", " ", "want", " ", "to", " ", 
           "express", " ", "it", " ", "in", " ", "function", " ", "of", " ", 
           "the", " ", "original", " ", "metric", " ", "and", " ", "orginal", 
           " ", "covD", " ", "etc"}], "..."}], "\[IndentingNewLine]", 
         "Indeed", " ", "at", " ", "that", " ", "point"}], ",", " ", 
        RowBox[{
        "we", " ", "still", " ", "have", " ", "the", " ", "second", " ", 
         "metric"}], ",", " ", 
        RowBox[{
        "and", " ", "the", " ", "Riemann", " ", "of", " ", "the", " ", 
         "second", " ", "metric", " ", "for", " ", 
         RowBox[{"instance", ".", " ", "SO"}], " ", "we", " ", "use", " ", 
         "again", " ", "ToMetric"}]}], "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"$PrePrint", "=", "oldpre"}], ";"}], "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"On", "[", 
       RowBox[{"ConformalFactor", "::", "\"\<unknown\>\""}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Off", "[", 
       RowBox[{"ToCanonical", "::", "\"\<cmods\>\""}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"res2", "=", 
       RowBox[{"ToCanonical", "@", 
        RowBox[{"ContractMetric", "@", 
         RowBox[{"NoScalar", "[", 
          RowBox[{"ToMetric", "[", 
           RowBox[{"resbis", ",", "metricbase"}], "]"}], "]"}]}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Cyril", " ", 
        RowBox[{"Pitrou", " ", ":", " ", 
         RowBox[{
         "March", " ", "2018.", " ", "I", " ", "have", " ", "added", " ", 
          "an", " ", "attempt", " ", "to", " ", "patch", " ", "the", " ", 
          "problems", " ", "I", " ", "have", " ", "with", " ", "multiples", 
          " ", "frozen", " ", "metrics", " ", "coming", " ", "from", " ", 
          "multiple", " ", "conformal", " ", 
          RowBox[{"transformations", ".", " ", "Does"}], " ", "not", " ", 
          "affect", " ", "xPand", " ", "as", " ", "usuall", " ", "in", " ", 
          "xPand", " ", "we", " ", "never", " ", "use", " ", "the", " ", 
          "conformally", " ", "related", " ", "metrics", " ", "and", " ", 
          "always", " ", "use", " ", "the", " ", "base", " ", "metric"}]}]}], 
       " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"I", " ", "think", " ", "it", " ", "works"}], "..."}], " ", 
         "The", " ", "idea", " ", "is", " ", "that", " ", "since", " ", "for",
          " ", "frozen", " ", "metrics", " ", "some", " ", "simplifications", 
         " ", "to", " ", "Dirac", " ", "do", " ", "not", " ", "occur", " ", 
         "when", " ", "they", " ", "should"}], ",", " ", 
        RowBox[{"I", " ", "switch", " ", "to", " ", "active", " ", "metric"}],
         ",", " ", 
        RowBox[{"let", " ", "xTensor", " ", "put", " ", "the", " ", "Dirac"}],
         ",", " ", 
        RowBox[{
        "and", " ", "switch", " ", "back", " ", "to", " ", "the", " ", 
         "desired", " ", 
         RowBox[{"metric", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
        "It", " ", "happened", " ", "that", " ", "some", " ", "definitions", 
         " ", "in", " ", "xTensor", " ", "were", " ", "missing", " ", "for", 
         " ", "frozen", " ", 
         RowBox[{"metrics", ".", " ", "As"}], " ", "of", " ", 
         RowBox[{
          RowBox[{"28", "/", "03"}], "/", "2018"}], " ", "version", " ", "of",
          " ", "xAct", " ", "this", " ", "should", " ", "be", " ", "fixed", 
         " ", "and", " ", "the", " ", "patch", " ", "I", " ", "am", " ", 
         "adding", " ", "below", " ", "should", " ", "not", " ", "be", " ", 
         "necessary"}], "..."}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"firstmetric", "=", 
       RowBox[{"First", "@", "$Metrics"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"metricbase", "=!=", "firstmetric"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"res3", "=", 
          RowBox[{"ContractMetric", "[", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"ToCanonical", "@", 
               RowBox[{"NoScalar", "@", 
                RowBox[{"ContractMetric", "[", 
                 RowBox[{"res2", "/.", 
                  RowBox[{"ConformalRules", "[", 
                   RowBox[{"metricbase", ",", "firstmetric"}], "]"}]}], 
                 "]"}]}]}], ")"}], "/.", 
             RowBox[{"ConformalRules", "[", 
              RowBox[{"firstmetric", ",", "metricbase"}], "]"}]}], ")"}], 
           "]"}]}], ";"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"res3", "=", "res2"}], ";"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"On", "[", 
       RowBox[{"ToCanonical", "::", "\"\<cmods\>\""}], "]"}], ";", 
      "\[IndentingNewLine]", "res3"}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "In", " ", "case", " ", "the", " ", "base", " ", "metric", " ", "is", " ",
      "unspecified"}], ",", " ", 
    RowBox[{
     RowBox[{
     "it", " ", "is", " ", "the", " ", "base", " ", "metric", " ", "of", " ", 
      "course"}], "..."}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Conformal", "[", 
     RowBox[{
      RowBox[{"metric1_", "?", "MetricQ"}], ",", 
      RowBox[{"metric2_", "?", "MetricQ"}]}], "]"}], "[", "expr_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"Conformal", "[", 
      RowBox[{"First", "@", "$Metrics"}], "]"}], "[", 
     RowBox[{"metric1", ",", "metric2"}], "]"}], "[", "expr", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->
  True,ExpressionUUID->"57790608-a36c-4d3c-a586-3ae2bd2619bf"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
2.7 From conformal time derivatives to cosmic time derivatives\
\>", "Subsubsection",ExpressionUUID->"330550da-4908-46a0-83d1-e719bc5fffba"],

Cell["\<\
A bug (fixed) was raised by Michael Kopp on April 2018. The formulas to go to \
Cosmic time and then to Conformal time are not invariant when applied to \
H[h][LI[0],LI[1]]
The formula to go to cosmic time was correct, but not the one to go to \
conformal time (because in practice it is never used, the bug was never seen \
before).\
\>", "Text",ExpressionUUID->"22d55b12-e73b-4030-a790-cc00fd496f55"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ToCosmicTime", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"$ConformalTime", "===", "False"}], ",", "expr", ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"$ConformalTime", "=", "False"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"cd1", "=", 
           RowBox[{"CovDOfMetric", "[", "h", "]"}]}], ",", "i1", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"n", "=", 
           RowBox[{"Last", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "exprtemp", ",", 
          "res"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"i1", "=", 
          RowBox[{"DummyIn", "[", 
           RowBox[{"Tangent", "[", 
            RowBox[{"ManifoldOfCovD", "[", "cd1", "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"exprtemp", "=", "expr"}], 
         RowBox[{"(*", 
          RowBox[{"/.", 
           RowBox[{
            RowBox[{
             RowBox[{"Tens_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"DefProjectedTensorQ", "[", 
                  RowBox[{"#", ",", "h"}], "]"}], ")"}], "&"}], ")"}]}], "[", 
             
             RowBox[{
              RowBox[{"LI", "[", "p_", "]"}], ",", 
              RowBox[{"LI", "[", "q_", "]"}], ",", "inds___"}], "]"}], 
            "\[RuleDelayed]", 
            RowBox[{"ConformalToCosmic", "[", 
             RowBox[{"Tens", "[", 
              RowBox[{
               RowBox[{"LI", "[", "p", "]"}], ",", 
               RowBox[{"LI", "[", "q", "]"}], ",", "inds"}], "]"}], "]"}]}]}],
           "*)"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"res", "=", 
          RowBox[{
           RowBox[{"PostProcess", "[", "h", "]"}], "@", 
           RowBox[{"NoScalar", "@", 
            RowBox[{"SameDummies", "@", 
             RowBox[{"ToCanonical", "@", 
              RowBox[{"ContractMetric", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"exprtemp", "\[IndentingNewLine]", "/.", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", "IntegerQ"}], "]"}]}], "]"}], 
                   "\[RuleDelayed]", 
                   RowBox[{"ToCanonical", "[", 
                    RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}], 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "q"}], 
                    "]"}], ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "/.", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"K", "[", "h", "]"}], "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", "IntegerQ"}], "]"}], ",", "i1_", ",", 
                    "i2_"}], "]"}], "\[RuleDelayed]", 
                  RowBox[{"ToCanonical", "[", 
                   RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}], 
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], ",", "q"}], "]"}], ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                   "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "/.", 
                RowBox[{
                 RowBox[{
                  RowBox[{"tens_", "?", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DefProjectedTensorQ", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"K", "[", "h", "]"}]}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"a", "[", "h", "]"}]}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"H", "[", "h", "]"}]}]}], ")"}], "&"}], ")"}]}], 
                  "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "p_", "]"}], ",", 
                   RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", "IntegerQ"}], "]"}], ",", "inds___"}], 
                  "]"}], "\[RuleDelayed]", 
                 RowBox[{"(", 
                  RowBox[{"ToCanonical", "[", 
                   RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}], 
                    "&"}], ",", 
                    RowBox[{"tens", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "inds"}], "]"}], ",", 
                    "q"}], "]"}], ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                   "]"}], ")"}]}]}], "\[IndentingNewLine]", "]"}]}]}]}]}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"$ConformalTime", "=", "True"}], ";"}], "*)"}], 
         "\[IndentingNewLine]", "res"}]}], "\[IndentingNewLine]", "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToConformalTime", "[", 
   RowBox[{"expr_", ",", 
    RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"$ConformalTime", "===", "True"}], ",", "expr", ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"$ConformalTime", "=", "True"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"cd1", "=", 
          RowBox[{"CovDOfMetric", "[", "h", "]"}]}], ",", "i1", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"n", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "exprtemp", ",", 
         "res"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"i1", "=", 
         RowBox[{"DummyIn", "[", 
          RowBox[{"Tangent", "[", 
           RowBox[{"ManifoldOfCovD", "[", "cd1", "]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"exprtemp", "=", "expr"}], 
        RowBox[{"(*", 
         RowBox[{"/.", 
          RowBox[{
           RowBox[{
            RowBox[{"Tens_", "?", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"DefProjectedTensorQ", "[", 
                 RowBox[{"#", ",", "h"}], "]"}], ")"}], "&"}], ")"}]}], "[", 
            RowBox[{
             RowBox[{"LI", "[", "p_", "]"}], ",", 
             RowBox[{"LI", "[", "q_", "]"}], ",", "inds___"}], "]"}], 
           "\[RuleDelayed]", 
           RowBox[{"CosmicToConformal", "[", 
            RowBox[{"Tens", "[", 
             RowBox[{
              RowBox[{"LI", "[", "p", "]"}], ",", 
              RowBox[{"LI", "[", "q", "]"}], ",", "inds"}], "]"}], "]"}]}]}], 
         "*)"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{
          RowBox[{"PostProcess", "[", "h", "]"}], "@", 
          RowBox[{"NoScalar", "@", 
           RowBox[{"SameDummies", "@", 
            RowBox[{"ToCanonical", "@", 
             RowBox[{"ContractMetric", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"exprtemp", "\[IndentingNewLine]", "/.", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"H", "[", "h", "]"}], "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", "IntegerQ"}], "]"}]}], "]"}], 
                  "\[RuleDelayed]", 
                  RowBox[{"ToCanonical", "[", 
                   RowBox[{
                    RowBox[{"Nest", "[", 
                    RowBox[{"(*", 
                    RowBox[{
                    "It", " ", "is", " ", "this", " ", "factor", " ", "of", 
                    " ", 
                    RowBox[{"1", "/", "a"}], " ", "which", " ", "was", " ", 
                    "forgotten"}], " ", "*)"}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}]}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "*", 
                    RowBox[{
                    RowBox[{"H", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], ",", "q"}], 
                    "]"}], ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                   "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "/.", 
                RowBox[{
                 RowBox[{
                  RowBox[{"K", "[", "h", "]"}], "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", 
                    RowBox[{"q_", "?", "IntegerQ"}], "]"}], ",", "i1_", ",", 
                   "i2_"}], "]"}], "\[RuleDelayed]", 
                 RowBox[{"ToCanonical", "[", 
                  RowBox[{
                   RowBox[{"Nest", "[", 
                    RowBox[{"(*", 
                    RowBox[{
                    "It", " ", "is", " ", "this", " ", "factor", " ", "of", 
                    " ", 
                    RowBox[{"1", "/", "a"}], " ", "which", " ", "was", " ", 
                    "forgotten", " ", "and", " ", "lead", " ", "to", " ", 
                    "the", " ", "bug"}], " ", "*)"}], 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}]}], 
                    "&"}], ",", 
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], 
                    RowBox[{
                    RowBox[{"K", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "i1", ",", "i2"}], 
                    "]"}]}], ",", "q"}], "]"}], ",", 
                   RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                  "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "/.", 
               RowBox[{
                RowBox[{
                 RowBox[{"tens_", "?", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DefProjectedTensorQ", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"K", "[", "h", "]"}]}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"a", "[", "h", "]"}]}], "&&", 
                    RowBox[{"#", "=!=", 
                    RowBox[{"H", "[", "h", "]"}]}]}], ")"}], "&"}], ")"}]}], 
                 "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p_", "]"}], ",", 
                  RowBox[{"LI", "[", 
                   RowBox[{"q_", "?", "IntegerQ"}], "]"}], ",", "inds___"}], 
                 "]"}], "\[RuleDelayed]", 
                RowBox[{"(", 
                 RowBox[{"ToCanonical", "[", 
                  RowBox[{
                   RowBox[{"Nest", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], 
                    RowBox[{
                    RowBox[{"LieD", "[", 
                    RowBox[{"n", "[", "i1", "]"}], "]"}], "[", "#", "]"}]}], 
                    "&"}], ",", 
                    RowBox[{"tens", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "inds"}], "]"}], ",", 
                    "q"}], "]"}], ",", 
                   RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], "]"}],
                  ")"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "]"}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"$ConformalTime", "=", "False"}], ";"}], "*)"}], 
        "\[IndentingNewLine]", "res"}]}], "\[IndentingNewLine]", "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->
  True,ExpressionUUID->"d0b04bfc-e6e4-405c-a333-1f6b5d2039d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.8 1 + 3 Splitting of Covariant derivative", \
"Subsubsection",ExpressionUUID->"0d51af92-9e75-40d4-b254-fe9e84aa2dfa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "function", " ", "creates", " ", "a", " ", "list", " ", "of",
      " ", "Covds", " ", "of", " ", "a", " ", 
     RowBox[{"tensor", ".", " ", "That"}], " ", "is", " ", "tens"}], ",", 
    RowBox[{"CD", "[", "tens", "]"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"CD", "[", 
       RowBox[{"CD", "[", "tens", "]"}], "]"}], " ", "etc"}], "..."}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"TablePatternsCovDs", "[", 
     RowBox[{
      RowBox[{"tens_", "[", "inds___", "]"}], ",", "CD_", ",", 
      RowBox[{"n_", ":", "10"}]}], "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"M", "=", 
        RowBox[{"ManifoldOfCovD", "@", "CD"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"tens", "[", "inds", "]"}], "}"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Fold", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"CD", "[", "#2", "]"}], "@", "#1"}], ")"}], "&"}], 
              ",", 
              RowBox[{"tens", "[", "inds", "]"}], ",", "#"}], "]"}], "&"}], 
           "[", 
           RowBox[{"Take", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Pattern", "[", 
                RowBox[{"#", ",", "_"}], "]"}], "&"}], "/@", 
              RowBox[{"DummyIn", "/@", 
               RowBox[{"Table", "[", 
                RowBox[{
                 RowBox[{"Tangent", "[", "M", "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Range", "[", "n", "]"}], "}"}]}], "]"}]}]}], ",", 
             "i"}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"2f059b69-a9b7-40bc-ac7a-44671a685ee2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PutFreeIndicesDown", "[", "expr_", "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ReplaceIndex", "[", 
       RowBox[{"#1", ",", 
        RowBox[{"#2", "\[Rule]", 
         RowBox[{"ChangeIndex", "[", "#2", "]"}]}]}], "]"}], "&"}], ",", 
     "expr", ",", 
     RowBox[{
      RowBox[{"IndicesOf", "[", 
       RowBox[{"Free", ",", "Up"}], "]"}], "[", "expr", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PutFreeIndicesUp", "[", "expr_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ReplaceIndex", "[", 
        RowBox[{"#1", ",", 
         RowBox[{"#2", "\[Rule]", 
          RowBox[{"ChangeIndex", "[", "#2", "]"}]}]}], "]"}], "&"}], ",", 
      "expr", ",", 
      RowBox[{
       RowBox[{"IndicesOf", "[", 
        RowBox[{"Free", ",", "Down"}], "]"}], "[", "expr", "]"}]}], "]"}], 
    ")"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PatternSymbolQ", "[", "expr_Symbol", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{"expr", "===", "Pattern"}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PatternTestSymbolQ", "[", "expr_Symbol", "]"}], ":=", 
    RowBox[{"(", 
     RowBox[{"expr", "===", "PatternTest"}], ")"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PutPatternIndicesDown", "[", "expr_", "]"}], ":=", 
    RowBox[{"Fold", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"#1", "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"pat_", "?", "PatternSymbolQ"}], "[", 
           RowBox[{"#2", ",", "st_"}], "]"}], "\[RuleDelayed]", 
          RowBox[{"-", 
           RowBox[{"pat", "[", 
            RowBox[{"#2", ",", "st"}], "]"}]}]}]}], "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"a_", "?", "PatternTestSymbolQ"}], "[", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             RowBox[{"pat_", "?", "PatternSymbolQ"}], "[", 
             RowBox[{"#2", ",", "st_"}], "]"}]}], ",", "fun_"}], "]"}], 
         "\[RuleDelayed]", 
         RowBox[{"-", 
          RowBox[{"a", "[", 
           RowBox[{
            RowBox[{"pat", "[", 
             RowBox[{"#2", ",", "st"}], "]"}], ",", "fun"}], "]"}]}]}]}], 
       "&"}], ",", "expr", ",", 
      RowBox[{
       RowBox[{"IndicesOf", "[", 
        RowBox[{"Free", ",", "Up"}], "]"}], "[", 
       RowBox[{"RemovePatterns", "[", "expr", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PutPatternIndicesUp", "[", "expr_", "]"}], ":=", 
   RowBox[{"Fold", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"#1", "/.", 
        RowBox[{
         RowBox[{
          RowBox[{"pat_", "?", "PatternSymbolQ"}], "[", 
          RowBox[{
           RowBox[{"ChangeIndex", "[", "#2", "]"}], ",", "st_"}], "]"}], 
         "\[RuleDelayed]", 
         RowBox[{"-", 
          RowBox[{"pat", "[", 
           RowBox[{
            RowBox[{"Evaluate", "@", 
             RowBox[{"ChangeIndex", "[", "#2", "]"}]}], ",", "st"}], 
           "]"}]}]}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"a_", "?", "PatternTestSymbolQ"}], "[", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
            RowBox[{"pat_", "?", "PatternSymbolQ"}], "[", 
            RowBox[{
             RowBox[{"Evaluate", "@", 
              RowBox[{"ChangeIndex", "[", "#2", "]"}]}], ",", "st_"}], 
            "]"}]}], ",", "fun_"}], "]"}], "\[RuleDelayed]", 
        RowBox[{"-", 
         RowBox[{"a", "[", 
          RowBox[{
           RowBox[{"pat", "[", 
            RowBox[{
             RowBox[{"Evaluate", "@", 
              RowBox[{"ChangeIndex", "[", "#2", "]"}]}], ",", "st"}], "]"}], 
           ",", "fun"}], "]"}]}]}]}], "&"}], ",", "expr", ",", 
     RowBox[{
      RowBox[{"IndicesOf", "[", 
       RowBox[{"Free", ",", "Down"}], "]"}], "[", 
      RowBox[{"RemovePatterns", "[", "expr", "]"}], "]"}]}], "]"}]}], 
  ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"cf3f948d-a1f5-45c0-8645-217e563673f0"],

Cell["\<\
This function builds all the replacement rules with CovDs from a given Rule.
  That is , it the rule is lhs :> ... then it buils {lhs :> .., CD[]@lhs :> \
..., CD[]@CD[]@lhs :> ...} .
  It looks in the expression in which the Rule is to be replaced at the \
maximum number of CovD (the max number of CovD is stored in the variable \
CDmax)\
\>", "Text",ExpressionUUID->"d52d7bc5-f7d4-4ecc-9e61-c69fca6c6663"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RemovePatterns", "[", "expr_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"expr", "/.", 
      RowBox[{"hp_HoldPattern", "\[RuleDelayed]", 
       RowBox[{"First", "@", "hp"}]}]}], ")"}], "/.", 
    RowBox[{"a_PatternTest", ":>", 
     RowBox[{"First", "@", "a"}]}]}], "/.", 
   RowBox[{"a_Pattern", ":>", 
    RowBox[{"First", "@", "a"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RemovePatternTests", "[", "expr_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"expr", "/.", 
     RowBox[{"hp_HoldPattern", "\[RuleDelayed]", 
      RowBox[{"First", "@", "hp"}]}]}], ")"}], "/.", 
   RowBox[{"a_PatternTest", ":>", 
    RowBox[{"First", "@", "a"}]}]}]}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"dc8cfdcd-162f-4a51-b5f5-fbdf9c91cdd0"],

Cell["To parameterize the constants as in Ellis MacCallum 1969", \
"Text",ExpressionUUID->"42af53b8-705a-49d5-ba75-8bc0452024a7"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ConstantsDecompositionRules", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", "=", 
       RowBox[{"First", "@", 
        RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"M", "=", 
         RowBox[{"ManifoldOfCovD", "@", 
          RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"i", "=", 
            RowBox[{"DummyIn", "[", 
             RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ",", 
           RowBox[{"dim", "=", 
            RowBox[{"DimOfManifold", "@", "M"}]}], ",", 
           RowBox[{"j", "=", 
            RowBox[{"DummyIn", "[", 
             RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ",", 
           RowBox[{"k", "=", 
            RowBox[{"DummyIn", "[", 
             RowBox[{"Tangent", "[", "M", "]"}], "]"}]}], ",", 
           RowBox[{"\[Mu]", "=", 
            RowBox[{"DummyIn", "[", 
             RowBox[{"Tangent", "[", "M", "]"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"$OpenConstantsOfStructure", "&&", 
            RowBox[{"Not", "[", 
             RowBox[{"TensorNullQ", "[", 
              RowBox[{"CS", "[", "h", "]"}], "]"}], "]"}], "&&", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"SpaceType", "[", "h", "]"}], "===", 
               "\"\<BianchiB\>\""}], "||", 
              RowBox[{
               RowBox[{"SpaceType", "[", "h", "]"}], "===", 
               "\"\<BianchiA\>\""}]}], ")"}], "&&", 
            RowBox[{"dim", "===", "4"}]}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"BuildRule", "[", 
            RowBox[{
             RowBox[{"Evaluate", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"CS", "[", "h", "]"}], "[", 
                 RowBox[{"i", ",", "j", ",", "k"}], "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"epsilon", "[", "h", "]"}], "[", 
                   RowBox[{"j", ",", "k", ",", 
                    RowBox[{"-", "\[Mu]"}]}], "]"}], 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"nt", "[", "h", "]"}], "[", 
                    RowBox[{"\[Mu]", ",", "i"}], "]"}], ")"}]}], "+", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"av", "[", "h", "]"}], "[", "j", "]"}], 
                  RowBox[{"h", "[", 
                   RowBox[{"i", ",", "k"}], "]"}]}], "-", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"av", "[", "h", "]"}], "[", "k", "]"}], 
                  RowBox[{"h", "[", 
                   RowBox[{"i", ",", "j"}], "]"}]}]}]}], "}"}], "]"}], ",", 
             RowBox[{"MetricOn", "->", "All"}]}], "]"}], ",", 
           RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
      "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"ConstantsDecompositionRules", ",", "1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Protect", "[", "ConstantsDecompositionRules", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToBianchiType", "[", 
   RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
  RowBox[{"Function", "[", 
   RowBox[{"expr", ",", 
    RowBox[{"expr", "/.", 
     RowBox[{"ConstantsDecompositionRules", "[", "h", "]"}]}]}], 
   "]"}]}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"53c5174f-f1da-4554-83a6-dfa3b2113fc1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CommuteCDSafe", "[", 
   RowBox[{"expr_", ",", "cd_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"restemp", ",", "counter", ",", "res", ",", "restemp0"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<CommuteCDSafe\>\"", ",", "$SortCovDAutomatic", ",", 
        "$DebugInfoQ"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{"$SortCovDAutomatic", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{"$DebugInfoQ", ",", 
          RowBox[{
           RowBox[{
           "Print", "[", "\"\<Preliminar Canonicalisation. \>\"", "]"}], 
           ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"restemp0", "=", 
         RowBox[{"SameDummies", "@", 
          RowBox[{"ToCanonical", "@", "expr"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"SortCovDsStart", "[", "cd", "]"}], ";", 
        RowBox[{"If", "[", 
         RowBox[{"$DebugInfoQ", ",", 
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
            "\"\<First Canonicalisation with automatic sorting of Cov Ds.  \>\
\"", ",", 
             RowBox[{"Length", "[", "restemp0", "]"}], ",", 
             "\"\< terms.\>\""}], "]"}], ";"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"counter", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"restemp", "=", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{"$DebugInfoQ", ",", 
                RowBox[{
                 RowBox[{"counter", "=", 
                  RowBox[{"counter", "+", "1"}]}], ";", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{"counter", ",", "10"}], "]"}], "===", "0"}], 
                   RowBox[{"(*", 
                    RowBox[{"||", 
                    RowBox[{"counter", "\[GreaterEqual]", "4180"}]}], "*)"}], 
                   ",", 
                   RowBox[{
                    RowBox[{"Print", "[", 
                    RowBox[{
                    "\"\<We canonicalize term \>\"", ",", "counter", ",", 
                    "\"\< \>\"", ",", "#"}], "]"}], ";"}]}], "]"}], ";"}]}], 
               "]"}], ";", 
              RowBox[{"SameDummies", "@", 
               RowBox[{"ToCanonical", "@", 
                RowBox[{"ContractMetric", "[", "#", "]"}]}]}]}], ")"}], "&"}],
            ",", "restemp0"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Block", "[", 
         RowBox[{
          RowBox[{"{", "Print", "}"}], ",", 
          RowBox[{
           RowBox[{"SortCovDsStop", "[", "cd", "]"}], ";"}]}], "]"}], ";"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Block", "[", 
         RowBox[{
          RowBox[{"{", "Print", "}"}], ",", 
          RowBox[{
           RowBox[{"Off", "[", 
            StyleBox[
             RowBox[{"Unset", "::", "norep"}], "MessageName"], "]"}], ";", 
           RowBox[{"SortCovDsStop", "[", "cd", "]"}], ";", 
           RowBox[{"On", "[", 
            StyleBox[
             RowBox[{"Unset", "::", "norep"}], "MessageName"], "]"}], ";"}]}],
          "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"restemp", "=", "expr"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "Entering", " ", "the", " ", "Cov", " ", "Ds", " ", "sorting", " ", 
        "defined", " ", "by", " ", 
        RowBox[{"BackgroundSLicing", ".", " ", "Made"}], " ", "to", " ", 
        "gather", " ", "the", " ", "Laplacian", " ", "near", " ", "the", " ", 
        "perturbations"}], ",", " ", 
       RowBox[{
       "and", " ", "to", " ", "use", " ", "the", " ", "transversailty", " ", 
        RowBox[{"conditions", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"$DebugInfoQ", ",", 
       RowBox[{
        RowBox[{
        "Print", "[", "\"\<Entering the commutation of Cov Ds...\>\"", "]"}], 
        ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"counter", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"res", "=", 
      RowBox[{"FixedPoint", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"counter", "=", 
            RowBox[{"counter", "+", "1"}]}], ";", 
           RowBox[{"If", "[", 
            RowBox[{"$DebugInfoQ", ",", 
             RowBox[{
              RowBox[{"Print", "[", 
               RowBox[{
               "\"\<We commute the Cov Ds for the \>\"", ",", "counter", ",", 
                "\"\< time.\>\""}], "]"}], ";"}]}], "]"}], ";", 
           RowBox[{"SameDummies", "@", 
            RowBox[{"ToCanonical", "@", 
             RowBox[{"ContractMetric", "[", 
              RowBox[{"#", "/.", "$CommutecdRules"}], "]"}]}]}]}], ")"}], 
         "&"}], ",", "restemp", ",", "10"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{"$DebugInfoQ", ",", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Induced Derivatives were commuted \>\"", ",", "counter", ",", 
          "\"\< times\>\""}], "]"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"counter", "\[GreaterEqual]", "9"}], ",", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<** Warning, the induced derivatives are commuting endlessly. \
Stopped after 10 iterations to avoid an infinite loop. This is anormal \
behaviour. **\>\"", "]"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "res"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"4c931578-8730-4834-b47a-6f4741aca74b"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"SplitCovDs", "[", 
     RowBox[{"expr_", ",", "CD_", ",", "cd_"}], "]"}], ":=", 
    RowBox[{"FixedPoint", "[", 
     RowBox[{
      RowBox[{"FixedPoint", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"GradNormalToExtrinsicK", "[", "#", "]"}], "&"}], ",", 
        RowBox[{
         RowBox[{"ToInducedDerivative", "[", 
          RowBox[{"#", ",", "CD", ",", "cd"}], "]"}], "&"}]}], "]"}], ",", 
      "expr"}], "]"}]}], ";"}], "*)"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"34db51a9-bae7-4669-a740-c6af2e810170"],

Cell["\<\
The function which splits an expression, given some rules chosen the user, by \
splitting essentially all the Covariant derivative which appear in this \
expression.\
\>", "Text",ExpressionUUID->"8670d1e2-71ae-4442-aefa-c6fa7d7604e4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"CheckSTFTensors", "[", 
     RowBox[{"expr_", ",", "h_", ",", "exceptlist_List"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "tens", "}"}], ",", 
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"listpb", "=", 
           RowBox[{"Cases", "[", 
            RowBox[{
             RowBox[{"Expand", "@", "expr"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"tens_", "?", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"And", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Function", "[", 
                    RowBox[{"t", ",", 
                    RowBox[{"t", "=!=", "#"}]}], "]"}], "/@", "exceptlist"}], 
                    ")"}]}], ")"}], "&&", 
                   RowBox[{"xTensorQ", "[", "#", "]"}], "&&", 
                   RowBox[{"Not", "@", 
                    RowBox[{"DefProjectedTensorQ", "[", 
                    RowBox[{"#", ",", "h"}], "]"}]}]}], "&"}], ")"}]}], "[", 
               "inds___", "]"}], "\[Rule]", "tens"}], ",", "Infinity"}], 
            "]"}]}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
            "\"\<** Warning: the tensor \>\"", ",", "#", ",", 
             "\"\< was not defined with DefProjectedTensor. The rules \
necessary for its splitting were thus not defined. **\>\""}], "]"}], "&"}], "/@", 
          RowBox[{"(", 
           RowBox[{"DeleteDuplicates", "@", "listpb"}], ")"}]}]}], "]"}], 
       ";"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Warning", " ", "message", " ", "to", " ", "update"}], " ", 
    "\[Rule]", " ", 
    RowBox[{
    "the", " ", "slicing", " ", "should", " ", "be", " ", "taken", " ", 
     "into", " ", 
     RowBox[{"account", "."}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CheckSTFTensors", "[", 
    RowBox[{"expr_", ",", "h_"}], "]"}], ":=", 
   RowBox[{"CheckSTFTensors", "[", 
    RowBox[{"expr", ",", "h", ",", 
     RowBox[{"{", "}"}]}], "]"}]}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"9a02ee53-1187-427d-884d-1685951e6418"],

Cell["\<\
Some other useful tools to implement the ' SplitPerturbations' function\
\>", "Text",ExpressionUUID->"4b90421a-3cf3-4ae2-8bdd-34a004640485"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FullToInducedDerivative", "[", 
     RowBox[{"expr_", ",", "CD_", ",", "cd_"}], "]"}], ":=", 
    RowBox[{"FixedPoint", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"ToInducedDerivative", "[", 
           RowBox[{"#", ",", "CD", ",", "cd"}], "]"}], "//", 
          "ProjectorToMetric"}], "//", "GradNormalToExtrinsicK"}], ")"}], 
       "&"}], ",", "expr"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PutDownCD", "[", 
     RowBox[{"expr_", ",", "supercd_", ",", "cd_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"indmetric", "=", 
        RowBox[{"MetricOfCovD", "[", "cd", "]"}]}], "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"vector", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "[", "indmetric", "]"}]}]}], "}"}], ",", 
        RowBox[{"expr", "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"supercd", "[", "ind_", "]"}], "[", 
           RowBox[{"expr1", ":", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"_", "?", "xTensorQ"}], "[", "___", "]"}], "|", 
              RowBox[{
               RowBox[{"cd", "[", "_", "]"}], "[", "_", "]"}], "|", 
              RowBox[{
               RowBox[{"LieD", "[", "_", "]"}], "[", "_", "]"}]}], ")"}]}], 
           "]"}], "\[RuleDelayed]", 
          RowBox[{
           RowBox[{"IndicesDown", "[", 
            RowBox[{
             RowBox[{"supercd", "[", "ind", "]"}], "[", "expr1", "]"}], "]"}],
            "/;", 
           RowBox[{
            RowBox[{"OrthogonalToVectorQ", "[", "vector", "]"}], "[", "expr1",
             "]"}]}]}]}]}], "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"FullToInducedDerivativeAndCDDown", "[", 
     RowBox[{"expr_", ",", "CD_", ",", "cd_"}], "]"}], ":=", 
    RowBox[{"FixedPoint", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"ToInducedDerivative", "[", 
           RowBox[{
            RowBox[{"PutDownCD", "[", 
             RowBox[{"#", ",", "CD", ",", "cd"}], "]"}], ",", "CD", ",", 
            "cd"}], "]"}], "//", "ProjectorToMetric"}], "//", 
         "GradNormalToExtrinsicK"}], ")"}], "&"}], ",", "expr"}], "]"}]}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ContractMetricOutSideProjector", "[", 
    RowBox[{"expr_Plus", ",", "cd_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"ContractMetricOutSideProjector", "[", 
      RowBox[{"#", ",", "cd"}], "]"}], "&"}], "/@", "expr"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ContractMetricOutSideProjector", "[", 
    RowBox[{
     RowBox[{"rest_.", " ", 
      RowBox[{
       RowBox[{"ih_", "?", "InertHeadQ"}], "[", "inside_", "]"}]}], ",", 
     "cd_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"ContractMetric", "[", "rest", "]"}], 
    RowBox[{"ih", "[", "inside", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ContractMetricOutSideProjector", "[", 
    RowBox[{
     RowBox[{"rest_.", "  ", 
      RowBox[{
       RowBox[{"LieD", "[", "u_", "]"}], "[", "ex_", "]"}]}], ",", "cd_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"ContractMetric", "[", "rest", "]"}], 
    RowBox[{
     RowBox[{"LieD", "[", "u", "]"}], "[", "ex", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ContractMetricOutSideProjector", "[", 
    RowBox[{
     RowBox[{"rest_.", "  ", 
      RowBox[{
       RowBox[{"cd_", "[", "a_", "]"}], "[", "ex_", "]"}]}], ",", "cd_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"ContractMetric", "[", "rest", "]"}], 
    RowBox[{
     RowBox[{"cd", "[", "a", "]"}], "[", "ex", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ContractMetricOutSideProjector", "[", 
    RowBox[{"rest_", ",", "cd_"}], "]"}], ":=", 
   RowBox[{"ContractMetric", "[", "rest", "]"}]}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"2763c929-f5b0-44dd-b56a-173faed96394"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Determine", " ", "if", " ", "expr", " ", "has", " ", 
     RowBox[{"(", 
      RowBox[{"at", " ", "least"}], ")"}], " ", "n", " ", "nested", " ", 
     "CDs", " ", "acting", " ", "on", " ", "inner"}], ",", " ", 
    RowBox[{
    "which", " ", "will", " ", "probably", " ", "be", " ", "a", " ", 
     "pattern", " ", "expression", " ", 
     RowBox[{"(", 
      RowBox[{"it", " ", "can", " ", "even", " ", "be", " ", "_"}], ")"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"ContainsDerOrderQ", "[", 
      RowBox[{"expr_", ",", 
       RowBox[{"CD_", "?", "CovDQ"}], ",", "inner_", ",", 
       RowBox[{"n_Integer", "?", "NonNegative"}]}], "]"}], ":=", 
     RowBox[{"!", 
      RowBox[{"FreeQ", "[", 
       RowBox[{"expr", ",", 
        RowBox[{"Nest", "[", 
         RowBox[{
          RowBox[{"CD", "[", "_", "]"}], ",", "inner", ",", "n"}], "]"}]}], 
       "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Find", " ", "the", " ", "maximum", " ", "order", " ", "of", " ", "CD", 
     " ", "that", " ", "expr", " ", "has", " ", "acting", " ", "on", " ", 
     "inner", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "to", " ", "simply", " ", "count", " ", "the", " ", "maximum", " ", 
        "order", " ", "of", " ", "CD"}], ",", " ", 
       RowBox[{"use", " ", "_", " ", "for", " ", "inner"}]}], ")"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MaxDerOrder", "[", 
      RowBox[{"expr_", ",", 
       RowBox[{"CD_", "?", "CovDQ"}], ",", "inner_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"NestWhile", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "+", "1"}], "&"}], ",", "0", ",", 
        RowBox[{
         RowBox[{"ContainsDerOrderQ", "[", 
          RowBox[{"expr", ",", "CD", ",", "inner", ",", "#"}], "]"}], "&"}]}],
        "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Written", " ", "by", " ", "Leo", " ", "Stein"}], " ", 
    "*)"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"b45f7632-97bc-4ee8-8d90-c9becfee24a2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "the", " ", "background", " ", "field", " ", "method", " ", 
     "is", " ", "used"}], ",", " ", 
    RowBox[{
    "this", " ", "rule", " ", "ensures", " ", "that", " ", "tensor", " ", 
     "with", " ", "a", " ", "label", " ", "index", " ", "for", " ", "order", 
     " ", "strictly", " ", "larger", " ", "than", " ", "1", " ", 
     RowBox[{"vanish", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"$BackgroundFieldRule", ":=", 
    RowBox[{"If", "[", 
     RowBox[{"BackgroundFieldMethod", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"tens_", "?", "xTensorQ"}], "[", "inds___", "]"}], 
        "\[RuleDelayed]", 
        RowBox[{"0", "/;", 
         RowBox[{
          RowBox[{"PerturbationOrder", "[", 
           RowBox[{"tens", "[", "inds", "]"}], "]"}], ">", "1"}]}]}], "}"}], 
      ",", 
      RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RulesCovDsOfTensor", "[", 
      RowBox[{"expr_", ",", "replacerule_", ",", "rulesprojected_", ",", 
       RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "dummiesup", ",", "tableleft", ",", "tableright", ",", 
         "testpatternlistnmax", ",", "freedownleft", ",", "dummiesdown", ",", 
         "leftupindices", ",", "leftupindicesnopattern", ",", 
         "tableleftnopattern", ",", "Listlhsrhsnoreplace", ",", "temp", ",", 
         "tempdown", ",", "rhs", ",", "rulepert", ",", 
         "leftupindicesnopatterntests", ",", "tobecan", ",", "oncecan", ",", 
         "RulesCovDs"}], "}"}], ",", 
       RowBox[{"Catch", "@", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"g", "=", 
             RowBox[{"First", "@", 
              RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
            RowBox[{"u", "=", 
             RowBox[{"Last", "@", 
              RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"CD", "=", 
               RowBox[{"CovDOfMetric", "[", "g", "]"}]}], ",", 
              RowBox[{"cd", "=", 
               RowBox[{"CovDOfMetric", "[", "h", "]"}]}], ",", 
              RowBox[{"M", "=", 
               RowBox[{"ManifoldOfCovD", "@", 
                RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"CDmax", "=", 
                RowBox[{"MaxDerOrder", "[", 
                 RowBox[{"expr", ",", "CD", ",", 
                  RowBox[{"First", "@", "replacerule"}]}], "]"}]}], "}"}], 
              ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{
                RowBox[{
                "In", " ", "this", " ", "function", " ", "we", " ", "will", 
                 " ", "precompute", " ", "the", " ", "rules", " ", "for", " ",
                  "the", " ", "CovDs", " ", "of", " ", "tensor", " ", "for", 
                 " ", "which", " ", "the", " ", "rule", " ", "is", " ", 
                 "given", " ", "in", " ", "the", " ", "argument", " ", 
                 RowBox[{"replacerule", ".", "\[IndentingNewLine]", "For"}], 
                 " ", "instance", " ", "if", " ", "we", " ", "compute", " ", 
                 "the", " ", "perturbation", " ", "of", " ", "the", " ", 
                 "Ricci", " ", "tensor"}], ",", " ", 
                RowBox[{
                "there", " ", "will", " ", "be", " ", "several", " ", "terms",
                  " ", "with", " ", "two", " ", "covariant", " ", 
                 "derivatives", " ", "of", " ", "the", " ", "perturbed", " ", 
                 
                 RowBox[{"metric", ".", " ", "By"}], " ", "precomputing", " ",
                  "the", " ", "rule", " ", "once", " ", "instead", " ", "of", 
                 " ", "several", " ", "times"}], ",", " ", 
                RowBox[{
                "we", " ", "shall", " ", "save", " ", "some", " ", 
                 "computing", " ", 
                 RowBox[{"time", "."}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"dummiesup", "=", 
                RowBox[{"DummyIn", "/@", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Tangent", "[", "M", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Range", "[", "CDmax", "]"}], "}"}]}], "]"}]}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"dummiesdown", "=", 
                RowBox[{"ChangeIndex", "/@", "dummiesup"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Off", "[", 
                StyleBox[
                 RowBox[{"Pattern", "::", "patvar"}], "MessageName"], "]"}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"freedownleft", "=", 
                RowBox[{
                 RowBox[{"IndicesOf", "[", 
                  RowBox[{"Free", ",", "Down"}], "]"}], "[", 
                 RowBox[{"RemovePatterns", "@", 
                  RowBox[{"First", "@", "replacerule"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"leftupindices", "=", 
                RowBox[{"PutPatternIndicesUp", "[", 
                 RowBox[{
                  RowBox[{"First", "@", "replacerule"}], "//", 
                  "ProjectorToMetric"}], "]"}]}], ";", "\[IndentingNewLine]", 
               
               RowBox[{"leftupindicesnopattern", "=", 
                RowBox[{"RemovePatterns", "[", "leftupindices", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"leftupindicesnopatterntests", "=", 
                RowBox[{"RemovePatternTests", "[", "leftupindices", "]"}]}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                "We", " ", "build", " ", "the", " ", "left", " ", "hand", " ",
                  "side"}], " ", "*)"}], "\[IndentingNewLine]", 
               RowBox[{"tableleft", "=", 
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"{", "leftupindices", "}"}], ",", 
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Fold", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"CD", "[", 
                    RowBox[{"Pattern", "[", 
                    RowBox[{"#2", ",", 
                    RowBox[{"Blank", "[", "]"}]}], "]"}], "]"}], "@", "#1"}], 
                    ")"}], "&"}], ",", "leftupindices", ",", "#"}], "]"}], 
                    "&"}], "[", 
                    RowBox[{"Take", "[", 
                    RowBox[{"dummiesup", ",", "i"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "CDmax"}], "}"}]}], "]"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"tableleftnopattern", "=", 
                RowBox[{"RemovePatterns", "/@", "tableleft"}]}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"Listlhsrhsnoreplace", "=", 
                RowBox[{"Reverse", "@", 
                 RowBox[{"Transpose", "[", 
                  RowBox[{"{", 
                   RowBox[{"tableleft", ",", "tableleftnopattern"}], "}"}], 
                  "]"}]}]}], ";", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"RulesCovDs", "=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"tempdown", "=", 
                    RowBox[{"IndicesDown", "[", 
                    RowBox[{"Last", "@", "#"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"rulepert", "=", 
                    RowBox[{"leftupindicesnopatterntests", "\[RuleDelayed]", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"InducedDecomposition", "[", 
                    RowBox[{"leftupindicesnopattern", ",", 
                    RowBox[{"{", 
                    RowBox[{"h", ",", "u"}], "}"}]}], "]"}], "/.", 
                    "rulesprojected"}], "/.", 
                    RowBox[{"Scalar", "\[Rule]", "ProtectMyScalar"}]}], ")"}],
                     "]"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"temp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"tempdown", "/.", "rulepert"}], ")"}], "/.", 
                    "FixProtectScalar"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"tobecan", "=", 
                    RowBox[{"FullToInducedDerivative", "[", 
                    RowBox[{"temp", ",", "CD", ",", "cd"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"oncecan", "=", 
                    RowBox[{"ContractMetricOutSideProjector", "[", 
                    RowBox[{
                    RowBox[{"Expand", "@", "tobecan"}], ",", "cd"}], "]"}]}], 
                    ";", "\[IndentingNewLine]", 
                    RowBox[{"rhs", "=", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"oncecan", ",", 
                    RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"IndexRule", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"First", "@", "#"}], ")"}], "/.", 
                    RowBox[{"hp_HoldPattern", "\[RuleDelayed]", 
                    RowBox[{"First", "@", "hp"}]}]}], ")"}], ",", "rhs"}], 
                    "]"}]}], ")"}], "&"}], "/@", "Listlhsrhsnoreplace"}]}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               "RulesCovDs"}]}], "\[IndentingNewLine]", "]"}]}], 
           "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ProjectionAndBackgroundRuleQ", "[", 
      RowBox[{"rule_", ",", 
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", "n_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PerturbationOrder", "[", 
         RowBox[{"RemovePatterns", "[", 
          RowBox[{"First", "@", "rule"}], "]"}], "]"}], "===", "0"}], ")"}], "&&", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Projector", "[", "h", "]"}], "[", 
          RowBox[{"Last", "@", "rule"}], "]"}], "===", "0"}], "||", 
        RowBox[{
         RowBox[{"OrthogonalToVectorQ", "[", "n", "]"}], "[", 
         RowBox[{"Last", "@", "rule"}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SplitPerturbations", "[", 
      RowBox[{"expr_", ",", "ListPairs_List", ",", 
       RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "res", ",", "restemp", ",", "resfinal", ",", "restemp2", ",", "res0", 
         ",", "res1", ",", "res2", ",", "res3", ",", "res4", ",", "res4bis", 
         ",", "res6bis", ",", "res6ter", ",", "res6quater", ",", "res4ter", 
         ",", "res4quater", ",", "res5", ",", "res6", ",", "res7", ",", 
         "res8", ",", "rules", ",", "rulesprojectedandbackground"}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"g", "=", 
            RowBox[{"First", "@", 
             RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
           RowBox[{"u", "=", 
            RowBox[{"Last", "@", 
             RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"CD", "=", 
              RowBox[{"CovDOfMetric", "[", "g", "]"}]}], ",", 
             RowBox[{"cd", "=", 
              RowBox[{"CovDOfMetric", "[", "h", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "This", " ", "is", " ", "a", " ", "proposal", " ", "to", " ", 
             "deal", " ", "with", " ", "the", " ", "normal", " ", "vector", 
             " ", "automatically"}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "It", " ", "remains", " ", "to", " ", "see", " ", "if", " ", 
             "this", " ", "design", " ", "is", " ", "interesting", " ", "or", 
             " ", "if", " ", "the", " ", "rules", " ", "for", " ", "the", " ",
              "normal", " ", "vector", " ", "should", " ", "be", " ", 
             "placed", " ", "in", " ", "ListPairs", " ", "by", " ", "the", 
             " ", "user"}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Deactivated", " ", "for", " ", "the", " ", "moment"}], 
            " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"rulesprojectedandbackground", "=", 
             RowBox[{"Select", "[", 
              RowBox[{"ListPairs", ",", 
               RowBox[{
                RowBox[{"ProjectionAndBackgroundRuleQ", "[", 
                 RowBox[{"#", ",", "h", ",", "u"}], "]"}], "&"}]}], "]"}]}], 
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"rules", "=", 
             RowBox[{"Flatten", "@", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"RulesCovDsOfTensor", "[", 
                  RowBox[{
                  "expr", ",", "#", ",", "rulesprojectedandbackground", ",", 
                   "h"}], "]"}], "&"}], "/@", "ListPairs"}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DebugInfoQ", ",", 
              RowBox[{"Print", "[", 
               RowBox[{"\"\<rules \>\"", ",", "rules"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{"TODO", " ", "This", " ", "part", " ", "needs", " ", 
              RowBox[{"commenting", ".", " ", "A"}], " ", "lot", " ", "of", 
              " ", 
              RowBox[{"commenting", "."}]}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"res", "=", 
             RowBox[{"AbsoluteTiming", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"res0", "=", 
                RowBox[{
                 RowBox[{"FullToInducedDerivativeAndCDDown", "[", 
                  RowBox[{
                   RowBox[{"org", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"expr", "/.", 
                    RowBox[{
                    "$RulesVanishingBackgroundFields", "[", "h", "]"}]}], 
                    ")"}], "//", "ProjectorToMetric"}], "//", 
                    RowBox[{
                    RowBox[{"GaussCodazzi", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], ")"}], "/.", 
                    RowBox[{
                    RowBox[{"Projector", "[", "h", "]"}], "\[Rule]", 
                    RowBox[{"ProjectWith", "[", "h", "]"}]}]}], "]"}], ",", 
                   "CD", ",", "cd"}], "]"}], "//", "ProjectorToMetric"}]}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", " ", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{"Print", "[", 
                  RowBox[{"\"\<Stage 0\>\"", ",", " ", "res0"}], "]"}]}], 
                "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"7", "/", "12"}], "/", "14"}], ":", " ", 
                 RowBox[{
                 "Michael", " ", "Kopp", " ", "Found", " ", "a", " ", "bug", 
                  " ", 
                  RowBox[{"below", ".", " ", "I"}], " ", "have", " ", 
                  "replaced", " ", "ToCanonical", " ", "by", " ", 
                  RowBox[{"ToCanonical", "@", "NoScalar"}], " ", "and", " ", 
                  "this", " ", "seems", " ", "to", " ", "correct", " ", "for",
                   " ", "the", " ", 
                  RowBox[{"bug", ".", " ", "The"}], " ", "problem", " ", "is",
                   " ", "the", " ", "treatment", " ", "of", " ", "Scalars", 
                  " ", "by", " ", 
                  RowBox[{"ToCanonical", ".", " ", "In"}], " ", "some", " ", 
                  "very", " ", "strange", " ", "configurations", " ", "this", 
                  " ", "did", " ", "not", " ", 
                  RowBox[{"work", ".", " ", "This"}], " ", "is", " ", "very", 
                  " ", "strange", " ", "though", " ", "and", " ", "we", " ", 
                  "should", " ", "warn", " ", "JMM", " ", "about", " ", 
                  RowBox[{"it", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"8", "/", "12"}], "/", "14"}], " ", "In", " ", 
                  "fact", " ", "the", " ", "solution", " ", "is", " ", "to", 
                  " ", "make", " ", "sure", " ", "that", " ", "we", " ", 
                  "expand", " ", "before", " ", "using", " ", 
                  RowBox[{"PutScalar", ".", " ", "So"}], " ", "that", " ", 
                  "there", " ", "is", " ", "noever", " ", "any", " ", "sum", 
                  " ", "inside", " ", "a", " ", "Scalar", " ", 
                  RowBox[{"Head", ".", " ", "Just"}], " ", "to", " ", "be", 
                  " ", "sure"}], ",", " ", 
                 RowBox[{"I", " ", "add", " ", "both", " ", 
                  RowBox[{"solutions", "."}]}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"res1", " ", "=", 
                RowBox[{"ToCanonical", "[", 
                 RowBox[{
                  RowBox[{"NoScalar", "[", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"res0", "/.", "rules"}], ")"}], "/.", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ih_", "?", "InertHeadQ"}], "[", "ex_", "]"}], 
                    "\[RuleDelayed]", 
                    RowBox[{"ih", "[", 
                    RowBox[{"ToCanonical", "[", "ex", "]"}], "]"}]}]}], "]"}],
                   ",", 
                  RowBox[{"UseMetricOnVBundle", "\[Rule]", "None"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{"Print", "[", 
                  RowBox[{
                  "\"\<Stage 1  \>\"", ",", " ", "res1", ",", "\"\< \\n \>\"",
                    ",", 
                   RowBox[{"res1", "/.", "ListPairs"}]}], " ", "]"}]}], "]"}],
                ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res2", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"res1", "//.", "ListPairs"}], ")"}], "/.", 
                   "$BackgroundFieldRule"}], ")"}], "/.", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Projector", "[", "h", "]"}], "[", "exp___", "]"}],
                   ":>", 
                  RowBox[{
                   RowBox[{"Projector", "[", "h", "]"}], "[", 
                   RowBox[{"Expand", "@", 
                    RowBox[{"NoScalar", "[", "exp", "]"}]}], "]"}]}]}]}], ";",
                "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{"Print", "[", 
                  RowBox[{"\"\<Stage 2  \>\"", ",", "res2"}], "]"}]}], "]"}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res3", "=", 
                RowBox[{"(", 
                 RowBox[{"res2", "/.", 
                  RowBox[{
                   RowBox[{"ProtectMyScalar", "[", "exp_", "]"}], 
                   "\[RuleDelayed]", 
                   RowBox[{"IndicesDown", "[", 
                    RowBox[{"ToCanonical", "[", 
                    RowBox[{"NoScalar", "@", "exp"}], "]"}], "]"}]}]}], 
                 RowBox[{"(*", 
                  RowBox[{"Expand", "[", 
                   RowBox[{"NoScalar", "@", "exp"}], "]"}], "*)"}], ")"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{"Print", "[", 
                  RowBox[{"\"\<Stage 3  \>\"", ",", "res3"}], "]"}]}], "]"}], 
               ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res4", "=", 
                RowBox[{"NoScalar", "[", 
                 RowBox[{"res3", "/.", 
                  RowBox[{
                   RowBox[{"Projector", "[", "h", "]"}], "\[Rule]", 
                   RowBox[{"ProjectWith", "[", "h", "]"}]}]}], "]"}]}], 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"//", "ContractMetric"}], "//", "ToCanonical"}], 
                "*)"}], ";", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{
                 "Print", "[", "\"\<Ready for canonicalization.\>\"", "]"}]}],
                 "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res4bis", "=", 
                RowBox[{"SameDummies", "@", 
                 RowBox[{"ContractMetric", "@", "res4"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{"$DebugInfoQ", ",", 
                   RowBox[{"Print", "[", "\"\<Stage 4 bis\>\"", "]"}]}], 
                  "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{
                  RowBox[{"Print", "[", 
                   RowBox[{
                   "\"\<Number of terms to be canonicalized before Expand : \
\>\"", ",", 
                    RowBox[{"Length", "[", "res4bis", "]"}], ",", 
                    "\"\<  \>\"", ",", 
                    RowBox[{"LeafCount", "[", "res4bis", "]"}], ",", 
                    "\"\<. Head is \>\"", ",", 
                    RowBox[{"Head", "[", "res4bis", "]"}]}], "]"}], ";"}]}], 
                "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res4quater", "=", "res4bis"}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res6", "=", 
                RowBox[{"(", 
                 RowBox[{"(*", "res5", "*)"}], 
                 RowBox[{
                  RowBox[{"res4quater", "//", 
                   RowBox[{
                    RowBox[{"MetricToProjector", "[", 
                    RowBox[{"#", ",", "h"}], "]"}], "&"}]}], "//", 
                  RowBox[{
                   RowBox[{"CommuteCDSafe", "[", 
                    RowBox[{"#", ",", "cd"}], "]"}], "&"}]}], ")"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{"Print", "[", "\"\<Stage 6\>\"", "]"}]}], "]"}], ";",
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"FlatSpaceBool", "[", 
                  RowBox[{"SpaceType", "[", "h", "]"}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"res6quater", "=", "res6"}], ";"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"res6bis", "=", 
                   RowBox[{"FixedPoint", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SameDummies", "@", 
                    RowBox[{"Expand", "[", "#", "]"}]}], "&"}], ",", 
                    RowBox[{"(", 
                    RowBox[{"res6", "/.", 
                    RowBox[{"ConstantsOfStructureRules", "[", "h", "]"}]}], 
                    ")"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{"$DebugInfoQ", ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    RowBox[{"\"\<Canonicalisation of \>\"", ",", 
                    RowBox[{"Length", "[", "res6bis", "]"}], ",", 
                    "\"\< terms starting\>\""}], "]"}], ";"}]}], "]"}], ";", 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"res6ter", "=", 
                   RowBox[{"SameDummies", "@", 
                    RowBox[{"ToCanonical", "@", 
                    RowBox[{"ContractMetric", "[", "res6bis", "]"}]}]}]}], 
                  ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"res6quater", "=", 
                   RowBox[{"FixedPoint", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SameDummies", "@", 
                    RowBox[{"Expand", "[", "#", "]"}]}], "&"}], ",", 
                    RowBox[{"(", 
                    RowBox[{"res6ter", "/.", 
                    RowBox[{"ConstantsDecompositionRules", "[", "h", "]"}]}], 
                    ")"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{"$DebugInfoQ", ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    RowBox[{"\"\<Canonicalisation of \>\"", ",", 
                    RowBox[{"Length", "[", "res6quater", "]"}], ",", 
                    "\"\< terms starting\>\""}], "]"}], ";"}]}], "]"}], 
                  ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"res7", "=", 
                RowBox[{"SameDummies", "@", 
                 RowBox[{"ToCanonical", "@", 
                  RowBox[{"ContractMetric", "[", "res6quater", "]"}]}]}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{"$DebugInfoQ", ",", 
                 RowBox[{
                 "Print", "[", "\"\<Riemann replaced and simplified. \>\"", 
                  RowBox[{"(*", 
                   RowBox[{",", "res7"}], "*)"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "res7"}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DebugInfoQ", ",", 
              RowBox[{
              "Print", "[", 
               "\"\<Constants of structure opened and simplified. \>\"", 
               "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"CheckSTFTensors", "[", 
             RowBox[{
              RowBox[{"Last", "@", "res"}], ",", "h", ",", 
              RowBox[{"{", 
               RowBox[{"g", ",", "u", ",", 
                RowBox[{"SymbolJoin", "[", 
                 RowBox[{"Det", ",", "g"}], "]"}], ",", 
                RowBox[{"Riemann", "[", "cd", "]"}], ",", 
                RowBox[{"Ricci", "[", "cd", "]"}], ",", 
                RowBox[{"RicciScalar", "[", "cd", "]"}], ",", "h", ",", 
                RowBox[{"CS", "[", "h", "]"}], ",", 
                RowBox[{"nt", "[", "h", "]"}], ",", 
                RowBox[{"av", "[", "h", "]"}], ",", 
                RowBox[{"\[ScriptK]", "[", "h", "]"}], ",", "delta", ",", 
                RowBox[{"epsilon", "[", "h", "]"}], ",", 
                RowBox[{"epsilon", "[", "g", "]"}]}], "}"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DefInfoQ", ",", 
              RowBox[{
               RowBox[{"Print", "[", 
                RowBox[{"\"\<The Splitting of \>\"", ",", 
                 RowBox[{"Take", "[", 
                  RowBox[{"expr", ",", "1"}], "]"}], ",", 
                 "\"\< +... was performed in \>\"", ",", 
                 RowBox[{"First", "@", "res"}], " ", ",", 
                 "\"\< seconds.\>\""}], "]"}], ";"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"res8", "=", 
             RowBox[{"(*", 
              RowBox[{"ToCanonical", "@", 
               RowBox[{"ContractMetric", "@"}]}], "*)"}], 
             RowBox[{"NoScalar", "[", 
              RowBox[{"Last", "@", "res"}], "]"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
             "Brute", " ", "force", " ", "contractions", " ", "of", " ", 
              "induced", " ", "derivatives", " ", "with", " ", "indiced", " ", 
              RowBox[{"covD", "."}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"resfinal", "=", 
             RowBox[{
              RowBox[{"PostProcess", "[", "h", "]"}], "[", "res8", "]"}]}], 
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{
              "The", " ", "default", " ", "in", " ", "xTensor", " ", "is", 
               " ", "to", " ", "not", " ", "commute", " ", "the", " ", 
               "induced", " ", "Covariant", " ", 
               RowBox[{"derivatives", ".", " ", "So"}], " ", "we", " ", "set",
                " ", "it", " ", 
               RowBox[{"back", ".", " ", "Indeed"}]}], ",", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                "in", " ", "some", " ", "cases", " ", "I", " ", "have", " ", 
                 "noteiced", " ", "it", " ", "can", " ", "conflict", " ", 
                 "with", " ", "xPert", " ", "and", " ", "Conformal"}], 
                "..."}], " ", "I", " ", "am", " ", "not", " ", "sure", " ", 
               RowBox[{"why", ".", " ", "Anyway"}]}], ",", " ", 
              RowBox[{
              "It", " ", "is", " ", "better", " ", "to", " ", "avoird", " ", 
               "automatic", " ", "commutation", " ", "of", " ", "cd", " ", 
               "in", " ", "general", " ", "except", " ", 
               RowBox[{"in", " ", "'"}], 
               RowBox[{"SplitPerturbations", "'"}], " ", "since", " ", "we", 
               " ", "want", " ", "maximal", " ", 
               RowBox[{"simplification", "."}]}]}], "*)"}], 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{"$SortCovDAutomatic", ",", 
                RowBox[{
                 RowBox[{"Off", "[", 
                  StyleBox[
                   RowBox[{"Unset", "::", "norep"}], "MessageName"], "]"}], 
                 ";", 
                 RowBox[{"Block", "[", 
                  RowBox[{
                   RowBox[{"{", "Print", "}"}], ",", 
                   RowBox[{"SortCovDsStop", "[", "cd", "]"}]}], "]"}], ";", 
                 RowBox[{"On", "[", 
                  StyleBox[
                   RowBox[{"Unset", "::", "norep"}], "MessageName"], "]"}], 
                 ";"}]}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", "resfinal"}]}], "\[IndentingNewLine]", 
          "]"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IndicesDownOnLieDerivatives", "[", "expression_", "]"}], ":=", 
     RowBox[{"expression", "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"expr_", "?", "DefProjectedTensorQ"}], "[", 
        RowBox[{
         RowBox[{"LI", "[", "n_", "]"}], ",", 
         RowBox[{"LI", "[", 
          RowBox[{"q_", "?", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], "]"}], 
         ",", "inds__"}], "]"}], " ", "\[RuleDelayed]", 
       RowBox[{"IndicesDown", "[", 
        RowBox[{"expr", "[", 
         RowBox[{
          RowBox[{"LI", "[", "n", "]"}], ",", 
          RowBox[{"LI", "[", "q", "]"}], ",", "inds"}], "]"}], "]"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PostProcess", "[", "h_", "]"}], "[", "expr_", "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"AnisotropyBool", "@", 
        RowBox[{"SpaceType", "[", "h", "]"}]}], "||", 
       RowBox[{"BianchiBool", "@", 
        RowBox[{"SpaceType", "[", "h", "]"}]}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"ScreenDollarIndices", "@", 
       RowBox[{"collect", "@", 
        RowBox[{"SameDummies", "@", 
         RowBox[{"Expand", "[", 
          RowBox[{
           RowBox[{"IndicesDownOnLieDerivatives", "[", "expr", "]"}], "//.", 
           RowBox[{"$Rulecdh", "[", "h", "]"}]}], "]"}]}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"ScreenDollarIndices", "@", 
       RowBox[{"collect", "[", "expr", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SplitPerturbations", "[", 
     RowBox[{"expr_", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
    RowBox[{"SplitPerturbations", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"{", "}"}], ",", "h"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"SetNumberOfArguments", "[", 
    RowBox[{"SplitPerturbations", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Protect", "[", "SplitPerturbations", "]"}], ";"}]}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"6da3fc5b-16e1-4a43-9c04-ef103778521d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.9 Automatization of the whole process", \
"Subsubsection",ExpressionUUID->"d98bd2aa-a2a1-48ed-a05c-1d7080ef219f"],

Cell["\<\
These are more advanced functions for a user not interested in understanding \
the details, and who wants a quick and simple answer\
\>", "Text",ExpressionUUID->"77b7395b-38de-4a92-a158-5883e162c3cc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToxPandFromRules", "[", 
     RowBox[{"expr_", ",", "RulesList_List", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"n_", "?", "IntegerQ"}]}], "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"g", "=", 
        RowBox[{"First", "@", 
         RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Not", "[", 
           RowBox[{"DefTensorQ", "[", 
            RowBox[{"ConformalMetricName", "[", 
             RowBox[{"g", ",", 
              RowBox[{"a", "[", "h", "]"}]}], "]"}], "]"}], "]"}], "&&", 
          RowBox[{
           RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
           "\"\<Minkowski\>\""}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Print", "[", 
              RowBox[{
              "\"\<** Warning: The conformally related metric \>\"", ",", 
               RowBox[{"ConformalMetricName", "[", 
                RowBox[{"g", ",", 
                 RowBox[{"a", "[", "h", "]"}]}], "]"}], ",", 
               "\"\<  was not previously defined **\>\""}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
             "Print", "[", 
              "\"\<** We call DefConformalMetric in order to define it. \
**\>\"", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"DefConformalMetric", "[", 
           RowBox[{"g", ",", 
            RowBox[{"a", "[", "h", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"SplitPerturbations", "[", 
        RowBox[{
         RowBox[{"ExpandPerturbation", "@", 
          RowBox[{"Perturbed", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Conformal", "[", 
              RowBox[{"g", ",", 
               RowBox[{"ConformalMetricName", "[", 
                RowBox[{"g", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
                    "\"\<Minkowski\>\""}], ",", 
                   RowBox[{"a", "[", "h", "]"}], ",", "1"}], "]"}]}], "]"}]}],
               "]"}], "[", "expr", "]"}], ",", "n"}], "]"}]}], ",", 
         "RulesList", ",", "h"}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToxPandFromRules", "[", 
     RowBox[{"expr_", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", "n_"}], "]"}], ":=", 
    RowBox[{"ToxPandFromRules", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"{", "}"}], ",", "h", ",", "n"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"ToxPandFromRules", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "ToxPandFromRules", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"0.4", ".0", " ", "version", " ", "of", " ", "ToxPand"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ToxPand", "[", 
      RowBox[{"expr_", ",", "dg_", ",", "uf_", ",", "duf_", ",", 
       RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
       RowBox[{"gauge_", "?", "GaugeQ"}], ",", 
       RowBox[{"order_", "?", "IntegerQ"}], ",", 
       RowBox[{"tiltvalue_", ":", "\"\<NotTilted\>\""}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "ruleslist", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"g", "=", 
           RowBox[{"First", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ruleslist", "=", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"SplitMetric", "[", 
              RowBox[{"g", ",", "dg", ",", "h", ",", "gauge"}], "]"}], ",", 
             RowBox[{"SplitMatter", "[", 
              RowBox[{"uf", ",", "duf", ",", 
               RowBox[{"-", "1"}], ",", "h", ",", "gauge", ",", "order", ",", 
               "tiltvalue"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Not", "[", 
              RowBox[{"DefTensorQ", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{"ConformalMetricName", "[", 
                 RowBox[{"g", ",", 
                  RowBox[{"a", "[", "h", "]"}]}], "]"}], "]"}], "]"}], "]"}], 
             "&&", 
             RowBox[{
              RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
              "\"\<Minkowski\>\""}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Print", "[", 
                 RowBox[{
                 "\"\<** Warning: The conformally related metric \>\"", ",", 
                  RowBox[{"ConformalMetricName", "[", 
                   RowBox[{"g", ",", 
                    RowBox[{"a", "[", "h", "]"}]}], "]"}], ",", 
                  "\"\<  was not previously defined **\>\""}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                "Print", "[", 
                 "\"\<** We call DefConformalMetric in order to define it. **\
\>\"", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"DefConformalMetric", "[", 
              RowBox[{"g", ",", 
               RowBox[{"a", "[", "h", "]"}]}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"SplitPerturbations", "[", 
           RowBox[{
            RowBox[{"ExpandPerturbation", "@", 
             RowBox[{"Perturbed", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Conformal", "[", 
                 RowBox[{"g", ",", 
                  RowBox[{"ConformalMetricName", "[", 
                   RowBox[{"g", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
                    "\"\<Minkowski\>\""}], ",", 
                    RowBox[{"a", "[", "h", "]"}], ",", "1"}], "]"}]}], 
                   "]"}]}], "]"}], "[", "expr", "]"}], ",", "order"}], 
              "]"}]}], ",", "ruleslist", ",", "h"}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}],
    "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ToxPand", "[", 
    RowBox[{"expr_", ",", "dg_", ",", "uf_", ",", "duf_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"gauge_", "?", "GaugeQ"}], ",", 
     RowBox[{"order_", "?", "IntegerQ"}], ",", 
     RowBox[{"tiltvalue_", ":", "\"\<NotTilted\>\""}]}], "]"}], " ", ":=", 
   " ", 
   RowBox[{"ToxPand", "[", 
    RowBox[{"expr", ",", "dg", ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"uf", ",", "duf"}], "}"}], "}"}], ",", "h", ",", "gauge", ",", 
     "order", ",", "tiltvalue"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ToxPand", "[", 
     RowBox[{"expr_", ",", "dg_", ",", "ufduflist_List", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"gauge_", "?", "GaugeQ"}], ",", 
      RowBox[{"order_", "?", "IntegerQ"}], ",", 
      RowBox[{"tiltvalue_", ":", "\"\<NotTilted\>\""}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "ruleslist", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"g", "=", 
          RowBox[{"First", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ruleslist", "=", 
          RowBox[{"Flatten", "@", 
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"SplitMetric", "[", 
              RowBox[{"g", ",", "dg", ",", "h", ",", "gauge"}], "]"}], ",", 
             RowBox[{"Map", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"SplitMatter", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{"-", "1"}], ",", "h", ",", "gauge", ",", "order", 
                  ",", "tiltvalue"}], "]"}], "&"}], ",", "ufduflist"}], 
              "]"}]}], "  ", "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", 
              RowBox[{"Evaluate", "[", 
               RowBox[{"ConformalMetricName", "[", 
                RowBox[{"g", ",", 
                 RowBox[{"a", "[", "h", "]"}]}], "]"}], "]"}], "]"}], "]"}], "&&", 
            RowBox[{
             RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
             "\"\<Minkowski\>\""}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{"$DefInfoQ", ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Print", "[", 
                RowBox[{
                "\"\<** Warning: The conformally related metric \>\"", ",", 
                 RowBox[{"ConformalMetricName", "[", 
                  RowBox[{"g", ",", 
                   RowBox[{"a", "[", "h", "]"}]}], "]"}], ",", 
                 "\"\<  was not previously defined **\>\""}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
               "Print", "[", 
                "\"\<** We call DefConformalMetric in order to define it. \
**\>\"", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"DefConformalMetric", "[", 
             RowBox[{"g", ",", 
              RowBox[{"a", "[", "h", "]"}]}], "]"}], ";"}]}], 
          "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"SplitPerturbations", "[", 
          RowBox[{
           RowBox[{"ExpandPerturbation", "@", 
            RowBox[{"Perturbed", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Conformal", "[", 
                RowBox[{"g", ",", 
                 RowBox[{"ConformalMetricName", "[", 
                  RowBox[{"g", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceType", "[", "h", "]"}], "=!=", 
                    "\"\<Minkowski\>\""}], ",", 
                    RowBox[{"a", "[", "h", "]"}], ",", "1"}], "]"}]}], 
                  "]"}]}], "]"}], "[", "expr", "]"}], ",", "order"}], "]"}]}],
            ",", "ruleslist", ",", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
       "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"ToxPand", ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", "8"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "ToxPand", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"e081cd70-064d-4902-8635-4736036aa7fb"],

Cell[BoxData[
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"ToxPandFromRules", ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}]}], 
  "]"}]], "Output",ExpressionUUID->"3980150b-60f8-469e-8afe-070dd62d9fc5"],

Cell[BoxData[
 RowBox[{"{", "\<\"ToxPandFromRules\"\>", 
  "}"}]], "Output",ExpressionUUID->"7adee3c0-78f5-4d23-807c-0a85cee7adfa"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.10 Vizualization of the results", \
"Subsubsection",ExpressionUUID->"8925f441-75d6-4f55-a1f0-89ac32e67ace"],

Cell["Function to project along time and space", \
"Text",ExpressionUUID->"1a06754f-9563-42b1-8414-70513077b6bf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ExtractComponents", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", "proj_List", ",", 
     "ListIndsToContract_List"}], "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"Catch", "@", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"frees", "=", 
         RowBox[{"List", "@@", 
          RowBox[{"FindFreeIndices", "[", "expr", "]"}]}]}], ",", 
        RowBox[{"u", "=", 
         RowBox[{"Last", "@", 
          RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "proj", "]"}], "=!=", 
          RowBox[{"Length", "[", "frees", "]"}]}], ",", 
         RowBox[{"Throw", "@", 
          RowBox[{"Message", "[", 
           RowBox[{
            RowBox[{"xPanding", "::", "error"}], ",", 
            "\"\<Number of projectors not equal to number of free \
indices.\>\""}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Sort", "[", "ListIndsToContract", "]"}], "=!=", "frees"}], 
         ",", 
         RowBox[{"Throw", "@", 
          RowBox[{"Message", "[", 
           RowBox[{
            RowBox[{"xPanding", "::", "error"}], ",", " ", 
            "\"\<List of indices on which the projection is taken is not \
equal to the list of free indices\>\""}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "frees", " ", "is", " ", "the", " ", "list", " ", "of", " ", "free", 
         " ", "indices", " ", "in", " ", "the", " ", "expression"}], "*)"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", 
           RowBox[{"Select", "[", 
            RowBox[{"proj", ",", 
             RowBox[{
              RowBox[{"And", "[", 
               RowBox[{
                RowBox[{"#", "=!=", "u"}], ",", 
                RowBox[{"#", "=!=", "h"}], ",", 
                RowBox[{"#", "=!=", "\"\<Space\>\""}], ",", 
                RowBox[{"#", "=!=", "\"\<Time\>\""}]}], "]"}], "&"}]}], "]"}],
            "]"}], "\[NotEqual]", "0"}], ",", 
         RowBox[{"Throw", "@", 
          RowBox[{"Message", "[", 
           RowBox[{
            RowBox[{"ExtractComponents", "::", "invalidprojector"}], ",", 
            "proj"}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Then", " ", "it", " ", "performs", " ", "the", " ", "contraction", 
         " ", "according", " ", "to", " ", "what", " ", "is", " ", "written", 
         " ", "in", " ", "proj___"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"NOte", " ", "that", " ", "we", " ", "also", " ", "apply"}],
           " ", "/.", 
          RowBox[{
           RowBox[{
            RowBox[{"$RulesVanishingBackgroundFields", "[", "h", "]"}], ".", 
            " ", "In"}], " ", "principle", " ", "this", " ", "is", " ", 
           "unnecessary", " ", "because", " ", "the", " ", "expression", " ", 
           "should", " ", "have", " ", "beend", " ", "computed", " ", "with", 
           " ", "SplitPerturbations"}]}], ",", " ", 
         RowBox[{
         "so", " ", "all", " ", "quantities", " ", "which", " ", "vanish", 
          " ", "on", " ", "the", " ", "background", " ", "are", " ", 
          "already", " ", 
          RowBox[{"removed", ".", " ", "Just"}], " ", "ine", " ", "case", " ",
           "we", " ", "perform", " ", "this", " ", "extra", " ", "list", " ", 
          "of", " ", "replacements"}], ",", " ", 
         RowBox[{
         "in", " ", "case", " ", "the", " ", "user", " ", "had", " ", 
          "prepared", " ", "the", " ", "expression", " ", "in", " ", "a", " ",
           "different", " ", 
          RowBox[{"manner", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"PostProcess", "[", "h", "]"}], "[", 
        RowBox[{"NoScalar", "@", 
         RowBox[{"org", "@", 
          RowBox[{"Module", "[", 
           RowBox[{
            RowBox[{"{", "dummy", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Fold", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"dummy", "=", 
                  RowBox[{
                   RowBox[{"Function", "[", 
                    RowBox[{
                    RowBox[{"{", "ind", "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"UpIndexQ", "[", "ind", "]"}], ",", "UpIndex", 
                    ",", "DownIndex"}], "]"}], "[", 
                    RowBox[{"DummyIn", "[", 
                    RowBox[{"VBundleOfIndex", "[", "ind", "]"}], "]"}], 
                    "]"}]}], "]"}], "[", 
                   RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ";", 
                 RowBox[{
                  RowBox[{"Switch", "[", 
                   RowBox[{
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "h", ",", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "dummy"}], ",", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", 
                    "\"\<Space\>\"", ",", 
                    RowBox[{"h", "[", 
                    RowBox[{
                    RowBox[{"-", "dummy"}], ",", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", "u", ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"UpIndexQ", "[", "dummy", "]"}], ",", 
                    RowBox[{
                    RowBox[{"-", "1"}], "*", 
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "]"}]}], ",", 
                    
                    RowBox[{"1", "*", 
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}]}]}], 
                    "]"}], "*", 
                    RowBox[{"u", "[", 
                    RowBox[{"-", "dummy"}], "]"}]}], ",", "\"\<Time\>\"", ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"UpIndexQ", "[", "dummy", "]"}], ",", 
                    RowBox[{
                    RowBox[{"-", "1"}], "*", 
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}], "]"}]}], ",", 
                    
                    RowBox[{"1", "*", 
                    RowBox[{"If", "[", 
                    RowBox[{"$ConformalTime", ",", "1", ",", 
                    RowBox[{"1", "/", 
                    RowBox[{
                    RowBox[{"a", "[", "h", "]"}], "[", "]"}]}]}], "]"}]}]}], 
                    "]"}], "*", 
                    RowBox[{"u", "[", 
                    RowBox[{"-", "dummy"}], "]"}]}]}], "]"}], 
                  RowBox[{"ReplaceIndex", "[", 
                   RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", "dummy"}]}], 
                   "]"}]}]}], ")"}], "&"}], ",", 
              RowBox[{"(", 
               RowBox[{"expr", "/.", 
                RowBox[{"$RulesVanishingBackgroundFields", "[", "h", "]"}]}], 
               ")"}], ",", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{"ListIndsToContract", ",", "proj"}], "}"}], "]"}]}], 
             "]"}]}], "]"}]}]}], "]"}]}]}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ExtractComponents", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", "proj_List"}], "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"frees", "=", 
       RowBox[{"List", "@@", 
        RowBox[{"FindFreeIndices", "[", "expr", "]"}]}]}], "}"}], ",", 
     RowBox[{"ExtractComponents", "[", 
      RowBox[{"expr", ",", "h", ",", "proj", ",", "frees"}], "]"}]}], "]"}]}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ExtractComponents", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"VisualizeTensor", "[", 
     RowBox[{"expr", ",", "h"}], "]"}], 
    RowBox[{"(*", "expr", "*)"}], "/;", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{
        RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===", 
      "2"}], "||", 
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{
        RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===", 
      "1"}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Even", " ", "when", " ", "there", " ", "is", " ", "nothing", " ", "to", 
     " ", "do"}], ",", " ", 
    RowBox[{
    "we", " ", "remove", " ", "all", " ", "quantities", " ", "which", " ", 
     "should", " ", "cancel", " ", "on", " ", "the", " ", 
     RowBox[{"background", ".", " ", "Just"}], " ", "in", " ", "case", " ", 
     "the", " ", "expression", " ", "provided", " ", "was", " ", "not", " ", 
     "obtained", " ", "from", " ", "SplitPerturbations"}], ",", " ", 
    RowBox[{
    "where", " ", "such", " ", "cancellation", " ", "have", " ", "been", " ", 
     "made"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ExtractComponents", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"expr", "/.", 
      RowBox[{"$RulesVanishingBackgroundFields", "[", "h", "]"}]}], ")"}], "/;", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{
        RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], ">", 
      "2"}], "||", 
     RowBox[{
      RowBox[{"Length", "@", 
       RowBox[{
        RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===", 
      "0"}]}]}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"ExtractComponents", ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "4"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "ExtractComponents", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"62fbf913-d7d5-44c0-ab10-ff3e7df31e35"],

Cell["Function to visualize a rank - 2 tensor", \
"Text",ExpressionUUID->"a2461eab-846d-425c-9b4d-ac15c6e5466d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"VisualizeTensor", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u", "=", 
        RowBox[{"Last", "@", 
         RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Null", ",", "u", ",", "h"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"u", ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", 
                RowBox[{"\"\<Time\>\"", ",", "\"\<Time\>\""}], "}"}]}], "]"}],
              "//", "$PrePrint"}], ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", 
                RowBox[{"\"\<Time\>\"", ",", "\"\<Space\>\""}], "}"}]}], 
              "]"}], "//", "$PrePrint"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"h", ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", 
                RowBox[{"\"\<Space\>\"", ",", "\"\<Time\>\""}], "}"}]}], 
              "]"}], "//", "$PrePrint"}], ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", 
                RowBox[{"\"\<Space\>\"", ",", "\"\<Space\>\""}], "}"}]}], 
              "]"}], "//", "$PrePrint"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], "]"}], "/;", 
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{
       RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===", 
     "2"}]}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VisualizeTensor", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u", "=", 
        RowBox[{"Last", "@", 
         RowBox[{"InducedFrom", "@", "h"}]}]}], "}"}], ",", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"u", ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", "\"\<Time\>\"", "}"}]}], "]"}], "//", 
             "$PrePrint"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"h", ",", 
            RowBox[{
             RowBox[{"ExtractComponents", "[", 
              RowBox[{"expr", ",", "h", ",", 
               RowBox[{"{", "\"\<Space\>\"", "}"}]}], "]"}], "//", 
             "$PrePrint"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}], "]"}], "/;", 
    RowBox[{
     RowBox[{"Length", "@", 
      RowBox[{
       RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===", 
     "1"}]}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"VisualizeTensor", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}]}], "]"}], ":=", 
   RowBox[{"expr", "/;", 
    RowBox[{
     RowBox[{"Not", "[", 
      RowBox[{
       RowBox[{"Length", "@", 
        RowBox[{
         RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===",
        "2"}], "]"}], "&&", 
     RowBox[{"Not", "[", 
      RowBox[{
       RowBox[{"Length", "@", 
        RowBox[{
         RowBox[{"IndicesOf", "[", "Free", "]"}], "[", "expr", "]"}]}], "===",
        "1"}], "]"}]}]}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"VisualizeTensor", ",", "2"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "VisualizeTensor", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"f1f3bfff-5c63-4f6f-8222-84075d59e14a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ExtractOrder", "[", 
    RowBox[{"expr_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"{", 
      RowBox[{"$PerturbationParameter", ",", "0", ",", "n"}], "}"}]}], 
    "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"ExtractOrder", ",", "2"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "ExtractOrder", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"4368d787-5795-4bea-b30d-4bd98b209b7d"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.11 Gauge Transformation", "Subsubsection",
 FontSize->12,ExpressionUUID->"880bdb09-1c00-44ad-96bd-d788f51fd93a"],

Cell["\<\
My Gauge transformation rule, which takes into account the conformal \
transformation and performs the n+1 splitting.
First the expression is conformally transformed. Then, the scale factor is \
allowed to be perturbed and the expression is perturbed.
The major step is to use the function GaugeChange of xPert to perform the \
gauge transformation rule. Finally, in the last step, it is remembered that \
the scale factor cannot be perturebed, so its perturbations are set to 0, and \
the results is returned.\
\>", "Text",ExpressionUUID->"2b5d0a9f-c5f3-47bb-a870-064a3e527e1f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SplitGaugeChange", "[", 
    RowBox[{"expr_", ",", "ListPairs_List", ",", "my\[Xi]_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"ord_", "?", "IntegerQ"}]}], "]"}], ":=", 
   RowBox[{"Catch", "@", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "temp", ",", "temp1", ",", "rulebackgroundfield", ",", "res", ",", 
        "oldgauge", ",", "ReplaceConfFactorByUnperturbed", ",", "DummyConf", 
        ",", "confpert", ",", "q", ",", "n"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"conffactor", "=", 
           RowBox[{"a", "[", "h", "]"}]}], ",", 
          RowBox[{"g", "=", 
           RowBox[{"First", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"ScalarTensorQ", "[", "conffactor", "]"}], "]"}], "&&", 
            RowBox[{"conffactor", "=!=", "1"}]}], ",", 
           RowBox[{"Throw", "[", 
            RowBox[{"Message", "[", 
             RowBox[{"ToxPand", "::", "invalidconffactor"}], "]"}], "]"}]}], 
          "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"CD", "=", 
              RowBox[{"CovDOfMetric", "[", "g", "]"}]}], ",", 
             RowBox[{"M", "=", 
              RowBox[{"ManifoldOfCovD", "@", 
               RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Off", "[", 
             RowBox[{"TagUnset", "::", "\"\<norep\>\""}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
             "We", " ", "temporarily", " ", "authorize", " ", "the", " ", 
              "perturbation", " ", "of", " ", "the", " ", "conformal", " ", 
              "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"conffactor", "=!=", "1"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{"conffactor", "/:", 
                RowBox[{
                 RowBox[{"Perturbation", "[", 
                  RowBox[{
                   RowBox[{"conffactor", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                    "]"}], ",", "n_"}], "]"}], "=."}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"conffactor", "/:", 
                RowBox[{
                 RowBox[{"Perturbation", "[", 
                  RowBox[{"conffactor", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                   "]"}], "]"}], "=."}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"confpert", "=", 
                RowBox[{"Perturbed", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Conformal", "[", 
                    RowBox[{"g", ",", 
                    RowBox[{"SymbolJoin", "[", 
                    RowBox[{"g", ",", "conffactor", ",", "2"}], "]"}]}], 
                    "]"}], "[", "expr", "]"}], ")"}], ",", "ord"}], "]"}]}], 
               ";"}], ",", "\[IndentingNewLine]", 
              RowBox[{"confpert", "=", 
               RowBox[{"Perturbed", "[", 
                RowBox[{"expr", ",", "ord"}], "]"}]}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DebugInfoQ", ",", 
              RowBox[{"Print", "[", 
               RowBox[{"\"\<confpert \>\"", ",", "confpert"}], "]"}]}], "]"}],
             ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"rulebackgroundfield", "=", 
             RowBox[{"If", "[", 
              RowBox[{"BackgroundFieldMethod", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"CD", "[", "_", "]"}], "[", 
                  RowBox[{"my\[Xi]", "[", "ind___", "]"}], "]"}], 
                 "\[RuleDelayed]", "0"}], "}"}], ",", 
               RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"temp1", "=", 
             RowBox[{"GaugeChange", "[", 
              RowBox[{"confpert", ",", "my\[Xi]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DebugInfoQ", ",", 
              RowBox[{"Print", "[", 
               RowBox[{"\"\<temp1 \>\"", ",", "temp1"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
             "Then", " ", "we", " ", "perform", " ", "the", " ", 
              "GaugeChange", " ", "using", " ", "the", " ", "function", " ", 
              "GaugeChange", " ", "of", " ", "xPert"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"temp", "=", 
             RowBox[{"PutScalar", "@", 
              RowBox[{"Expand", "[", 
               RowBox[{
                RowBox[{"LieDToCovD", "[", 
                 RowBox[{
                  RowBox[{"ExpandPerturbation", "[", "temp1", "]"}], ",", 
                  "CD"}], "]"}], "/.", "rulebackgroundfield"}], "]"}]}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"$DebugInfoQ", ",", 
              RowBox[{"Print", "[", 
               RowBox[{"\"\<temp \>\"", ",", "temp"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
             "Then", " ", "we", " ", "say", " ", "again", " ", "that", " ", 
              "the", " ", "conformal", " ", "factor", " ", "should", " ", 
              "not", " ", "be", " ", "perturbed"}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"conffactor", "=!=", "1"}], ",", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{
                RowBox[{"Perturbation", "[", 
                 RowBox[{
                  RowBox[{"conffactor", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], 
                   "]"}], ",", "n_"}], "]"}], "^:=", 
                RowBox[{"0", "/;", 
                 RowBox[{"n", "\[GreaterEqual]", "1"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Perturbation", "[", 
                 RowBox[{"conffactor", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "q_", "]"}], ",", "indices___"}], "]"}],
                  "]"}], "^:=", "0"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{
              RowBox[{
              "And", " ", "we", " ", "split", " ", "the", " ", "result", " ", 
               "with", " ", "all", " ", "the", " ", "rules", " ", "the", " ", 
               "user", " ", "wants", " ", "to", " ", "use"}], ",", " ", 
              RowBox[{
              "including", " ", "those", " ", "for", " ", "the", " ", 
               "vector", " ", "field", " ", "used", " ", "in", " ", "the", 
               " ", "conformal", " ", "transformation"}]}], "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"res", "=", 
             RowBox[{"SplitPerturbations", "[", 
              RowBox[{
               RowBox[{"(", "temp", ")"}], ",", "ListPairs", ",", "h"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"On", "[", 
             RowBox[{"TagUnset", "::", "\"\<norep\>\""}], "]"}], ";", 
            "\[IndentingNewLine]", "res"}]}], "\[IndentingNewLine]", 
          "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SplitGaugeChange", "[", 
     RowBox[{"expr_", ",", "my\[Xi]_", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", "ord_"}], "]"}], ":=", 
    RowBox[{"SplitGaugeChange", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"{", "}"}], ",", "my\[Xi]", ",", "h", ",", "ord"}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"SplitGaugeChange", ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "5"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Protect", "[", "SplitGaugeChange", "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SplitFieldsAndGaugeChange", "[", 
    RowBox[{"expr_", ",", 
     RowBox[{"g_", "?", "MetricQ"}], ",", "dg_", ",", "uf_", ",", "duf_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"order_", "?", "IntegerQ"}], ",", 
     RowBox[{"tiltvalue_", ":", "\"\<NotTilted\>\""}]}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "ord", ",", "n", ",", "res", ",", "ruleslist", ",", 
       "RulesGaugeChange"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"M", "=", 
          RowBox[{"ManifoldOfCovD", "@", 
           RowBox[{"CovDOfMetric", "@", "g"}]}]}], ",", 
         RowBox[{"cd", "=", 
          RowBox[{"CovDOfMetric", "@", "h"}]}], ",", 
         RowBox[{"u", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ind", "=", 
           RowBox[{"DummyIn", "@", 
            RowBox[{"Tangent", "@", "M"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", 
              RowBox[{"\[Xi]", "[", "h", "]"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"\[Xi]", "[", "h", "]"}], "]"}], "[", 
                RowBox[{
                 RowBox[{"LI", "[", "ord", "]"}], ",", "ind"}], "]"}], ",", 
               "M"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"RulesGaugeChange", "=", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Xi]", "[", "h", "]"}], "[", 
              RowBox[{
               RowBox[{"LI", "[", "n_", "]"}], ",", "ind_"}], "]"}], 
             "\[RuleDelayed]", 
             RowBox[{"Evaluate", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"T", "[", "h", "]"}], "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "n", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                RowBox[{"u", "[", "ind", "]"}]}], "+", 
               RowBox[{
                RowBox[{"Lv", "[", "h", "]"}], "[", 
                RowBox[{
                 RowBox[{"LI", "[", "n", "]"}], ",", 
                 RowBox[{"LI", "[", "0", "]"}], ",", "ind"}], "]"}], "+", 
               RowBox[{
                RowBox[{"cd", "[", "ind", "]"}], "[", 
                RowBox[{
                 RowBox[{"Ls", "[", "h", "]"}], "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "n", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], "]"}]}], "]"}]}], 
            "}"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"ruleslist", "=", 
           RowBox[{"Join", "[", 
            RowBox[{"RulesGaugeChange", ",", 
             RowBox[{"SplitMetric", "[", 
              RowBox[{"g", ",", "dg", ",", "h", ",", "\"\<AnyGauge\>\""}], 
              "]"}], ",", 
             RowBox[{"SplitMatter", "[", 
              RowBox[{"uf", ",", "duf", ",", 
               RowBox[{"-", "1"}], ",", "h", ",", "\"\<AnyGauge\>\"", ",", 
               "order", ",", "tiltvalue"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SplitGaugeChange", "[", 
           RowBox[{"expr", ",", "ruleslist", ",", 
            RowBox[{"\[Xi]", "[", "h", "]"}], ",", "h", ",", "order"}], 
           "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetNumberOfArguments", "[", 
   RowBox[{"SplitFieldsAndGaugeChange", ",", 
    RowBox[{"{", 
     RowBox[{"7", ",", "8"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "SplitFieldsAndGaugeChange", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"a77ecc97-5d52-4ab6-9e19-1296d4d81b26"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
2.12 Automatic perturbation of the time components for normalized vectors\
\>", "Subsubsection",ExpressionUUID->"349b20fb-b699-4351-917d-b8edc759ac3c"],

Cell["Obvious rules taking into account the gauge choice", \
"Text",ExpressionUUID->"c88bc0ef-873b-40c5-a4ea-52e51e988854"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RulesVelocitySpatial", "[", 
   RowBox[{
    RowBox[{"h_", "?", "InducedMetricQ"}], ",", "uf_", ",", "duf_", ",", 
    "NormVectorSquare_", ",", 
    RowBox[{"gauge_", "?", "GaugeQ"}], ",", 
    RowBox[{"order_", "?", "IntegerQ"}], ",", 
    RowBox[{"TiltedBool_", ":", "False"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", ",", "q"}], "}"}], ",", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"M", "=", 
         RowBox[{"ManifoldOfCovD", "@", 
          RowBox[{"CovDOfMetric", "@", "h"}]}]}], ",", 
        RowBox[{"cd", "=", 
         RowBox[{"CovDOfMetric", "@", "h"}]}], ",", 
        RowBox[{"u", "=", 
         RowBox[{"Last", "@", 
          RowBox[{"InducedFrom", "[", "h", "]"}]}]}]}], "}"}], ",", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind1", "=", 
           RowBox[{"DummyIn", "@", 
            RowBox[{"Tangent", "@", "M"}]}]}], ",", 
          RowBox[{"ind2", "=", 
           RowBox[{"DummyIn", "@", 
            RowBox[{"Tangent", "@", "M"}]}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Flatten", "@", 
         RowBox[{"Join", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Flatten", "@", 
            RowBox[{"Join", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"gauge", "===", "\"\<ScalarFieldComovingGauge\>\""}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[CurlyPhi]", "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], 
                    "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], "\[RuleDelayed]",
                   "0"}], "}"}], ",", 
                RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"gauge", "===", "\"\<IsoDensityGauge\>\""}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"\[Rho]", "[", "uf", "]"}], "[", 
                   RowBox[{
                    RowBox[{"LI", "[", 
                    RowBox[{"n_", "?", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], 
                    "]"}], ",", 
                    RowBox[{"LI", "[", "q_", "]"}]}], "]"}], "\[RuleDelayed]",
                   "0"}], "}"}], ",", 
                RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{"TiltedBool", ",", 
                RowBox[{"{", 
                 RowBox[{"BuildRule", "[", 
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"uf", "[", "ind1", "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"Scalar", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Vspat", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "ind2"}], "]"}], 
                    RowBox[{
                    RowBox[{"Vspat", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"-", "ind2"}]}], "]"}]}], "]"}], "-", 
                    "NormVectorSquare"}], "]"}], ")"}], 
                    RowBox[{"u", "[", "ind1", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"Vspat", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "0", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "ind1"}], "]"}]}]}], 
                    "}"}], "]"}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"BuildRule", "[", 
                  RowBox[{"Evaluate", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"uf", "[", "ind1", "]"}], ",", 
                    RowBox[{"u", "[", "ind1", "]"}]}], "}"}], "]"}], "]"}], 
                 "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"BuildRule", "@", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"duf", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", "ind1"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Evaluate", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"V0", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"u", "[", "ind1", "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"gauge", "===", "\"\<FluidComovingGauge\>\""}], 
                    ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], " ", ",", 
                    RowBox[{
                    RowBox[{"Vs", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], " ", "]"}], 
                    "]"}], "+", " ", 
                    RowBox[{"BV1", " ", 
                    RowBox[{
                    RowBox[{"Vv", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "1", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "ind1"}], "]"}]}]}], 
                    "]"}]}], "}"}], "]"}]}], "}"}]}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"BuildRule", "@", 
              RowBox[{"Evaluate", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"duf", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "i", "]"}], ",", "ind1"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Evaluate", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"V0", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "i", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                    RowBox[{"u", "[", "ind1", "]"}]}], "+", 
                   RowBox[{
                    RowBox[{"cd", "[", "ind1", "]"}], "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"gauge", "===", "\"\<FluidComovingGauge\>\""}], 
                    ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Bs", "[", "h", "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "i", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], " ", ",", 
                    RowBox[{
                    RowBox[{"Vs", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "i", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], " ", "]"}], 
                    "]"}], "+", " ", 
                   RowBox[{
                    RowBox[{"Vv", "[", 
                    RowBox[{"h", ",", "uf"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "i", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}], ",", "ind1"}], "]"}]}], 
                  "]"}]}], "}"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "2", ",", "order"}], "}"}]}], "]"}]}], 
          "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 
 InitializationCell->
  True,ExpressionUUID->"6e7292e6-d0dc-46d4-b162-a5d3d5872da2"],

Cell["\<\
The function which builds the time component of the vector from normalization\
\
\>", "Text",ExpressionUUID->"c656c77f-7a9e-450a-b6ea-185da5a079eb"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"AllRulesFromProjectedRule", "[", 
    RowBox[{"vector_", ",", "NormVectorSquare_", ",", "RulesVspat_", ",", 
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"order_", "?", "IntegerQ"}]}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Rulebackgroundvelocity", ",", "RuleBoost", ",", "LocalRulesVspat", ",",
        "RuleBoostUpton", ",", "RulesBoostUptoOrder"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "=", 
          RowBox[{"First", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
         RowBox[{"u", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
         RowBox[{"Boost", "=", 
          RowBox[{"V0", "[", 
           RowBox[{"h", ",", "vector"}], "]"}]}], ",", 
         RowBox[{"Vspatial", "=", 
          RowBox[{"Vspat", "[", 
           RowBox[{"h", ",", "vector"}], "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"M", "=", 
           RowBox[{"ManifoldOfCovD", "@", 
            RowBox[{"CovDOfMetric", "[", "g", "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"i1", "=", 
              RowBox[{"DummyIn", "@", 
               RowBox[{"Tangent", "@", "M"}]}]}], ",", 
             RowBox[{"i2", "=", 
              RowBox[{"DummyIn", "@", 
               RowBox[{"Tangent", "@", "M"}]}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"LocalRulesVspat", "=", "RulesVspat"}], ";", 
            RowBox[{"(*", " ", 
             RowBox[{
             "This", " ", "is", " ", "because", " ", "I", " ", "have", " ", 
              "problems", " ", "with", " ", "n", " ", "being", " ", 
              "replaced", " ", "automatically", " ", "in", " ", 
              RowBox[{"RulesVspat", ".", " ", "Honestly"}], " ", "I", " ", 
              "am", " ", "not", " ", "sure", " ", "of", " ", "why", " ", 
              "this", " ", 
              RowBox[{"happens", ".", " ", "But"}], " ", "this", " ", "is", 
              " ", 
              RowBox[{"necessary", "."}]}], "*)"}], "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RuleBoost", "[", "0", "]"}], ":=", 
             RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RuleBoostUpton", "[", "m_", "]"}], ":=", 
             RowBox[{"Flatten", "@", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"ToCanonical", "@", 
                 RowBox[{"ContractMetric", "[", 
                  RowBox[{"RuleBoost", "[", "i", "]"}], "]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "0", ",", "m"}], "}"}]}], "]"}]}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"RuleBoost", "[", 
              RowBox[{"n_", "?", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], "]"}],
              ":=", 
             RowBox[{"MakeRule", "[", 
              RowBox[{"Evaluate", "[", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Boost", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "n", "]"}], ",", 
                   RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", 
                 RowBox[{
                  RowBox[{"ToCanonical", "@", 
                   RowBox[{"ContractMetric", "@", 
                    RowBox[{"PutScalar", "@", 
                    RowBox[{"Expand", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Boost", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "/.", 
                    RowBox[{"First", "@", 
                    RowBox[{"IndexSolve", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"org", "[", 
                    RowBox[{
                    RowBox[{"ExpandPerturbation", "@", 
                    RowBox[{"Perturbation", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{
                    RowBox[{"-", "i1"}], ",", 
                    RowBox[{"-", "i2"}]}], "]"}], 
                    RowBox[{"vector", "[", "i1", "]"}], 
                    RowBox[{"vector", "[", "i2", "]"}]}], ",", "n"}], "]"}]}],
                     "/.", "LocalRulesVspat"}], "]"}], "\[Equal]", "0"}], ",", 
                    RowBox[{"Boost", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "n", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "]"}]}]}], 
                    ")"}], "/.", 
                    RowBox[{"RuleBoostUpton", "[", 
                    RowBox[{"n", "-", "1"}], "]"}]}], "/.", 
                    "LocalRulesVspat"}], "]"}]}]}]}], "/.", 
                  "$BackgroundFieldRule"}]}], "}"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"Join", "[", 
             RowBox[{"RulesVspat", "/.", 
              RowBox[{"RuleBoostUpton", "[", "order", "]"}]}], "]"}]}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], "]"}]}], 
      "]"}]}], "]"}]}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"08146235-9694-4a9e-854b-55593b3c4d28"],

Cell["\<\
We gather all the rules for matter below. This function is used in the \
function which automatize the whole process. Otherwise the user is free to \
build himself the rules which he thinks should be used for the splitting of \
the perturbation of matter feld (essentially the velocity).\
\>", "Text",ExpressionUUID->"41ed41bd-1ac5-4a36-bb46-645fdaaace3c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SplitMatter", "[", 
     RowBox[{"uf_", ",", "duf_", ",", "normvector_", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"gauge_", "?", "GaugeQ"}], ",", 
      RowBox[{"order_", "?", "IntegerQ"}], ",", 
      RowBox[{"tiltvalue_", ":", "\"\<NotTilted\>\""}]}], "]"}], ":=", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Not", "[", 
          RowBox[{"DefTensorQ", "[", 
           RowBox[{"\[Rho]", "[", "uf", "]"}], "]"}], "]"}], "||", 
         RowBox[{"Not", "[", 
          RowBox[{"DefTensorQ", "[", "duf", "]"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{
         "Print", "[", 
          "\"\<** Warning: The perturbed velocity, or the fields required to \
parameterize the splitting of matter fields perturbations splitting  were not \
previously defined **\>\"", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{
         "Print", "[", 
          "\"\<** DefMatterFields is called to build the perturbation of the \
vector field and the projected fields needed for future splitting **\>\"", 
          "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"DefMatterFields", "[", 
          RowBox[{"uf", ",", "duf", ",", "h"}], "]"}], ";"}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Switch", "[", 
       RowBox[{"tiltvalue", ",", "\"\<Tilted\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"AllRulesFromProjectedRule", "[", 
         RowBox[{"uf", ",", "normvector", ",", 
          RowBox[{"RulesVelocitySpatial", "[", 
           RowBox[{
           "h", ",", "uf", ",", "duf", ",", "normvector", ",", "gauge", ",", 
            "order", ",", "True"}], "]"}], ",", "h", ",", "order"}], "]"}], 
        ",", "\[IndentingNewLine]", "\"\<NotTilted\>\"", ",", 
        RowBox[{"AllRulesFromProjectedRule", "[", 
         RowBox[{"uf", ",", "normvector", ",", 
          RowBox[{"RulesVelocitySpatial", "[", 
           RowBox[{
           "h", ",", "uf", ",", "duf", ",", "normvector", ",", "gauge", ",", 
            "order", ",", "False"}], "]"}], ",", "h", ",", "order"}], "]"}]}],
        "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"SplitMatter", ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "7"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Protect", "[", "SplitMatter", "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"3bbbfb0d-d461-48bc-93ce-dd6da45296e7"],

Cell[BoxData[
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"SplitMatter", ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "7"}], "}"}]}], 
  "]"}]], "Output",ExpressionUUID->"32abeebb-04a6-4ef2-a537-289b86cadf73"],

Cell[BoxData[
 RowBox[{"{", "\<\"SplitMatter\"\>", 
  "}"}]], "Output",ExpressionUUID->"4f5838dd-2a72-4eae-9c0b-bbbaf0ffdacd"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.13 Perturbation of the normal vector", \
"Subsubsection",ExpressionUUID->"05b87fd3-8d64-43d4-ab6b-718579e936fb"],

Cell["\<\
This part is in development. We intend to perturb the normal vector, so as to \
access the perturbation of acceleration and extrinsic curvature.
This was initiated by Xavier Roy. \
\>", "Text",ExpressionUUID->"1ae62d1d-adc9-41d7-84f4-218470974a0c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalN]0", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
   RowBox[{"SymbolJoin", "[", 
    RowBox[{"\[ScriptCapitalN]0", ",", "h"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalN]i", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
   RowBox[{"SymbolJoin", "[", 
    RowBox[{"\[ScriptCapitalN]i", ",", "h"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalN]", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
   RowBox[{"SymbolJoin", "[", 
    RowBox[{"\[ScriptCapitalN]", ",", "h"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[ScriptCapitalN]", "[", 
    RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
   RowBox[{"SymbolJoin", "[", 
    RowBox[{"d\[ScriptCapitalN]", ",", "h"}], "]"}]}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"cb5309ad-7b05-45d0-afff-f121193d3183"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$ListNormalFields", "[", 
   RowBox[{"h_", "?", "InducedMetricQ"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[ScriptCapitalN]0", "[", "h", "]"}], "[", "]"}], ",", 
     "\"\<\[ScriptCapitalN]0\>\""}], "}"}], "}"}]}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"ff214004-6220-484e-94f6-a4451c9b3091"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"DefNormalFields", "[", 
    RowBox[{
     RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
     RowBox[{"PerturbParameter_", ":", "\[Epsilon]"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "ord", "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "=", 
          RowBox[{"Last", "@", 
           RowBox[{"InducedFrom", "@", "h"}]}]}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"M", "=", 
          RowBox[{"ManifoldOfCovD", "@", 
           RowBox[{"CovDOfMetric", "@", 
            RowBox[{"First", "@", 
             RowBox[{"InducedFrom", "@", "h"}]}]}]}]}], ",", 
         RowBox[{"NN", "=", 
          RowBox[{"\[ScriptCapitalN]", "[", "h", "]"}]}], ",", 
         RowBox[{"dn", "=", 
          RowBox[{"d\[ScriptCapitalN]", "[", "h", "]"}]}], ",", 
         RowBox[{"Ni", "=", 
          RowBox[{"\[ScriptCapitalN]i", "[", "h", "]"}]}], ",", 
         RowBox[{"N0", "=", 
          RowBox[{"\[ScriptCapitalN]0", "[", "h", "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"Block", "[", 
        RowBox[{
         RowBox[{"{", "\[Mu]", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"{", "\[Mu]", "}"}], "=", 
           RowBox[{"GetIndicesOfVBundle", "[", 
            RowBox[{
             RowBox[{"Tangent", "@", "M"}], ",", "1"}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"DefProjectedTensor", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "h", ",", 
               RowBox[{"TensorProperties", "->", 
                RowBox[{"{", "}"}]}], ",", 
               RowBox[{"SpaceTimesOfDefinition", "->", 
                RowBox[{"{", 
                 RowBox[{"\"\<Background\>\"", ",", "\"\<Perturbed\>\""}], 
                 "}"}]}], ",", 
               RowBox[{"PrintAs", "->", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], ")"}], "&"}], "/@", 
           RowBox[{"$ListNormalFields", "[", "h", "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", "Ni", "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{"Ni", "[", "\[Mu]", "]"}], ",", "M"}], "]"}], ";"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", 
               RowBox[{
                RowBox[{"Print", "[", 
                 RowBox[{
                 "\"\<** Warning: Tensor \>\"", ",", "Ni", " ", ",", " ", 
                  "\"\<is already defined. It cannot be redefined without \
undefining it. **\>\""}], "]"}], ";"}]}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", "NN", "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"DefTensor", "[", 
              RowBox[{
               RowBox[{"NN", "[", 
                RowBox[{"-", "\[Mu]"}], "]"}], ",", "M"}], "]"}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", 
               RowBox[{
                RowBox[{"Print", "[", 
                 RowBox[{
                 "\"\<** Warning: Tensor \>\"", ",", "NN", " ", ",", " ", 
                  "\"\<is already defined. It cannot be redefined without \
undefining it. **\>\""}], "]"}], ";"}]}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "[", 
             RowBox[{"DefTensorQ", "[", "dn", "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"DefTensorPerturbation", "[", 
             RowBox[{
              RowBox[{"dn", "[", 
               RowBox[{
                RowBox[{"LI", "[", "ord", "]"}], ",", 
                RowBox[{"-", "\[Mu]"}]}], "]"}], ",", 
              RowBox[{"NN", "[", 
               RowBox[{"-", "\[Mu]"}], "]"}], ",", "M"}], "]"}], ",", 
            RowBox[{
             RowBox[{"PrintAs", "\[Rule]", 
              RowBox[{"\"\<\[Delta]\>\"", "<>", 
               RowBox[{"PrintAs", "[", "n", "]"}]}]}], ";"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{"$DefInfoQ", ",", 
               RowBox[{
                RowBox[{"Print", "[", 
                 RowBox[{
                 "\"\<** Warning: Tensor \>\"", ",", "dn", " ", ",", " ", 
                  "\"\<is already defined. It cannot be redefined without \
undefining it. **\>\""}], "]"}], ";"}]}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{"Note", " ", "here"}], ",", " ", 
            RowBox[{"and", " ", 
             RowBox[{"that", "'"}], "s", " ", "very", " ", "important"}], ",",
             " ", 
            RowBox[{
            "that", " ", "the", " ", "perturbation", " ", "of", " ", "the", 
             " ", "normal", " ", "vector", " ", "is", " ", "defined", " ", 
             "with", " ", "a", " ", "down", " ", 
             RowBox[{"idnex", ".", " ", "That"}], " ", "way", " ", "it", " ", 
             "is", " ", "always", " ", "proportionnal", " ", "to", " ", "the",
              " ", "time", " ", "form", " ", 
             RowBox[{
              SubscriptBox["d\[Eta]", "\[Mu]"], "."}]}]}], "*)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Not", "@", 
             RowBox[{
             "DefinedPerturbationParameter", "[", "$PerturbationParameter", 
              "]"}]}], ",", 
            RowBox[{
             RowBox[{"$PerturbationParameter", "=", "PerturbParameter"}], ";", 
             RowBox[{
              RowBox[{
              "DefinedPerturbationParameter", "[", "$PerturbationParameter", 
               "]"}], "=", "True"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"dn", "[", 
            RowBox[{"\[Mu]_", "?", "AIndexQ"}], "]"}], ":=", 
           RowBox[{"dn", "[", 
            RowBox[{
             RowBox[{"LI", "[", "0", "]"}], ",", "\[Mu]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Ni", "[", "\[Mu]_", "]"}], ":=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"Projector", "[", "h", "]"}], "[", 
                RowBox[{
                 RowBox[{"N0", "[", "]"}], 
                 RowBox[{"NN", "[", "\[Mu]", "]"}]}], "]"}]}], "/.", 
              RowBox[{
               RowBox[{"Projector", "[", "h", "]"}], "\[Rule]", 
               RowBox[{"ProjectWith", "[", "h", "]"}]}]}], ")"}], "//", 
            "ProjectorToMetric"}]}], ";"}]}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
    "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"DefNormalFields", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "DefNormalFields", "]"}], ";"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"ba8e8bee-6c02-4617-9aed-ad0902718842"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RulesNormalFields", "[", 
   RowBox[{
    RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
    RowBox[{"order_", "?", "IntegerQ"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"M", "=", 
         RowBox[{"ManifoldOfCovD", "@", 
          RowBox[{"CovDOfMetric", "@", 
           RowBox[{"First", "@", 
            RowBox[{"InducedFrom", "@", "h"}]}]}]}]}], ",", 
        RowBox[{"cd", "=", 
         RowBox[{"CovDOfMetric", "@", "h"}]}], ",", 
        RowBox[{"n", "=", 
         RowBox[{"Last", "@", 
          RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
        RowBox[{"dn", "=", 
         RowBox[{"d\[ScriptCapitalN]", "[", "h", "]"}]}], ",", 
        RowBox[{"N0", "=", 
         RowBox[{"\[ScriptCapitalN]0", "[", "h", "]"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind1", "=", 
           RowBox[{"DummyIn", "@", 
            RowBox[{"Tangent", "@", "M"}]}]}], ",", 
          RowBox[{"ind2", "=", 
           RowBox[{"DummyIn", "@", 
            RowBox[{"Tangent", "@", "M"}]}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Flatten", "@", 
         RowBox[{"Join", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"BuildRule", "[", 
             RowBox[{"Evaluate", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"dn", "[", "ind1", "]"}], ",", 
                RowBox[{"n", "[", "ind1", "]"}]}], "}"}], "]"}], "]"}], "}"}],
            ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"BuildRule", "[", 
             RowBox[{"Evaluate", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"N0", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "0", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", "1"}], "}"}], 
              "]"}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "\[ScriptCapitalN]0", " ", "is", " ", "the", " ", "lapse", " ", 
             "function", " ", "in", " ", "ADM", " ", 
             RowBox[{"formalism", ".", " ", "So"}], " ", "the", " ", 
             "background", " ", "lapse", " ", "is", " ", "1."}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"The", " ", "perturbation", " ", "of", " ", 
             SubscriptBox["n", "\[Mu]"], " ", "has", " ", "no", " ", 
             "spatial", " ", "components", " ", "since", " ", "it", " ", "is",
              " ", "proportionnal", " ", "to", " ", 
             SubscriptBox["d\[Eta]", "\[Mu]"]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{
             "It", " ", "is", " ", "THIS", " ", "PROPERTY", " ", "which", " ",
               "says", " ", "that", " ", "this", " ", "vector"}], ",", " ", 
             "timelike", ",", " ", 
             RowBox[{
             "is", " ", "the", " ", "one", " ", "normal", " ", "to", " ", 
              "constant", " ", "time", " ", "hypersurfaces"}]}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"BuildRule", "@", 
              RowBox[{"Evaluate", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"dn", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "i", "]"}], ",", "ind1"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Evaluate", "[", 
                  RowBox[{
                   RowBox[{"N0", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "i", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], 
                   RowBox[{"n", "[", "ind1", "]"}]}], "]"}]}], "}"}], "]"}]}],
              ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "order"}], "}"}]}], "]"}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{
            RowBox[{
            "We", " ", "have", " ", "to", " ", "remember", " ", "that", " ", 
             "dn", " ", "is", " ", "the", " ", "perturbation", " ", "of", " ",
              "the", " ", "normal", " ", "vector", " ", "when", " ", 
             "indices", " ", "are", " ", 
             RowBox[{"down", ".", " ", "These"}], " ", "rules", " ", "are", 
             " ", "defined", " ", "with", " ", "both", " ", "positions", " ", 
             "of", " ", "indices"}], ",", " ", 
            RowBox[{
            "so", " ", "the", " ", "down", " ", "position", " ", "is", " ", 
             "the", " ", "correct", " ", "one"}], ",", " ", 
            RowBox[{
            "and", " ", "the", " ", "up", " ", "position", " ", "means", " ", 
             "raising", " ", "with", " ", "the", " ", "background", " ", 
             RowBox[{"metric", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 
 InitializationCell->
  True,ExpressionUUID->"15414610-3a91-44ef-8267-cde0b45095a4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RulesForLapse", "[", 
   RowBox[{"RulesNspat_", ",", 
    RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
    RowBox[{"order_", "?", "IntegerQ"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"RuleBoost", ",", "LocalRulesNspat", ",", "RuleBoostUpton"}], 
     "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{"First", "@", 
          RowBox[{"InducedFrom", "@", "h"}]}]}], ",", 
        RowBox[{"vector", "=", 
         RowBox[{"\[ScriptCapitalN]", "[", "h", "]"}]}], ",", 
        RowBox[{"Boost", "=", 
         RowBox[{"\[ScriptCapitalN]0", "[", "h", "]"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"M", "=", 
          RowBox[{"ManifoldOfCovD", "@", 
           RowBox[{"CovDOfMetric", "@", "g"}]}]}], "}"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"ind1", "=", 
             RowBox[{"DummyIn", "@", 
              RowBox[{"Tangent", "@", "M"}]}]}], ",", 
            RowBox[{"ind2", "=", 
             RowBox[{"DummyIn", "@", 
              RowBox[{"Tangent", "@", "M"}]}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"LocalRulesNspat", "=", "RulesNspat"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Even", " ", "though", " ", "one", " ", "might", " ", "think", 
             " ", "that", " ", "this", " ", "definition", " ", "is", " ", 
             "useless", " ", "and", " ", "that", " ", "I", " ", "could", " ", 
             "use", " ", "RulesNspat", " ", 
             RowBox[{"directly", ".", " ", "This"}], " ", "creates", " ", "a",
              " ", "conflict", " ", "further", " ", "that", " ", "I", " ", 
             "could", " ", "never", " ", 
             RowBox[{"understand", "."}]}], "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"RuleBoost", "[", "0", "]"}], ":=", 
            RowBox[{"{", 
             RowBox[{"BuildRule", "[", 
              RowBox[{"Evaluate", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Boost", "[", 
                  RowBox[{
                   RowBox[{"LI", "[", "0", "]"}], ",", 
                   RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", "1"}], "}"}], 
               "]"}], "]"}], "}"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"RuleBoostUpton", "[", "m_", "]"}], ":=", 
            RowBox[{"Flatten", "@", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"ToCanonical", "@", 
                RowBox[{"ContractMetric", "[", 
                 RowBox[{"RuleBoost", "[", "i", "]"}], "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "0", ",", "m"}], "}"}]}], "]"}]}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"OLD", " ", 
             RowBox[{"Implementation", "."}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
             "Now", " ", "that", " ", "IndexSolve", " ", "is", " ", 
              "corrected", " ", "to", " ", "deal", " ", "correctly", " ", 
              "with", " ", "Label", " ", "indices", " ", "in", " ", "version",
               " ", "1.0", ".5", " ", "of", " ", "xAct"}], ",", " ", 
             RowBox[{"this", " ", "implementation", " ", "is", " ", 
              RowBox[{"obsolete", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"RuleBoost", "[", 
               RowBox[{"p_", "?", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], 
               "]"}], ":=", 
              RowBox[{"(", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Boost", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], "\[RuleDelayed]", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"ToCanonical", "@", 
                   RowBox[{"ContractMetric", "@", 
                    RowBox[{"PutScalar", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"X", "[", "]"}], "/.", 
                    RowBox[{"First", "@", 
                    RowBox[{"IndexSolve", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"org", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ExpandPerturbation", "@", 
                    RowBox[{"Perturbation", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], 
                    RowBox[{"vector", "[", 
                    RowBox[{"-", "ind1"}], "]"}], 
                    RowBox[{"vector", "[", 
                    RowBox[{"-", "ind2"}], "]"}]}], ",", "p"}], "]"}]}], "/.",
                     "LocalRulesNspat"}], "/.", 
                    RowBox[{
                    RowBox[{"Boost", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "\[Rule]", 
                    RowBox[{"X", "[", "]"}]}]}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"X", "[", "]"}]}], "]"}]}]}], ")"}], "/.", 
                    RowBox[{"RuleBoostUpton", "[", 
                    RowBox[{"p", "-", "1"}], "]"}]}], "/.", 
                    "LocalRulesNspat"}], "]"}]}]}], "/.", 
                  "$BackgroundFieldRule"}], "]"}]}], ")"}]}], ";"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"RuleBoost", "[", 
             RowBox[{"p_", "?", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"#", "\[GreaterEqual]", "1"}], "&"}], ")"}]}], "]"}], 
            ":=", "\[IndentingNewLine]", 
            RowBox[{"MakeRule", "[", 
             RowBox[{"Evaluate", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Boost", "[", 
                 RowBox[{
                  RowBox[{"LI", "[", "p", "]"}], ",", 
                  RowBox[{"LI", "[", "0", "]"}]}], "]"}], ",", 
                RowBox[{
                 RowBox[{"ToCanonical", "@", 
                  RowBox[{"ContractMetric", "@", 
                   RowBox[{"PutScalar", "@", 
                    RowBox[{"Expand", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Boost", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}], "/.", 
                    RowBox[{"First", "@", 
                    RowBox[{"IndexSolve", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"org", "[", 
                    RowBox[{
                    RowBox[{"ExpandPerturbation", "@", 
                    RowBox[{"Perturbation", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"g", "[", 
                    RowBox[{"ind1", ",", "ind2"}], "]"}], 
                    RowBox[{"vector", "[", 
                    RowBox[{"-", "ind1"}], "]"}], 
                    RowBox[{"vector", "[", 
                    RowBox[{"-", "ind2"}], "]"}]}], ",", "p"}], "]"}]}], "/.",
                     "LocalRulesNspat"}], "]"}], "\[Equal]", "0"}], ",", 
                    RowBox[{"Boost", "[", 
                    RowBox[{
                    RowBox[{"LI", "[", "p", "]"}], ",", 
                    RowBox[{"LI", "[", "0", "]"}]}], "]"}]}], "]"}]}]}], 
                    ")"}], "/.", 
                    RowBox[{"RuleBoostUpton", "[", 
                    RowBox[{"p", "-", "1"}], "]"}]}], "/.", 
                    "LocalRulesNspat"}], "]"}]}]}]}], "/.", 
                 "$BackgroundFieldRule"}]}], "}"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"RuleBoostUpton", "[", "order", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 
 InitializationCell->
  True,ExpressionUUID->"0f9392fc-18f6-429d-ab50-f291b4bdeb83"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RulesForPerturbedNormal", "[", 
     RowBox[{"RulesNspat_", ",", 
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"order_", "?", "IntegerQ"}]}], "]"}], ":=", 
    RowBox[{"Join", "[", 
     RowBox[{"RulesNspat", "/.", 
      RowBox[{"RulesForLapse", "[", 
       RowBox[{
        RowBox[{"RulesNormalFields", "[", 
         RowBox[{"h", ",", "order"}], "]"}], ",", "h", ",", "order"}], 
       "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"56d6e60c-6949-496a-b77d-17c02450116d"],

Cell["\<\
The main function which creates the rules for the nrmal vector perturbations\
\>", "Text",ExpressionUUID->"44d69020-8ef1-4269-ae6c-2c318c2a8c3b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SplitNormalVector", "[", 
     RowBox[{
      RowBox[{"h_", "?", "InducedMetricQ"}], ",", 
      RowBox[{"order_", "?", "IntegerQ"}]}], "]"}], ":=", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Not", "[", 
          RowBox[{"DefTensorQ", "[", 
           RowBox[{"\[ScriptCapitalN]0", "[", "h", "]"}], "]"}], "]"}], "||", 
         
         RowBox[{"Not", "[", 
          RowBox[{
           RowBox[{"DefTensorQ", "[", 
            RowBox[{"d\[ScriptCapitalN]", "[", "h", "]"}], "]"}], "||", 
           RowBox[{"Not", "[", 
            RowBox[{"DefTensorQ", "[", 
             RowBox[{"\[ScriptCapitalN]i", "[", "h", "]"}], "]"}], "]"}]}], 
          "]"}]}], ",", 
        RowBox[{
         RowBox[{
         "Print", "[", 
          "\"\<** Warning: The perturbed normal vector, or the fields \
required to parameterize its splitting were not previously defined **\>\"", 
          "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{
         "Print", "[", 
          "\"\<** DefNormalFields is called to build the perturbation of the \
normal vector and the projected fields **\>\"", "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"DefNormalFields", "[", "h", "]"}], ";"}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"RulesForPerturbedNormal", "[", 
         RowBox[{
          RowBox[{"RulesNormalFields", "[", 
           RowBox[{"h", ",", "order"}], "]"}], ",", "h", ",", "order"}], 
         "]"}], ",", 
        RowBox[{"RulesForLapse", "[", 
         RowBox[{
          RowBox[{"RulesNormalFields", "[", 
           RowBox[{"h", ",", "order"}], "]"}], ",", "h", ",", "order"}], 
         "]"}]}], "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SetNumberOfArguments", "[", 
  RowBox[{"SplitNormalVector", ",", 
   RowBox[{"{", "2", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Protect", "[", "SplitNormalVector", "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"735f4725-e34b-4cb7-bab4-979f69c8bac5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["End private and package",
 FontColor->RGBColor[
  0, 0, 1]]], \
"Subsubsection",ExpressionUUID->"1aeab204-8f8e-4d5c-a6d2-c5dca4cced79"],

Cell[BoxData[
 RowBox[{
  RowBox[{"On", "[", 
   RowBox[{"RuleDelayed", "::", "rhs"}], "]"}], ";"}]], "Input",
 InitializationCell->
  True,ExpressionUUID->"752a09fa-24f2-4b4a-8cb8-e493520e326c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"End", "[", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EndPackage", "[", "]"}]}], "Input",
 InitializationCell->
  True,ExpressionUUID->"0db3a7a4-4037-4d76-83ac-d166a8988c4d"],

Cell[BoxData["\<\"xAct`xPand`Private`\"\>"], \
"Output",ExpressionUUID->"60554fba-0eff-4ece-8fd8-01e635ddd1bf"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1389, 847},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"FileOutlineCache"->False},
ShowSelection->True,
TrackCellChangeTimes->False,
Magnification->1,
FrontEndVersion->"14.1 pour Mac OS X ARM (64-bit) (July 16, 2024)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "UTF-8"],
ExpressionUUID->"809dce3c-6b5c-4b9a-9526-c10240869a00"
]

